<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Client Configuration Guide</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="prev" href="../../reference/en-US/s1-probes-sat.jsp" title="C.10. SUSE Manager" /><link rel="next" href="preface.susemanager.clientconf.jsp" title="About This Guide" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Client Configuration Guide</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="../../reference/en-US/s1-probes-sat.jsp">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="preface.susemanager.clientconf.jsp">Next</a></td></tr></table><hr /></div><div xml:lang="en" class="book" title="Client Configuration Guide" lang="en"><div class="titlepage"><div><div><h1 class="title"><a id="book.susemanager.clientconf"></a>Client Configuration Guide</h1></div><div><div class="legalnotice" title="Legal Notice"><a id="id448594"></a><p>
  Copyright ©
2011

  Novell, Inc.
 </p><p>
  Copyright ©
2011

  Red Hat, Inc.
 </p><p>
  The text of and illustrations in this document are licensed by Red Hat
  under a Creative Commons Attribution-Share Alike 3.0 Unported license
  ("CC-BY-SA"). An explanation of CC-BY-SA is available at
  <a class="ulink" href="http://creativecommons.org/licenses/by-sa/3.0/" target="_top">http://creativecommons.org/licenses/by-sa/3.0/</a>. In
  accordance with CC-BY-SA, if you distribute this document or an adaptation
  of it, you must provide the URL for the original version.
 </p><p>
  Red Hat, as the licensor of this document, waives the right to enforce,
  and agrees not to assert, Section 4d of CC-BY-SA to the fullest extent
  permitted by applicable law.
 </p><p>
  Red Hat, Red Hat Enterprise Linux, the Shadowman logo, JBoss, MetaMatrix,
  Fedora, the Infinity Logo, and RHCE are trademarks of Red Hat, Inc.,
  registered in the United States and other countries. Linux® is the
  registered trademark of Linus Torvalds in the United States and other
  countries. Java® is a registered trademark of Oracle and/or its
  affiliates. XFS® is a trademark of Silicon Graphics International
  Corp. or its subsidiaries in the United States and/or other countries.
  MySQL® is a registered trademark of MySQL AB in the United States, the
  European Union and other countries. All other trademarks are the property
  of their respective owners.
 </p><p>
  For Novell trademarks, see the Novell Trademark and Service Mark list
  <a class="ulink" href="http://www.novell.com/company/legal/trademarks/tmlist.html" target="_top">http://www.novell.com/company/legal/trademarks/tmlist.html</a>.
  Linux* is a registered trademark of Linus Torvalds. All other third party
  trademarks are the property of their respective owners. A trademark symbol
  (®, ™ etc.) denotes a Novell trademark; an asterisk (*) denotes
  a third party trademark.
 </p><p>
  All information found in this book has been compiled with utmost attention
  to detail. However, this does not guarantee complete accuracy. Neither
  Novell, Inc., SUSE LINUX Products GmbH, the authors, nor the translators
  shall be held liable for possible errors or the consequences thereof.
 </p></div></div></div><hr /></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="preface"><a href="preface.susemanager.clientconf.jsp">About This Guide</a></span></dt><dd><dl><dt><span class="sect1"><a href="preface.susemanager.clientconf.jsp#id334865">1. Available Documentation</a></span></dt><dt><span class="sect1"><a href="bk04pr01s02.jsp">2. Feedback</a></span></dt><dt><span class="sect1"><a href="bk04pr01s03.jsp">3. Documentation Conventions</a></span></dt></dl></dd><dt><span class="chapter"><a href="ch-intro.jsp">1. Introduction</a></span></dt><dt><span class="chapter"><a href="ch-latest-clients.jsp">2. Red Hat Linux Client Applications</a></span></dt><dd><dl><dt><span class="section"><a href="ch-latest-clients.jsp#s1-latest-clients-deploying">2.1. Deploying the Latest Client RPMs</a></span></dt><dt><span class="section"><a href="s1-latest-clients-configuring.jsp">2.2. Configuring the Client Applications</a></span></dt><dd><dl><dt><span class="section"><a href="s1-latest-clients-configuring.jsp#s2-client-config-keys">2.2.1. Registering with Activation Keys</a></span></dt><dt><span class="section"><a href="s1-latest-clients-configuring.jsp#s2-client-config-option">2.2.2. The up2date

    --configure Option</a></span></dt><dt><span class="section"><a href="s1-latest-clients-configuring.jsp#s2-client-config-file">2.2.3. Updating the Configuration Files Manually</a></span></dt><dt><span class="section"><a href="s1-latest-clients-configuring.jsp#s2-client-config-failover">2.2.4. Implementing Server Failover</a></span></dt></dl></dd><dt><span class="section"><a href="s1-latest-clients-puplet.jsp">2.3. The Package Updater Applet</a></span></dt><dt><span class="section"><a href="s1-latest-clients-applet.jsp">2.4. Configuring the Network Alert Notification Tool with SUSE Manager</a></span></dt></dl></dd><dt><span class="chapter"><a href="ch-certificates.jsp">3. SSL Infrastructure</a></span></dt><dd><dl><dt><span class="section"><a href="ch-certificates.jsp#s1-certificate-intro">3.1. A Brief Introduction To SSL</a></span></dt><dt><span class="section"><a href="s1-certificate-rhnsmt.jsp">3.2. The SUSE Manager SSL Maintenance Tool</a></span></dt><dd><dl><dt><span class="section"><a href="s1-certificate-rhnsmt.jsp#s2-certificate-tool--create-explain">3.2.1. SSL Generation Explained</a></span></dt><dt><span class="section"><a href="s1-certificate-rhnsmt.jsp#s2-certificate-tool-options">3.2.2. SSL Maintenance Tool Options</a></span></dt><dt><span class="section"><a href="s1-certificate-rhnsmt.jsp#s2-certificate-tool-CA-create">3.2.3. Generating the Certificate Authority SSL Key Pair</a></span></dt><dt><span class="section"><a href="s1-certificate-rhnsmt.jsp#s2-certificate-tool-server-create">3.2.4. Generating Web Server SSL Key Sets</a></span></dt></dl></dd><dt><span class="section"><a href="s1-certificate-rpms.jsp">3.3. Deploying the CA SSL Public Certificate to Clients</a></span></dt><dt><span class="section"><a href="s1-certificate-configuration.jsp">3.4. Configuring Client Systems</a></span></dt></dl></dd><dt><span class="chapter"><a href="ch-gpg-keys.jsp">4. Importing Custom GPG Keys</a></span></dt><dt><span class="chapter"><a href="ch-bootstrap.jsp">5. Using Bootstrap</a></span></dt><dd><dl><dt><span class="section"><a href="ch-bootstrap.jsp#s1-bootstrap-prep">5.1. Preparation</a></span></dt><dt><span class="section"><a href="s1-bootstrap-gen.jsp">5.2. Generation</a></span></dt><dt><span class="section"><a href="s1-bootstrap-use.jsp">5.3. Script Use</a></span></dt><dt><span class="section"><a href="s1-bootstrap-options.jsp">5.4. Bootstrap Options</a></span></dt></dl></dd><dt><span class="chapter"><a href="ch-scripting.jsp">6. Manually Scripting the Configuration</a></span></dt><dt><span class="chapter"><a href="ch-rhnreg-ks.jsp">7. Implementing Autoinstall</a></span></dt><dt><span class="appendix"><a href="ap-sample-bootstrap-script.jsp">A. Sample Bootstrap Script</a></span></dt></dl></div><div class="list-of-figures"><p><b>List of Figures</b></p><dl><dt>2.1. <a href="s1-latest-clients-configuring.jsp#id365546">Red Hat Update Agent GUI Configuration</a></dt><dt>2.2. <a href="s1-latest-clients-puplet.jsp#id466674">Package Updater Applet</a></dt></dl></div><div class="list-of-tables"><p><b>List of Tables</b></p><dl><dt>3.1. <a href="s1-certificate-rhnsmt.jsp#id442396">SSL Certificate Authority (CA) Options (<span class="command">mgr-ssl-tool --gen-ca --help</span>)</a></dt><dt>3.2. <a href="s1-certificate-rhnsmt.jsp#id344731">SSL Web Server Options (<span class="command"> mgr-ssl-tool --gen-server --help</span>)</a></dt><dt>5.1. <a href="s1-bootstrap-options.jsp#id445585"><span class="application">Bootstrap</span> Options</a></dt></dl></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="../../reference/en-US/s1-probes-sat.jsp">Prev</a> </td><td width="20%" align="center"> </td><td width="40%" align="right"> <a accesskey="n" href="preface.susemanager.clientconf.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">C.10. SUSE Manager </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> About This Guide</td></tr></table></div></body></html>
