<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Chapter 2. Example Topologies</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="index.jsp" title="Installation Guide" /><link rel="prev" href="ch-intro-install.jsp" title="Chapter 1. Conceptual Overview" /><link rel="next" href="s1-example-topologies-twoserver.jsp" title="2.2. Multiple SUSE Manager Horizontally Tiered Topology" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 2. Example Topologies</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch-intro-install.jsp">Prev</a> </td><th width="60%" align="center">Installation Guide</th><td width="20%" align="right"> <a accesskey="n" href="s1-example-topologies-twoserver.jsp">Next</a></td></tr></table><hr /></div><div class="chapter" title="Chapter 2. Example Topologies"><div class="titlepage"><div><div><h2 class="title"><a id="ch-example-topologies"></a>Chapter 2. Example Topologies</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch-example-topologies.jsp#s1-example-topologies-simple">2.1. Single SUSE Manager Topology</a></span></dt><dt><span class="section"><a href="s1-example-topologies-twoserver.jsp">2.2. Multiple SUSE Manager Horizontally Tiered Topology</a></span></dt><dt><span class="section"><a href="s1-example-topologies-multiservers.jsp">2.3. SUSE Manager-Proxy Vertically Tiered Topology</a></span></dt></dl></div><a id="id440022" class="indexterm"></a><p>
  SUSE Manager can be configured in multiple ways. Select one method depending
  on the following factors:
 </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
    The total number of client systems to be served by SUSE Manager.
   </p></li><li class="listitem"><p>
    The maximum number of clients expected to connect
    <span class="emphasis"><em>concurrently</em></span> to .
   </p></li><li class="listitem"><p>
    The number of custom packages and channels to be served by SUSE Manager.
   </p></li><li class="listitem"><p>
    The number of SUSE Managers being used in the customer environment.
   </p></li></ul></div><p>
  The rest of this chapter describes possible configurations and explains
  their benefits.
 </p><div class="section" title="2.1. Single SUSE Manager Topology"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-example-topologies-simple"></a>2.1. Single SUSE Manager Topology<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-example-topologies-simple">¶</a></span></h2></div></div></div><a id="id439943" class="indexterm"></a><p>
   The simplest configuration is to use a single SUSE Manager to serve your
   entire network. This configuration is adequate to service a medium-size
   group of clients and network.
  </p><p>
   The disadvantage of using one SUSE Manager is that performance will be
   compromised as the number of clients requesting packages grows.
  </p><div class="figure"><a id="id439936"></a><p class="title"><b>Figure 2.1. Single SUSE Manager Topology</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="700"><tr><td><img src="../../images/susemanager_topology_single.png" width="700" alt="Single SUSE Manager Topology" /></td></tr></table></div></div></div><br class="figure-break" /></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="ch-intro-install.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="index.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-example-topologies-twoserver.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Chapter 1. Conceptual Overview </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 2.2. Multiple SUSE Manager Horizontally Tiered Topology</td></tr></table></div></body></html>
