<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>6.5. Cloning SUSE Manager with the embedded database</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-maintenance.jsp" title="Chapter 6. Maintenance" /><link rel="prev" href="s1-use-db-control.jsp" title="6.4. Using DB Control" /><link rel="next" href="s1-redundant-satellite.jsp" title="6.6. Establishing Redundant SUSE Manager server with stand-alone database" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">6.5. Cloning SUSE Manager with the embedded database</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-use-db-control.jsp">Prev</a> </td><th width="60%" align="center">Chapter 6. Maintenance</th><td width="20%" align="right"> <a accesskey="n" href="s1-redundant-satellite.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="6.5. Cloning SUSE Manager with the embedded database"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-clone-satellite"></a>6.5. Cloning SUSE Manager with the embedded database<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-clone-satellite">¶</a></span></h2></div></div></div><a id="id282610" class="indexterm"></a><p>
   You may limit outages caused by hardware or other failures by cloning
   SUSE Manager with Embedded Database in its entirety. The secondary server
   can be prepared for use if the primary fails. To clone SUSE Manager, perform
   these tasks:
  </p><div class="orderedlist"><ol class="orderedlist" type="1"><li class="listitem"><p>
     Install SUSE Manager with embedded database

     on a separate machine, skipping the SSL Certificate generation step.
    </p></li><li class="listitem"><p>
     Back up the primary SUSE Manager database daily using the commands
     described in <a class="xref" href="s1-use-db-control.jsp#s2-rhn-db-control-backup" title="6.4.2. Backing up the Database">Section 6.4.2, “Backing up the Database”</a>. If this is
     done, only changes made the day of the failure will be lost.
    </p></li><li class="listitem"><p>
     Establish a mechanism to copy the backup to the secondary SUSE Manager and
     keep these repositories synchronized using a file transfer program such
     as <span class="command"><strong>rsync</strong></span>. If you're using a SAN, copying isn't
     necessary.
    </p></li><li class="listitem"><p>
     Use <span class="application">DB Control</span>'s <code class="option">restore</code>
     option to import the duplicate data.
    </p></li><li class="listitem"><p>
     If the primary SUSE Manager fails, transfer the SSL key pair RPM package
     in <code class="filename">/root/ssl-build</code> from the primary to the
     secondary SUSE Manager, and install the package. This ensures that clients
     can authenticate with and securely connect to the secondary server.
    </p></li><li class="listitem"><p>
     Change DNS to point to the new machine or configure your load balancer
     appropriately.
    </p></li></ol></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-use-db-control.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-maintenance.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-redundant-satellite.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">6.4. Using DB Control </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 6.6. Establishing Redundant SUSE Manager server with stand-alone database</td></tr></table></div></body></html>
