<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>6.7. Changing the SUSE Manager Hostname</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-maintenance.jsp" title="Chapter 6. Maintenance" /><link rel="prev" href="s1-redundant-satellite.jsp" title="6.6. Establishing Redundant SUSE Manager server with stand-alone database" /><link rel="next" href="s1-conduct-sat-tasks.jsp" title="6.8. Conducting SUSE Manager-Specific Tasks" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">6.7. Changing the SUSE Manager Hostname</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-redundant-satellite.jsp">Prev</a> </td><th width="60%" align="center">Chapter 6. Maintenance</th><td width="20%" align="right"> <a accesskey="n" href="s1-conduct-sat-tasks.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="6.7. Changing the SUSE Manager Hostname"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-satellite-hostname"></a>6.7. Changing the SUSE Manager Hostname<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-satellite-hostname">¶</a></span></h2></div></div></div><p>
   If you need to change the hostname or IP address of the SUSE Manager server,
   the <code class="filename">spacewalk-utils</code> package contains the
   <code class="filename">spacewalk-hostname-rename</code> script.
  </p><p>
   To use the <span class="command"><strong>spacewalk-hostname-rename</strong></span> script, you must
   first ensure that you know your SSL CA passphrase by performing the
   following command:
  </p><pre class="screen">
openssl rsa -in <em class="replaceable"><code>path</code></em>/RHN-ORG-PRIVATE-SSL-KEY
</pre><p>
   Then enter passphrase when prompted.
  </p><p>
   <span class="command"><strong>spacewalk-hostname-rename</strong></span> requires one mandatory
   argument, which is the IP address of the SUSE Manager server, regardless of
   whether the IP address will change along with the hostname or not.
  </p><p>
   The usage of <span class="command"><strong>spacewalk-hostname-rename</strong></span> is as follows:
  </p><pre class="screen">spacewalk-hostname-rename &lt;ip address&gt; [ --ssl-country=&lt;country&gt; \
--ssl-state=&lt;state&gt; --ssl-org=&lt;organization/company&gt;\
--ssl-orgunit=&lt;department&gt; --ssl-email=&lt;email address&gt; \
--ssl-ca-password=&lt;password&gt;]</pre><p>
   Changing the hostname requires to generate a new SSL certificate. If not
   all necessary options are passed at the command-line (as in the above
   example), they will be asked interactively via series of prompts.
  </p></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-redundant-satellite.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-maintenance.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-conduct-sat-tasks.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">6.6. Establishing Redundant SUSE Manager server with stand-alone database </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 6.8. Conducting SUSE Manager-Specific Tasks</td></tr></table></div></body></html>
