<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Quick Start</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="prev" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="next" href="art.susemanager.quick.jsp" title="Quick Start" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Quick Start</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="../../index.jsp">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="art.susemanager.quick.jsp">Next</a></td></tr></table><hr /></div><div xml:lang="en" class="book" title="Quick Start" lang="en"><div class="titlepage"><div><div><h1 class="title"><a id="book.susemanager.quickstart"></a>Quick Start</h1></div><div><div class="legalnotice" title="Legal Notice"><a id="id451949"></a><p>
  Copyright© 2006–
2011

  Novell, Inc. and contributors. All rights reserved.
 </p><p>
  Permission is granted to copy, distribute and/or modify this document
  under the terms of the GNU Free Documentation License, Version 1.2 or (at
  your option) version 1.3; with the Invariant Section being this copyright
  notice and license. A copy of the license version 1.2 is included in the
  section entitled <span class="quote">“<span class="quote">GNU Free Documentation License</span>”</span>.
 </p><p>
  Alternatively (at your option) this document is licensed under the Creative
  Commons Attribution-Share Alike 3.0 Unported license ("CC-BY-SA"). An
  explanation of CC-BY-SA is available at
  <a class="ulink" href="http://creativecommons.org/licenses/by-sa/3.0/" target="_top">http://creativecommons.org/licenses/by-sa/3.0/</a>. In
  accordance with CC-BY-SA, if you distribute this document or an adaptation
  of it, you must provide the URL for the original version. Novell, as the
  licensor of this document, waives the right to enforce, and agrees not to
  assert, Section 4d of CC-BY-SA to the fullest extent permitted by
  applicable law.
 </p><p>
  For Novell trademarks, see the Novell Trademark and Service Mark list
  <a class="ulink" href="http://www.novell.com/company/legal/trademarks/tmlist.html" target="_top">http://www.novell.com/company/legal/trademarks/tmlist.html</a>.
  Linux* is a registered trademark of Linus Torvalds. All other third party
  trademarks are the property of their respective owners. A trademark symbol
  (®, ™ etc.) denotes a Novell trademark; an asterisk (*) denotes
  a third party trademark.
 </p><p>
  All information found in this book has been compiled with utmost attention
  to detail. However, this does not guarantee complete accuracy. Neither
  Novell, Inc., SUSE LINUX Products GmbH, the authors, nor the translators
  shall be held liable for possible errors or the consequences thereof.
 </p></div></div></div><hr /></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="article"><a href="art.susemanager.quick.jsp">Quick Start</a></span></dt><dd><dl><dt><span class="sect1"><a href="art.susemanager.quick.jsp#sec.manager.concepts">1. Conceptual Overview</a></span></dt><dt><span class="sect1"><a href="sec.manager.requirements.jsp">2. System Requirements</a></span></dt><dd><dl><dt><span class="sect2"><a href="sec.manager.requirements.jsp#sec.manager.requirements.server">2.1. Server Requirements</a></span></dt><dt><span class="sect2"><a href="sec.manager.requirements.jsp#sec.manager.requirements.clients">2.2. Supported Client Systems</a></span></dt><dt><span class="sect2"><a href="sec.manager.requirements.jsp#sec.manager.requirements.db">2.3. Supported Databases</a></span></dt><dt><span class="sect2"><a href="sec.manager.requirements.jsp#sec.manager.requirements.other">2.4. Other Requirements</a></span></dt></dl></dd><dt><span class="sect1"><a href="sec.manager.prerequisites.jsp">3. Prerequisites</a></span></dt><dt><span class="sect1"><a href="sec.manager.inst.jsp">4. Installation and Setup</a></span></dt><dd><dl><dt><span class="sect2"><a href="sec.manager.inst.jsp#sec.manager.inst.overview">4.1. Overview and Summary of Steps</a></span></dt><dt><span class="sect2"><a href="sec.manager.inst.jsp#sec.manager.inst.installation">4.2. Installation</a></span></dt><dt><span class="sect2"><a href="sec.manager.inst.jsp#sec.manager.inst.setup">4.3. Setup</a></span></dt></dl></dd><dt><span class="sect1"><a href="sec.manager.config.jsp">5. Basic Configuration</a></span></dt><dd><dl><dt><span class="sect2"><a href="sec.manager.config.jsp#sec.manager.config.login">5.1. Login to the Web Interface</a></span></dt><dt><span class="sect2"><a href="sec.manager.config.jsp#sec.manager.config.basechannels">5.2. Setup of Novell Channels</a></span></dt><dt><span class="sect2"><a href="sec.manager.config.jsp#sec.manager.config.setup.client">5.3. Client Setup</a></span></dt><dt><span class="sect2"><a href="sec.manager.config.jsp#sec.manager.config.organizations">5.4. Organization Management</a></span></dt><dt><span class="sect2"><a href="sec.manager.config.jsp#sec.manager.config.entitlements">5.5. Management of System and Software Entitlements</a></span></dt><dt><span class="sect2"><a href="sec.manager.config.jsp#sec.manager.config.users">5.6. User Management</a></span></dt></dl></dd><dt><span class="sect1"><a href="sec.manager.server.migration.jsp">6. Server Migration</a></span></dt><dt><span class="sect1"><a href="sec.manager.trouble.jsp">7. Troubleshooting</a></span></dt><dd><dl><dt><span class="sect2"><a href="sec.manager.trouble.jsp#sec.manager.trouble.install">7.1. Installation and Basic Setup</a></span></dt><dt><span class="sect2"><a href="sec.manager.trouble.jsp#sec.manager.trouble.config">7.2. Basic Configuration</a></span></dt></dl></dd><dt><span class="sect1"><a href="bk01ar01s08.jsp">8. Glossary</a></span></dt><dt><span class="sect1"><a href="sec.manager.more.jsp">9. For More Information</a></span></dt><dt><span class="sect1"><a href="bk01ar01s10.jsp">10. Legal Notice</a></span></dt><dt><span class="sect1"><a href="bk01ar01s11.jsp">11. GNU Free Documentation License</a></span></dt><dd><dl><dt><span class="sect2"><a href="bk01ar01s11.jsp#id387279">11.1. PREAMBLE</a></span></dt><dt><span class="sect2"><a href="bk01ar01s11.jsp#id400473">11.2. APPLICABILITY AND DEFINITIONS</a></span></dt><dt><span class="sect2"><a href="bk01ar01s11.jsp#id449048">11.3. VERBATIM COPYING</a></span></dt><dt><span class="sect2"><a href="bk01ar01s11.jsp#id393731">11.4. COPYING IN QUANTITY</a></span></dt><dt><span class="sect2"><a href="bk01ar01s11.jsp#id424681">11.5. MODIFICATIONS</a></span></dt><dt><span class="sect2"><a href="bk01ar01s11.jsp#id393815">11.6. COMBINING DOCUMENTS</a></span></dt><dt><span class="sect2"><a href="bk01ar01s11.jsp#id438915">11.7. COLLECTIONS OF DOCUMENTS</a></span></dt><dt><span class="sect2"><a href="bk01ar01s11.jsp#id443441">11.8. AGGREGATION WITH INDEPENDENT WORKS</a></span></dt><dt><span class="sect2"><a href="bk01ar01s11.jsp#id443464">11.9. TRANSLATION</a></span></dt><dt><span class="sect2"><a href="bk01ar01s11.jsp#id378821">11.10. TERMINATION</a></span></dt><dt><span class="sect2"><a href="bk01ar01s11.jsp#id443474">11.11. FUTURE REVISIONS OF THIS LICENSE</a></span></dt><dt><span class="sect2"><a href="bk01ar01s11.jsp#id460134">11.12. ADDENDUM: How to use this License for your documents</a></span></dt></dl></dd></dl></dd><dt><span class="article"><a href="bk01ar02.jsp">Legal Information</a></span></dt><dd><dl><dt><span class="sect1"><a href="bk01ar02.jsp#id401334">1. GNU Free Documentation License</a></span></dt><dd><dl><dt><span class="sect2"><a href="bk01ar02.jsp#id401358">1.1. PREAMBLE</a></span></dt><dt><span class="sect2"><a href="bk01ar02.jsp#id460056">1.2. APPLICABILITY AND DEFINITIONS</a></span></dt><dt><span class="sect2"><a href="bk01ar02.jsp#id408367">1.3. VERBATIM COPYING</a></span></dt><dt><span class="sect2"><a href="bk01ar02.jsp#id408388">1.4. COPYING IN QUANTITY</a></span></dt><dt><span class="sect2"><a href="bk01ar02.jsp#id447096">1.5. MODIFICATIONS</a></span></dt><dt><span class="sect2"><a href="bk01ar02.jsp#id403629">1.6. COMBINING DOCUMENTS</a></span></dt><dt><span class="sect2"><a href="bk01ar02.jsp#id420225">1.7. COLLECTIONS OF DOCUMENTS</a></span></dt><dt><span class="sect2"><a href="bk01ar02.jsp#id420245">1.8. AGGREGATION WITH INDEPENDENT WORKS</a></span></dt><dt><span class="sect2"><a href="bk01ar02.jsp#id392558">1.9. TRANSLATION</a></span></dt><dt><span class="sect2"><a href="bk01ar02.jsp#id442519">1.10. TERMINATION</a></span></dt><dt><span class="sect2"><a href="bk01ar02.jsp#id442534">1.11. FUTURE REVISIONS OF THIS LICENSE</a></span></dt><dt><span class="sect2"><a href="bk01ar02.jsp#id374888">1.12. ADDENDUM: How to use this License for your documents</a></span></dt></dl></dd></dl></dd></dl></div><div class="list-of-figures"><p><b>List of Figures</b></p><dl><dt>1. <a href="sec.manager.inst.jsp#id376615">YaST Firstboot—Password for the System Administrator</a></dt><dt>2. <a href="sec.manager.inst.jsp#id404858">YaST Firstboot— Network Configuration</a></dt><dt>3. <a href="sec.manager.inst.jsp#id417446">YaST Firstboot—NCC Configuration</a></dt><dt>4. <a href="sec.manager.inst.jsp#id464808">Setup—Certificate</a></dt><dt>5. <a href="sec.manager.inst.jsp#id392789">Setup—Local Database</a></dt><dt>6. <a href="sec.manager.inst.jsp#id405646">Setup—NCC Settings</a></dt><dt>7. <a href="sec.manager.config.jsp#id440329">Example Activation Key</a></dt><dt>8. <a href="sec.manager.server.migration.jsp#id402752">Migration—Satellite Information</a></dt><dt>9. <a href="sec.manager.server.migration.jsp#id408514">Migration—SUSE Manager Information</a></dt><dt>10. <a href="sec.manager.server.migration.jsp#id459714">Migration—Local Database</a></dt><dt>11. <a href="sec.manager.server.migration.jsp#id372919">Migration—NCC Information</a></dt></dl></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="../../index.jsp">Prev</a> </td><td width="20%" align="center"> </td><td width="40%" align="right"> <a accesskey="n" href="art.susemanager.quick.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">SUSE Manager Documentation </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> Quick Start</td></tr></table></div></body></html>
