<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>5. Basic Configuration</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="art.susemanager.quick.jsp" title="Quick Start" /><link rel="prev" href="sec.manager.inst.jsp" title="4. Installation and Setup" /><link rel="next" href="sec.manager.server.migration.jsp" title="6. Server Migration" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">5. Basic Configuration</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="sec.manager.inst.jsp">Prev</a> </td><th width="60%" align="center">Quick Start</th><td width="20%" align="right"> <a accesskey="n" href="sec.manager.server.migration.jsp">Next</a></td></tr></table><hr /></div><div class="sect1" title="5. Basic Configuration"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="sec.manager.config"></a>5. Basic Configuration<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.manager.config">¶</a></span></h2></div></div></div><p>
  To complete the basic SUSE Manager configuration, you need to execute the
  following steps:
 </p><div class="orderedlist"><ol class="orderedlist" type="1"><li class="listitem"><p>
    <a class="xref" href="sec.manager.config.jsp#pro.manager.admin.account" title="Procedure 4. Creating the SUSE Manager Administrator Account">Creating the SUSE Manager Administrator Account</a>
   </p></li><li class="listitem"><p>
    <a class="xref" href="sec.manager.config.jsp#pro.manager.nccsync" title="Procedure 5. Importing Novell Channels from NCC">Importing Novell Channels from NCC</a>
   </p><p>
    In case of disconnected setup with an internal update server like SMT,
    you need to create custom channels, and add repositories to be
    synchronized with the custom channels.
   </p></li><li class="listitem"><p>
    <a class="xref" href="sec.manager.config.jsp#pro.manager.activationkey" title="Procedure 6. Creating Activation Keys">Creating Activation Keys</a>
   </p></li><li class="listitem"><p>
    <a class="xref" href="sec.manager.config.jsp#pro.manager.generate.bootstrap" title="Procedure 7. Generating the Bootstrap Script">Generating the Bootstrap Script</a>
   </p></li><li class="listitem"><p>
    <a class="xref" href="sec.manager.config.jsp#pro.manager.clients.register" title="Procedure 8. Editing the Bootstrap Script and Registering Clients">Editing the Bootstrap Script and Registering Clients</a>
   </p></li></ol></div><div class="sect2" title="5.1. Login to the Web Interface"><div class="titlepage"><div><div><h3 class="title"><a id="sec.manager.config.login"></a>5.1. Login to the Web Interface<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.manager.config.login">¶</a></span></h3></div></div></div><p>
   After installation of the appliance, you need to log in and create the
   first administrator account for SUSE Manager. This administrator has access
   to all resources on SUSE Manager and has the right to create and manage user
   accounts. Additionally, he is given the role of an
   <code class="systemitem">organization administrator</code> for the default
   organization created during SUSE Manager installation and setup.
  </p><p>
   To access the SUSE Manager Web interface, ask your system administrator for
   the URL of your SUSE Manager server. It is shown on the console after
   completion of the installation— see
   <a class="xref" href="sec.manager.inst.jsp#step.manager.show.hostname" title="Step 8">Step 8</a> from
   <a class="xref" href="sec.manager.inst.jsp#pro.manager.installation" title="Procedure 2. Installing the Appliance">Procedure 2, “Installing the Appliance”</a>.
  </p><div class="procedure" title="Procedure 4. Creating the SUSE Manager Administrator Account"><a id="pro.manager.admin.account"></a><p class="title"><b>Procedure 4. Creating the SUSE Manager Administrator Account</b></p><ol class="procedure" type="1"><li class="step" title="Step 1"><a id="st.manager.basics.server-url"></a><p>
     Start a Web browser. Enter the URL of your SUSE Manager server, using the
     Fully Qualified Domain name as in the following example:
     <code class="literal">susemanager.example.com</code>.

     The SUSE Manager Web interface appears. Upon first login, you are prompted
     to create the SUSE Manager administrator account.
    </p></li><li class="step" title="Step 2"><p>
     Enter the data for the administrator account and click <span class="guimenu">Create
     Login</span>.
    </p><div class="informalfigure"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="95%"><tr><td><img src="../../images/susemanager_create_admin.png" width="100%" /></td></tr></table></div></div><p>
     You will be logged in as administrator.
    </p></li><li class="step" title="Step 3"><p>
     On the <span class="guimenu">Overview</span> tab, a message notifies you to
     finalize your basic system configuration. To make use of the monitoring
     features provided by SUSE Manager, click the link in the message, activate
     <span class="guimenu">Enable Monitoring</span> and click
     <span class="guimenu">Update</span>.
    </p><p>
     Monitoring allows an organization to install probes that can
     immediately detect failures and identify performance degradation on
     client systems. 
    </p></li></ol></div></div><div class="sect2" title="5.2. Setup of Novell Channels"><div class="titlepage"><div><div><h3 class="title"><a id="sec.manager.config.basechannels"></a>5.2. Setup of Novell Channels<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.manager.config.basechannels">¶</a></span></h3></div></div></div><p>
   Channels are collections of repositories which are assigned to client
   systems. Without a channel, clients cannot be grouped nor can they
   receive updates.
  </p><div class="procedure" title="Procedure 5. Importing Novell Channels from NCC"><a id="pro.manager.nccsync"></a><p class="title"><b>Procedure 5. Importing Novell Channels from NCC</b></p><div class="note" title="SUSE Manager Server Without Internet Connection" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">SUSE Manager Server Without Internet Connection</h3><p>
     This procedure only applies to scenarios where your SUSE Manager server is
     connected to the Internet.
    </p><p>
     For disconnected scenarios (if you want to use SUSE Manager in conjunction
     with an internal update server like Subscription Management Tool), create custom channels
     and add repositories to be synchronized with the custom channels. For
     details, refer to <a class="xref" href="../../reference/en-US/s1-sm-channels-packages.jsp" title="3.6. Channels">Section 3.6, “Channels”</a> and
     <a class="xref" href="../../reference/en-US/s1-sm-channels-packages.jsp#s3-chnl-mgmt-mng-repos" title="3.6.3.3. Manage Software Channels+Manage Repositories">Section 3.6.3.3, “<span class="guimenu">Manage Software Channels</span>+<span class="guimenu">Manage Repositories</span>”</a>, respectively.
    </p></div><p>
    During installation, a first synchronization between Novell Customer Center and SUSE Manager
    is automatically done by <span class="command"><strong>mgr-ncc-sync</strong></span>.

    At this point in time, it only downloads the subscriptions to the
    products you have registered for, but it does not synchronize any
    channel data yet. After installation, you need to import the channels
    you need.
   </p><ol class="procedure" type="1"><li class="step" title="Step 1"><p>
     On a shell, log in to the SUSE Manager server as <code class="systemitem">root</code>.
    </p></li><li class="step" title="Step 2"><p>
     Execute <span class="command"><strong>mgr-ncc-sync <code class="option">-l</code></strong></span> to view all
     channels that you are allowed to synchronize with SUSE Manager. The output
     lists both parent and child channels. The following notation is used to
     mark each channel:
    </p><div class="itemizedlist"><ul class="itemizedlist" type="bullet"><li class="listitem" style="list-style-type: disc"><p>
       <code class="literal">[.]</code>: A channel not imported or synchronized yet.
      </p></li><li class="listitem" style="list-style-type: disc"><p>
       <code class="literal">[p]</code>: A previously imported or synchronized
       channel.
      </p></li></ul></div></li><li class="step" title="Step 3"><p>
     Select the channels you want to import. You can only import child
     channels if their respective parent channels is already imported.
    </p><div class="warning" title="Novell Channels Cannot Be Deleted" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Novell Channels Cannot Be Deleted</h3><p>
      Once imported, Novell channels cannot be deleted. Only custom
      software channels can be deleted.
     </p></div></li><li class="step" title="Step 4"><p>
     For each channel that you want to import, run
     <span class="command"><strong>mgr-ncc-sync</strong></span> with the <code class="option">-c</code> option and
     add and the respective channel label. For example:
    </p><pre class="screen">mgr-ncc-sync -c suse_sles_11.i586-base</pre><p>
     The respective channel data is imported into the SUSE Manager database and
     a full synchronization is triggered for that channel.
    </p></li></ol></div><div class="note" title="Client Tools Channel" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Client Tools Channel</h3><p>
    Make sure to also import the <code class="systemitem">client tools</code>
    channel. It provides the packages that need to be installed on a system
    to make it a SUSE Manager client system.
   </p></div><p>
   Any channel that has been imported is also displayed in the SUSE Manager Web
   interface. To see a list of all channels, go to the
   <span class="guimenu">Channels</span> tab and select <span class="guimenu">Novell
   Channels</span> from the left navigation bar.
  </p></div><div class="sect2" title="5.3. Client Setup"><div class="titlepage"><div><div><h3 class="title"><a id="sec.manager.config.setup.client"></a>5.3. Client Setup<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.manager.config.setup.client">¶</a></span></h3></div></div></div><p>
   For a list of client systems supported by SUSE Manager, refer to
   <a class="xref" href="sec.manager.requirements.jsp#sec.manager.requirements.clients" title="2.2. Supported Client Systems">Section 2.2, “Supported Client Systems”</a>. Registering
   clients to SUSE Manager is done with a bootstrap script that deploys all
   necessary information to the clients. The bootstrap script refers some
   parameters (like activation keys or GPG keys) that depend on your
   particular setup.
  </p><div class="procedure" title="Procedure 6. Creating Activation Keys"><a id="pro.manager.activationkey"></a><p class="title"><b>Procedure 6. Creating Activation Keys</b></p><p>
    Activation keys define entitlements, and which channels and groups the
    client system is allowed to subscribe to. This information is passed on
    to all systems registered with a key. Each activation key is bound to
    the organization for which it has been created.
   </p><div class="note" title="Activation Keys for New Organizations" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Activation Keys for New Organizations</h3><p>
     If you created a new organization for which to create activation keys,
     you need to assign system entitlements first. For details, refer to
     <a class="xref" href="sec.manager.config.jsp#pro.manager.config.entitlements" title="Procedure 10. Assigning Entitlements to an Organization">Procedure 10, “Assigning Entitlements to an Organization”</a> and
     <a class="xref" href="sec.manager.config.jsp#sec.manager.config.organizations" title="5.4. Organization Management">Section 5.4, “Organization Management”</a>. The default
     organization has all necessary prerequisites by default.
    </p></div><ol class="procedure" type="1"><li class="step" title="Step 1"><p>
     Log in to the SUSE Manager Web interface as administrator.
    </p></li><li class="step" title="Step 2"><p>
     Switch to the <span class="guimenu">Systems</span> tab and select <span class="guimenu">Activation Keys</span>.
    </p></li><li class="step" title="Step 3"><p>
     Click the <span class="guimenu">Create New Key</span> link at the upper right
     corner.
    </p></li><li class="step" title="Step 4"><p>
     Enter a <span class="guimenu">Description</span> to identify the generated
     activation key.
    </p></li><li class="step" title="Step 5"><p>
     If you want the key to be generated automatically, leave the
     <span class="guimenu">Key</span> input field empty. If you want to use a certain
     string for the key, define the desired string in the
     <span class="guimenu">Key</span> input field.
    </p><div class="warning" title="Allowed Characters" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Allowed Characters</h3><p>
      Do not use commas within the key string. All other characters are
      allowed. (Commas are used as separators when registering client
      systems with multiple activation keys with
      <span class="command"><strong>rhnreg_ks</strong></span>).
     </p></div></li><li class="step" title="Step 6"><p>
     To restrict the number of client systems that can be registered with the
     activation key, set a <span class="guimenu">Usage Limit</span> by entering a
     maximum number of systems.

    </p><p>
     For unlimited use, leave this field empty.
    </p></li><li class="step" title="Step 7"><p>
     With <span class="guimenu">Base Channels</span>, set the primary channel for the
     key. This can be either the <code class="literal">SUSE Manager Default</code>
     channel or a custom base channel.
    </p><p>
     Choosing <code class="literal">SUSE Manager Default</code> allows client systems to
     register with the default Novell-provided channel that corresponds to
     their installed version of SUSE Linux Enterprise.

    </p></li><li class="step" title="Step 8"><p>
     Activate the <span class="guimenu">Add-On Entitlements</span> that you want to
     give to the client systems that are registered with that key.
    </p></li><li class="step" title="Step 9"><p>
     If any newly registered client systems of your organization should
     inherit the properties of this key, activate the <span class="guimenu">Universal
     Default</span> checkbox. Only one universal default activation key
     can be defined per organization.
    </p></li><li class="step" title="Step 10"><p>
     Generate the key by clicking <span class="guimenu">Create Activation Key</span>.
    </p></li><li class="step" title="Step 11"><p>
     To create more activation keys, repeat the steps above.
    </p></li></ol></div><div class="figure"><a id="id440329"></a><p class="title"><b>Figure 7. Example Activation Key</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="75%"><tr><td><img src="../../images/susemanager_create_activ_key.png" width="100%" alt="Example Activation Key" /></td></tr></table></div></div></div><br class="figure-break" /><div class="note" title="Activation Key Update" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Activation Key Update</h3><p>
    After modifying or adding any components that are bound to an existing
    activation key (for example, channels to which to subscribe to), make
    sure to update the key under <span class="guimenu">Systems</span>+<span class="guimenu">Activation Keys</span>+<span class="guimenu">KEY_TO_MODIFY</span>+<span class="guimenu">Update Activation Key</span>.
   </p></div><p>
   The next steps are to generate the <code class="filename">bootstrap.sh</code>
   script on the SUSE Manager server, to edit a copy of the script and to run
   the resulting script on each client machine that you want to register with
   SUSE Manager.
  </p><div class="procedure" title="Procedure 7. Generating the Bootstrap Script"><a id="pro.manager.generate.bootstrap"></a><p class="title"><b>Procedure 7. Generating the Bootstrap Script</b></p><p>
    Several options in the bootstrap script can be set via the SUSE Manager Web
    interface, for example, if remote command execution or remote
    configuration of clients should be allowed.
   </p><ol class="procedure" type="1"><li class="step" title="Step 1"><p>
     On the SUSE Manager Web interface, switch to the <span class="guimenu">Admin</span>
     tab and select <span class="guimenu">SUSE Manager
     Configuration</span>+<span class="guimenu">Bootstrap Script</span>.
    </p></li><li class="step" title="Step 2"><a id="step.manager.bootstrap.options"></a><p>
     Check the options listed on the page and activate or deactivate them
     according to your needs.
    </p><div class="note" title="Remote Command Execution and Configuration" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Remote Command Execution and Configuration</h3><p>
      If you choose to <span class="guimenu">Enable Remote Configuration</span> and/or
      <span class="guimenu">Enable Remote Commands</span>, make sure that the
      <code class="systemitem">rhncfg-actions</code> package is installed on the
      client systems:
     </p><div class="orderedlist"><ol class="orderedlist" type="1"><li class="listitem"><p>
        Switch to the <span class="guimenu">Systems</span> tab and select <span class="guimenu">Activation Keys</span>.
       </p></li><li class="listitem"><p>
        From the list of activation keys, click the activation key you want
        to modify.
       </p></li><li class="listitem"><p>
        Click the <span class="guimenu">Packages</span> subtab, enter
        <code class="systemitem">rhncfg-actions</code> into the input field and
        click <span class="guimenu">Update Key</span>.
       </p></li></ol></div><p>
      The required package for remote command execution and configuration
      will automatically be installed on all client systems registered with
      the respective activation key.
     </p></div></li><li class="step" title="Step 3"><a id="step.manager.create.bootstrap"></a><p>
     Click the <span class="guimenu">Update</span> button. The necessary bootstrap
     script is generated and stored on the server's filesystem in the
     <code class="filename">/srv/www/htdocs/pub/bootstrap</code> directory. It is
     also available from
     <code class="filename">susemanager.example.com/pub/bootstrap/</code>.
    </p></li><li class="step" title="Step 4"><p>
     Proceed with <a class="xref" href="sec.manager.config.jsp#pro.manager.clients.register" title="Procedure 8. Editing the Bootstrap Script and Registering Clients">Procedure 8, “Editing the Bootstrap Script and Registering Clients”</a>.
    </p></li></ol></div><div class="procedure" title="Procedure 8. Editing the Bootstrap Script and Registering Clients"><a id="pro.manager.clients.register"></a><p class="title"><b>Procedure 8. Editing the Bootstrap Script and Registering Clients</b></p><p>
    Adjust the generated bootstrap script according to your needs. The
    minimal requirement is to include the activation key. We strongly
    recommend to also include one or more GPG keys (for example, your
    organization key, and package signing keys). Then execute the resulting
    script on each client machine that you want to register with SUSE Manager
    (either centrally, from the SUSE Manager server, or decentralized, on each
    client.)
   </p><div class="note" title="Access to Installation Media During Registration" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Access to Installation Media During Registration</h3><p>
     The bootstrap process triggers installation of packages on the client
     machines. Before executing the bootstrap script on a client, make sure
     the client can access its default installation medium: network access
     (in case of network repositories) or inserted DVD (in case of physical
     media).
    </p></div><ol class="procedure" type="1"><li class="step" title="Step 1"><p>
     Log in as <code class="systemitem">root</code> to the SUSE Manager server.
    </p></li><li class="step" title="Step 2"><p>
     Create a copy of the automatically generated script:
    </p><pre class="screen">
cp /srv/www/htdocs/pub/bootstrap/bootstrap.sh \
      /srv/www/htdocs/pub/bootstrap/bootstrap-<em class="replaceable"><code>edited</code></em>.sh</pre></li><li class="step" title="Step 3"><p>
     Edit the copy as follows:
    </p><ol type="a" class="substeps"><li class="step" title="Step 3.a"><p>
       Search for the <code class="literal">ACTIVATION_KEYS</code> entry and enter the
       activation key from <a class="xref" href="sec.manager.config.jsp#pro.manager.activationkey" title="Procedure 6. Creating Activation Keys">Procedure 6, “Creating Activation Keys”</a>. Make
       sure to also include the organization prefix in the key, for example:
      </p><pre class="screen">
ACTIVATION_KEYS=1-fef154ddcf0d515fc</pre></li><li class="step" title="Step 3.b"><p>
       Search for the <code class="literal">ORG_GPG_KEY</code> entry and enter one or
       more GPG keys. Multiple keys must be entered as comma-separated list.
      </p><div class="note" title="Package Signing Key for Red Hat Support" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Package Signing Key for Red Hat Support</h3><p>
        If you receive maintenance and support for your Red Hat client systems
        through Novell, make sure to include the package signing key you
        received from Novell. Otherwise the RPM packages cannot be
        installed on the Red Hat client systems.
       </p></div></li><li class="step" title="Step 3.c"><p>
       Adjust further parameters, if needed. For details, refer to the
       comments in <code class="filename">bootstrap.sh</code>.
      </p></li><li class="step" title="Step 3.d"><p>
       To enable the script for execution, remove the <code class="literal">exit
       1</code> entry from the message block. The last lines of the
       message block should now read:
      </p><pre class="screen">echo "the exit below)"
        echo</pre></li></ol></li><li class="step" title="Step 4"><p>
     Save the edited version of the script.
    </p></li><li class="step" title="Step 5"><p>
     Use one of the following possibilities to execute the edited script on
     all client machines that you want to register with SUSE Manager:
    </p><div class="itemizedlist"><ul class="itemizedlist" type="bullet"><li class="listitem" style="list-style-type: disc"><p>
       Log in as <code class="systemitem">root</code> on the SUSE Manager server and execute the
       following commands:
      </p><pre class="screen">cd /srv/www/htdocs/pub/bootstrap/
cat bootstrap-<em class="replaceable"><code>edited</code></em>.sh | ssh \
root@<em class="replaceable"><code>client_hostname</code></em> /bin/bash</pre></li><li class="listitem" style="list-style-type: disc"><p>
       
       Log in to each client and execute the following command:
      </p><pre class="screen">
curl -Sks https://<em class="replaceable"><code>server_hostname</code></em>/pub
/bootstrap/bootstrap-<em class="replaceable"><code>edited</code></em>.sh | /bin/bash</pre></li></ul></div><p>
     The clients are registered with the SUSE Manager server specified in the
     bootstrap script. The SUSE Manager Web interface shows the registered
     client systems on the <span class="guimenu">Systems</span> tab.
    </p></li></ol></div><p>
   For more information about bootstrapping, refer to
   <a class="xref" href="../../client-config/en-US/ch-bootstrap.jsp" title="Chapter 5. Using Bootstrap">Chapter 5, <i>Using Bootstrap</i></a>.
  </p></div><div class="sect2" title="5.4. Organization Management"><div class="titlepage"><div><div><h3 class="title"><a id="sec.manager.config.organizations"></a>5.4. Organization Management<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.manager.config.organizations">¶</a></span></h3></div></div></div><p>
   During installation and setup, SUSE Manager automatically creates a default
   administrative organization. It gets the organization ID
   <code class="literal">1</code> and the organization name that you entered in
   <a class="xref" href="sec.manager.inst.jsp#step.manager.setup.org" title="Step 5.a">Step 5.a</a> in
   <a class="xref" href="sec.manager.inst.jsp#pro.manager.setup" title="Procedure 3. Setting Up SUSE Manager">Procedure 3, “Setting Up SUSE Manager”</a>. For management of larger
   environments, create multiple organizations: for example, for different
   departments within your company—or for administering several
   distinct third-party companies.
  </p><div class="note" title="Use of Default Administrative Organization" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Use of Default Administrative Organization</h3><p>
    For managing multiple organization, create new, dedicated organizations
    within SUSE Manager. The default administrative organization receives
    special treatment with regards to subscriptions and entitlements. 
    Therefore do <span class="emphasis"><em>not</em></span> use the
    default administrative organization for registering client systems and
    creating users in a multi-organization setup.
    For details, refer to
    <a class="xref" href="../../reference/en-US/ch-multiorg.jsp#s2-multiorg-bestpractices" title="5.1.3. General Tips for Multi-Org Usage">Section 5.1.3, “General Tips for Multi-Org Usage”</a>.
   </p></div><div class="procedure" title="Procedure 9. Creating and Deleting Organizations"><a id="pro.manager.config.orga"></a><p class="title"><b>Procedure 9. Creating and Deleting Organizations</b></p><p>
    Administrators can create new organizations and assign entitlements,
    groups, systems, and users to it. This enables organizations to perform
    administrative tasks on their own without affecting other organizations.
   </p><ol class="procedure" type="1"><li class="step" title="Step 1"><p>
     Log in to the Web interface as SUSE Manager administrator or organization
     administrator.
    </p></li><li class="step" title="Step 2"><p>
     To create an organization:
    </p><ol type="a" class="substeps"><li class="step" title="Step 2.a"><p>
       Switch to the <span class="guimenu">Admin</span> tab to see a list of all
       <span class="guimenu">Organizations</span> within SUSE Manager.
      </p></li><li class="step" title="Step 2.b"><p>
       Click the <span class="guimenu">Create New Organization</span> link at the top
       right corner.
      </p></li><li class="step" title="Step 2.c"><p>
       Enter an <span class="guimenu">Organization Name</span>.
      </p></li><li class="step" title="Step 2.d"><p>
       To create the initial organization administrator for the new
       organization, enter the <span class="guimenu">Desired Login</span> and the
       <span class="guimenu">Desired Password</span> for the new user and confirm the
       password.
      </p></li><li class="step" title="Step 2.e"><p>
       Enter the first and last name and the e-mail address of the new user.
      </p></li><li class="step" title="Step 2.f"><p>
       To finish, click <span class="guimenu">Create Organization</span>.
      </p></li></ol></li><li class="step" title="Step 3"><p>
     To delete an organization:
    </p><ol type="a" class="substeps"><li class="step" title="Step 3.a"><p>
       On the <span class="guimenu">Admin</span> tab, select
       <span class="guimenu">Organizations</span> from the left navigation bar.
      </p></li><li class="step" title="Step 3.b"><p>
       Click the desired organization to see the organization details.
      </p></li><li class="step" title="Step 3.c"><p>
       Click the <span class="guimenu">Delete Organization</span> link at the upper
       right corner and confirm by clicking the <span class="guimenu">Delete
       Organization</span> button.
      </p></li></ol></li></ol></div></div><div class="sect2" title="5.5. Management of System and Software Entitlements"><div class="titlepage"><div><div><h3 class="title"><a id="sec.manager.config.entitlements"></a>5.5. Management of System and Software Entitlements<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.manager.config.entitlements">¶</a></span></h3></div></div></div><p>
   One important task after creating a new organization is to assign
   entitlements to the new organization. There are two types of entitlements
   that are important:
  </p><div class="variablelist"><dl><dt><span class="term">System Entitlements</span></dt><dd><p>
      Various categories of system entitlements are available: management,
      provisioning, monitoring, and virtualization entitlements. Having
      management entitlements is a base requirement for an organization to
      function in SUSE Manager. The maximum number of systems that may register
      with an organization in SUSE Manager depends on the number of management
      entitlements allocated to that organization—regardless of the
      number of software entitlements available.
     </p></dd><dt><span class="term">Software Channel Entitlements</span></dt><dd><p>
      Apart from system entitlements, software channel entitlements are
      needed for each organization. For example, you must grant
      <code class="systemitem">client tools</code> channel entitlements to each
      organization (as this channels contains client software required for
      extended SUSE Manager functionality, such as AutoYaST or Kickstart or
      virtualization support).
     </p></dd></dl></div><p>
   The default organization automatically gets the needed system and
   software entitlements during the synchronization with
   <span class="command"><strong>mgr-ncc-sync</strong></span>. To transfer the respective entitlements
   from the default organization to any newly created organization, proceed
   as follows.
  </p><div class="procedure" title="Procedure 10. Assigning Entitlements to an Organization"><a id="pro.manager.config.entitlements"></a><p class="title"><b>Procedure 10. Assigning Entitlements to an Organization</b></p><ol class="procedure" type="1"><li class="step" title="Step 1"><p>
     Log in to the SUSE Manager Web interface as SUSE Manager administrator.
    </p></li><li class="step" title="Step 2"><p>
     Switch to the <span class="guimenu">Admin</span> tab and from the left navigation
     bar, select <span class="guimenu">Organizations</span>.
    </p></li><li class="step" title="Step 3"><p>
     Select the organization for which to assign or change entitlements and
     select the <span class="guimenu">Subscriptions</span> sub-tab.
    </p></li><li class="step" title="Step 4"><p>
     To set any system entitlements for the selected organization:
    </p><ol type="a" class="substeps"><li class="step" title="Step 4.a"><p>
       Click the <span class="guimenu">System Entitlements</span> sub-tab to view the
       <span class="guimenu">System Entitlements Counts</span>.
      </p></li><li class="step" title="Step 4.b"><p>
       Set the total number of <span class="guimenu">Management (Base)</span>
       entitlements for the current organization by entering a value in the
       <span class="guimenu">Proposed Total</span> field.
      </p></li><li class="step" title="Step 4.c"><p>
       Similarly, set total numbers for any other entitlements you may need
       (like monitoring, provisioning, virtualization).
      </p></li><li class="step" title="Step 4.d"><p>
       Click <span class="guimenu">Update Organization</span> to confirm your changes.
      </p></li></ol></li><li class="step" title="Step 5"><p>
     To set software channel entitlements for the selected organization:
    </p><ol type="a" class="substeps"><li class="step" title="Step 5.a"><p>
       Click the <span class="guimenu">Software Channel Entitlements</span> subtab to
       view the <span class="guimenu">Software Channel Entitlements Counts</span>.
      </p></li><li class="step" title="Step 5.b"><p>
       For any channel that should be available to the client systems of the
       current organization, enter the desired number of entitlements for
       this channel in the <span class="guimenu">Regular Proposed Total</span> field.
      </p></li><li class="step" title="Step 5.c"><p>
       Click <span class="guimenu">Update Organization</span> to confirm your changes.
      </p></li></ol></li></ol></div><p>
   Any number of system or software entitlements assigned to an organization
   are deducted from the total number of system or software entitlements.
  </p><p>
   To view the total number of software entitlements across all
   organizations in SUSE Manager, switch to the <span class="guimenu">Admin</span> tab
   and select <span class="guimenu">Subscriptions</span>+<span class="guimenu">Software Channel Entitlements</span>.
  </p></div><div class="sect2" title="5.6. User Management"><div class="titlepage"><div><div><h3 class="title"><a id="sec.manager.config.users"></a>5.6. User Management<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.manager.config.users">¶</a></span></h3></div></div></div><p>
   Upon first login to the SUSE Manager Web interface, the account for the
   first SUSE Manager administrator needs to be created, as described in
   <a class="xref" href="sec.manager.config.jsp#pro.manager.admin.account" title="Procedure 4. Creating the SUSE Manager Administrator Account">Procedure 4, “Creating the SUSE Manager Administrator Account”</a>. The SUSE Manager administrator
   can then add more SUSE Manager users and grant and edit permissions for each
   user.
  </p><div class="note" title="Users and Organizations" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Users and Organizations</h3><p>
    Each user belongs to the organization within which the user account has
    been created. A user cannot belong to more than one organization. For
    creating or editing a user account, log in with an <code class="literal">organization
    administrator</code> account for the organization to which the user
    belongs or should belong.
   </p></div><div class="procedure" title="Procedure 11. Creating User Accounts"><a id="pro.manager.user.add"></a><p class="title"><b>Procedure 11. Creating User Accounts</b></p><p>
    Only organization administrators or SUSE Manager administrators can create
    and edit user accounts.
   </p><ol class="procedure" type="1"><li class="step" title="Step 1"><p>
     Log in to the SUSE Manager Web interface as administrator. The top level
     row of the Web interface shows the organization you are currently
     logged in to.
    </p></li><li class="step" title="Step 2"><p>
     Switch to the <span class="guimenu">Users</span> tab and click the
     <span class="guimenu">create new user</span> link at the upper right corner.
    </p></li><li class="step" title="Step 3"><p>
     Enter the <span class="guimenu">Desired Login</span> and the <span class="guimenu">Desired
     Password</span> for the new user and confirm the password. Both
     login and password must consist of at least 5 characters.
    </p></li><li class="step" title="Step 4"><p>
     Enter the first and last name and the e-mail address of the new user
     and click <span class="guimenu">Create Login</span>. The Web interface switches
     to the <span class="guimenu">User List</span>, showing either
     <span class="guimenu">Active</span>, <span class="guimenu">Deactivated</span>, or
     <span class="guimenu">All</span> users.
    </p></li></ol></div><p>
   With the creation of a new user account, the user can log in to the
   SUSE Manager Web interface, but he does not have any administrative
   permissions yet. Administrative permissions are granted via roles. Each
   user can have multiple roles. To assign roles to a user and to set other
   permissions and options proceed as described in 
   <a class="xref" href="sec.manager.config.jsp#pro.manager.user.edit" title="Procedure 12. Editing User Accounts">Procedure 12, “Editing User Accounts”</a>:</p><div class="procedure" title="Procedure 12. Editing User Accounts"><a id="pro.manager.user.edit"></a><p class="title"><b>Procedure 12. Editing User Accounts</b></p><ol class="procedure" type="1"><li class="step" title="Step 1"><p>
     Log in to the SUSE Manager Web interface as administrator. The top level
     row of the Web interface shows the organization you are currently
     logged in to.
    </p></li><li class="step" title="Step 2"><p>
     Switch to the <span class="guimenu">Users</span> tab.
    </p></li><li class="step" title="Step 3"><p>
     From the left navigation bar, select if you want to see
     <span class="guimenu">Active</span>, <span class="guimenu">Deactivated</span>, or
     <span class="guimenu">All</span> users.
    </p></li><li class="step" title="Step 4"><p>
     From the list of users, click the user entry you want to modify. The
     Web interface shows the <span class="guimenu">User Details</span> for the
     selected entry. Apart from the user's name and password, the
     <span class="guimenu">Details</span> sub-tab also lets you assign roles to the
     user.
    </p></li><li class="step" title="Step 5"><p>
     Select the roles that you want to assign to the user. For detailed
     information about the roles, refer to
     <a class="xref" href="../../reference/en-US/s1-sm-users.jsp#s4-usr-active-details-details" title="3.9.1.1.1. User List+Active+User Details+Details — [Mgmt]">Section 3.9.1.1.1, “<span class="guimenu">User List</span>+<span class="guimenu">Active</span>+<span class="guimenu">User Details</span>+<span class="guimenu">Details</span> — [Mgmt]”</a>. If you activate
     the <span class="guimenu">Organization Administrator</span> check box, the user
     will automatically inherit the roles listed below. To assign or remove
     individual roles, activate or deactivate the respective check boxes.
    </p></li><li class="step" title="Step 6"><p>
     Click <span class="guimenu">Submit</span> to confirm your changes on the
     <span class="guimenu">Details</span> sub-tab.
    </p></li><li class="step" title="Step 7"><p>
     To set or modify the user's permissions for system groups, systems or
     channels that exist within the current organization, switch to the
     respective sub-tabs and follow the instructions on the Web interface.
    </p></li><li class="step" title="Step 8"><p>
     To modify preferences, addresses or notification methods for the
     currently selected user, switch to the respective sub-tabs and confirm
     your changes.
    </p></li></ol></div><div class="procedure" title="Procedure 13. Adding or Removing the SUSE Manager Administrator Role"><a id="pro.manager.user.admin"></a><p class="title"><b>Procedure 13. Adding or Removing the SUSE Manager Administrator Role</b></p><p>
    As SUSE Manager administrator, you can assign the permission to
    become SUSE Manager administrator to other users.
   </p><ol class="procedure" type="1"><li class="step" title="Step 1"><p>
     Log in to the Web interface as SUSE Manager administrator.
    </p></li><li class="step" title="Step 2"><p>
     For an overview of all users that exist within SUSE Manager (across all
     organizations), switch to the <span class="guimenu">Admin</span> tab and select
     <span class="guimenu">Users</span> from the left navigation bar.
    </p><div class="informalfigure"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="75%"><tr><td><img src="../../images/susemanager_list_all_users.png" width="100%" /></td></tr></table></div></div><p>
     A green checkmark in the <span class="guimenu">SUSE Manager Administrator</span>
     column marks users that have the respective permission.
    </p></li><li class="step" title="Step 3"><p>
     To assign or remove the <code class="systemitem">SUSE Manager
     administrator</code> role, activate or deactivate the
     <span class="guimenu">SUSE Manager Administrator</span> checkbox for the respective
     user.
    </p></li></ol></div><p>
   For more details about user management, refer to
   <a class="xref" href="../../reference/en-US/s1-sm-users.jsp" title="3.9. Users — [Mgmt]">Section 3.9, “Users — [Mgmt]”</a>.
  </p></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="sec.manager.inst.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="art.susemanager.quick.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="sec.manager.server.migration.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">4. Installation and Setup </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 6. Server Migration</td></tr></table></div></body></html>
