<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>6. Server Migration</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="art.susemanager.quick.jsp" title="Quick Start" /><link rel="prev" href="sec.manager.config.jsp" title="5. Basic Configuration" /><link rel="next" href="sec.manager.trouble.jsp" title="7. Troubleshooting" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">6. Server Migration</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="sec.manager.config.jsp">Prev</a> </td><th width="60%" align="center">Quick Start</th><td width="20%" align="right"> <a accesskey="n" href="sec.manager.trouble.jsp">Next</a></td></tr></table><hr /></div><div class="sect1" title="6. Server Migration"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="sec.manager.server.migration"></a>6. Server Migration<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.manager.server.migration">¶</a></span></h2></div></div></div><p>
  
  If you have a SUSE Manager server installed in parallel to an existing
  Satellite server, you can migrate your Satellite server to SUSE Manager. The
  YaST SUSE Manager setup module first collects the necessary information.
  Then you execute the migration in several steps with the
  <code class="filename">migration.sh</code> script as described in
  <a class="xref" href="sec.manager.server.migration.jsp#pro.manager.server.migration" title="Procedure 14. Migrating a Red Hat Satellite to SUSE Manager">Procedure 14, “Migrating a Red Hat Satellite to SUSE Manager”</a>. Use <code class="option">-h</code>
  to see the available options:
 </p><pre class="screen">/usr/lib/susemanager/bin/migration.sh -h</pre><div class="note" title="Supported Migration" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Supported Migration</h3><p>
   SUSE Manager only supports migration from Satellite 5.3 and 5.4 servers.
  </p></div><div class="procedure" title="Procedure 14. Migrating a Red Hat Satellite to SUSE Manager"><a id="pro.manager.server.migration"></a><p class="title"><b>Procedure 14. Migrating a Red Hat Satellite to SUSE Manager</b></p><ol class="procedure" type="1"><li class="step" title="Step 1"><p>
    Log in to your existing SUSE Manager server as <code class="systemitem">root</code>.
   </p></li><li class="step" title="Step 2"><p>
    Execute <span class="command"><strong>yast2 susemanager_setup</strong></span> to start the
    YaST module.
   </p></li><li class="step" title="Step 3"><p>
    Select <span class="guimenu">Migrate a Satellite/Spacewalk compatible
    server</span>. Proceed with <span class="guimenu">Next</span>.
   </p></li><li class="step" title="Step 4"><p>
    In the next screen, enter the <span class="guimenu">Hostname of the Satellite
    Server</span>, its <span class="guimenu">Domain Name</span>, the
    <span class="guimenu">Satellite Database Username</span>, the <span class="guimenu">Satellite
    Database Password</span>, and the <span class="guimenu">Satellite Database
    SID</span>.
   </p><div class="figure"><a id="id402752"></a><p class="title"><b>Figure 8. Migration—Satellite Information</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="75%"><tr><td><img src="../../images/susemanager_migration_dialog_satellite.png" width="100%" alt="Migration—Satellite Information" /></td></tr></table></div></div></div><br class="figure-break" /><p>
    Proceed with <span class="guimenu">Next</span>.
   </p></li><li class="step" title="Step 5"><p>
    In the next screen, enter the <span class="guimenu">IP Address of the SUSE Manager
    Server</span>, the <span class="guimenu">Database Administrator Password</span>
    (belonging to the database's <code class="systemitem">root</code>), and the e-mail address of the
    SUSE Manager administrator.
   </p><div class="figure"><a id="id408514"></a><p class="title"><b>Figure 9. Migration—SUSE Manager Information</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="75%"><tr><td><img src="../../images/susemanager_migration_dialog_mgr.png" width="100%" alt="Migration—SUSE Manager Information" /></td></tr></table></div></div></div><br class="figure-break" /><p>
    Proceed with <span class="guimenu">Next</span>.
   </p></li><li class="step" title="Step 6"><p>
    The next screen asks for details about the database to be migrated.
   </p><ol type="a" class="substeps"><li class="step" title="Step 6.a"><p>If you want to migrate data from an embedded database, select
       <span class="guimenu">Local Database</span>. YaST automatically sets the
       <span class="guimenu">Port</span> and <span class="guimenu">Protocol</span>. </p><p>
      To migrate data from an existing remote database instead, select
      <span class="guimenu">Remote Database</span> and enter the following details for
      the connection to the database: the database system (SID) used to
      identify a particular database instance, the FQDN of the remote
      database, the external <span class="guimenu">Port</span> to use (usually
      <code class="literal">1521</code>), and the <span class="guimenu">Protocol</span> to use
      (usually <code class="literal">TCP</code>).
     </p></li><li class="step" title="Step 6.b"><p>
      Enter or set the name and password of the SUSE Manager database user
      (that is used to connect to the local or remote database).
     </p></li><li class="step" title="Step 6.c"><p>
      Repeat the password in the next field.
     </p><div class="figure"><a id="id459714"></a><p class="title"><b>Figure 10. Migration—Local Database</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="75%"><tr><td><img src="../../images/susemanager_setup_db.png" width="100%" alt="Migration—Local Database" /></td></tr></table></div></div></div><br class="figure-break" /><p>
      Proceed with <span class="guimenu">Next</span>.
     </p></li></ol></li><li class="step" title="Step 7"><p>
    The next screen asks for your mirror credentials from the NCC. Enter
    your <span class="guimenu">NCC Mirror Credentials Username</span>, the
    <span class="guimenu">NCC Mirror Credentials Password</span>), and your
    <span class="guimenu">NCC E-mail Address</span>.
   </p><div class="figure"><a id="id372919"></a><p class="title"><b>Figure 11. Migration—NCC Information</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="75%"><tr><td><img src="../../images/susemanager_setup_ncc.png" width="100%" alt="Migration—NCC Information" /></td></tr></table></div></div></div><br class="figure-break" /><p>
    Proceed with <span class="guimenu">Next</span>.
   </p></li><li class="step" title="Step 8"><p>
    Click <span class="guimenu">Next</span> to close YaST and to write the collected
    information to a file that will be parsed by the
    <span class="command"><strong>migration.sh</strong></span> script during the next steps.
   </p></li><li class="step" title="Step 9"><p>
    Using the <code class="option">-r</code> option, first copy the RPM packages and
    configuration files from the Satellite server:
   </p><pre class="screen">
/usr/lib/susemanager/bin/migration.sh -r</pre><div class="important" title="Long Operation" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Long Operation</h3><p>
     This step may take hours to finish.
    </p></div></li><li class="step" title="Step 10"><p>
    Before you start the final migration process, make sure that nothing is
    changed on your Satellite server from this point on. Log in to your
    Satellite server and shut down the Web interface:
   </p><pre class="screen">rcapache2 stop</pre></li><li class="step" title="Step 11"><p>
    On the SUSE Manager server, start the final migration process:
   </p><pre class="screen">
/usr/lib/susemanager/bin/migration.sh -m</pre><p>
    It synchronizes any remaining changes (that may have occurred during the
    first run with the <code class="option">-r</code> option) and migrates the
    database.
   </p></li><li class="step" title="Step 12"><p>
    After the process has been finished successfully, shut down the
    Satellite server.
   </p></li><li class="step" title="Step 13"><p>
    In the DNS server, change the name of the Satellite server to the
    SUSE Manager server's IP address, so that the new SUSE Manager server gets the
    hostname of the former Satellite server.
   </p></li></ol></div><p>
  From now on, use your SUSE Manager as a replacement for your Satellite
  server. Since the hostname is the same, all certificates will still work.
  Any registered clients are automatically directed to the SUSE Manager server.
 </p></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="sec.manager.config.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="art.susemanager.quick.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="sec.manager.trouble.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">5. Basic Configuration </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 7. Troubleshooting</td></tr></table></div></body></html>
