<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Appendix C. Probes</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="index.jsp" title="Reference Guide" /><link rel="prev" href="s1-rhn-api-script.jsp" title="B.7. Sample API Script" /><link rel="next" href="s1-probes-apache.jsp" title="C.2. Apache 1.3.x and 2.0.x" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Appendix C. Probes</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-rhn-api-script.jsp">Prev</a> </td><th width="60%" align="center">Reference Guide</th><td width="20%" align="right"> <a accesskey="n" href="s1-probes-apache.jsp">Next</a></td></tr></table><hr /></div><div class="appendix" title="Appendix C. Probes"><div class="titlepage"><div><div><h2 class="title"><a id="ap-probes-monitoring"></a>Appendix C. Probes</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ap-probes-monitoring.jsp#s1-probes-guidelines">C.1. Probe Guidelines</a></span></dt><dt><span class="section"><a href="s1-probes-apache.jsp">C.2. Apache 1.3.x and 2.0.x</a></span></dt><dd><dl><dt><span class="section"><a href="s1-probes-apache.jsp#s2-probes-apache-processes">C.2.1. Apache::Processes</a></span></dt><dt><span class="section"><a href="s1-probes-apache.jsp#s2-probes-apache-traffic">C.2.2. Apache::Traffic</a></span></dt><dt><span class="section"><a href="s1-probes-apache.jsp#s2-probes-apache-uptime">C.2.3. Apache::Uptime</a></span></dt></dl></dd><dt><span class="section"><a href="s1-probes-weblogic.jsp">C.3. BEA WebLogic 6.x and higher</a></span></dt><dd><dl><dt><span class="section"><a href="s1-probes-weblogic.jsp#s2-probes-weblogic-queue">C.3.1. BEA WebLogic::Execute Queue</a></span></dt><dt><span class="section"><a href="s1-probes-weblogic.jsp#s2-probes-weblogic-heap">C.3.2. BEA WebLogic::Heap Free</a></span></dt><dt><span class="section"><a href="s1-probes-weblogic.jsp#s2-probes-weblogic-jdbc">C.3.3. BEA WebLogic::JDBC Connection Pool</a></span></dt><dt><span class="section"><a href="s1-probes-weblogic.jsp#s2-probes-weblogic-state">C.3.4. BEA WebLogic::Server State</a></span></dt><dt><span class="section"><a href="s1-probes-weblogic.jsp#s2-probes-weblogic-servlet">C.3.5. BEA WebLogic::Servlet</a></span></dt></dl></dd><dt><span class="section"><a href="s1-probes-general.jsp">C.4. General</a></span></dt><dd><dl><dt><span class="section"><a href="s1-probes-general.jsp#s2-probes-general-remote-program">C.4.1. General::Remote Program</a></span></dt><dt><span class="section"><a href="s1-probes-general.jsp#s2-probes-general-remote-data">C.4.2. General::Remote Program with Data</a></span></dt><dt><span class="section"><a href="s1-probes-general.jsp#s2-probes-general-snmp-check">C.4.3. General::SNMP Check</a></span></dt><dt><span class="section"><a href="s1-probes-general.jsp#s2-probes-general-tcp-check">C.4.4. General::TCP Check</a></span></dt><dt><span class="section"><a href="s1-probes-general.jsp#s2-probes-general-udp-check">C.4.5. General::UDP Check</a></span></dt><dt><span class="section"><a href="s1-probes-general.jsp#s2-probes-general-uptime-snmp">C.4.6. General::Uptime (SNMP)</a></span></dt></dl></dd><dt><span class="section"><a href="s1-probes-linux.jsp">C.5. Linux</a></span></dt><dd><dl><dt><span class="section"><a href="s1-probes-linux.jsp#s2-probes-linux-cpu-usage">C.5.1. Linux::CPU Usage</a></span></dt><dt><span class="section"><a href="s1-probes-linux.jsp#s2-probes-linux-disk-io">C.5.2. Linux::Disk IO Throughput</a></span></dt><dt><span class="section"><a href="s1-probes-linux.jsp#s2-probes-linux-disk-usage">C.5.3. Linux::Disk Usage</a></span></dt><dt><span class="section"><a href="s1-probes-linux.jsp#s2-probes-linux-inodes">C.5.4. Linux::Inodes</a></span></dt><dt><span class="section"><a href="s1-probes-linux.jsp#s2-probes-linux-interface">C.5.5. Linux::Interface Traffic</a></span></dt><dt><span class="section"><a href="s1-probes-linux.jsp#s2-probes-linux-load">C.5.6. Linux::Load</a></span></dt><dt><span class="section"><a href="s1-probes-linux.jsp#s2-probes-linux-memory-usage">C.5.7. Linux::Memory Usage</a></span></dt><dt><span class="section"><a href="s1-probes-linux.jsp#s2-probes-linux-process-state">C.5.8. Linux::Process Counts by State</a></span></dt><dt><span class="section"><a href="s1-probes-linux.jsp#s2-probes-linux-process-total">C.5.9. Linux::Process Count Total</a></span></dt><dt><span class="section"><a href="s1-probes-linux.jsp#s2-probes-linux-process-health">C.5.10. Linux::Process Health</a></span></dt><dt><span class="section"><a href="s1-probes-linux.jsp#s2-probes-linux-process-running">C.5.11. Linux::Process Running</a></span></dt><dt><span class="section"><a href="s1-probes-linux.jsp#s2-probes-linux-swap-usage">C.5.12. Linux::Swap Usage</a></span></dt><dt><span class="section"><a href="s1-probes-linux.jsp#s2-probes-linux-tcp-state">C.5.13. Linux::TCP Connections by State</a></span></dt><dt><span class="section"><a href="s1-probes-linux.jsp#s2-probes-linux-users">C.5.14. Linux::Users</a></span></dt><dt><span class="section"><a href="s1-probes-linux.jsp#s2-probes-linux-virtual-memory">C.5.15. Linux::Virtual Memory</a></span></dt></dl></dd><dt><span class="section"><a href="s1-probes-logagent.jsp">C.6. LogAgent</a></span></dt><dd><dl><dt><span class="section"><a href="s1-probes-logagent.jsp#s2-probes-logagent-pattern">C.6.1. LogAgent::Log Pattern Match</a></span></dt><dt><span class="section"><a href="s1-probes-logagent.jsp#s2-probes-logagent-size">C.6.2. LogAgent::Log Size</a></span></dt></dl></dd><dt><span class="section"><a href="s1-probes-mysql.jsp">C.7. MySQL 3.23 - 3.33</a></span></dt><dd><dl><dt><span class="section"><a href="s1-probes-mysql.jsp#s2-probes-mysql-access">C.7.1. MySQL::Database Accessibility</a></span></dt><dt><span class="section"><a href="s1-probes-mysql.jsp#s2-probes-mysql-opened">C.7.2. MySQL::Opened Tables</a></span></dt><dt><span class="section"><a href="s1-probes-mysql.jsp#s2-probes-mysql-open">C.7.3. MySQL::Open Tables</a></span></dt><dt><span class="section"><a href="s1-probes-mysql.jsp#s2-probes-mysql-query">C.7.4. MySQL::Query Rate</a></span></dt><dt><span class="section"><a href="s1-probes-mysql.jsp#s2-probes-mysql-threads">C.7.5. MySQL::Threads Running</a></span></dt></dl></dd><dt><span class="section"><a href="s1-probes-network.jsp">C.8. Network Services</a></span></dt><dd><dl><dt><span class="section"><a href="s1-probes-network.jsp#s2-probes-network-dns">C.8.1. Network Services::DNS Lookup</a></span></dt><dt><span class="section"><a href="s1-probes-network.jsp#s2-probes-network-ftp">C.8.2. Network Services::FTP</a></span></dt><dt><span class="section"><a href="s1-probes-network.jsp#s2-probes-network-imap">C.8.3. Network Services::IMAP Mail</a></span></dt><dt><span class="section"><a href="s1-probes-network.jsp#s2-probes-network-smtp">C.8.4. Network Services::Mail Transfer (SMTP)</a></span></dt><dt><span class="section"><a href="s1-probes-network.jsp#s2-probes-network-ping">C.8.5. Network Services::Ping</a></span></dt><dt><span class="section"><a href="s1-probes-network.jsp#s2-probes-network-pop">C.8.6. Network Services::POP Mail</a></span></dt><dt><span class="section"><a href="s1-probes-network.jsp#s2-probes-network-remote-ping">C.8.7. Network Services::Remote Ping</a></span></dt><dt><span class="section"><a href="s1-probes-network.jsp#s2-probes-network-rpc">C.8.8. Network Services::RPCService</a></span></dt><dt><span class="section"><a href="s1-probes-network.jsp#s2-probes-network-https">C.8.9. Network Services::Secure Web Server (HTTPS)</a></span></dt><dt><span class="section"><a href="s1-probes-network.jsp#s2-probes-network-ssh">C.8.10. Network Services::SSH</a></span></dt><dt><span class="section"><a href="s1-probes-network.jsp#s2-probes-network-http">C.8.11. Network Services::Web Server (HTTP)</a></span></dt></dl></dd><dt><span class="section"><a href="s1-probes-oracle.jsp">C.9. Oracle 8i, 9i, 10g, and 11g</a></span></dt><dd><dl><dt><span class="section"><a href="s1-probes-oracle.jsp#s2-probes-oracle-active-sessions">C.9.1. Oracle::Active Sessions</a></span></dt><dt><span class="section"><a href="s1-probes-oracle.jsp#s2-probes-oracle-availability">C.9.2. Oracle::Availability</a></span></dt><dt><span class="section"><a href="s1-probes-oracle.jsp#s2-probes-oracle-block-sessions">C.9.3. Oracle::Blocking Sessions</a></span></dt><dt><span class="section"><a href="s1-probes-oracle.jsp#s2-probes-oracle-buffer-cache">C.9.4. Oracle::Buffer Cache</a></span></dt><dt><span class="section"><a href="s1-probes-oracle.jsp#s2-probes-oracle-client-connect">C.9.5. Oracle::Client Connectivity</a></span></dt><dt><span class="section"><a href="s1-probes-oracle.jsp#s2-probes-oracle-dict-cache">C.9.6. Oracle::Data Dictionary Cache</a></span></dt><dt><span class="section"><a href="s1-probes-oracle.jsp#s2-probes-oracle-disk-sort">C.9.7. Oracle::Disk Sort Ratio</a></span></dt><dt><span class="section"><a href="s1-probes-oracle.jsp#s2-probes-oracle-idle-sessions">C.9.8. Oracle::Idle Sessions</a></span></dt><dt><span class="section"><a href="s1-probes-oracle.jsp#s2-probes-oracle-index-extents">C.9.9. Oracle::Index Extents</a></span></dt><dt><span class="section"><a href="s1-probes-oracle.jsp#s2-probes-oracle-lib-cache">C.9.10. Oracle::Library Cache</a></span></dt><dt><span class="section"><a href="s1-probes-oracle.jsp#s2-probes-oracle-locks">C.9.11. Oracle::Locks</a></span></dt><dt><span class="section"><a href="s1-probes-oracle.jsp#s2-probes-oracle-redo-log">C.9.12. Oracle::Redo Log</a></span></dt><dt><span class="section"><a href="s1-probes-oracle.jsp#s2-probes-oracle-table-extents">C.9.13. Oracle::Table Extents</a></span></dt><dt><span class="section"><a href="s1-probes-oracle.jsp#s2-probes-oracle-table-usage">C.9.14. Oracle::Tablespace Usage</a></span></dt><dt><span class="section"><a href="s1-probes-oracle.jsp#s2-probes-oracle-tns-ping">C.9.15. Oracle::TNS Ping</a></span></dt></dl></dd><dt><span class="section"><a href="s1-probes-sat.jsp">C.10. SUSE Manager</a></span></dt><dd><dl><dt><span class="section"><a href="s1-probes-sat.jsp#s2-probes-sat-disk-space">C.10.1. SUSE Manager::Disk Space</a></span></dt><dt><span class="section"><a href="s1-probes-sat.jsp#s2-probes-sat-exec-time">C.10.2. SUSE Manager::Execution Time</a></span></dt><dt><span class="section"><a href="s1-probes-sat.jsp#s2-probes-sat-interface">C.10.3. SUSE Manager::Interface Traffic</a></span></dt><dt><span class="section"><a href="s1-probes-sat.jsp#s2-probes-sat-latency">C.10.4. SUSE Manager::Latency</a></span></dt><dt><span class="section"><a href="s1-probes-sat.jsp#s2-probes-sat-load">C.10.5. SUSE Manager::Load</a></span></dt><dt><span class="section"><a href="s1-probes-sat.jsp#s2-probes-sat-probe-count">C.10.6. SUSE Manager::Probe Count</a></span></dt><dt><span class="section"><a href="s1-probes-sat.jsp#s2-probes-sat-process-counts">C.10.7. SUSE Manager::Process Counts</a></span></dt><dt><span class="section"><a href="s1-probes-sat.jsp#s2-probes-sat-processes">C.10.8. SUSE Manager::Processes</a></span></dt><dt><span class="section"><a href="s1-probes-sat.jsp#s2-probes-sat-process-health">C.10.9. SUSE Manager::Process Health</a></span></dt><dt><span class="section"><a href="s1-probes-sat.jsp#s2-probes-sat-process-running">C.10.10. SUSE Manager::Process Running</a></span></dt><dt><span class="section"><a href="s1-probes-sat.jsp#s2-probes-sat-swap">C.10.11. SUSE Manager::Swap</a></span></dt><dt><span class="section"><a href="s1-probes-sat.jsp#s2-probes-sat-users">C.10.12. SUSE Manager::Users</a></span></dt></dl></dd></dl></div><a id="id395314" class="indexterm"></a><p>
  As described in <a class="xref" href="s1-sm-monitor.jsp" title="3.10. Monitoring — [Mon]">Section 3.10, “Monitoring — [Mon]”</a>, monitoring-entitled
  systems can have probes applied to them that constantly confirm their
  health and full operability. This appendix lists the available probes
  broken down by command group, such as Apache.
 </p><p>
  Many probes that monitor internal system aspects (such as the Linux::Disk
  Usage probe) rather than external aspects (such as the Network
  Services::SSH probe) require the installation of the SUSE Manager monitoring
  daemon (<code class="filename">rhnmd</code>). This requirement is noted within the
  individual probe reference.
 </p><p>
  Each probe has its own reference in this appendix that identifies required
  fields (marked with *), default values, and the thresholds that may be set
  to trigger alerts. Similarly, the beginning of each command group's
  section contains information applicable to all probes in that group.
  <a class="xref" href="ap-probes-monitoring.jsp#s1-probes-guidelines" title="C.1. Probe Guidelines">Section C.1, “Probe Guidelines”</a> covers general guidelines; the
  remaining sections examine individual probes.
 </p><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
   Nearly all of the probes use <em class="firstterm">Transmission Control
   Protocol</em> (TCP) as their transport protocol. Exceptions to
   this are noted within the individual probe references.
  </p></div><div class="section" title="C.1. Probe Guidelines"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-probes-guidelines"></a>C.1. Probe Guidelines<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-probes-guidelines">¶</a></span></h2></div></div></div><a id="id421264" class="indexterm"></a><p>
   The following general guidelines outline the meaning of each probe state,
   and provide guidance in setting thresholds for your probes.
  </p><p>
   The following list provides a brief description of the meaning of each
   probe state:
  </p><div class="variablelist"><dl><dt><span class="term">Unknown</span></dt><dd><p>
      The probes that cannot collect the metrics needed to determine probe
      state. Most (though not all) probes enter this state when exceeding
      their timeout period. Probes in this state may be configured
      incorrectly, as well.
     </p></dd><dt><span class="term">Pending</span></dt><dd><p>
      The probes whose data has not been received by SUSE Manager. It is normal
      for new probes to be in this state. However, if all probes move into
      this state, your monitoring infrastructure may be failing.
     </p></dd><dt><span class="term">OK</span></dt><dd><p>
      The probes that have run successfully without error. This is the
      desired state for all probes.
     </p></dd><dt><span class="term">Warning</span></dt><dd><p>
      The probes that have crossed their WARNING thresholds.
     </p></dd><dt><span class="term">Critical</span></dt><dd><p>
      The probes that have crossed their CRITICAL thresholds or reached a
      critical status by some other means. (Some probes become critical when
      exceeding their timeout period.)
     </p></dd></dl></div><p>
   While adding probes, select meaningful thresholds that, when crossed,
   notify you and your administrators of problems within your
   infrastructure. Timeout periods are entered in seconds unless otherwise
   indicated. Exceptions to these rules are noted within the individual
   probe references.
  </p><div class="important" title="Important" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Important</h3><p>
    Some probes have thresholds based on time. In order for such CRITICAL
    and WARNING thresholds to work as intended, their values cannot exceed
    the amount of time allotted to the timeout period. Otherwise, an UNKNOWN
    status is returned in all instances of extended latency, thereby
    nullifying the thresholds. For this reason, it is strongly recommended
    to ensure that timeout periods exceed all timed thresholds.
   </p></div><p>
   Remember it is recommended to run your probes without notifications for a
   time to establish baseline performance for each of your systems. Although
   the default values provided for probes may suit your needs, every
   organization has a different environment that may require altering
   thresholds.
  </p></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-rhn-api-script.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="index.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-probes-apache.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">B.7. Sample API Script </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> C.2. Apache 1.3.x and 2.0.x</td></tr></table></div></body></html>
