<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Appendix D. About SUSE Manager and Spacewalk</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="index.jsp" title="Reference Guide" /><link rel="prev" href="s1-probes-sat.jsp" title="C.10. SUSE Manager" /><link rel="next" href="cha.manager.glossary.jsp" title="Glossary" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Appendix D. About SUSE Manager and Spacewalk</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-probes-sat.jsp">Prev</a> </td><th width="60%" align="center">Reference Guide</th><td width="20%" align="right"> <a accesskey="n" href="cha.manager.glossary.jsp">Next</a></td></tr></table><hr /></div><div class="appendix" title="Appendix D. About SUSE Manager and Spacewalk"><div class="titlepage"><div><div><h2 class="title"><a id="app.manager.ref.about"></a>Appendix D. About SUSE Manager and Spacewalk</h2></div></div></div><p>
  SUSE® Manager' main purpose is to efficiently manage a set of Linux systems
  and keep them up-to-date. You can register both SUSE® Linux Enterprise and Red Hat Enterprise Linux client
  systems with the SUSE Manager server.
 </p><p>
  SUSE Manager is based on the Spacewalk project,
  <a class="ulink" href="http://spacewalk.redhat.com/" target="_top">http://spacewalk.redhat.com/</a>. This allows for seamless
  migration when switching from Red Hat Network Satellite or a Spacewalk server to
  SUSE Manager. Both user experience and tools are mostly unchanged, which
  means that you can use the known commands and the scripts that may already
  exist on your side.
 </p><p>
  However, as SUSE Manager is deployed as an appliance based on SUSE Linux Enterprise, some
  differences exist with regards to environments and tools:
 </p><div class="variablelist"><dl><dt><span class="term">Reporting and Downloading Software Packages</span></dt><dd><p>
     Instead of connecting to Red Hat Network, SUSE Manager connects to Novell Customer Center (NCC)
     (<a class="ulink" href="http://www.novell/center" target="_top">http://www.novell/center</a>) to receive updates or
     patches. NCC also provides the entitlements for enabling specific
     SUSE Manager functionality.

    </p></dd><dt><span class="term">Automatic Deployment</span></dt><dd><p>
     Automated installation on Red Hat Enterprise Linux client systems is done with Kickstart.
     For SUSE Linux Enterprise client systems, SUSE Manager uses AutoYaST.
    </p></dd><dt><span class="term">Software Management</span></dt><dd><p>
     Is done with <span class="command"><strong>yum</strong></span> on Red Hat Enterprise Linux client systems. For SUSE Linux Enterprise
     client systems, SUSE Manager uses <span class="command"><strong>zypper</strong></span>.
    </p></dd><dt><span class="term">Command Line Tools</span></dt><dd><p>
     The Spacewalk command line tools also work for SUSE Manager. Additionally,
     symbolic links have been added for a number of commands. For example,
     <span class="command"><strong>rhn-profile-sync</strong></span> is also available as
     <span class="command"><strong>mgr-profile-sync</strong></span>.
 
    </p></dd><dt><span class="term">Package Names</span></dt><dd><p>
     Some SUSE Manager package names are different from the original Spacewalk
     ones.
 
    </p></dd></dl></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-probes-sat.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="index.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="cha.manager.glossary.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">C.10. SUSE Manager </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> Glossary</td></tr></table></div></body></html>
