<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Chapter 6. Cobbler</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="index.jsp" title="Reference Guide" /><link rel="prev" href="s1-sattools-orgs-users.jsp" title="5.7. Admin+Users" /><link rel="next" href="s1-cobbler-adddistro.jsp" title="6.2. Adding a Distribution to Cobbler" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 6. Cobbler</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-sattools-orgs-users.jsp">Prev</a> </td><th width="60%" align="center">Reference Guide</th><td width="20%" align="right"> <a accesskey="n" href="s1-cobbler-adddistro.jsp">Next</a></td></tr></table><hr /></div><div class="chapter" title="Chapter 6. Cobbler"><div class="titlepage"><div><div><h2 class="title"><a id="ch-cobbler"></a>Chapter 6. Cobbler</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch-cobbler.jsp#s1-cobbler-reqs">6.1. Cobbler Requirements</a></span></dt><dd><dl><dt><span class="section"><a href="ch-cobbler.jsp#s2-cobbler-reqs-settings">6.1.1. Configuring Cobbler with /etc/cobbler/settings</a></span></dt><dt><span class="section"><a href="ch-cobbler.jsp#s2-cobbler-reqs-dhcp">6.1.2. Cobbler and DHCP</a></span></dt><dt><span class="section"><a href="ch-cobbler.jsp#s2-cobbler-reqs-tftp">6.1.3. Xinetd and TFTP</a></span></dt><dt><span class="section"><a href="ch-cobbler.jsp#s2-cobbler-reqs-service">6.1.4. Syncing and Starting the Cobbler Service</a></span></dt></dl></dd><dt><span class="section"><a href="s1-cobbler-adddistro.jsp">6.2. Adding a Distribution to Cobbler</a></span></dt><dt><span class="section"><a href="s1-cobbler-addprofile.jsp">6.3. Adding a Profile to Cobbler</a></span></dt><dt><span class="section"><a href="s1-cobbler-addsystem.jsp">6.4. Adding a System to Cobbler</a></span></dt><dt><span class="section"><a href="s1-cobbler-templates.jsp">6.5. Cobbler Templates</a></span></dt><dd><dl><dt><span class="section"><a href="s1-cobbler-templates.jsp#s2-cobbler-templates-usage">6.5.1. Using Templates</a></span></dt><dt><span class="section"><a href="s1-cobbler-templates.jsp#s2-cobbler-templates-snippets">6.5.2. Kickstart Snippets</a></span></dt></dl></dd><dt><span class="section"><a href="s1-cobbler-koan.jsp">6.6. Using Koan</a></span></dt><dd><dl><dt><span class="section"><a href="s1-cobbler-koan.jsp#s2-cobbler-koan-virt">6.6.1. Using Koan to Provision Virtual Systems</a></span></dt><dt><span class="section"><a href="s1-cobbler-koan.jsp#s2-cobbler-koan-reinstall">6.6.2. Using Koan to Re-install Running Systems</a></span></dt></dl></dd></dl></div><a id="id366674" class="indexterm"></a><a id="id362589" class="indexterm"></a><a id="id362595" class="indexterm"></a><a id="id362602" class="indexterm"></a><p>
  SUSE Manager features the <em class="firstterm">Cobbler</em> server that allows
  administrators to centralize their system installation and provisioning
  infrastructure. Cobbler is an installation server that collects the
  various methods of performing unattended system installations, whether it
  be server, workstation, or guest systems in a full or para-virtualized
  setup.
 </p><p>
  Cobbler has several tools to assist in pre-installation guidance,
  automated installation file management, installation environment
  management, and more. Features of Cobbler include:
 </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
    Installation environment analysis using the <span class="command"><strong>cobbler
    check</strong></span> command
   </p></li><li class="listitem"><p>
    Multi-site installation server configuration with <span class="command"><strong>cobbler
    replicate</strong></span>
   </p></li><li class="listitem"><p>
    Virtual machine guest installation automation with the
    <span class="command"><strong>koan</strong></span> client-side tool.
   </p></li></ul></div><div class="section" title="6.1. Cobbler Requirements"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-cobbler-reqs"></a>6.1. Cobbler Requirements<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-cobbler-reqs">¶</a></span></h2></div></div></div><p>
   To use Cobbler as a PXE boot server, you should check the following
   guidelines:
  </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
     If you plan to use Cobbler to install systems using PXE, you must have
     <code class="filename">tftp-server</code> installed and configured.
    </p></li><li class="listitem"><p>
     If you plan to use Cobbler to PXE boot systems for installation, you
     must have either the ability to act as a DHCP server for Cobbler PXE
     booting or access to your network DHCP server
     <code class="filename">/etc/dhcp.conf</code> to change
     <code class="option">next-server</code> to the hostname or IP address of your
     Cobbler server.
    </p></li></ul></div><div class="section" title="6.1.1. Configuring Cobbler with /etc/cobbler/settings"><div class="titlepage"><div><div><h3 class="title"><a id="s2-cobbler-reqs-settings"></a>6.1.1. Configuring Cobbler with /etc/cobbler/settings<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-cobbler-reqs-settings">¶</a></span></h3></div></div></div><p>
    Cobbler configuration is mainly done within the
    <code class="filename">/etc/cobbler/settings</code> file. The file contains
    several configurable settings, and offers detailed explanations for each
    setting regarding how it affects the functionality of Cobbler and
    whether it is recommended for users to change the setting for their
    environment.
   </p><p>
    Most of the settings can be left default and Cobbler will run as
    intended. For more information about configuring Cobbler settings,
    consult the <code class="filename">/etc/cobbler/settings</code> file, which
    documents each setting in detail.
   </p></div><div class="section" title="6.1.2. Cobbler and DHCP"><div class="titlepage"><div><div><h3 class="title"><a id="s2-cobbler-reqs-dhcp"></a>6.1.2. Cobbler and DHCP<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-cobbler-reqs-dhcp">¶</a></span></h3></div></div></div><p>
    Cobbler supports bare-metal automated installation of systems configured
    to perform network boots using a PXE boot server. To properly implement
    a Cobbler installation server, administrators need to either have
    administrative access to the network's DHCP server or implement DHCP on
    the Cobbler server itself.
   </p><div class="section" title="6.1.2.1. Configuring an Existing DHCP Server"><div class="titlepage"><div><div><h4 class="title"><a id="s3-cobbler-reqs-dhcp-notmanaged"></a>6.1.2.1. Configuring an Existing DHCP Server<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-cobbler-reqs-dhcp-notmanaged">¶</a></span></h4></div></div></div><p>
     If you have a DHCP server deployed on another system on the network,
     you will need administrative access to the DHCP server in order to to
     edit the DHCP configuration file so that it points to the Cobbler
     server and PXE boot image.
    </p><p>
     As root on the DHCP server, edit the
     <code class="filename">/etc/dhcpd.conf</code> file and append a new class with
     options for performing PXE boot installation. For example:
    </p><pre class="screen">allow booting;
allow bootp;
class "PXE" {
match if substring(option vendor-class-identifier, 0, 9) = "PXEClient";
next-server 192.168.2.1;
filename "pxelinux.0";
}</pre><p>
     Follow each action step-by-step in the above example:
    </p><div class="procedure"><ol class="procedure" type="1"><li class="step" title="Step 1"><p>
       Enable as administrator network booting with the
       <code class="systemitem">bootp</code> protocol.
      </p></li><li class="step" title="Step 2"><p>
       Create as administrator a class called <code class="literal">PXE</code>. A
       system that is configured to have PXE first in its boot priority,
       identifies itself as <code class="literal">PXEClient</code>.
      </p><p>
       You get the following results:
      </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
         The DHCP server then directs the system to the Cobbler server at
         192.168.2.1.
        </p></li><li class="listitem"><p>
         Finally, the DHCP server retrieves the
         <code class="filename">pxelinux.0</code> bootloader file.
        </p></li></ul></div></li></ol></div></div></div><div class="section" title="6.1.3. Xinetd and TFTP"><div class="titlepage"><div><div><h3 class="title"><a id="s2-cobbler-reqs-tftp"></a>6.1.3. Xinetd and TFTP<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-cobbler-reqs-tftp">¶</a></span></h3></div></div></div><p>
    SUSE Manager uses the <code class="systemitem">atftpd</code>
    daemon, but it can also operated with Xinetd/TFTP. The
    <code class="systemitem">atftpd</code> is installed per default
    and the recommended method for providing PXE services. Usually you do
    not have to change its configuration, but if you have to, use the YaST
    Sysconfig Editor.
   </p><p>
    Xinetd is a daemon that manages a suite of services, including TFTP, the
    FTP server used for transferring the boot image to a PXE client.
   </p><p>
    To configure TFTP, you must first enable the service via Xinetd. To do
    this, edit the <code class="filename">/etc/xinetd.d/tftp</code> as root and
    change the <code class="option">disable = yes</code> line to <strong class="userinput"><code>disable =
    no</code></strong>.
   </p><p>
    Before TFTP can start serving the <code class="filename">pxelinux.0</code> boot
    image, you must start the Xinetd service. Start YaST and use
    <span class="guilabel">System Services</span>+<span class="guilabel">Run
    Level</span> to configure the Xinetd daemon.
   </p></div><div class="section" title="6.1.4. Syncing and Starting the Cobbler Service"><div class="titlepage"><div><div><h3 class="title"><a id="s2-cobbler-reqs-service"></a>6.1.4. Syncing and Starting the Cobbler Service<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-cobbler-reqs-service">¶</a></span></h3></div></div></div><p>
    Once all the prerequisites specified in <span class="command"><strong>cobbler check</strong></span>
    are configured to your needs, you can now start the Cobbler service.
   </p><p>
    Start the SUSE Manager server with the following command:
   </p><pre class="screen">/usr/sbin/spacewalk-service start</pre><div class="warning" title="Warning" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Warning</h3><p>
     Do not start or stop the <span class="command"><strong>cobblerd</strong></span> service
     independent of the SUSE Manager service, as doing so may cause errors and
     other issues.
    </p><p>
     Always use <span class="command"><strong>/usr/sbin/spacewalk-service</strong></span> to start or
     stop SUSE Manager.
    </p></div></div></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-sattools-orgs-users.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="index.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-cobbler-adddistro.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">5.7. <span class="guilabel">Admin</span>+<span class="guilabel">Users</span> </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 6.2. Adding a Distribution to Cobbler</td></tr></table></div></body></html>
