<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Chapter 5. Multiple Organizations</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="index.jsp" title="Reference Guide" /><link rel="prev" href="s1-mon-trouble.jsp" title="4.6. Troubleshooting" /><link rel="next" href="s1-sattools-org.jsp" title="5.2. Admin+Organizations" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 5. Multiple Organizations</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-mon-trouble.jsp">Prev</a> </td><th width="60%" align="center">Reference Guide</th><td width="20%" align="right"> <a accesskey="n" href="s1-sattools-org.jsp">Next</a></td></tr></table><hr /></div><div class="chapter" title="Chapter 5. Multiple Organizations"><div class="titlepage"><div><div><h2 class="title"><a id="ch-multiorg"></a>Chapter 5. Multiple Organizations</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch-multiorg.jsp#s1-multiorg-models">5.1. Recommended Models for Using Multiple Organizations</a></span></dt><dd><dl><dt><span class="section"><a href="ch-multiorg.jsp#s2-multiorg-models-central">5.1.1. Centrally-Managed SUSE Manager for A Multi-Department Organization</a></span></dt><dt><span class="section"><a href="ch-multiorg.jsp#s2-multiorg-models-decentral">5.1.2. Decentralized Management of Multiple Third Party Organizations</a></span></dt><dt><span class="section"><a href="ch-multiorg.jsp#s2-multiorg-bestpractices">5.1.3. General Tips for Multi-Org Usage</a></span></dt></dl></dd><dt><span class="section"><a href="s1-sattools-org.jsp">5.2. <span class="guilabel">Admin</span>+<span class="guilabel">Organizations</span></a></span></dt><dd><dl><dt><span class="section"><a href="s1-sattools-org.jsp#s2-sattools-org-details">5.2.1. <span class="guilabel">Admin</span>+<span class="guilabel">Organizations</span>+<span class="guilabel">Details</span></a></span></dt></dl></dd><dt><span class="section"><a href="s1-multiorg-creating.jsp">5.3. Creating an Organization</a></span></dt><dt><span class="section"><a href="s1-admin-orgs-details-subs.jsp">5.4. Managing Entitlements</a></span></dt><dd><dl><dt><span class="section"><a href="s1-admin-orgs-details-subs.jsp#s2-sattools-orgs-subs-soft">5.4.1. <span class="guilabel">Admin</span>+<span class="guilabel">Subscriptions</span>+<span class="guilabel">Software Channel Entitlements</span></a></span></dt><dt><span class="section"><a href="s1-admin-orgs-details-subs.jsp#s2-sattools-orgs-subs-sys">5.4.2. <span class="guilabel">Admin</span>+<span class="guilabel">Subscriptions</span>+<span class="guilabel">System Entitlements</span></a></span></dt></dl></dd><dt><span class="section"><a href="s1-multiorg-systems.jsp">5.5. Configuring Systems in an Organization</a></span></dt><dt><span class="section"><a href="s1-sattools-orgs-trust.jsp">5.6. Organizational Trusts</a></span></dt><dd><dl><dt><span class="section"><a href="s1-sattools-orgs-trust.jsp#s2-sattools-orgs-trusts-establish">5.6.1. Establishing an Organizational Trust</a></span></dt><dt><span class="section"><a href="s1-sattools-orgs-trust.jsp#s2-sattools-orgs-trusts-share">5.6.2. Sharing Content Channels between Organizations in a Trust</a></span></dt><dt><span class="section"><a href="s1-sattools-orgs-trust.jsp#s2-sattools-orgs-trusts-migrate">5.6.3. Migrating Systems from One Trusted Organization to Another</a></span></dt></dl></dd><dt><span class="section"><a href="s1-sattools-orgs-users.jsp">5.7. <span class="guilabel">Admin</span>+<span class="guilabel">Users</span></a></span></dt><dd><dl><dt><span class="section"><a href="s1-sattools-orgs-users.jsp#s2-sattools-orgs-details-users">5.7.1. <span class="guilabel">Admin</span>+<span class="guilabel">Organizations</span>+<span class="guilabel">Details</span>+<span class="guilabel">Users</span></a></span></dt></dl></dd></dl></div><p>
  SUSE Manager supports the creation and management of <em class="firstterm">multiple
  organizations</em> within one SUSE Manager installation, allowing for
  the division of systems, content, and subscriptions across different
  organizations or specific groups. This chapter guides the user through
  basic setup tasks and explains the concepts of multiple organization
  creation and management within SUSE Manager.
 </p><div class="section" title="5.1. Recommended Models for Using Multiple Organizations"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-multiorg-models"></a>5.1. Recommended Models for Using Multiple Organizations<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-multiorg-models">¶</a></span></h2></div></div></div><p>
   The following examples detail two possible scenarios using the multiple
   organizations (or multi-org) feature.

   You may create additional organizations on your SUSE Manager and start using
   those organizations at whatever pace makes the most sense for you. It is
   a good idea to create an additional organization and use it on a trial
   basis for a limited set of systems/users to fully understand the impact
   of a multi-org SUSE Manager on your organization's processes and policies.
  </p><div class="section" title="5.1.1. Centrally-Managed SUSE Manager for A Multi-Department Organization"><div class="titlepage"><div><div><h3 class="title"><a id="s2-multiorg-models-central"></a>5.1.1. Centrally-Managed SUSE Manager for A Multi-Department Organization<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-multiorg-models-central">¶</a></span></h3></div></div></div><p>
    In this first scenario, the SUSE Manager is maintained by a central group
    within a business or other organization (refer to
      <a class="xref" href="ch-multiorg.jsp#fig-multiorg1-fig" title="Figure 5.1. Centralized SUSE Manager Management for Multi-Department Organization">Figure 5.1, “Centralized SUSE Manager Management for Multi-Department Organization”</a>). The SUSE Manager administrator of
    organization 1 (the administrative organization created during SUSE Manager
    configuration) treats organization 1 (the <span class="quote">“<span class="quote">administrative
    organization</span>”</span>) as a staging area for software and system
    subscriptions and entitlements.
   </p><p>
    The SUSE Manager administrator's responsibilities include the configuration
    of SUSE Manager (any tasks available under the <span class="guilabel">Admin</span>
    area of the web interface), the creation and deletion of additional
    SUSE Manager organizations, and the allocation and removal of software and
    system subscriptions and entitlements.
   </p><p>
    Additional organizations in this example are mapped to departments
    within a company. One way to decide what level to divide the various
    departments in an organization is to think about the lines along which
    departments purchase subscriptions and entitlements for use with
    SUSE Manager. To maintain centralized control over organizations in the
    SUSE Manager, create an organization administrator account in each
    subsequently created organization so that you may access that
    organization for any reason.
   </p><div class="figure"><a id="fig-multiorg1-fig"></a><p class="title"><b>Figure 5.1. Centralized SUSE Manager Management for Multi-Department Organization</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="600"><tr><td><img src="../../images/multiorg1.png" width="600" alt="Centralized SUSE Manager Management for Multi-Department Organization" /></td></tr></table></div></div></div><br class="figure-break" /></div><div class="section" title="5.1.2. Decentralized Management of Multiple Third Party Organizations"><div class="titlepage"><div><div><h3 class="title"><a id="s2-multiorg-models-decentral"></a>5.1.2. Decentralized Management of Multiple Third Party Organizations<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-multiorg-models-decentral">¶</a></span></h3></div></div></div><p>
    In this example, SUSE Manager is maintained by a central group, but each
    organization is treated separately without relations or ties to the
    other organizations on SUSE Manager. Each organization may be a customer of
    the group that manages the SUSE Manager application itself.
   </p><p>
    While a SUSE Manager consisting of sub-organizations that are all part of
    the same company may be an environment more tolerant of sharing systems
    and content between organizations, in this decentralized example sharing
    is less tolerable. Administrators can allocate entitlements in specific
    amounts to each organization. Each organization will have access to all
    Novell content synced to SUSE Manager if the organization has software
    channel entitlements for the content.
   </p><p>
    However, if one organization pushes custom content to their
    organization, it will not be available to other organizations. You
    cannot provide custom content that is available to all or select
    organizations without re-pushing that content into each organization.
   </p><p>
    In this scenario, SUSE Manager administrators may want to reserve an
    account in each organization to have login access. For example, if you
    are using SUSE Manager to provide managed hosting services to external
    parties, you could reserve an account for yourself so to access systems
    in that organization and push content.
   </p><div class="figure"><a id="fig-multiorg2-fig"></a><p class="title"><b>Figure 5.2. Decentralized SUSE Manager Management for Multi-Department Organization</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="600"><tr><td><img src="../../images/multiorg2.png" width="600" alt="Decentralized SUSE Manager Management for Multi-Department Organization" /></td></tr></table></div></div></div><br class="figure-break" /></div><div class="section" title="5.1.3. General Tips for Multi-Org Usage"><div class="titlepage"><div><div><h3 class="title"><a id="s2-multiorg-bestpractices"></a>5.1.3. General Tips for Multi-Org Usage<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-multiorg-bestpractices">¶</a></span></h3></div></div></div><p>
    Regardless of the specific model above you choose in the management of
    your multi-org SUSE Manager, the following best practices tips can help.
   </p><p>
    It is not recommended to use the administrative organization
    (organization #1) for registering systems and creating users in any
    situation unless you intend to the use SUSE Manager as a single
    organization SUSE Manager or are in the process of migrating from a single
    organization SUSE Manager to a multiple organization SUSE Manager. This is due
    to the following reasons:
   </p><div class="orderedlist"><ol class="orderedlist" type="1"><li class="listitem"><p>
      The administrative organization is treated as a special case with
      respect to entitlements. You can only add or remove entitlements to
      this organization implicitly by removing them or adding them from the
      other organizations on SUSE Manager.
     </p></li><li class="listitem"><p>
      The administrative organization is intended to be a staging area for
      subscriptions and entitlements. When you associate SUSE Manager with a
      new certificate, any new entitlements will by granted to this
      organization by default. In order to make those new entitlements
      available to other organizations on SUSE Manager, you will need to
      explicitly allocate those entitlements to the other organizations from
      the administrative organization.
     </p></li></ol></div><div class="section" title="5.1.3.1. Certificate Has Less Entitlements Than I Am Using"><div class="titlepage"><div><div><h4 class="title"><a id="s3-multiorg-bestpractices-cert1"></a>5.1.3.1. Certificate Has Less Entitlements Than I Am Using<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-multiorg-bestpractices-cert1">¶</a></span></h4></div></div></div><p>
     If you have issued a new SUSE Manager certificate and it contains less
     entitlements than the systems in the organizations your SUSE Manager are
     consuming, you will be unable to activate this new certificate when
     uploading it through the SUSE Manager's web interface under <span class="guilabel">Admin</span>+<span class="guilabel">SUSE Manager Configuration</span>+<span class="guilabel">Certificate</span>,  or by
     running the <span class="command"><strong>rhn-satellite-activate</strong></span> command. You will
     get an error stating that there are insufficient entitlements in the
     certificate.
    </p><p>
     There are a few ways you can reduce SUSE Manager entitlement usage in
     order to activate your new certificate. It is recommended evaluating
     each organization's entitlement usage on and decide which organizations
     should relinquish some entitlements and still function properly. You
     can then contact each organization administrator directly and request
     that they unentitle or delete the system profiles of any extraneous
     systems in their organizations. If you have login access to these
     organizations, you can do this yourself. Logged in under a SUSE Manager
     administrator, you cannot decrement the allocated entitlements to an
     organization below the number of entitlements that organization has
     actively associated with system profiles.
    </p><p>
     There are some situations in which you need to free entitlements and do
     not have a lot of time to do so, and may not have access to each
     organization in order to do this yourself. There is an option in
     multi-org SUSE Manager that allows the SUSE Manager administrator to
     decrement an organization's entitlement count below their usage. This
     method must be done logged into the administrative organization.
    </p><p>
     For example, logged into the administrative organization, if your
     certificate is five system management entitlements shy of being able to
     cover all registered systems on your SUSE Manager, the five systems that
     were most recently registered with that organization will be unentitled.
     This process is described below:
    </p><div class="procedure"><ol class="procedure" type="1"><li class="step" title="Step 1"><p>
       Open the <code class="filename">/etc/rhn/rhn.conf</code> file, set
       web.force_unentitlement=1
      </p></li><li class="step" title="Step 2"><p>
       Restart SUSE Manager
       
      </p></li><li class="step" title="Step 3"><a id="st.s3-multiorg-bestpractices-cert1.entitlements"></a><p>
       Reduce the allocated entitlements to the desired organizations either
       via each organization's <span class="guilabel">Subscriptions</span> tab or via
       individual entitlement's <span class="guilabel">Organizations</span> tabs.
      </p></li><li class="step" title="Step 4"><p>
       A number of systems in the organization should now be in an
       <span class="guilabel">unentitled</span> state. The number of systems
       unentitled in the organization will be equal to the difference
       between the total number of entitlements you removed from the
       organization and the number of entitlements the organization did not
       have applied to the systems.
      </p><p>
       For example, if you removed 10 entitlements from the organization in
       <a class="xref" href="ch-multiorg.jsp#st.s3-multiorg-bestpractices-cert1.entitlements" title="Step 3">Step 3</a>,
       and the organization has four entitlements that were not in use by
       systems, then six systems in the organization will be unentitled.
      </p></li></ol></div><p>
     After you have the sufficient number of entitlements required, you
     should then be able to activate your new SUSE Manager certificate. Note
     that modifying the <em class="parameter"><code>web.force_unentitlement</code></em>
     variable is only necessary to decrement an organization's allocated
     entitlements below what they are using. If an organization has more
     entitlements than are being actively used, you do not need to set this
     variable to remove them.
    </p></div><div class="section" title="5.1.3.2. Certificate Has More Entitlements Than I Am Using"><div class="titlepage"><div><div><h4 class="title"><a id="s3-multiorg-bestpractices-cert2"></a>5.1.3.2. Certificate Has More Entitlements Than I Am Using<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-multiorg-bestpractices-cert2">¶</a></span></h4></div></div></div><p>
     If you are issued a new SUSE Manager certificate and it has more
     entitlements than are being consumed on your SUSE Manager, any extra
     entitlements will be assigned to the administrative organization. If
     you log into the web interface as the SUSE Manager administrator, you will
     then be able to allocate these entitlements to other organizations. The
     previously-allocated entitlements to other organizations will be
     unaffected.
    </p></div></div></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-mon-trouble.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="index.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-sattools-org.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">4.6. Troubleshooting </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 5.2. <span class="guilabel">Admin</span>+<span class="guilabel">Organizations</span></td></tr></table></div></body></html>
