<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Chapter 1. Package Update Tools (SLE and RHEL)</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="index.jsp" title="Reference Guide" /><link rel="prev" href="bk03pr01s03.jsp" title="3. Documentation Conventions" /><link rel="next" href="pup-rhel.jsp" title="1.2. Updating Packages on RHEL 5" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 1. Package Update Tools (SLE and RHEL)</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="bk03pr01s03.jsp">Prev</a> </td><th width="60%" align="center">Reference Guide</th><td width="20%" align="right"> <a accesskey="n" href="pup-rhel.jsp">Next</a></td></tr></table><hr /></div><div class="chapter" title="Chapter 1. Package Update Tools (SLE and RHEL)"><div class="titlepage"><div><div><h2 class="title"><a id="ch-pup"></a>Chapter 1. Package Update Tools (SLE and RHEL)</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch-pup.jsp#pup-sle">1.1. Updating Packages on SLE</a></span></dt><dd><dl><dt><span class="section"><a href="ch-pup.jsp#pup-sle-you">1.1.1. Using YaST Online Update</a></span></dt><dt><span class="section"><a href="ch-pup.jsp#pup-sle-zypper">1.1.2. Updating Packages from the Command Line with Zypper</a></span></dt></dl></dd><dt><span class="section"><a href="pup-rhel.jsp">1.2. Updating Packages on RHEL 5</a></span></dt><dd><dl><dt><span class="section"><a href="pup-rhel.jsp#pup-start">1.2.1. Using the Package Updater</a></span></dt><dt><span class="section"><a href="pup-rhel.jsp#pup-puplet">1.2.2. The Package Updater Applet</a></span></dt><dt><span class="section"><a href="pup-rhel.jsp#pup-yum">1.2.3. Updating Packages from the Command Line with yum</a></span></dt></dl></dd><dt><span class="section"><a href="ch-up2date.jsp">1.3. Red Hat Update Agent (RHEL 4)</a></span></dt><dd><dl><dt><span class="section"><a href="ch-up2date.jsp#s1-start-up2date">1.3.1. Starting the Red Hat Update Agent</a></span></dt><dt><span class="section"><a href="ch-up2date.jsp#s1-up2date-register">1.3.2. Registration</a></span></dt><dt><span class="section"><a href="ch-up2date.jsp#s1-text-up2date">1.3.3. Command Line Version</a></span></dt><dt><span class="section"><a href="ch-up2date.jsp#s1-up2date-config">1.3.4. Configuration</a></span></dt><dt><span class="section"><a href="ch-up2date.jsp#s1-up2date-actkeys">1.3.5. Registering with Activation Keys</a></span></dt><dt><span class="section"><a href="ch-up2date.jsp#s1-up2date-organizations">1.3.6. Registering a System to an Organization</a></span></dt></dl></dd></dl></div><a id="id510370" class="indexterm"></a><p>On the supported client systems various software management and
 package update tools are in use—not only GUI programs and desktop
 applets, but also command-line tools.
 </p><div class="warning" title="Updating SUSE Manager" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Updating SUSE Manager</h3><p>
   For updating SUSE Manager server, additional steps might be required.
   Refer to <a class="xref" href="../../install_guide/en-US/s1-maintenance-update.jsp" title="6.2. Updating SUSE Manager">Section 6.2, “Updating SUSE Manager”</a> for detailed
   instructions.
  </p></div><div class="section" title="1.1. Updating Packages on SLE"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="pup-sle"></a>1.1. Updating Packages on SLE<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#pup-sle">¶</a></span></h2></div></div></div><a id="id339964" class="indexterm"></a><p>YaST Online Update (<span class="command"><strong>yast2 online_update</strong></span>) is
  the desktop update application for SUSE Linux Enterprise.  Using this tool, you can
  update packages and read details on the updated packages, such as bug
  fix information, security alerts, enhancements, and more.  For more
  information, refer to <a class="xref" href="ch-pup.jsp#pup-sle-you" title="1.1.1. Using YaST Online Update">Section 1.1.1, “Using YaST Online Update”</a>.
  </p><p>Use <span class="command"><strong>zypper</strong></span>, if you want to manage software
  updates with command line tools.  For more information, refer to <a class="xref" href="ch-pup.jsp#pup-sle-zypper" title="1.1.2. Updating Packages from the Command Line with Zypper">Section 1.1.2, “Updating Packages from the Command Line with Zypper”</a>.
  </p><p>For background information, see the SUSE Linux Enterprise Deployment Guide, Chapter 9.0
  <em class="citetitle">Installing or Removing Software</em> (using desktop
  applets).  SUSE Linux Enterprise Administration Guide, Chapter 1.0 <em class="citetitle">YaST Online
  Update</em>, and Chapter 4.0 <em class="citetitle">Managing Software with
  Command Line Tools</em> (zypper).
  </p><p>If you enable the <span class="guimenu">Auto Patch Update</span>,
  installing updates will take place automatically, pushed from
  SUSE Manager.  For more information about this feature, refer to <a class="xref" href="s1-sm-systems.jsp#varentry-system-details-properties-auto">Auto Patch Update</a>.
  </p><div class="section" title="1.1.1. Using YaST Online Update"><div class="titlepage"><div><div><h3 class="title"><a id="pup-sle-you"></a>1.1.1. Using YaST Online Update<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#pup-sle-you">¶</a></span></h3></div></div></div><p>
    <span>Novell</span>
    offers a continuous stream of software security updates for your product.
    By default the update applet is used to keep your system up-to-date.  This section covers the tool for updating software
    packages: YaST Online Update.
   </p><div class="figure"><a id="fig.ref.yast.repo.services"></a><p class="title"><b>Figure 1.1. YaST Software Repositories</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="75%"><tr><td><img src="../../images/yast-gtk-repo-services.png" width="100%" alt="YaST Software Repositories" /></td></tr></table></div></div></div><br class="figure-break" /><p>After activating the SUSE Linux Enterprise Server client system, SUSE Manager channels
   are available as a <code class="systemitem">spacewalk</code> repository
   service (see <a class="xref" href="ch-pup.jsp#fig.ref.yast.repo.services" title="Figure 1.1. YaST Software Repositories">Figure 1.1, “YaST Software Repositories”</a>) and you
   can use YaST to install software updates on the client system.  For
   more information about client activation, refer to <a class="xref" href="../../quickstart/en-US/sec.manager.config.jsp#sec.manager.config.setup.client" title="5.3. Client Setup">Section 5.3, “Client Setup”</a> and <a class="xref" href="s1-sm-systems.jsp#s2-sm-systems-activation-keys" title="3.4.6. Activation Keys — [Mgmt]">Section 3.4.6, “Activation Keys — [Mgmt]”</a>.</p><p>
    <span>Novell</span>
    provides updates with different relevance levels.
    <code class="literal">Security</code> updates fix severe security hazards and should
    definitely be installed. <code class="literal">Recommended</code> updates fix issues
    that could compromise your computer, whereas <code class="literal">Optional</code>
    updates fix non-security relevant issues or provide enhancements.
   </p><div class="procedure" title="Procedure 1.1. Installing Patches with YaST Online Update"><a id="id386581"></a><p class="title"><b>Procedure 1.1. Installing Patches with YaST Online Update</b></p><ol class="procedure" type="1"><li class="step" title="Step 1"><p>
      Run <span class="guimenu">Software</span>+<span class="guimenu">Online
      Update</span> in YaST
     </p></li><li class="step" title="Step 2"><p>
      All new patches (except the optional ones) that are currently available
      for your system are already marked for installation. Click
      <span class="guimenu">Accept</span> or <span class="guimenu">Apply</span> to automatically
      install them.
     </p></li><li class="step" title="Step 3"><p>
      Confirm with <span class="guimenu">Finish</span> after the installation has
      completed. Your system is now up-to-date.
     </p></li></ol></div><div class="section" title="1.1.1.1. Installing Patches Manually Using the Qt Interface"><div class="titlepage"><div><div><h4 class="title"><a id="sec.onlineupdate.you.manually"></a>1.1.1.1. Installing Patches Manually Using the Qt Interface<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.onlineupdate.you.manually">¶</a></span></h4></div></div></div><p>
     The <span class="guimenu">Online Update</span> window consists of four sections.
     The list of all patches available is on the left. Find the description of
     the selected patch displayed below the list of patches. The right column
     lists the packages included in the selected patch (a patch can consist of
     several packages) and below, a detailed description of the selected
     package.
    </p><div class="figure"><a id="id330981"></a><p class="title"><b>Figure 1.2. YaST Online Update</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="75%"><tr><td><img src="../../images/yast2_you.png" width="100%" alt="YaST Online Update" /></td></tr></table></div></div></div><br class="figure-break" /><p>
     The patch display lists the available patches for the client system. The
     patches are sorted by security relevance (<code class="literal">security</code>,
     <code class="literal">recommended</code>, and <code class="literal">optional</code>). There
     are three different views on patches. Use <span class="guimenu">Show Patch
     Category</span> to toggle the views:
    </p><div class="variablelist"><dl><dt><span class="term"><span class="guimenu">Needed Patches</span> (default view)</span></dt><dd><p>
        Non-installed patches that apply to packages installed on your system.
       </p></dd><dt><span class="term"><span class="guimenu">Unneeded Patches</span>
      </span></dt><dd><p>
        Patches that either apply to packages not installed on your system, or
        patches that have requirements which have already have been fulfilled
        (because the relevant packages have already been updated from another
        source).
       </p></dd><dt><span class="term"><span class="guimenu">All Patches</span>
      </span></dt><dd><p>
        All patches available for the client system.
       </p></dd></dl></div><p>
     A list entry consists of a symbol and the patch name. For a list of
     possible symbols, press
     <span class="keycap"><strong></strong></span>+<span class="keycap"><strong>F1</strong></span>.
     Actions required by <code class="literal">Security</code> and
     <code class="literal">Recommended</code> patches are automatically preset. These
     actions are <span class="guimenu">Autoinstall</span>, <span class="guimenu">Autoupdate</span>
     and <span class="guimenu">Autodelete</span>. Actions for
     <code class="literal">Optional</code> patches are not preset—right-click on a
     patch and choose an action from the list.
    </p><p>
     If you install an up-to-date package from a repository other than the
     update repository, the requirements of a patch for this package may be
     fulfilled with this installation. In this case a check mark is displayed
     in front of the patch summary. The patch will be visible in the list
     until you mark it for installation. This will in fact not install the
     patch (because the package already is up-to-date), but mark the patch as
     having been installed.
    </p><p>
     Most patches include updates for several packages. If you want to change
     actions for single packages, right-click on a package in the package
     window and choose an action. Once you have marked all patches and
     packages as desired, proceed with <span class="guimenu">Accept.</span>
    </p></div><div class="section" title="1.1.1.2. Installing Patches Manually Using the GTK Interface"><div class="titlepage"><div><div><h4 class="title"><a id="sec.onlineupdate.you_gtk.manually"></a>1.1.1.2. Installing Patches Manually Using the GTK Interface<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.onlineupdate.you_gtk.manually">¶</a></span></h4></div></div></div><p>
     The <span class="guimenu">Online Update</span> window consists of two main
     sections. The left pane lists all patches and provides different filters
     for the patch list. See the right pane for a list of changes that will
     carried out once you <span class="guimenu">Apply</span> them.
    </p><div class="figure"><a id="id395173"></a><p class="title"><b>Figure 1.3. YaST Online Update</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="75%"><tr><td><img src="../../images/yast2_you_gtk.png" width="100%" alt="YaST Online Update" /></td></tr></table></div></div></div><br class="figure-break" /><div class="variablelist" title="Patch List Filters"><p class="title"><b>Patch List Filters</b></p><dl><dt><span class="term"><span class="guimenu">Available</span>
      </span></dt><dd><p>
        Non-installed patches that apply to packages installed on your system.
       </p></dd><dt><span class="term"><span class="guimenu">Installed</span>
      </span></dt><dd><p>
        Patches that are already installed.
       </p></dd><dt><span class="term"><span class="guimenu">All</span>
      </span></dt><dd><p>
        Patches that are either already installed or available.
       </p></dd><dt><span class="term"><span class="guimenu">Severity</span>
      </span></dt><dd><p>
        Only show <span class="guimenu">Optional</span>, <span class="guimenu">Recommended</span>,
        or <span class="guimenu">Security</span> patches. By default,
        <span class="guimenu">All</span> patches are shown.
       </p></dd><dt><span class="term"><span class="guimenu">Repositories</span>
      </span></dt><dd><p>
        This filter lets you display the patches per repository.
       </p></dd><dt><span class="term"><span class="guimenu">Packages Listing</span>
      </span></dt><dd><p>
        Apply your custom filter here.
       </p></dd></dl></div><p>
     Click on a patch entry to open a row with detailed information about the
     patch in the bottom of the window. Here you can see a detailed patch
     description as well as the versions available. You can also choose to
     <span class="guimenu">Install</span> optional patches—security and
     recommended patches are already preselected for installation.
    </p></div><div class="section" title="1.1.1.3. Automatic Online Update"><div class="titlepage"><div><div><h4 class="title"><a id="sec.onlineupdate.you.automatically"></a>1.1.1.3. Automatic Online Update<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.onlineupdate.you.automatically">¶</a></span></h4></div></div></div><p>
     YaST also offers the possibility to set up an automatic update. Open
     <span class="guimenu">Software</span>+<span class="guimenu">Online Update
     Configuration</span>. Check <span class="guimenu">Automatic Online
     Update</span> and choose whether to update <span class="guimenu">Daily</span>,
     <span class="guimenu">Weekly</span>, or <span class="guimenu">Monthly</span>. Some patches,
     such as kernel updates, require user interaction, which would cause the
     automatic update procedure to stop. Therefore you should check
     <span class="guimenu">Skip Interactive Patches</span> if you want the update
     procedure to proceed fully automatically. Having done so, you should run
     a manual <span class="guimenu">Online Update</span> from time to time in order to
     install patches that require interaction.
    </p></div></div><div class="section" title="1.1.2. Updating Packages from the Command Line with Zypper"><div class="titlepage"><div><div><h3 class="title"><a id="pup-sle-zypper"></a>1.1.2. Updating Packages from the Command Line with Zypper<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#pup-sle-zypper">¶</a></span></h3></div></div></div><a id="idx.zypper" class="indexterm"></a><a id="id423725" class="indexterm"></a><a id="id428506" class="indexterm"></a><p>
  
  
  Zypper is a command line package manager for installing, updating and
  removing packages as well as for managing repositories.
  It is especially useful for accomplishing remote software management tasks
  or managing software from shell scripts.
 </p><p>
  For more information on managing software from the command line, enter
  <span class="command"><strong>zypper help</strong></span> or <span class="command"><strong>zypper help
  <em class="replaceable"><code>command</code></em></strong></span> or see the
  <code class="systemitem">zypper(8)</code> manpage. .
 </p><div class="section" title="1.1.2.1. General Usage"><div class="titlepage"><div><div><h4 class="title"><a id="sec.zypper.usage"></a>1.1.2.1. General Usage<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.zypper.usage">¶</a></span></h4></div></div></div><p>
   The general syntax of Zypper is:
  </p><pre class="screen">zypper <code class="option">[global-options]</code> <em class="replaceable"><code>command</code></em> <code class="option">[command-options]</code> <code class="option">[arguments]</code> ...</pre><p>
   The components enclosed in brackets are not required. The simplest way to
   execute Zypper is to type its name, followed by a command. For example,
   to apply all needed patches to the system type:
  </p><pre class="screen">zypper patch</pre><p>
   Additionally, you can choose from one or more global options by typing
   them just before the command. For example,
   <code class="option">--non-interactive</code> means running the command without
   asking anything (automatically applying the default answers):
  </p><pre class="screen">zypper --non-interactive patch</pre><p>
   To use the options specific to a particular command, type them right
   after the command. For example,
   <code class="option">--auto-agree-with-licenses</code> means applying all needed
   patches to the system without asking to confirm any licenses (they will
   automatically be accepted):
  </p><pre class="screen">zypper patch --auto-agree-with-licenses</pre><p>
   Some commands require one or more arguments. When using the install
   command, for example, you need to specify which package(s) to install:
  </p><pre class="screen">zypper install mplayer</pre><p>
   Some options also require an argument. The following command will list
   all known patterns:
  </p><pre class="screen">zypper search -t pattern</pre><p>
   You can combine all of the above. For example, the following command will
   install <code class="systemitem">mplayer</code> and
   <code class="systemitem">amarok</code> packages using the
   <code class="literal">factory</code> repository only, and be verbose:
  </p><pre class="screen">zypper -v install --repo factory mplayer amarok</pre><p>
   Most Zypper commands have a <code class="literal">dry-run</code> option that does a
   simulation of the given command. It can be used for test purposes.
  </p><pre class="screen">zypper remove --dry-run MozillaFirefox</pre></div><div class="section" title="1.1.2.2. Installing and Removing Software with Zypper"><div class="titlepage"><div><div><h4 class="title"><a id="sec.zypper.softman"></a>1.1.2.2. Installing and Removing Software with Zypper<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.zypper.softman">¶</a></span></h4></div></div></div><p>
   To install or remove packages use the following commands:
  </p><pre class="screen">zypper install <em class="replaceable"><code>package</code></em>
zypper remove <em class="replaceable"><code>package</code></em></pre><p>
   Zypper knows various ways to address packages for the install and remove
   commands:
  </p><div class="variablelist"><dl><dt><span class="term">by the exact package name</span></dt><dd><pre class="screen">zypper in MozillaFirefox</pre></dd><dt><span class="term">by repository alias and package name</span></dt><dd><pre class="screen">zypper in mozilla:MozillaFirefox</pre><p>
      Where <code class="literal">mozilla</code> is the alias of the repository from
      which to install.
     </p></dd><dt><span class="term">by package name using wildcards</span></dt><dd><p>
      The following command will install all packages that have names
      starting with <span class="quote">“<span class="quote">Moz</span>”</span>. Use with care, especially when
      removing packages.
     </p><pre class="screen">zypper in Moz*</pre></dd><dt><span class="term">by capability</span></dt><dd><p>
      If you, for example, would like to install a perl module without
      knowing the name of the package, capabilities come in handy:
     </p><pre class="screen">zypper in 'perl(Time::ParseDate)'</pre></dd><dt><span class="term">by capability and/or architecture and/or version</span></dt><dd><p>
      Together with a capability you can specify an architecture (such as
      <code class="literal">i586</code> or <code class="literal">x86_64</code>) and/or a
      version. The version must be preceded by an operator:
      <code class="literal">&lt;</code> (lesser than), <code class="literal">&lt;=</code>
      (lesser than or equal), <code class="literal">=</code> (equal&gt;,
      <code class="literal">&gt;=</code> (greater than or equal),
      <code class="literal">&gt;</code> (greater than).
     </p><pre class="screen">zypper in 'firefox.x86_64'
zypper in 'firefox&gt;=3.5.3'
zypper in 'firefox.x86_64&gt;=3.5.3'</pre></dd><dt><span class="term">by path</span></dt><dd><p>
      You can also specify a local or remote path to a package:
     </p><pre class="screen">zypper in /tmp/install/MozillaFirefox.rpm
zypper in http://download.opensuse.org/repositories/mozilla/SUSE_Factory/x86_64/MozillaFirefox-3.5.3-1.3.x86_64.rpm</pre></dd></dl></div><p>
   To install and remove packages simultaneously use the
   <code class="literal">+/-</code> modifiers. To install
   <code class="systemitem">emacs</code> and remove <code class="systemitem">vim</code>
   simultaneously, use:
  </p><pre class="screen">zypper install emacs -vim
</pre><p>
   To remove <code class="systemitem">emacs</code> and install
   <code class="systemitem">vim</code> simultaneously, use:
  </p><pre class="screen">zypper remove emacs +vim
</pre><p>
   To prevent the package name starting with the <code class="literal">-</code> being
   interpreted as a command option, always use it as the second argument. If
   this is not possible, precede it with <code class="literal">--</code>:
  </p><pre class="screen">zypper install -emacs +vim       # Wrong
zypper install vim -emacs        # Correct
zypper install -- -emacs +vim    # same as above
zypper remove emacs +vim         # same as above</pre><p>
   By default, Zypper asks for a confirmation before installing or removing
   a selected package, or when a problem occurs. You can override this
   behavior using the <code class="option">--non-interactive</code> option. This option
   must be given before the actual command (install, remove, and patch) as
   in the following:
  </p><pre class="screen">zypper <code class="option">--non-interactive</code> install <em class="replaceable"><code>package_name</code></em></pre><p>
   This option allows the use of Zypper in scripts and cron jobs.
  </p><div class="warning" title="Do not Remove Mandatory System Packages" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Do not Remove Mandatory System Packages</h3><p>
    Do not remove packages such as <code class="systemitem">glibc</code>,
    <code class="systemitem">zypper</code>, <code class="systemitem">kernel</code>, or
    similar packages. These packages are mandatory for the system and, if
    removed, may cause the system to become unstable or stop working
    altogether.
   </p></div><div class="section" title="1.1.2.2.1. Installing Source Packages"><div class="titlepage"><div><div><h5 class="title"><a id="sec.zypper.softman.sources"></a>1.1.2.2.1. Installing Source Packages<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.zypper.softman.sources">¶</a></span></h5></div></div></div><p>
    <a id="id476380" class="indexterm"></a> If you want to install the corresponding source package of
    a package, use:
   </p><pre class="screen">zypper source-install <em class="replaceable"><code>package_name</code></em>
   </pre><p>
    That command will also install the build dependencies of the specified
    package. If you do not want this, add the switch <code class="literal">-D</code>.
    To install only the build dependencies use <code class="literal">-d</code>.
   </p><pre class="screen">zypper source-install -D <em class="replaceable"><code>package_name</code></em> # source package only
zypper source-install -d <em class="replaceable"><code>package_name</code></em> # build dependencies only</pre><p>
    Of course, this will only work if you have the repository with the
    source packages enabled in your repository list (it is added by default,
    but not enabled). See <a class="xref" href="ch-pup.jsp#sec.zypper.instrepo" title="1.1.2.4. Managing Repositories with Zypper">Section 1.1.2.4, “Managing Repositories with Zypper”</a> for details
    on repository management.
   </p><p>
    A list of all source packages available in your repositories can be
    obtained with:
   </p><pre class="screen">zypper search -t srcpackage</pre></div><div class="section" title="1.1.2.2.2. Utilities"><div class="titlepage"><div><div><h5 class="title"><a id="sec.zypper.softman.util"></a>1.1.2.2.2. Utilities<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.zypper.softman.util">¶</a></span></h5></div></div></div><p>
    To verify whether all dependencies are still fulfilled and to repair
    missing dependencies, use:
   </p><pre class="screen">zypper verify</pre><p>
    In addition to dependencies that must be fulfilled, some packages
    <span class="quote">“<span class="quote">recommend</span>”</span> other packages. These recommended packages are
    only installed if actually available. In case recommended packages were
    made available after the recommending package has been installed (by
    adding additional packages), use the following command:
   </p><pre class="screen">zypper install-new-recommends</pre></div></div><div class="section" title="1.1.2.3. Updating Software with Zypper"><div class="titlepage"><div><div><h4 class="title"><a id="sec.zypper.softup"></a>1.1.2.3. Updating Software with Zypper<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.zypper.softup">¶</a></span></h4></div></div></div><p>
   There are three different ways to update software using Zypper: by
   installing patches, by installing a new version of a package or by
   updating the entire distribution. The latter is achieved with the
   <span class="command"><strong>zypper dist-upgrade</strong></span> command.
  </p><div class="section" title="1.1.2.3.1. Installing Patches"><div class="titlepage"><div><div><h5 class="title"><a id="sec.zypper.softup.patch"></a>1.1.2.3.1. Installing Patches<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.zypper.softup.patch">¶</a></span></h5></div></div></div><p>
    To install all officially released patches applying to your system, just
    run:
   </p><pre class="screen">zypper patch</pre><p>
    In this case, all patches available in your repositories are checked for
    relevance and installed, if necessary. <span>After
    registering your  installation, an official update
    repository containing such patches will be added to your
    system.</span> The above command is all you must enter in order to
    apply them when needed.
   </p><p>
    Zypper knows three different commands to query for the availability of
    patches:
   </p><div class="variablelist"><dl><dt><span class="term"><span class="command"><strong>zypper patch-check</strong></span>
     </span></dt><dd><p>
       Lists the number of needed patches (patches, that apply to your
       system but are not yet installed)
      </p><pre class="screen">~ # zypper patch-check
Loading repository data...
Reading installed packages...
5 patches needed (1 security patch)</pre></dd><dt><span class="term"><span class="command"><strong>zypper list-patches</strong></span>
     </span></dt><dd><p>
       Lists all needed patches (patches, that apply to your system but are
       not yet installed)
      </p><pre class="screen">
~ # zypper list-updates
Loading repository data...
Reading installed packages...
S | Repository | Name                          | Current | Available  | Arch
--+------------+-------------------------------+---------+------------+-------
v | Updates    | update-test-interactive       | 0-2.35  | 0-9999.1.2 | noarch
v | Updates    | update-test-optional          | 0-2.35  | 0-9999.1.2 | noarch
v | Updates    | update-test-reboot-needed     | 0-2.35  | 0-9999.1.2 | noarch
v | Updates    | update-test-relogin-suggested | 0-2.35  | 0-9999.1.2 | noarch
v | Updates    | update-test-security          | 0-2.35  | 0-9999.1.2 | noarch</pre></dd><dt><span class="term"><span class="command"><strong>zypper patches</strong></span>
     </span></dt><dd><p>
       Lists all patches available for , regardless of whether
       they are already installed or apply to your installation.
      </p></dd></dl></div><p>
    It is also possible to list and install patches relevant to specific
    issues. To list specific patches, use the <span class="command"><strong>zypper
    list-patches</strong></span> command with the following options:
   </p><div class="variablelist"><dl><dt><span class="term"><code class="option">-b</code>
     </span></dt><dd><p>
       Lists all needed patches for Bugzilla issues.
      </p></dd><dt><span class="term"><code class="option">--bugzilla[=<em class="replaceable"><code>number</code></em>] </code>
     </span></dt><dd><p>
       Lists needed patches for the Bugzilla issue with the specified
       number.
      </p></dd></dl></div><p>
    To install a patch for a specific issue, use command:
   </p><pre class="screen">
zypper patch --bugzilla=<em class="replaceable"><code>number</code></em>
  </pre></div><div class="section" title="1.1.2.3.2. Installing Updates"><div class="titlepage"><div><div><h5 class="title"><a id="sec.zypper.softup.update"></a>1.1.2.3.2. Installing Updates<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.zypper.softup.update">¶</a></span></h5></div></div></div><p>
    If a repository contains only new packages, but does not provide
    patches, <span class="command"><strong>zypper patch</strong></span> does not show any effect.
    To update all installed packages with newer available versions, use:
   </p><pre class="screen">zypper update</pre><p>
    To update individual packages, specify the package with either the
    update or install command:
   </p><pre class="screen">zypper update <em class="replaceable"><code>package</code></em>
zypper install <em class="replaceable"><code>package</code></em></pre><p>
    A list of all new packages available can be obtained with the command:
   </p><pre class="screen">zypper list-updates</pre><div class="note" title="Differences between zypper update and zypper dist-upgrade" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Differences between <span class="command"><strong>zypper update</strong></span> and <span class="command"><strong>zypper dist-upgrade</strong></span></h3><p>
     Choose <span class="command"><strong>zypper update</strong></span> to update packages to newer
     versions available for your product version while maintaining system
     integrity. <span class="command"><strong>zypper update</strong></span> will honor the following
     rules:
    </p><table border="0" summary="Simple list" class="simplelist"><tr><td>no vendor changes</td></tr><tr><td>no architecture changes</td></tr><tr><td>no downgrades</td></tr><tr><td>keep installed packages</td></tr></table><p>
     To upgrade your installation to a new product version use
     <span class="command"><strong>zypper dist-upgrade</strong></span> with the required repositories
     (see <a class="xref" href="ch-pup.jsp#sec.zypper.instrepo" title="1.1.2.4. Managing Repositories with Zypper">Section 1.1.2.4, “Managing Repositories with Zypper”</a> for details). This
     command ensures that all packages will be installed from the
     repositories currently enabled. This rule is enforced, so packages
     might change vendor or architecture or even might get downgraded. All
     packages that have unfulfilled dependencies after the upgrade will be
     uninstalled.
    </p></div></div></div><div class="section" title="1.1.2.4. Managing Repositories with Zypper"><div class="titlepage"><div><div><h4 class="title"><a id="sec.zypper.instrepo"></a>1.1.2.4. Managing Repositories with Zypper<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.zypper.instrepo">¶</a></span></h4></div></div></div><p>
   All installation or patch commands of Zypper rely on a list of known
   repositories. To list all repositories known to the system, use the
   command:
  </p><pre class="screen">zypper repos</pre><p>
   The result will look similar to the following output:
  </p><pre class="screen">

# | Alias                             | Name                              | Enabled | Refresh
--+-----------------------------------+-----------------------------------+---------+--------
1 | SUSE-Linux-Enterprise-Server 11-0 | SUSE-Linux-Enterprise-Server 11-0 | Yes     | No
2 | SLES-11-Updates                   | SLES 11 Online Updates            | Yes     | Yes
3 | broadcomdrv                       | Broadcom Drivers                  | Yes     | No      </pre><p>
   When specifying repositories in various commands, an alias, URI or
   repository number from the <span class="command"><strong>zypper repos</strong></span> command output
   can be used. Note however that the numbers can change after modifying the
   list of repositories. The alias will never change by itself.
  </p><p>
   By default, details as the URI or the priority of the repository is not
   displayed. Use the following command to list all details:
  </p><div class="section" title="1.1.2.4.1. Adding Repositories"><div class="titlepage"><div><div><h5 class="title"><a id="sec.zypper.instrepo.add"></a>1.1.2.4.1. Adding Repositories<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.zypper.instrepo.add">¶</a></span></h5></div></div></div><p>
    To add a repository, run
   </p><pre class="screen">zypper addrepo <em class="replaceable"><code>URI</code></em> <em class="replaceable"><code>Alias</code></em></pre><p>
    <em class="replaceable"><code>URI</code></em> can either be an Internet repository, a
    network resource, a directory or a CD or DVD (see
    <a class="ulink" href="http://en.opensuse.org/Libzypp/URI" target="_top">http://en.opensuse.org/Libzypp/URI</a> for details). The
    <em class="replaceable"><code>Alias</code></em> is a shorthand and unique identifier of
    the repository. You can freely choose it, with the only exception that
    is has to be unique. Zypper will issue a warning if you specify an alias
    that is already in use. To make working with repositories more
    convenient, use short and easy-to-remember aliases.
   </p></div><div class="section" title="1.1.2.4.2. Removing Repositories"><div class="titlepage"><div><div><h5 class="title"><a id="sec.zypper.instrepo.rm"></a>1.1.2.4.2. Removing Repositories<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.zypper.instrepo.rm">¶</a></span></h5></div></div></div><p>
    If you want to remove a repository from the list, use the command
    <span class="command"><strong>zypper removerepo</strong></span> together with the alias or number
    of the repository you want to delete. To remove the 3rd entry from the
    example, use the following command:
   </p><pre class="screen">zypper removerepo 3</pre></div><div class="section" title="1.1.2.4.3. Modifying Repositories"><div class="titlepage"><div><div><h5 class="title"><a id="sec.zypper.instrepo.mofify"></a>1.1.2.4.3. Modifying Repositories<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.zypper.instrepo.mofify">¶</a></span></h5></div></div></div><p>
    Enable or disable repositories with <span class="command"><strong>zypper
    modifyrepo</strong></span>. You can also alter the repository's properties
    (such as refreshing behavior, name or priority) with this command. The
    following command will enable the repository name
    <span class="quote">“<span class="quote">updates</span>”</span>, turn on auto-refresh and set it's priority to
    20:
   </p><pre class="screen">zypper mr -er -p 20 'updates'</pre><p>
    Modifying repositories is not limited to a single repository—you
    can also operate on groups:
   </p><table border="0" summary="Simple list" class="simplelist"><tr><td><code class="option">-a</code>: all repositories</td></tr><tr><td><code class="option">-l</code>: local repositories</td></tr><tr><td><code class="option">-t</code>: remote repositories</td></tr><tr><td><code class="option">-m <em class="replaceable"><code>TYPE</code></em></code>: repositories
     of a certain type (<em class="replaceable"><code>TYPE</code></em> can be one of the
     following: http, https, ftp, cd, dvd, dir, file, cifs, smb, nfs, hd, iso) </td></tr></table><p>
    To rename a repository alias, use the <code class="literal">renamerepo</code>
    command. The following example changes the alias from <span class="quote">“<span class="quote">Mozilla
    Firefox</span>”</span> to just <span class="quote">“<span class="quote">firefox</span>”</span>:
   </p><pre class="screen">zypper renamerepo 'Mozilla Firefox' firefox</pre></div></div><div class="section" title="1.1.2.5. Querying Repositories and Packages with Zypper"><div class="titlepage"><div><div><h4 class="title"><a id="sec.zypper.query"></a>1.1.2.5. Querying Repositories and Packages with Zypper<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.zypper.query">¶</a></span></h4></div></div></div><p>
   Zypper offers various methods to query repositories or packages. To get
   lists of all products, patterns, packages or patches available, use the
   following commands:
  </p><pre class="screen">zypper products
zypper patterns
zypper packages
zypper patches</pre><p>
   To query all repositories for certain packages, use
   <code class="literal">search</code>. It works on package names, capabilities or,
   optionally, on package summaries and descriptions. Using the wildcards *
   and ? with the search term is allowed. By default, the search is not
   case-sensitive.
  </p><pre class="screen">zypper se firefox       # simple search for "firefox"
zypper se *fire*        # using wildcards
zypper se -d fire       # also search in package descriptions and summaries
zypper se -u firefix    # only display packages not already installed</pre><p>
   To search for packages which provide a special capability, use the
   command <code class="literal">what-provides</code>. If you, for example, would like
   to know which package provides the perl Module
   <code class="literal">SVN::Core</code>, use the following command:
  </p><pre class="screen">zypper what-provides 'perl(SVN::Core)'</pre><p>
   To query single packages, use <code class="literal">info</code> with an exact
   package name as an argument. It displays detailed information about a
   package. Use the options <code class="option">--requires</code> and
   <code class="option">--recommends</code> to also show what is required/recommended
   by the package:
  </p><pre class="screen">zypper info --requires MozillaFirefox</pre><p>
   The <code class="literal">what-provides <em class="replaceable"><code>package</code></em></code>
   is similar to <span class="command"><strong>rpm -q --whatprovides
   <em class="replaceable"><code>package</code></em></strong></span>, but rpm is only able to
   query the RPM database (that is the database of all installed packages).
   Zypper, on the other hand, will tell you about providers of the
   capability from any repository, not only those that are installed.
  </p><a id="id344134" class="indexterm"></a></div></div></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="bk03pr01s03.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="index.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="pup-rhel.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">3. Documentation Conventions </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 1.2. Updating Packages on RHEL 5</td></tr></table></div></body></html>
