<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>1.3. Red Hat Update Agent (RHEL 4)</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-pup.jsp" title="Chapter 1. Package Update Tools (SLE and RHEL)" /><link rel="prev" href="pup-rhel.jsp" title="1.2. Updating Packages on RHEL 5" /><link rel="next" href="ch-rhnsd.jsp" title="Chapter 2. SUSE Manager Daemon" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">1.3. Red Hat Update Agent (RHEL 4)</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="pup-rhel.jsp">Prev</a> </td><th width="60%" align="center">Chapter 1. Package Update Tools (SLE and RHEL)</th><td width="20%" align="right"> <a accesskey="n" href="ch-rhnsd.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="1.3. Red Hat Update Agent (RHEL 4)"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="ch-up2date"></a>1.3. Red Hat Update Agent (RHEL 4)<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#ch-up2date">¶</a></span></h2></div></div></div><a id="id423684" class="indexterm"></a><p>
  The <span class="application">Red Hat Update Agent</span> is your connection to
  SUSE Manager on Red Hat Enterprise Linux 4. It enables you to register your
  systems, create System Profiles, and alter the settings by which your
  organization and SUSE Manager interact. Once registered, your systems can use
  the <span class="application">Red Hat Update Agent</span> to retrieve the latest
  software packages. This tool allows you to always have the most up-to-date
  Red Hat Enterprise Linux systems with all security updates, bug fixes, and
  software package enhancements.
 </p><p>
  Remember, this tool must be run on the system you wish to update. You
  cannot use the <span class="application">Red Hat Update Agent</span> on the
  system if it is not entitled to an SUSE Manager service offering.
 </p><div class="warning" title="Warning" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Warning</h3><p>
   Customers with Expanded Support using SUSE Manager must be entitled to
   retrieve updates to their Red Hat Enterprise Linux system via Novell Customer Center. Installing the Red Hat
   GPG key is also required. For more information, refer to
   <a class="xref" href="ch-up2date.jsp#s2-gpg-up2date" title="1.3.3.1. Installing the Red Hat GPG key">Section 1.3.3.1, “Installing the Red Hat GPG key”</a>.
  </p></div><div class="section" title="1.3.1. Starting the Red Hat Update Agent"><div class="titlepage"><div><div><h3 class="title"><a id="s1-start-up2date"></a>1.3.1. Starting the Red Hat Update Agent<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-start-up2date">¶</a></span></h3></div></div></div><a id="id360135" class="indexterm"></a><a id="id384017" class="indexterm"></a><p>
   If you are not running the X Window System or prefer the command line
   version of the <span class="application">Red Hat Update Agent</span>, skip to
   <a class="xref" href="ch-up2date.jsp#s1-text-up2date" title="1.3.3. Command Line Version">Section 1.3.3, “Command Line Version”</a>.
  </p><p>
   You must be root to run the <span class="application">Red Hat Update
   Agent</span>. If started as a standard user, Red Hat Update Agent
   prompts you to enter the root password before proceeding. The
   <span class="application">Red Hat Update Agent</span> can be started as
   follows:
  </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
     For Red Hat Enterprise Linux 5:











     At a shell prompt (for example, an <span class="application">xterm</span> or
     <span class="application">gnome-terminal</span>), type the command
     <span class="command"><strong>system-config-packages</strong></span>.
    </p></li><li class="listitem"><p>
     For Red Hat Enterprise Linux 4:











     At a shell prompt (for example, an <span class="application">xterm</span> or
     <span class="application">gnome-terminal</span>), type the command
     <span class="command"><strong>up2date</strong></span>.
    </p></li></ul></div><p>
   If you

   start the application from a shell prompt, you can specify the options in
   <a class="xref" href="ch-up2date.jsp#tb-up2date-options" title="Table 1.1. Graphical Update Agent Options">Table 1.1, “Graphical Update Agent Options”</a>. To view these options, type the
   command <span class="command"><strong>up2date --help</strong></span>. For example, use the following
   command to specify the directory in which to download the updated
   packages (temporarily overriding your saved configuration):
  </p><pre class="screen"><span class="command"><strong>up2date --tmpdir=/tmp/up2date/</strong></span>
</pre><div class="table"><a id="tb-up2date-options"></a><p class="title"><b>Table 1.1. Graphical Update Agent Options</b></p><div class="table-contents"><table summary="Graphical Update Agent Options" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Option</th><th>Description</th></tr></thead><tbody><tr><td><code class="option">--configure</code>
      </td><td>Configure <span class="application">Red Hat Update Agent</span>
      options. Refer to <a class="xref" href="ch-up2date.jsp#s1-up2date-config" title="1.3.4. Configuration">Section 1.3.4, “Configuration”</a> for detailed
      instructions.</td></tr><tr><td><code class="option">-d</code>, <code class="option">--download</code>
      </td><td>Download packages only; do not install them.  This argument
      temporarily overrides the configuration option <span class="guilabel">Do not
      install packages after retrieval.</span> Use this option if
      you prefer to install the packages manually.</td></tr><tr><td><code class="option">-f</code>, <code class="option">--force</code>
      </td><td>Force package installation. This option temporarily
      overrides the file, package, and configuration skip lists.</td></tr><tr><td><code class="option">-i</code>, <code class="option">--install</code>
      </td><td>Install packages after they are downloaded.  This argument
      temporarily overrides the configuration option <span class="guilabel">Do not
      install packages after retrieval.</span>
      </td></tr><tr><td><code class="option">-k</code>, <code class="option">--packagedir</code>
      </td><td>Specify a colon separated path of directories in which to
      look for packages before trying to download them.</td></tr><tr><td><code class="option">--nosig</code>
      </td><td>Do not use GPG to check package signatures.  This option
      temporarily overrides the saved configuration option.</td></tr><tr><td><code class="option">--tmpdir=<em class="replaceable"><code>directory</code></em></code>
      </td><td>Temporarily override the configured package directory. The
      default location is <code class="filename">/var/spool/up2date</code>. This
      option is useful if you do not have enough space in the configured
      location.</td></tr><tr><td><code class="option">--dbpath=<em class="replaceable"><code>dir</code></em></code>
      </td><td>Specify an alternate RPM database to use
      temporarily.</td></tr></tbody></table></div></div><br class="table-break" /><p>
   The first time you run the <span class="application">Red Hat Update
   Agent</span>, two dialog boxes appear that you will not see in
   subsequent startups: <span class="guilabel">Configure Proxy Server</span> and
   <span class="guilabel">Install GPG Key</span>.
  </p><p>

   The first dialog box to appear prompts you for HTTP Proxy Server
   information. This is useful if your network connection requires you to
   use a proxy server to make HTTP connections. To use this feature, select
   the <span class="guilabel">Enable HTTP Proxy</span> checkbox and type your proxy
   server in the text field with the format HOST:PORT, such as
   <strong class="userinput"><code>squid.mysite.org:3128</code></strong>. Additionally, if your proxy
   server requires a username and password, select the <span class="guilabel">Use
   Authentication</span> checkbox and enter your username and password
   in the respective text fields.
  </p><p>
   An HTTP Proxy Server is not required by SUSE Manager. If you do not want to
   use this feature, click the <span class="guibutton">OK</span> button without
   making any selections.

  </p><p>
   The second dialog box to appear prompts you to install the Red Hat GPG
   key. This key is used to
   verify the packages you download for security purposes. Click
   <span class="guibutton">Yes</span> to install the key, and you will not see this
   message again.
  </p></div><div class="section" title="1.3.2. Registration"><div class="titlepage"><div><div><h3 class="title"><a id="s1-up2date-register"></a>1.3.2. Registration<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-up2date-register">¶</a></span></h3></div></div></div><a id="id459515" class="indexterm"></a><p>
   Before you begin using SUSE Manager, you must create a username, password,
   and System Profile. Upon launch, the Red Hat Update Agent senses whether
   these tasks have been accomplished. If not, it guides you through the
   registration process.
  </p><p>
   If you ever need to force the Red Hat Update Agent into registration
   mode, such as to re-register an existing system, you may do so by issuing
   the following command at a shell prompt:
  </p><pre class="screen">up2date --register 
</pre><div class="important" title="Important" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Important</h3><p>
    If your username is part of a larger organizational account, you should
    take caution when registering systems. By default, all systems
    registered with the <span class="application">Red Hat Update Agent</span> end
    up in the Ungrouped section of systems visible only to SUSE Manager
    Administrators. To ensure you retain management of these systems, your
    organization is recommended to create an activation key associated with
    a specific system group and grant you permissions to that group. You may
    then register your systems using that activation key and find those
    System Profiles within SUSE Manager immediately. Refer to
    <a class="xref" href="ch-up2date.jsp#s1-up2date-actkeys" title="1.3.5. Registering with Activation Keys">Section 1.3.5, “Registering with Activation Keys”</a> for instructions.
   </p></div><p>
   After installing the Red Hat GPG Key, the Welcome screen

   appears. It appears each time you start the Red Hat Update Agent. Click
   <span class="guibutton">Forward</span> to continue.
  </p><div class="section" title="1.3.2.1. Channels"><div class="titlepage"><div><div><h4 class="title"><a id="s2-up2date-reg-channel"></a>1.3.2.1. Channels<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-up2date-reg-channel">¶</a></span></h4></div></div></div><p>
    Red Hat Update Agent next displays all package channels to which you
    have access. The channels you select from this screen must match the
    base operating system of the system you are registering. if any child
    channels are available,

    you may select them as well. Additional information regarding the
    selected channel is displayed in the <span class="guilabel">Channel
    Information</span> pane. When finished, click
    <span class="guibutton">Forward</span> to continue.
   </p><p>
    Red Hat Update Agent now compares the packages in your RPM database with
    those available from the Channel you selected. The progress bar
     is displayed during
    this process.
   </p></div><div class="section" title="1.3.2.2. Packages Flagged to be Skipped"><div class="titlepage"><div><div><h4 class="title"><a id="s2-up2date-reg-skip"></a>1.3.2.2. Packages Flagged to be Skipped<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-up2date-reg-skip">¶</a></span></h4></div></div></div><p>
    The next step in the initial update is the selection of files to be
    skipped. Any packages checked here will not be downloaded and updated by
    the Red Hat Update Agent. This screen is displayed whenever packages are
    available that are currently selected to be ignored.

   </p><p>
    Make your selections and click <span class="guibutton">Forward</span> to
    continue.
   </p></div><div class="section" title="1.3.2.3. Available Package Updates"><div class="titlepage"><div><div><h4 class="title"><a id="s2-up2date-reg-update"></a>1.3.2.3. Available Package Updates<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-up2date-reg-update">¶</a></span></h4></div></div></div><p>
    The Red Hat Update Agent next displays all available updates except
    those you chose to skip in the previous screen. Select those you wish to
    download and click <span class="guibutton">Forward</span> to continue. To view
    the complete Patch (Errata) Advisory text for an update, highlight the
    relevant package and click the <span class="guibutton">View Advisory</span>
    button. When finished, click <span class="guibutton">OK</span>.
   </p><p>
    Select those you wish to download and click
    <span class="guibutton">Forward</span> to continue.
   </p><div class="figure"><a id="id437487"></a><p class="title"><b>Figure 1.8. Available Package Updates</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="444"><tr><td><img src="../../images/available.png" width="444" alt="Available Package Updates" /></td></tr></table></div></div></div><br class="figure-break" /></div><div class="section" title="1.3.2.4. Retrieving Packages"><div class="titlepage"><div><div><h4 class="title"><a id="s2-up2date-reg-get"></a>1.3.2.4. Retrieving Packages<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-up2date-reg-get">¶</a></span></h4></div></div></div><p>
    The Red Hat Update Agent tests the packages you selected to be certain
    that the requirements of each RPM are met. If any additional packages
    are required, Red Hat Update Agent displays an error message. Click
    <span class="guibutton">OK</span> to continue.
   </p><p>
    Once all dependencies are met, Red Hat Update Agent retrieves the
    packages from SUSE Manager. As the packages are downloaded, they are
    temporarily stored in <code class="filename">/var/spool/up2date/</code>.
   </p><p>
    When all packages have been downloaded, click
    <span class="guibutton">Forward</span> to continue.
   </p></div><div class="section" title="1.3.2.5. Installing Packages"><div class="titlepage"><div><div><h4 class="title"><a id="s2-up2date-install"></a>1.3.2.5. Installing Packages<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-up2date-install">¶</a></span></h4></div></div></div><p>
    The packages must be installed after downloading them via the
    <span class="application">Red Hat Update Agent</span>. If you chose not to
    install the packages via the <span class="application">Red Hat Update
    Agent</span>, skip to
    <a class="xref" href="ch-up2date.jsp#s2-manual-pkg-installation" title="1.3.3.2. Manual Package Installation">Section 1.3.3.2, “Manual Package Installation”</a> for further instructions.
    If you configured the Red Hat Update Agent to install the packages (the
    default setting), the installation process begins. The progress of
    installing each package, as well as the total progress, is displayed.
    When the packages have been installed, click
    <span class="guibutton">Forward</span> to continue.
   </p><p>
     Click
    <span class="guibutton">Finish</span> to exit the <span class="application">Red Hat Update
    Agent</span>.
   </p></div></div><div class="section" title="1.3.3. Command Line Version"><div class="titlepage"><div><div><h3 class="title"><a id="s1-text-up2date"></a>1.3.3. Command Line Version<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-text-up2date">¶</a></span></h3></div></div></div><a id="id395994" class="indexterm"></a><a id="id418674" class="indexterm"></a><a id="id336277" class="indexterm"></a><p>
   If you are not running X, you can still run the <span class="application">Red Hat
   Update Agent</span> from a virtual console or remote terminal. If
   you are running X but want to use the command line version, you can force
   it not to display the graphical interface with the following command:
  </p><pre class="screen"><span class="command"><strong>up2date --nox</strong></span>
</pre><p>
   The command line version of the <span class="application">Red Hat Update
   Agent</span> allows you to perform advanced functions or to
   perform actions with little or no interaction. For example, the following
   command updates your system with no interaction. It downloads the newer
   packages and installs them if you configured it to do so.
  </p><pre class="screen"><span class="command"><strong>up2date -u</strong></span>
</pre><p>
   The command line version of the <span class="application">Red Hat Update
   Agent</span> accepts the following arguments:
  </p><div class="table"><a id="id340488"></a><p class="title"><b>Table 1.2. Update Agent Command Line Arguments</b></p><div class="table-contents"><table summary="Update Agent Command Line Arguments" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Option</th><th>Description</th></tr></thead><tbody><tr><td><code class="option">-?</code>, <code class="option">--usage</code>
      </td><td>Briefly describe the available options.</td></tr><tr><td><code class="option">-h</code>, <code class="option">--help</code>
      </td><td>List the available options and exit.</td></tr><tr><td><code class="option">--arch=<em class="replaceable"><code>architecture</code></em></code>
      </td><td>Force <span class="command"><strong>up2date</strong></span> to
                  install this architecture of the package. Not
                  valid with <code class="option">--update</code>,
                  <code class="option">--list</code>, or
                  <code class="option">--dry-run</code>.</td></tr><tr><td><code class="option">--channel=<em class="replaceable"><code>channel</code></em></code>
      </td><td>Specify from which channels to update using
                  channel labels.</td></tr><tr><td><code class="option">--configure</code>
      </td><td>Configure <span class="application">Red Hat Update
                  Agent</span> options. Refer to <a class="xref" href="ch-up2date.jsp#s1-up2date-config" title="1.3.4. Configuration">Section 1.3.4, “Configuration”</a> for detailed
                  instructions.</td></tr><tr><td><code class="option">-d</code>, <code class="option">--download</code>
      </td><td>Download packages only; do not install them.
                  This argument temporarily overrides the
                  configuration option <span class="guilabel">Do not install packages after
                  retrieval.</span> Use this option if you
                  prefer to install the packages manually.</td></tr><tr><td><code class="option">--dbpath=<em class="replaceable"><code>dir</code></em></code>
      </td><td>Specify an alternate RPM database to use
                  temporarily.</td></tr><tr><td><code class="option">--dry-run</code>
      </td><td>Do everything but download and install
                  packages. This is useful in checking dependencies
                  and other requirements prior to actual
                  installation.</td></tr><tr><td><code class="option">-f</code>, <code class="option">--force</code>
      </td><td>Force package installation. This option
                  temporarily overrides the file, package, and
                  configuration skip lists.</td></tr><tr><td><code class="option">--firstboot</code>
      </td><td>Pop up in the center of the screen for
                  Firstboot.</td></tr><tr><td><code class="option">--get</code>
      </td><td>Fetch the package specified without resolving
                  dependencies.</td></tr><tr><td><code class="option">--get-source</code>
      </td><td>Fetch the source package specified without
                  resolving dependencies.</td></tr><tr><td><code class="option">--gpg-flags</code>
      </td><td>Show the flags with which GPG is invoked,
                  such as the keyring.</td></tr><tr><td><code class="option">--hardware</code>
      </td><td>Update this system's hardware profile on
                  SUSE Manager.</td></tr><tr><td><code class="option">-i</code>, <code class="option">--install</code>
      </td><td>Install packages after they are downloaded.
                  This argument temporarily overrides the
                  configuration option <span class="guilabel">Do not install packages after
                  retrieval.</span>
      </td></tr><tr><td><code class="option">--installall=<em class="replaceable"><code>&lt;channel-label&gt;</code></em></code>
      </td><td>Install all available packages from a given
                  channel
      </td></tr><tr><td><code class="option">--justdb</code>
      </td><td>Only add packages to the database and do not
                  install them.</td></tr><tr><td><code class="option">-k</code>, <code class="option">--packagedir</code>
      </td><td>Specify a colon-separated path of directories
                  in which to look for packages before trying to
                  download them.</td></tr><tr><td><code class="option">-l</code>, <code class="option">--list</code>
      </td><td>List packages relevant to the system.</td></tr><tr><td><code class="option">--list-rollbacks</code>
      </td><td>Show the package rollbacks available.</td></tr><tr><td><code class="option">--nodownload</code>
      </td><td>Do not download packages at all. This is
                  useful in testing.</td></tr><tr><td><code class="option">--nosig</code>
      </td><td>Do not use GPG to check package signatures.
                  This option temporarily overrides the saved
                  configuration option.</td></tr><tr><td><code class="option">--nosrc</code>
      </td><td>Do not download source packages (SRPMs).</td></tr><tr><td><code class="option">--nox</code>
      </td><td>Do not attempt to run in X. This launches the
                  command line version of the <span class="application">Red Hat Update
                  Agent</span>.</td></tr><tr><td><code class="option">-p</code>, <code class="option">--packages</code>
      </td><td>Update packages associated with this System
                  Profile.</td></tr><tr><td><code class="option">--proxy=<em class="replaceable"><code>proxy
                  URL</code></em></code>
      </td><td>Specify an HTTP proxy to use.</td></tr><tr><td><code class="option">--proxyPassword=<em class="replaceable"><code>proxy
                  password</code></em></code>
      </td><td>Specify a password to use with an
                  authenticated HTTP proxy.</td></tr><tr><td><code class="option">--proxyUser=<em class="replaceable"><code>proxy user
                  ID</code></em></code>
      </td><td>Specify a username to use with an
                  authenticated HTTP proxy.</td></tr><tr><td><code class="option">--register</code>
      </td><td>Register (or re-register) this system with
                  SUSE Manager. Refer to <a class="xref" href="ch-up2date.jsp#s1-up2date-register" title="1.3.2. Registration">Section 1.3.2, “Registration”</a> for detailed
                  instructions.</td></tr><tr><td><code class="option">--serverUrl=<em class="replaceable"><code>server
                  URL</code></em></code>
      </td><td>Specify an alternate server from which to
                  retrieve packages.</td></tr><tr><td><code class="option">--showall</code>
      </td><td>List all packages available for
                  download.</td></tr><tr><td><code class="option">--show-available</code>
      </td><td>List all packages available that are not
                  currently installed.</td></tr><tr><td><code class="option">--show-channels</code>
      </td><td>Show the channel name associated with each
                  package.</td></tr><tr><td><code class="option">--show-orphans</code>
      </td><td>List all packages currently installed that
                  are not in channels to which the system is
                  subscribed.</td></tr><tr><td><code class="option">--show-package-dialog</code>
      </td><td>Show the package installation dialog in GUI
                  mode.</td></tr><tr><td><code class="option">--solvedeps=<em class="replaceable"><code>dependencies</code></em></code>
      </td><td>Find, download, and install the packages
                  necessary to resolve dependencies.</td></tr><tr><td><code class="option">--src</code>
      </td><td>Download source packages, as well as binary
                  RPMs.</td></tr><tr><td><code class="option">--tmpdir=<em class="replaceable"><code>directory</code></em></code>
      </td><td>Temporarily override the configured package
                  directory. The default location is <code class="filename">/var/spool/up2date</code>. This option
                  is useful if you do not have enough space in the
                  configured location.</td></tr><tr><td><code class="option">-u</code>, <code class="option">--update</code>
      </td><td>Update system with all relevant
                  packages.</td></tr><tr><td><code class="option">--undo</code>
      </td><td>Reverse the last package set update.</td></tr><tr><td><code class="option">--upgrade-to-release=<em class="replaceable"><code>release
                  version</code></em></code>
      </td><td>Upgrade to the channel specified.</td></tr><tr><td><code class="option">--uuid=<em class="replaceable"><code>uuid</code></em></code>
      </td><td>Pass in a Unique User ID generated by the
                  Alert Notification tool.</td></tr><tr><td><code class="option">-v</code>, <code class="option">--verbose</code>
      </td><td>Show additional output while updating.</td></tr><tr><td><code class="option">--version</code>
      </td><td>Show <span class="command"><strong>up2date</strong></span>
                  version information.</td></tr><tr><td><code class="option">--whatprovides=<em class="replaceable"><code>dependencies</code></em></code>
      </td><td>Show the packages that resolve the
                  comma-separated list of dependencies.</td></tr></tbody></table></div></div><br class="table-break" /><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
    The <code class="option">--solvedeps</code> and <code class="option">--whatprovides</code>
    options can be used to solve the dependencies for an RPM regardless even
    if your system does not currently have access to a channel that contains
    that package.
   </p></div><div class="section" title="1.3.3.1. Installing the Red Hat GPG key"><div class="titlepage"><div><div><h4 class="title"><a id="s2-gpg-up2date"></a>1.3.3.1. Installing the Red Hat GPG key<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-gpg-up2date">¶</a></span></h4></div></div></div><a id="id482305" class="indexterm"></a><p>
    The first time you run the graphical version of the <span class="application">Red Hat
    Update Agent</span>, it prompts you to install the Red Hat GPG
    key. This key is required to authenticate the packages downloaded from
    Red Hat Network. If you run the command line version the first time you
    start <span class="application">Red Hat Update Agent</span>, you must install
    the Red Hat GPG key manually. If you do not have it installed, you will
    see the following message:
   </p><pre class="screen">Your GPG keyring does not contain the Red Hat, Inc. public key.
Without it, you will be unable to verify that packages Update Agent downloads
are securely signed by Red Hat.

[...]</pre><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
     GPG keys must be installed for each user. To install the key to use
     with SUSE Manager, import the key while logged in as root.
    </p></div><p>
    Issue the following command at a shell prompt as root:
   </p><pre class="screen"><span class="command"><strong>rpm --import /usr/share/rhn/RPM-GPG-KEY</strong></span>
</pre></div><div class="section" title="1.3.3.2. Manual Package Installation"><div class="titlepage"><div><div><h4 class="title"><a id="s2-manual-pkg-installation"></a>1.3.3.2. Manual Package Installation<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-manual-pkg-installation">¶</a></span></h4></div></div></div><a id="id363210" class="indexterm"></a><p>
    If you chose to download, but not install, the software updates with the
    <span class="application">Red Hat Update Agent</span>, you must install them
    manually using RPM.
   </p><p>
    To install them, change to the directory that contains the downloaded
    packages. The default directory is
    <code class="filename">/var/spool/up2date</code>. Type the command <span class="command"><strong>rpm
    -Uvh *.rpm</strong></span>. When the packages finish installing, you can
    delete them if you wish. You do not need them anymore.
   </p><p>
    After installing the packages, you must update your System Profile so
    that you are not prompted to download them again. Refer to
    <a class="xref" href="ch-up2date.jsp#s2-synchronize" title="1.3.3.3. Synchronizing Your System Profile">Section 1.3.3.3, “Synchronizing Your System Profile”</a> for details.
   </p></div><div class="section" title="1.3.3.3. Synchronizing Your System Profile"><div class="titlepage"><div><div><h4 class="title"><a id="s2-synchronize"></a>1.3.3.3. Synchronizing Your System Profile<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-synchronize">¶</a></span></h4></div></div></div><a id="id402275" class="indexterm"></a><a id="id485484" class="indexterm"></a><a id="id421252" class="indexterm"></a><p>
    If you configured the <span class="application">Red Hat Update Agent</span> to
    install the latest packages, the System Profile stored by SUSE Manager is
    updated after the packages are installed. However, if you only download
    the latest RPM packages using the <span class="application">Red Hat Update
    Agent</span>, download the RPM packages from the website, or
    upgrade/install/remove RPM packages yourself, your System Profile is not
    updated automatically. You must send your updated System Profile to the
    SUSE Manager server.
   </p><p>
    To synchronize the RPM package list on your local Red Hat Enterprise
    Linux 5 system and on Red Hat Network, run the command:
   </p><pre class="screen"><span class="command"><strong>rhn-profile-sync</strong></span>
</pre><p>
    After running this command, your SUSE Manager System Profile reflects the
    latest software versions installed on your system.
   </p><p>
    For Red Hat Enterprise Linux 4 systems, use the following command to
    update the package list, run the command:
   </p><pre class="screen"><span class="command"><strong>up2date -p</strong></span>
</pre></div><div class="section" title="1.3.3.4. Log File"><div class="titlepage"><div><div><h4 class="title"><a id="s2-up2date-log"></a>1.3.3.4. Log File<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-up2date-log">¶</a></span></h4></div></div></div><a id="id445752" class="indexterm"></a><p>
    The <span class="application">Red Hat Update Agent</span> keeps a log of all
    the actions that it performs on your system in the file
    <code class="filename">/var/log/up2date</code>. It uses the standard rotating log
    method. Thus, older logs are in <code class="filename">/var/log/up2date.1</code>,
    <code class="filename">/var/log/up2date.2</code>, and
    <code class="filename">/var/log/up2date.3</code>. The log files store actions
    performed by the <span class="application">Red Hat Update Agent</span> such as
    when your RPM database is opened, when it connects to SUSE Manager to
    retrieve information from your System Profile, which packages are
    downloaded, which packages are installed using the <span class="application">Red Hat
    Update Agent</span>, and which packages are deleted from your
    system after installation. If you choose to install and delete packages
    yourself, it is not logged in this file. It is recommended that you keep
    a log of actions not performed with the <span class="application">Red Hat Update
    Agent</span>.
   </p></div></div><div class="section" title="1.3.4. Configuration"><div class="titlepage"><div><div><h3 class="title"><a id="s1-up2date-config"></a>1.3.4. Configuration<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-up2date-config">¶</a></span></h3></div></div></div><a id="id389927" class="indexterm"></a><p>
   The <span class="application">Red Hat Update Agent</span> offers various
   options to configure its settings.
  </p><p>
   If you are not running the X Window System or prefer the command line
   version, skip to <a class="xref" href="ch-up2date.jsp#s2-up2date-config-text" title="1.3.4.2. Command Line Version">Section 1.3.4.2, “Command Line Version”</a>.
  </p><div class="section" title="1.3.4.1. Using the Red Hat Update Agent Configuration Tool"><div class="titlepage"><div><div><h4 class="title"><a id="s2-start-up2date-config"></a>1.3.4.1. Using the Red Hat Update Agent Configuration Tool<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-start-up2date-config">¶</a></span></h4></div></div></div><a id="id490731" class="indexterm"></a><p>
    You must be root to run the <span class="application">Red Hat Update Agent
    Configuration Tool</span>. If started by a user other than root,
    the Red Hat Update Agent prompts you for the root password. The
    <span class="application">Red Hat Update Agent Configuration Tool</span> can
    be started by typing the command <span class="command"><strong>up2date --config</strong></span> at
    a shell prompt (for example, an <span class="application">xterm</span> or a
    <span class="application">gnome-terminal</span>).
   </p><div class="section" title="1.3.4.1.1. General Settings"><div class="titlepage"><div><div><h5 class="title"><a id="s3-general-settings"></a>1.3.4.1.1. General Settings<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-general-settings">¶</a></span></h5></div></div></div><a id="id330614" class="indexterm"></a><a id="id370223" class="indexterm"></a><a id="id366334" class="indexterm"></a><p>
     The <span class="guilabel">General</span> tab allows you to enable an HTTP Proxy
     Server. If your network connection requires you to use an HTTP Proxy
     Server to make HTTP connections, select the <span class="guilabel">Enable HTTP
     Proxy</span> option and type your proxy server in the text field
     with the format http://HOST:PORT. For example, to use the proxy server
     squid.mysite.org on port 3128, you would enter
     <strong class="userinput"><code>squid.mysite.org:3128</code></strong> in the text field.
     Additionally, if your proxy server requires a username and password,
     select the <span class="guilabel">Use Authentication</span> option and enter
     your username and password in the respective text fields.
    </p></div><div class="section" title="1.3.4.1.2. Retrieval/Installation Settings"><div class="titlepage"><div><div><h5 class="title"><a id="s3-Retrieval-Installation-Settings"></a>1.3.4.1.2. Retrieval/Installation Settings<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-Retrieval-Installation-Settings">¶</a></span></h5></div></div></div><a id="id486583" class="indexterm"></a><p>
     The <span class="guilabel">Retrieval/Installation</span> tab allows you to
     customize your software package retrieval and package installation
     preferences.
    </p><div class="figure"><a id="fig-retrieval-installation"></a><p class="title"><b>Figure 1.9. Retrieval/Installation Settings</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="444"><tr><td><img src="../../images/config-retrieval-installation.png" width="444" alt="Retrieval/Installation Settings" /></td></tr></table></div></div></div><br class="figure-break" /><p>
     The following package retrieval options can be selected (see
     <a class="xref" href="ch-up2date.jsp#fig-retrieval-installation" title="Figure 1.9. Retrieval/Installation Settings">Figure 1.9, “Retrieval/Installation Settings”</a>):
    </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
       <span class="guimenuitem">Do not install packages after retrieval</span>
       — download selected RPM packages to the desired directory and
       ignore the installation preferences
      </p></li><li class="listitem"><p>
       <span class="guimenuitem">Do not upgrade packages when local configuration file
       has been modified</span> — if the configuration file has
       been modified for a package such as <code class="filename">apache</code> or
       <code class="filename">squid</code>, do not attempt to upgrade it. This option
       is useful if you are installing custom RPMs on your system and you do
       not want them updated or reverted to the default Red Hat Enterprise
       Linux packages.
      </p></li><li class="listitem"><p>
       <span class="guimenuitem">Retrieve source RPM along with binary
       package</span> — download both the source
       (<code class="filename">*.src.rpm</code>) and the binary
       (<code class="filename">*.[architecture].rpm</code>) files
      </p></li></ul></div><p>
     The following installation options are configurable (see
     <a class="xref" href="ch-up2date.jsp#fig-retrieval-installation" title="Figure 1.9. Retrieval/Installation Settings">Figure 1.9, “Retrieval/Installation Settings”</a>):
    </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
       <span class="guimenuitem">Use GPG to verify package integrity</span> —
       before installing packages, verify Red Hat's GPG signature (highly
       recommended for security reasons)
      </p></li><li class="listitem"><p>
       <span class="guimenuitem">After installation, keep binary packages on
       disk</span> — save binary packages in the desired directory
       instead of deleting them after installation
      </p></li></ul></div><p>
     The following additional options are configurable from this tab:
    </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
       <span class="guimenuitem">Override version stored in System Profile</span>
       — override the Red Hat Linux version in your System Profile
      </p></li><li class="listitem"><p>
       <span class="guimenuitem">Package storage directory</span> — change the
       directory where packages are downloaded; the default location is
       <code class="filename">/var/spool/up2date/</code>
      </p></li></ul></div></div><div class="section" title="1.3.4.1.3. Package Exceptions Settings"><div class="titlepage"><div><div><h5 class="title"><a id="s3-Package-Exceptions-Settings"></a>1.3.4.1.3. Package Exceptions Settings<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-Package-Exceptions-Settings">¶</a></span></h5></div></div></div><a id="id431719" class="indexterm"></a><a id="id449817" class="indexterm"></a><p>
     The <span class="guilabel">Package Exceptions</span> tab allows you to define
     which packages to exclude from the list of updated RPM packages
     according to the package name or file name (see
     <a class="xref" href="ch-up2date.jsp#fig-package-exceptions" title="Figure 1.10. Package Exceptions Settings">Figure 1.10, “Package Exceptions Settings”</a>).
    </p><p>
     To define a set of packages to be excluded according to the package
     name, enter a character string including wild cards (*) in the
     <span class="guilabel">Add new</span> text field under in the <span class="guilabel">Package
     Names to Skip</span> section heading. A wild card at the end of the
     character string indicates that all packages beginning with the
     character string are excluded from the list. A wild card at the
     beginning of the character string indicates that any packages that end
     with the character string are excluded from the list.
    </p><p>
     For example, if the string <strong class="userinput"><code>kernel*</code></strong> is in the
     <span class="guilabel">Package Names to Skip</span> section, the
     <span class="application">Red Hat Update Agent</span> will not display any
     packages beginning with kernel.
    </p><p>
     To exclude packages by file name, apply the same rules to the field
     below <span class="guilabel">File Names to Skip</span> section heading.
    </p><div class="figure"><a id="fig-package-exceptions"></a><p class="title"><b>Figure 1.10. Package Exceptions Settings</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="444"><tr><td><img src="../../images/config-package-exceptions.png" width="444" alt="Package Exceptions Settings" /></td></tr></table></div></div></div><br class="figure-break" /></div></div><div class="section" title="1.3.4.2. Command Line Version"><div class="titlepage"><div><div><h4 class="title"><a id="s2-up2date-config-text"></a>1.3.4.2. Command Line Version<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-up2date-config-text">¶</a></span></h4></div></div></div><a id="id457345" class="indexterm"></a><p>
    The command line version of this tool performs the same function as the
    graphical version. It allows you to configure the settings used by the
    <span class="application">Red Hat Update Agent</span> and store them in the
    configuration file <code class="filename">/etc/sysconfig/rhn/up2date</code>.
   </p><p>
    To run the command line version of the <span class="application">Red Hat Update Agent
    Configuration Tool</span>, use the following command:
   </p><pre class="screen"><span class="command"><strong>up2date --nox --configure</strong></span>
</pre><p>
    You are presented with a list of options and their current values:
   </p><pre class="screen">0.  adminAddress       ['root@localhost'] 
1.  debug              No 
2.  disallowConfChange ['noReboot', 'sslCACert', 'useNoSSLForPackages',
3.  enableProxy        No 
4.  enableProxyAuth    No 
5.  enableRollbacks    No 
6.  fileSkipList       [] 
7.  forceInstall       No 
8.  gpgKeyRing         /etc/sysconfig/rhn/up2date-keyring.gpg 
9.  headerCacheSize    40 
10. headerFetchCount   10 
11. httpProxy 
12. isatty             Yes 
13. keepAfterInstall   No 
14. networkRetries     5 
15. noBootLoader       No 
16. noReboot           No 
17. noReplaceConfig    Yes 
18. noSSLServerURL     http://xmlrpc.rhn.redhat.com/XMLRPC 
19. pkgSkipList        ['kernel*'] 
20. pkgsToInstallNotUp ['kernel', 'kernel-modules', 'kernel-devel'] 
21. proxyPassword 
22. proxyUser 
23. removeSkipList     ['kernel*'] 
24. retrieveOnly       No 
25. retrieveSource     No 
26. rhnuuid            a8aea05c-f174-11df-af94-55bad1b1e05f 
27. serverURL          http://ix64ph001.example.com/XMLRPC 
28. showAvailablePacka No 
29. sslCACert          /usr/share/rhn/RHNS-CA-CERT 
30. storageDir         /var/spool/up2date 
31. systemIdPath       /etc/sysconfig/rhn/systemid 
32. updateUp2date      Yes 
33. useGPG             Yes 
34. useNoSSLForPackage No 
35. useRhn             Yes 
36. versionOverride 

Enter number of item to edit &lt;return to exit, q to quit without saving&gt;:
</pre><p>
    Enter the number of the item to modify and enter a new value for the
    option. When you finish changing your configuration, press
    <span class="keycap"><strong>Enter</strong></span> to save your changes and exit. Press
    <span class="keycap"><strong>q</strong></span> and then <span class="keycap"><strong>Enter</strong></span> to quit without
    saving your changes.
   </p><div class="important" title="Important" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Important</h3><p>
     Although this is not configurable, users should still make note that
     the port used by the <span class="application">Red Hat Update Agent</span> is
     443 for SSL (HTTPS) and 80 for non-SSL (HTTP). By default,
     <code class="filename">up2date</code> uses SSL only. For this reason, users
     should ensure that their firewalls allow connections over port 443. To
     bypass SSL, change the protocol for serverURL from
     <strong class="userinput"><code>https</code></strong> to <strong class="userinput"><code>http</code></strong> in the
     <code class="filename">/etc/sysconfig/rhn/up2date</code> configuration file.
    </p></div></div></div><div class="section" title="1.3.5. Registering with Activation Keys"><div class="titlepage"><div><div><h3 class="title"><a id="s1-up2date-actkeys"></a>1.3.5. Registering with Activation Keys<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-up2date-actkeys">¶</a></span></h3></div></div></div><a id="id444340" class="indexterm"></a><a id="id336925" class="indexterm"></a><a id="id351123" class="indexterm"></a><a id="id282743" class="indexterm"></a><p>
   
   
   In addition to the standard <span class="application">Red Hat Update
   Agent</span> interface, <span class="command"><strong>up2date</strong></span> offers a
   utility aimed at batch processing system registrations: activation keys.
   Each unique key can be used to register Red Hat Enterprise Linux systems,
   entitle them to a SUSE Manager service level, and subscribe them to specific
   channels and system groups, all in one action.

  </p><p>
   Alternatively, both the Red Hat Network Registration Client and Red Hat
   Update Agent offer the activation keys utility
   <span class="command"><strong>rhnreg_ks</strong></span> as part of their packages.
  </p><p>
   Before using an activation key you must first generate one through the
   SUSE Manager website. Refer to
   <a class="xref" href="s1-sm-systems.jsp#s2-sm-systems-activation-keys" title="3.4.6. Activation Keys — [Mgmt]">Section 3.4.6, “Activation Keys — [Mgmt]”</a> for precise steps.
  </p><p>
   To use an activation key, run the following command as root from a shell
   prompt on the system to be registered:
  </p><pre class="screen"><span class="command"><strong>rhnreg_ks --activationkey=7202f3b7d218cf59b764f9f6e9fa281b</strong></span>
</pre><p>
   The precise value of the activation key varies.
  </p><p>
   In addition, Provisioning-entitled systems may use multiple activation
   keys at once, either at the command line or within kickstart profiles.
   This allows Administrators to include a variety of values without
   creating a special key for the desired results. To do this, specify the
   keys separated by commas, like this:
  </p><pre class="screen"><span class="command"><strong>rhnreg_ks --activationkey=7202f3b7d218cf59b764f9f6e9fa281b,\
39f41081f0329c20798876f37cb9p6a3</strong></span>
</pre><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
    The trailing backslash (<span class="command"><strong>\</strong></span>) in this command example is
    a continuation character; it may safely be omitted, if you write all
    keys in one line.
   </p></div><p>
   Refer to <a class="xref" href="s1-sm-systems.jsp#s3-sm-system-keys-multiple" title="3.4.6.2. Using Multiple Activation Keys at Once — [Prov]">Section 3.4.6.2, “Using Multiple Activation Keys at Once — [Prov]”</a> to understand how
   differences in activation keys are handled.
  </p><p>
   The above command performs all the actions of the
   <span class="application">Registration Client</span> and the registration
   function of the <span class="application">Red Hat Update Agent</span>. Do not
   run either of these applications for registration after running
   <span class="command"><strong>rhnreg_ks</strong></span>.
  </p><p>
   A System Profile, including software and hardware information, is created
   for the system and sent to the SUSE Manager server along with the unique
   activation key. The system is registered with SUSE Manager under the account
   used to generate the key, entitled to an SUSE Manager service offering, and
   subscribed to the Novell channels and system groups selected during key
   generation. The system is not subscribed to channels that contain
   packages unsuitable for the system. For example, a Red Hat Enterprise
   Linux 4 system cannot be subscribed to the Red Hat Enterprise Linux 5
   channel.
  </p><p>
   The unique Digital Certificate for the system is generated on the system
   in the file <code class="filename">/etc/sysconfig/rhn/systemid</code>.
  </p><p>
   When using activation keys to assign channels, consider these rules:
  </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
     A key may specify either zero or one base channel. If specified, it
     must be a custom base channel. If not, the base channel corresponding
     to the system's Red Hat distribution is chosen. For instance, you may
     not subscribe a Red Hat Enterprise Linux 4 system to the Red Hat
     Enterprise Linux 5 channel.
    </p></li><li class="listitem"><p>
     A key may specify any number of child channels. For each child channel,
     subscription is attempted. If the child channel matches the system's
     base channel, subscription succeeds. If it does not, the subscription
     fails silently. Refer to <a class="xref" href="s1-sm-channels-packages.jsp" title="3.6. Channels">Section 3.6, “Channels”</a>
     for more information.
    </p></li><li class="listitem"><p>
     Keys may be modified by any user with the role of Activation Key
     Administrator or SUSE Manager Administrator (or both). These permissions
     are set through the <span class="guilabel">Users</span> tab of the SUSE Manager
     website. Refer to <a class="xref" href="s1-sm-users.jsp" title="3.9. Users — [Mgmt]">Section 3.9, “Users — [Mgmt]”</a> for details.
    </p></li><li class="listitem"><p>
     Systems registered with activation keys are tied to the organization
     account in which the key was created, not the key itself. After
     registration, a key can be deleted safely without any effect on the
     systems it was used to register.
    </p></li></ul></div></div><div class="section" title="1.3.6. Registering a System to an Organization"><div class="titlepage"><div><div><h3 class="title"><a id="s1-up2date-organizations"></a>1.3.6. Registering a System to an Organization<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-up2date-organizations">¶</a></span></h3></div></div></div><p>
   SUSE Manager supports the Organizations feature, which allows administrators
   to appropriate software and system entitlements across various
   organizations, as well as control an organization's access to systems
   management. Systems can now be registered directly with an organization.
  </p><p>
   To register a system with an organization on a SUSE Manager server, you can
   use the username and password of an account that is created within that
   organization. For example, if there is an organization called
   <span class="guilabel">Sales Team</span>, with a username
   <strong class="userinput"><code>salesadmin</code></strong> and password
   <strong class="userinput"><code>abc123</code></strong>, using these credentials assures that a
   system is registered with the proper organization.
  </p><p>
   For example:
  </p><pre class="screen">rhnreg_ks --user=salesadmin --password=abc123</pre><div class="important" title="Important" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Important</h3><p>
    The <code class="option">--orgid</code> option (for RHEL 4 and 5) and the
    <code class="option">--orgpassword</code> option (in RHEL 4) in the
    <span class="command"><strong>rhnreg_ks</strong></span> command <span class="emphasis"><em>are not
    related</em></span> to the Organizations feature and should not be used
    in the context of registering systems with organizations.
   </p></div><p>
   For more information about the Organizations feature, refer to
   <a class="xref" href="s1-sm-sattools.jsp#s2-sattools-org" title="3.11.1. Admin+Organizations">Section 3.11.1, “<span class="guilabel">Admin</span>+<span class="guilabel">Organizations</span>”</a>.
  </p></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="pup-rhel.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-pup.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="ch-rhnsd.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">1.2. Updating Packages on RHEL 5 </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> Chapter 2. SUSE Manager Daemon</td></tr></table></div></body></html>
