<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Glossary</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><style type="text/css">
body { background-image: url('http://docbook.sourceforge.net/release/images/draft.png');
       background-repeat: no-repeat;
       background-position: top left;
       /* The following properties make the watermark "fixed" on the page. */
       /* I think that's just a bit too distracting for the reader... */
       /* background-attachment: fixed; */
       /* background-position: center center; */
     }</style><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="index.jsp" title="Reference Guide" /><link rel="prev" href="app.manager.ref.about.jsp" title="Appendix D. About SUSE Manager and Spacewalk" /><link rel="next" href="../../client-config/en-US/index.jsp" title="Client Configuration Guide" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Glossary</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="app.manager.ref.about.jsp">Prev</a> </td><th width="60%" align="center">Reference Guide</th><td width="20%" align="right"> <a accesskey="n" href="../../client-config/en-US/index.jsp">Next</a></td></tr></table><hr /></div><div class="glossary" title="Glossary"><div class="titlepage"><div><div><h2 class="title"><a id="cha.manager.glossary"></a>Glossary</h2></div></div></div><dl><dt>Action</dt><dd><p>
    A task that is scheduled by a system administrator using SUSE Manager to be
    performed on one or more client systems. For example, an action can be
    scheduled to update the kernel packages on all the systems within a
    selected group.
   </p></dd><dt>Activation Key</dt><dd><p>

    SUSE Manager Management and Provisioning customers can generate activation
    keys through the SUSE Manager website. Each unique key can then be used to
    <span class="quote">“<span class="quote">activate</span>”</span> (register) a client system (either SLE or
    RHEL), entitle the system to SUSE Manager, subscribe the system to
    specific channels, and subscribe the system to SUSE Manager system groups
    through the command line utility <span class="command"><strong>rhnreg_ks</strong></span> from the
    bootstrap script.

   </p></dd><dt><a id="glos.base-channel"></a>Base Channel</dt><dd><p>
    A base channel is a type of <a class="xref" href="cha.manager.glossary.jsp#glos.channel" title="Channel">Channel</a> that consists
    of a list of packages based on a specific architecture and SUSE
    release. For example, all the packages in SUSE Linux Enterprise Server 11 SP1 for the x86
    architecture make a base channel.
   </p></dd><dt>Bug Fix Alert</dt><dd><p>
    An <a class="xref" href="cha.manager.glossary.jsp#glos.errata-alert" title="Patch Alert">Patch Alert</a> that pertains to a bug fix.
   </p></dd><dt>Bugzilla</dt><dd><p>
    Bugzilla is an online application
    (<a class="ulink" href="http://bugzilla.novell.com" target="_top">http://bugzilla.novell.com</a>) that allows users to
    communicate directly with the developers. From Bugzilla, users can
    submit bug reports and feature requests for SUSE Linux Enterprise and related open
    source packages.
   </p></dd><dt>Certificate Authority</dt><dd><p>
    A Certificate Authority distributes digital signatures to users as part
    of public key infrastructure for encrypted authentication and
    communication.
   </p></dd><dt><a id="glos.channel"></a>Channel</dt><dd><p>
    A channel is a list of software packages. There are two types of
    channels: base channels and child channels. Channels are used to choose
    packages to be installed from client systems. Every client system must
    be subscribed to one <a class="xref" href="cha.manager.glossary.jsp#glos.base-channel" title="Base Channel">Base Channel</a> and can be
    subscribed to one or more <a class="xref" href="cha.manager.glossary.jsp#glos.child-channel" title="Child Channel">Child Channel</a>.
   </p></dd><dt>Channel Administrator</dt><dd><p>
    A user role with full access to channel management capabilities. Users
    with this role are capable of creating channels, assigning packages to
    channels, cloning channels, and deleting channels. This role can be
    assigned by an organization administrator through the
    <span class="guilabel">Users</span> tab of the Web interface.
   </p></dd><dt><a id="glos.child-channel"></a>Child Channel</dt><dd><p>
    A child channel is a <a class="xref" href="cha.manager.glossary.jsp#glos.channel" title="Channel">Channel</a> associated with a
    <a class="xref" href="cha.manager.glossary.jsp#glos.base-channel" title="Base Channel">Base Channel</a> but contains extra packages.
   </p></dd><dt>Client System</dt><dd><p>
    See <a class="xref" href="cha.manager.glossary.jsp#glos.registered-system" title="Registered System">Registered System</a>.
   </p></dd><dt><a id="glos.digital-certificate"></a>Digital Certificate</dt><dd><p>
    A client component in XML format that is stored in the
    <code class="filename">/etc/sysconfig/rhn/systemid</code> file on registered
    systems. SUSE Manager verifies this certificate to authenticate the
    registered system before each connection. This certificate is issued by
    SUSE and passed to the system as part of the registration process. It
    includes unique information about the registered system to avoid
    fraudulent use.
   </p></dd><dt>Email Notification</dt><dd><p>
    Similar to an <a class="xref" href="cha.manager.glossary.jsp#glos.errata-alert" title="Patch Alert">Patch Alert</a> , except the
    information is delivered via email. If the email notifications option is
    selected, notifications are sent for every
    <a class="xref" href="cha.manager.glossary.jsp#glos.errata-alert" title="Patch Alert">Patch Alert</a>. The email includes the type of
    
    patch alert, summary of the patches, description of the patch, and a
    list of which systems are affected by the report.
   </p></dd><dt>Enhancement Alert</dt><dd><p>
    A <a class="xref" href="cha.manager.glossary.jsp#glos.errata-alert" title="Patch Alert">Patch Alert</a> that pertains to a package
    enhancement request.
   </p></dd><dt>Organization Administrator</dt><dd><p>
    A user role with the highest level of control over an organization's
    SUSE Manager account. Members of this role can add other users, systems,
    and system groups to the organization as well as remove them.


   </p></dd><dt>Patches</dt><dd><p>
    Information published by SUSE describing security fixes, bug fixes,
    and package enhancements for SUSE Linux Enterprise Server. The information includes the topics
    of the patch, Bugzilla bug IDs, relevant releases/architectures,
    solutions including required RPMs, and file checksums for verification.

    Each Novell <a class="xref" href="cha.manager.glossary.jsp#glos.errata-alert" title="Patch Alert">Patch Alert</a> is based on the SUSE Linux Enterprise
    patch list.
   </p><p>
    Security issues and bug fixes are submitted by SUSE engineers as well
    as the Linux community through Bugzilla which generates a bug report for
    each issue. SUSE engineering evaluates the reports, resolves the bug,
    and generates new RPM packages. After the SUSE quality assurance team
    tests new packages they are placed on the SUSE public file server and
    a patch is generated.
   </p></dd><dt><a id="glos.errata-alert"></a>Patch Alert</dt><dd><p>
    Patch alert that updated packages based on SUSE patches are available
    for one or more systems within an organization. There are three types of
    patch alerts: security alerts, bug fix alerts, and enhancement alerts.
   </p></dd><dt>Management</dt><dd><p>
    One of Novell's service level offerings. It has more features than the
    update service level, including user management, system groups, and
    enhanced system details.
   </p></dd><dt>Notification Method</dt><dd><p>
    An email address to which SUSE Manager monitoring messages will be sent.
   </p></dd><dt>Package</dt><dd><p>
    All software in SUSE Linux Enterprise is divided into software packages. Software
    updates are released in the form of RPM packages that can be installed
    on a SUSE Linux Enterprise system.
   </p></dd><dt>Probe</dt><dd><p>
    A set of criteria that is either a template or a set of values assigned
    to a system that is used to measure the performance of a system.
   </p></dd><dt>Probe State</dt><dd><p>
    The measure of a probe's adherence to its defined criteria. States
    include: OK, Warning, Critical, Pending, Unknown
   </p></dd><dt>Probe Suite</dt><dd><p>
    collection or group of SUSE Manager monitoring probes.
   </p></dd><dt>Provisioning</dt><dd><p>
    One of the Novell Customer Center service level offerings. It has more features than the
    Management service level, including autoinstalling, reconfiguring,
    tracking, and reverting systems.
   </p></dd><dt><span class="application">Red Hat Update Agent</span></dt><dd><p>
    A client application for Red Hat Enterprise Linux client systems that allows users to
    retrieve and install all updated packages for the client system on which
    the application is run. Use the <span class="application">Red Hat Update Agent
    Configuration Tool</span> to configure its preferences, including
    whether to install the packages after they are downloaded. For Red Hat Enterprise Linux 5
    clients, use the <span class="command"><strong>yum</strong></span> command; for Red Hat Enterprise Linux 4 clients
    and lower, use the <span class="command"><strong>up2date</strong></span> command. For SUSE Linux Enterprise
    clients, the equivalent is the <span class="command"><strong>zypper up</strong></span> command.
   </p></dd><dt><a id="glos.registered-system"></a>Registered System</dt><dd><p>
    A system that is registered with SUSE Manager. Also known as a client
    system.
   </p></dd><dt>RPM</dt><dd><p>
    A software package manager that was developed by Red Hat Inc. It can be
    used to build, install, query, verify, update, and uninstall software
    packages. All software updates from SUSE Manager are delivered in RPM
    format.
   </p></dd><dt>RPM Database</dt><dd><p>
    Each SUSE Linux Enterprise system has an RPM database that stores information about all
    the RPM packages installed on the system. This information includes the
    version of the package, which files were installed with the package, a
    brief description of the package, the installation date, and more.
   </p></dd><dt>RPM Update</dt><dd><p>

    Deliver the RPM packages based on the
    <a class="xref" href="cha.manager.glossary.jsp#glos.errata-alert" title="Patch Alert">Patch Alert</a> list to a client system without user
    intervention. If this feature is selected, packages are delivered
    through the <a class="xref" href="cha.manager.glossary.jsp#glos.rhn-daemon" title="SUSE Manager Daemon">SUSE Manager Daemon</a> running on the client
    system.
   </p></dd><dt>Security Alert</dt><dd><p>
    An <a class="xref" href="cha.manager.glossary.jsp#glos.errata-alert" title="Patch Alert">Patch Alert</a> that pertains to system security.
   </p></dd><dt><a id="glos.service-level"></a>Service Level</dt><dd><p>
    A Novell subscription service. Different service levels offer
    different features of SUSE Manager. There are three paid service levels
    currently available: update, management, and provisioning.
   </p></dd><dt>Sibling</dt><dd><p>
    Siblings are virtual guests running on the same host. Virtual guests
    that run on separate hosts are not siblings.
   </p></dd><dt>Software Manager</dt><dd><p>
    The name of the first <a class="xref" href="cha.manager.glossary.jsp#glos.service-level" title="Service Level">Service Level</a> offering for
    SUSE Manager.
    
   </p></dd><dt><a id="glos.org-admin"></a>SUSE Manager Administrator</dt><dd><p>
    SUSE Manager Administrator are sets of users that have the highest level of
    control over an organization's SUSE Manager account. Members of this group
    can add users, systems, and system groups to the organization as well as
    remove them. An SUSE Manager Administrator can also give users
    administrative privileges to system groups. An organization must have at
    least one member of the SUSE Manager Administrator group.
   </p></dd><dt>SUSE Manager Bootstrap Script</dt><dd><p>
    The bootstrap script (<span class="command"><strong>bootstrap.sh</strong></span>) is a script on
    your SUSE Manager server which has to be enabled in <span class="guilabel">Admin</span>+<span class="guilabel">SUSE Manager Configuration</span>+<span class="guilabel">Bootstrap Script</span> first before its
    initial use. It is executed on clients and collects all information
    needed by the SUSE Manager server like
    <a class="xref" href="cha.manager.glossary.jsp#glos.system-profile" title="System Profile">System Profile</a> and
    <a class="xref" href="cha.manager.glossary.jsp#glos.digital-certificate" title="Digital Certificate">Digital Certificate</a>. The script establishes a
    connection to your server and registers the clients.
   </p></dd><dt><a id="glos.rhn-daemon"></a>SUSE Manager Daemon</dt><dd><p>
    The SUSE Manager client daemon (<span class="command"><strong>rhnsd</strong></span>) that periodically
    polls

    for scheduled actions.
   </p></dd><dt>System Directory</dt><dd><p>
    The System Directory section of SUSE Manager allows an organization to
    divide its client systems into system groups. Only members of the
    <a class="xref" href="cha.manager.glossary.jsp#glos.org-admin" title="SUSE Manager Administrator">SUSE Manager Administrator</a> group can add systems to the
    organization.
   </p></dd><dt>System ID</dt><dd><p>
    A unique string of characters and numbers that identifies a registered
    system. It is stored in the system's
    <a class="xref" href="cha.manager.glossary.jsp#glos.digital-certificate" title="Digital Certificate">Digital Certificate</a>.
   </p></dd><dt><a id="glos.system-profile"></a>System Profile</dt><dd><p>
    Hardware and software information about the client system. It is created
    during the registration process. The software information is a list of
    RPM packages and their versions installed on the client system. The
    system profile is used to determine every
    <a class="xref" href="cha.manager.glossary.jsp#glos.errata-alert" title="Patch Alert">Patch Alert</a> relevant to each client system.
   </p></dd><dt>System Set Manager</dt><dd><p>
    Interface that allows users to perform actions on multiple systems.
    Actions include applying patch updates, upgrading packages, and
    adding/removing systems to/from system groups.
   </p></dd><dt><a id="glos.basic-glossary"></a>Update</dt><dd><p>
    One of the Novell Customer Center service level offerings.

   </p></dd><dt>Traceback</dt><dd><p>
    A traceback is a detailed description of <span class="quote">“<span class="quote">what went wrong</span>”</span>
    that is useful for troubleshooting SUSE Manager. Tracebacks are
    automatically generated when a critical error occurs and are mailed to
    the individual(s) designated in the SUSE Manager's configuration file.
   </p></dd><dt>Virtual Guest</dt><dd><p>
    Any of the virtual instances running on the virtual host, under the
    control of the hypervisor. Also referred to as domain U or domU.
   </p></dd><dt>Virtual Host</dt><dd><p>
    The physical system that supports the hypervisor and all guest systems.
    The virtual host may also be referred to as domain 0, or dom0.
   </p></dd><dt>Yellowdog Updater Modified (yum)</dt><dd><p>
    The Yellowdog Updater Modified is the Red Hat Network client application
    (<span class="command"><strong>yum</strong></span>) that allows users to retrieve and install new
    or updated packages for the client system on which the application is
    run.
   </p></dd><dt>Zypper</dt><dd><p>
    Zypper is a command line package manager for installing, updating and
    removing packages as well as for managing repositories.
   </p></dd></dl></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="app.manager.ref.about.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="index.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="../../client-config/en-US/index.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Appendix D. About SUSE Manager and Spacewalk </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> Client Configuration Guide</td></tr></table></div></body></html>
