<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>About This Guide</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="index.jsp" title="Reference Guide" /><link rel="prev" href="index.jsp" title="Reference Guide" /><link rel="next" href="bk03pr01s02.jsp" title="2. Feedback" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">About This Guide</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="index.jsp">Prev</a> </td><th width="60%" align="center">Reference Guide</th><td width="20%" align="right"> <a accesskey="n" href="bk03pr01s02.jsp">Next</a></td></tr></table><hr /></div><div class="preface" title="About This Guide"><div class="titlepage"><div><div><h2 class="title"><a id="preface.susemanager.ref"></a>About This Guide</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="sect1"><a href="preface.susemanager.ref.jsp#id388797">1. Available Documentation</a></span></dt><dt><span class="sect1"><a href="bk03pr01s02.jsp">2. Feedback</a></span></dt><dt><span class="sect1"><a href="bk03pr01s03.jsp">3. Documentation Conventions</a></span></dt></dl></div><p>
  SUSE® Manager lets you efficiently manage a set of Linux systems and keep
  them up-to-date. It provides automated and cost-effective software
  management, asset management, system provisioning, and monitoring
  capabilities. SUSE Manager is compatible with Red Hat Network Satellite Server and
  offers seamless management of both SUSE® Linux Enterprise and Red Hat Enterprise Linux client systems.
 </p><p>
  This manual is intended for system administrators. It guides you through
  registering systems with SUSE Manager, configuring its daemon, using the Web
  interface, monitoring client systems, and other features. Furthermore it
  gives you an overview how multiple organizations and their systems can be
  administered.
 </p><p>
  Many chapters in this manual contain links to additional documentation
  resources. These include additional documentation that is available on the
  system as well as documentation available on the Internet.
 </p><p>
  For an overview of the documentation available for your product and the
  latest documentation updates, refer to
  <a class="ulink" href="http://www.novell.com/documentation/suse_manager/" target="_top">http://www.novell.com/documentation/suse_manager/</a> or to
  the following section.
 </p><p>
  HTML versions of the manuals are also available from the
  <span class="guilabel">Help</span> tab of the SUSE Manager Web interface.
 </p><div class="note" title="Obtaining the Release Notes" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Obtaining the Release Notes</h3><p>
   Although this manual reflects the most current information possible, read
   the <em class="citetitle">SUSE Manager Release Notes</em> for information that
   may not have been available prior to the finalization of the
   documentation. The notes can be found at
   <a class="ulink" href="http://www.novell.com/documentation/suse_manager/" target="_top">http://www.novell.com/documentation/suse_manager/</a>.
  </p></div><div class="sect1" title="1. Available Documentation"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="id388797"></a>1. Available Documentation<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#id388797">¶</a></span></h2></div></div></div><a id="id359003" class="indexterm"></a><a id="id388788" class="indexterm"></a><p>


  The following manuals are available on this product:
 </p><div class="variablelist"><dl><dt><span class="term"><a class="xref" href="../../quickstart/en-US/art.susemanager.quick.jsp" title="Quick Start">Quick Start</a>
   </span></dt><dd><p>
     Guides you step-by-step through the installation, setup and basic
     configuration of SUSE Manager.
    </p></dd><dt><span class="term"><a class="xref" href="../../install_guide/en-US/index.jsp" title="Installation Guide">Installation Guide</a>
   </span></dt><dd><p>
     Lists installation scenarios and example topologies for different
     SUSE Manager setups. Also contains detailed information about SUSE Manager
     maintenance and troubleshooting.
    </p></dd><dt><span class="term"><a class="xref" href="../../client-config/en-US/index.jsp" title="Client Configuration Guide">Client Configuration Guide</a>
   </span></dt><dd><p>
     Describes best practices for setting up clients to connect to a
     SUSE Manager server or SUSE Manager Proxy.
    </p></dd><dt><span class="term"><a class="xref" href="index.jsp" title="Reference Guide">Reference Guide</a>
   </span></dt><dd><p>
     Reference documentation that covers administration topics like
     registering and updating client systems, configuring the SUSE Manager
     daemon, using the Web interface, monitoring client systems, and more.
     Also contains a glossary with key terms used in the SUSE Manager context.
    </p></dd></dl></div><p>
  HTML versions of the product manuals can be found in the installed system
  under <code class="filename">/usr/share/doc/manual</code>. Find the latest
  documentation updates at
  <a class="ulink" href="http://www.novell.com/documentation" target="_top">http://www.novell.com/documentation</a> where you can
  download PDF or HTML versions of the manuals for your product.
 </p></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="index.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="index.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="bk03pr01s02.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Reference Guide </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 2. Feedback</td></tr></table></div></body></html>
