<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>1.2. Updating Packages on RHEL 5</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-pup.jsp" title="Chapter 1. Package Update Tools (SLE and RHEL)" /><link rel="prev" href="ch-pup.jsp" title="Chapter 1. Package Update Tools (SLE and RHEL)" /><link rel="next" href="ch-up2date.jsp" title="1.3. Red Hat Update Agent (RHEL 4)" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">1.2. Updating Packages on RHEL 5</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch-pup.jsp">Prev</a> </td><th width="60%" align="center">Chapter 1. Package Update Tools (SLE and RHEL)</th><td width="20%" align="right"> <a accesskey="n" href="ch-up2date.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="1.2. Updating Packages on RHEL 5"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="pup-rhel"></a>1.2. Updating Packages on RHEL 5<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#pup-rhel">¶</a></span></h2></div></div></div><a id="id346752" class="indexterm"></a><p>
  Depending on your version of Red Hat Enterprise Linux, systems registered
  with SUSE Manager can update client systems directly using various tools and
  applications installed on the system. For Red Hat Enterprise Linux 5,
  you can use the <span class="application">Package Updater</span> (or
  <span class="command"><strong>pup</strong></span>) to keep systems updated.
 </p><p>
  The <span class="application">Package Updater</span>
  (<span class="command"><strong>pup</strong></span>) is the desktop update application for Red Hat
  Enterprise Linux 5. Using this tool, you can update packages and read
  details on the updated packages, such as bug fix information, security
  alerts, enhancements, and more.
 </p><div class="section" title="1.2.1. Using the Package Updater"><div class="titlepage"><div><div><h3 class="title"><a id="pup-start"></a>1.2.1. Using the Package Updater<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#pup-start">¶</a></span></h3></div></div></div><p>
   To start the <span class="application">Package Updater</span> from the desktop,
   open <span class="guimenu">Applications</span> (the main menu on the panel), then click
   <span class="guimenu">System Tools</span> → <span class="guimenuitem">Package
   Updater</span>.
  </p><p>
   If you are at a shell prompt window, type <span class="command"><strong>pup</strong></span> to
   open the <span class="application">Package Updater</span>.
  </p><div class="figure"><a id="id364820"></a><p class="title"><b>Figure 1.4. Package Updater Interface</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="444"><tr><td><img src="../../images/pup2.png" width="444" alt="Package Updater Interface" /></td></tr></table></div></div></div><br class="figure-break" /><p>
   If there are multiple package updates, they will be listed with
   checkmarks next to them so that you can choose which files to update.
   Some packages (for example, kernel packages) may have a circular arrow
   icon next to them, indicating that you are required to reboot your system
   after updating the package.
  </p><p>
   To view the update details of any package, highlight the package and
   click the arrow next to <span class="guilabel">Update Details</span>.
  </p><p>
   When you are ready to update the packages, click <span class="guibutton">Apply
   updates</span>. The Updater will resolve any dependencies, and
   notify you when a package must be installed to meet a dependency for an
   updated package.
  </p><div class="figure"><a id="id462749"></a><p class="title"><b>Figure 1.5. Package Dependency</b></p><div class="figure-contents"><div class="mediaobject"><img src="../../images/pup3.png" alt="Package Dependency" /></div></div></div><br class="figure-break" /><p>
   Click <span class="guibutton">Continue</span> to accept the dependency and resume
   the update.
  </p><p>
   If this is the first time using the <span class="application">Package
   Updater</span>, the program will prompt you to imort the Red Hat
   GPG security key that verifies that a package has been signed and is
   certified for Red Hat Enterprise Linux.
  </p><p>
   Click <span class="guibutton">Import Key</span> to accept the Key and continue
   with the update.
  </p><p>
   When the update completes, you may be prompted to reboot your system for
   the changes to take effect.
  </p><div class="figure"><a id="id429891"></a><p class="title"><b>Figure 1.6. Reboot Prompt</b></p><div class="figure-contents"><div class="mediaobject"><img src="../../images/pup4.png" alt="Reboot Prompt" /></div></div></div><br class="figure-break" /><p>
   You can choose to reboot now or later, but it is recommended to click
   <span class="guibutton">Reboot Now</span> to start using the updated packages.
  </p></div><div class="section" title="1.2.2. The Package Updater Applet"><div class="titlepage"><div><div><h3 class="title"><a id="pup-puplet"></a>1.2.2. The Package Updater Applet<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#pup-puplet">¶</a></span></h3></div></div></div><p>
   Red Hat Enterprise Linux 5 also features a a running program on the
   graphical desktop panel that periodically checks for updates from the
   SUSE Manager server and will alert users when a new update is available.
  </p><div class="figure"><a id="id467585"></a><p class="title"><b>Figure 1.7. Package Updater Applet</b></p><div class="figure-contents"><div class="mediaobject"><img src="../../images/puplet.png" alt="Package Updater Applet" /></div></div></div><br class="figure-break" /><p>
   The <span class="application">Package Updater</span> Applet stays in the
   notification tray of the desktop panel and checks for new updates
   periodically. The applet also allows you to perform a few package
   maintenance tasks from the applet by clicking the notification icon and
   choosing from the following actions:
  </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
     <span class="guilabel">Refresh</span> — Check SUSE Manager for new
     updates
    </p></li><li class="listitem"><p>
     <span class="guilabel">View Updates</span> — launches the <span class="application">Package
     Updater</span> application so that you can see any available
     updates in more detail and configure the updates to your specifications
    </p></li><li class="listitem"><p>
     <span class="guilabel">Apply Updates</span> — Download and Install all updated
     packages.
    </p></li><li class="listitem"><p>
     <span class="guilabel">Quit</span> — close the applet
    </p></li></ul></div></div><div class="section" title="1.2.3. Updating Packages from the Command Line with yum"><div class="titlepage"><div><div><h3 class="title"><a id="pup-yum"></a>1.2.3. Updating Packages from the Command Line with yum<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#pup-yum">¶</a></span></h3></div></div></div><p>
   The foundation of the <span class="application">Package Updater</span> is the
   Yum package manager, developed by Duke University to improve the
   installation of RPMs. <span class="command"><strong>yum</strong></span> searches supported
   repositories for packages and their dependencies so they may be installed
   together in an effort to alleviate dependency issues. Red Hat Enterprise
   Linux 5 uses <span class="command"><strong>yum</strong></span> to fetch packages and install
   packages.
  </p><p>
   <span class="command"><strong>up2date</strong></span> is not available on Red Hat Enterprise Linux 5, which uses Yum
   (Yellowdog Updater Modified). The entire stack of tools that installs and
   updates software in Red Hat Enterprise Linux 5 is now based on Yum. This
   includes everything from the initial installation via
   <span class="command"><strong>Anaconda</strong></span> installation program to host software
   management tools like <span class="application">pirut</span>.
  </p><div class="section" title="1.2.3.1. yum Commands"><div class="titlepage"><div><div><h4 class="title"><a id="pup-yum-commands"></a>1.2.3.1. yum Commands<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#pup-yum-commands">¶</a></span></h4></div></div></div><p>
    yum commands are typically typed as the following:
   </p><pre class="screen">
yum <em class="replaceable"><code>command</code></em> [<em class="replaceable"><code>package_name</code></em>]
</pre><p>
    By default, Yum will automatically attempt to check all configured
    repositories to resolve all package dependencies during an installation
    or upgrade. The following is a list of the most commonly-used
    <span class="command"><strong>yum</strong></span> commands. For a complete list of available yum
    commands, refer to <span class="command"><strong>man yum</strong></span>.
   </p><div class="variablelist"><dl><dt><span class="term"><span class="command"><strong>yum install <em class="replaceable"><code>package_name</code></em></strong></span>
     </span></dt><dd><p>
       Used to install the latest version of a package or group of packages.
       If no package matches the specified package name(s), they are assumed
       to be a shell wildcard, and any matches are then installed.
      </p></dd><dt><span class="term">yum update <em class="replaceable"><code>package_name</code></em>
     </span></dt><dd><p>
       Used to update the specified packages to the latest available
       version. If no packages are specified, then <span class="command"><strong>yum</strong></span>
       will attempt to update all installed packages.
      </p><p>
       If the <code class="option">--obsoletes</code> option is used (i.e. <span class="command"><strong>yum
       --obsoletes <em class="replaceable"><code>package_name</code></em></strong></span>), yum
       will process obsolete packages. As such, packages that are obsoleted
       across updates will be removed and replaced accordingly.
      </p></dd><dt><span class="term">yum check-update</span></dt><dd><p>
       This command allows you to determine whether any updates are
       available for your installed packages. <span class="command"><strong>yum</strong></span> returns
       a list of all package updates from all repositories if any are
       available.
      </p></dd><dt><span class="term">yum remove <em class="replaceable"><code>package_name</code></em>
     </span></dt><dd><p>
       Used to remove specified packages, along with any other packages
       dependent on the packages being removed.
      </p></dd><dt><span class="term">yum provides <em class="replaceable"><code>package_name</code></em>
     </span></dt><dd><p>
       Used to determine which packages provide a specific file or feature.
      </p></dd><dt><span class="term">yum search <em class="replaceable"><code>keyword</code></em>
     </span></dt><dd><p>
       This command is used to find any packages containing the specified
       keyword in the description, summary, packager and package name fields
       of RPMs in all supported repositories.
      </p></dd><dt><span class="term">yum localinstall <em class="replaceable"><code>absolute path to filename</code></em>
     </span></dt><dd><p>
       Used when using yum to install a package located locally in the
       machine.
      </p></dd></dl></div></div></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="ch-pup.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-pup.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="ch-up2date.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Chapter 1. Package Update Tools (SLE and RHEL) </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 1.3. Red Hat Update Agent (RHEL 4)</td></tr></table></div></body></html>
