<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>6.2. Adding a Distribution to Cobbler</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-cobbler.jsp" title="Chapter 6. Cobbler" /><link rel="prev" href="ch-cobbler.jsp" title="Chapter 6. Cobbler" /><link rel="next" href="s1-cobbler-addprofile.jsp" title="6.3. Adding a Profile to Cobbler" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">6.2. Adding a Distribution to Cobbler</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch-cobbler.jsp">Prev</a> </td><th width="60%" align="center">Chapter 6. Cobbler</th><td width="20%" align="right"> <a accesskey="n" href="s1-cobbler-addprofile.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="6.2. Adding a Distribution to Cobbler"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-cobbler-adddistro"></a>6.2. Adding a Distribution to Cobbler<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-cobbler-adddistro">¶</a></span></h2></div></div></div><p>
   If all Cobbler prerequisites have been met and Cobbler is now running,
   you can now begin adding a distribution to the Cobbler if you have the
   content on the Cobbler server.
  </p><p>
   For information about creating and configuring AutoYaST/Kickstart
   distributions from the SUSE Manager interface, refer to
   <a class="xref" href="s1-sm-systems.jsp#s3-sm-system-kick-dist" title="3.4.9.8. Autoinstallation+Distributions — [Prov]">Section 3.4.9.8, “<span class="guimenu">Autoinstallation</span>+<span class="guimenu">Distributions</span> — [Prov]”</a>.
  </p><p>
   Using <span class="command"><strong>cobbler</strong></span> to create a distribution from the
   command line is as follows:
  </p><pre class="screen">cobbler distro add --name=<em class="replaceable"><code>string</code></em> --kernel=<em class="replaceable"><code>path</code></em> --initrd=<em class="replaceable"><code>path</code></em></pre><p>
   The <code class="option">--name=<em class="replaceable"><code>string</code></em></code> option is a
   label used to differentiate one distro choice from another (for example,
   <strong class="userinput"><code>sles11server</code></strong>)
  </p><p>
   The <code class="option">--kernel=<em class="replaceable"><code>path</code></em></code> option
   specifies the path to the kernel image file
  </p><p>
   The <code class="option">--initrd=<em class="replaceable"><code>path</code></em></code> option
   specifies the path to the initial ramdisk (initrd) image file.
  </p></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="ch-cobbler.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-cobbler.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-cobbler-addprofile.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Chapter 6. Cobbler </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 6.3. Adding a Profile to Cobbler</td></tr></table></div></body></html>
