<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>4.2. SUSE Manager Monitoring Daemon (rhnmd)</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-monitoring.jsp" title="Chapter 4. Monitoring" /><link rel="prev" href="ch-monitoring.jsp" title="Chapter 4. Monitoring" /><link rel="next" href="s1-mon-mysql.jsp" title="4.3. mysql package" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">4.2. SUSE Manager Monitoring Daemon (rhnmd)</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch-monitoring.jsp">Prev</a> </td><th width="60%" align="center">Chapter 4. Monitoring</th><td width="20%" align="right"> <a accesskey="n" href="s1-mon-mysql.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="4.2. SUSE Manager Monitoring Daemon (rhnmd)"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-mon-rhnmd"></a>4.2. SUSE Manager Monitoring Daemon (rhnmd)<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-mon-rhnmd">¶</a></span></h2></div></div></div><a id="id390946" class="indexterm"></a><a id="id390953" class="indexterm"></a><p>
   To get the most out of your monitoring entitlement, Red Hat suggests
   installing the SUSE Manager monitoring daemon on your client systems. Based
   upon <span class="application">OpenSSH</span>, <code class="filename">rhnmd</code>
   enables SUSE Manager to communicate securely with the client system to
   access internal processes and retrieve probe status.
  </p><p>
   Please note that the SUSE Manager monitoring daemon requires that monitored
   systems allow connections on port 4545. You may avoid opening this port
   and installing the daemon altogether by using <code class="filename">sshd</code>
   instead. Refer to <a class="xref" href="s1-mon-rhnmd.jsp#s2-mon-rhnmd-sshd" title="4.2.3. Configuring SSH">Section 4.2.3, “Configuring SSH”</a> for details.
   <span class="package">docbook_4</span>
  </p><div class="section" title="4.2.1. Probes requiring the daemon"><div class="titlepage"><div><div><h3 class="title"><a id="s2-mon-rhnmd-probes"></a>4.2.1. Probes requiring the daemon<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-mon-rhnmd-probes">¶</a></span></h3></div></div></div><a id="id329870" class="indexterm"></a><p>
    An encrypted connection, either through the SUSE Manager monitoring daemon
    or <code class="filename">sshd</code>, is required on client systems for the
    following probes to run:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Linux::CPU Usage
     </p></li><li class="listitem"><p>
      Linux::Disk IO Throughput
     </p></li><li class="listitem"><p>
      Linux::Disk Usage
     </p></li><li class="listitem"><p>
      Linux::Inodes
     </p></li><li class="listitem"><p>
      Linux::Interface Traffic
     </p></li><li class="listitem"><p>
      Linux::Load
     </p></li><li class="listitem"><p>
      Linux::Memory Usage
     </p></li><li class="listitem"><p>
      Linux::Process Counts by State
     </p></li><li class="listitem"><p>
      Linux::Process Count Total
     </p></li><li class="listitem"><p>
      Linux::Process Health
     </p></li><li class="listitem"><p>
      Linux::Process Running
     </p></li><li class="listitem"><p>
      Linux::Swap Usage
     </p></li><li class="listitem"><p>
      Linux::TCP Connections by State
     </p></li><li class="listitem"><p>
      Linux::Users
     </p></li><li class="listitem"><p>
      Linux::Virtual Memory
     </p></li><li class="listitem"><p>
      LogAgent::Log Pattern Match
     </p></li><li class="listitem"><p>
      LogAgent::Log Size
     </p></li><li class="listitem"><p>
      Network Services::Remote Ping
     </p></li><li class="listitem"><p>
      Oracle::Client Connectivity
     </p></li><li class="listitem"><p>
      General::Remote Program
     </p></li><li class="listitem"><p>
      General::Remote Program with Data
     </p></li></ul></div><p>
    Note that all probes in the Linux group have this requirement.
   </p></div><div class="section" title="4.2.2. Installing the SUSE Manager Monitoring Daemon"><div class="titlepage"><div><div><h3 class="title"><a id="s2-mon-rhnmd-install"></a>4.2.2. Installing the SUSE Manager Monitoring Daemon<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-mon-rhnmd-install">¶</a></span></h3></div></div></div><a id="id349452" class="indexterm"></a><a id="id349463" class="indexterm"></a><a id="id349470" class="indexterm"></a><p>
    Install the SUSE Manager Monitoring Daemon to prepare systems for
    monitoring with the probes identified in
    <a class="xref" href="s1-mon-rhnmd.jsp#s2-mon-rhnmd-probes" title="4.2.1. Probes requiring the daemon">Section 4.2.1, “Probes requiring the daemon”</a>. Note that the steps in this
    section are optional if you intend to use <code class="filename">sshd</code> to
    allow secure connections between the monitoring infrastructure and the
    monitored systems. Refer to <a class="xref" href="s1-mon-rhnmd.jsp#s2-mon-rhnmd-sshd" title="4.2.3. Configuring SSH">Section 4.2.3, “Configuring SSH”</a> for
    instructions.
   </p><p>
    The <code class="filename">rhnmd</code> package can be found in the
    <code class="systemitem">client tools</code> channel for all SUSE Linux Enterprise
    distributions. To install it:
   </p><div class="orderedlist"><ol class="orderedlist" type="1"><li class="listitem"><p>
      
      Subscribe the systems to be monitored to the <code class="systemitem">client
      tools</code> channel associated with the system. This can be
      done individually through the <span class="guilabel">System
      Details</span>+<span class="guilabel">Channels</span>+<span class="guilabel">Software</span> subtab or for multiple
      systems at once through the <span class="guilabel">Channel
      Details</span>+<span class="guilabel">Target Systems</span>
      tab.
     </p></li><li class="listitem"><p>
      Once subscribed, open the <span class="guilabel">Channel
      Details</span>+<span class="guilabel">Packages</span> tab and
      find the <code class="filename">rhnmd</code> package (under 'R').
     </p></li><li class="listitem"><p>
      Click the package name to open the <span class="guilabel">Package
      Details</span> page. Go to the <span class="guilabel">Target Systems</span>
      tab, select the desired systems, and click <span class="guibutton">Install
      Packages</span>.
     </p></li><li class="listitem"><p>
      Install the SSH public key on all client systems to be monitored, as
      described in <a class="xref" href="s1-mon-rhnmd.jsp#s2-mon-rhnmd-ssh" title="4.2.4. Installing the SSH key">Section 4.2.4, “Installing the SSH key”</a>.
     </p></li><li class="listitem"><p>
      Start the SUSE Manager monitoring daemon on all client systems using the
      command:
     </p><pre class="screen">rcrhnmd start</pre></li><li class="listitem"><p>
      When adding probes requiring the daemon, accept the default values for
      <span class="guilabel">RHNMD User</span> and <span class="guilabel">RHNMD Port</span>:
      <strong class="userinput"><code>nocpulse</code></strong> and <strong class="userinput"><code>4545</code></strong>,
      respectively.
     </p></li></ol></div></div><div class="section" title="4.2.3. Configuring SSH"><div class="titlepage"><div><div><h3 class="title"><a id="s2-mon-rhnmd-sshd"></a>4.2.3. Configuring SSH<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-mon-rhnmd-sshd">¶</a></span></h3></div></div></div><a id="id487082" class="indexterm"></a><a id="id487090" class="indexterm"></a><a id="id433460" class="indexterm"></a><a id="id433467" class="indexterm"></a><p>
    If you wish to avoid installing the SUSE Manager monitoring daemon and
    opening port 4545 on client systems, you may configure
    <code class="filename">sshd</code> to provide the encrypted connection required
    between the systems and SUSE Manager. This may be especially desirable if
    you already have <code class="filename">sshd</code> running. To configure the
    daemon for monitoring use:
   </p><div class="orderedlist"><ol class="orderedlist" type="1"><li class="listitem"><p>
      Ensure the SSH package is installed on the systems to be monitored:
     </p><pre class="screen">rpm -qi openssh</pre></li><li class="listitem"><p>
      Identify the user to be associated with the daemon. This can be any
      user available on the system, as long as the required SSH key can be
      put in the user's <code class="filename">~/.ssh/authorized_keys</code> file.
     </p></li><li class="listitem"><p>
      Identify the port used by the daemon, as identified in its
      <code class="filename">/etc/ssh/sshd_config</code> configuration file. The
      default is port 22.
     </p></li><li class="listitem"><p>
      Install the SSH public key on all client systems to be monitored, as
      described in <a class="xref" href="s1-mon-rhnmd.jsp#s2-mon-rhnmd-ssh" title="4.2.4. Installing the SSH key">Section 4.2.4, “Installing the SSH key”</a>.
     </p></li><li class="listitem"><p>
      Start the <code class="filename">sshd</code> on all client systems using the
      command:
     </p><pre class="screen">service sshd start</pre></li><li class="listitem"><p>
      
      When adding probes requiring the daemon, insert the values derived
      from steps 2 and 3 in the <span class="guilabel">RHNMD User</span> and
      <span class="guilabel">RHNMD Port</span> fields.
     </p></li></ol></div></div><div class="section" title="4.2.4. Installing the SSH key"><div class="titlepage"><div><div><h3 class="title"><a id="s2-mon-rhnmd-ssh"></a>4.2.4. Installing the SSH key<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-mon-rhnmd-ssh">¶</a></span></h3></div></div></div><a id="id364685" class="indexterm"></a><a id="id406370" class="indexterm"></a><p>
    Whether you use <code class="filename">rhnmd</code> or <code class="filename">sshd</code>,
    you must install the SUSE Manager monitoring daemon public SSH key on the
    systems to be monitored to complete the secure connection. To install
    it:
   </p><div class="orderedlist"><ol class="orderedlist" type="1"><li class="listitem"><p>
      Navigate to the <span class="guilabel">Monitoring</span>+<span class="guilabel">Scout Config Push</span> page on the
      SUSE Manager interface and click the name of the Scout that will monitor
      the client system. The SSH <code class="filename">id_dsa.pub</code> key is
      visible on the resulting page.
     </p></li><li class="listitem"><p>
      Copy the character string (beginning with
      <code class="computeroutput">ssh-dss</code> and ending with the hostname
      of the SUSE Manager server).

     </p></li><li class="listitem"><p>
      Select the systems you want to send the key to from the
      <span class="guilabel">Systems</span>, then selecting
      <span class="guilabel">Systems</span> from the left menu, and finally clicking
      the checkbox next to the systems you want to send the SSH key and
      click the <span class="guibutton">Manage</span> button at the top.
     </p></li><li class="listitem"><p>
      From the <span class="guilabel">System Set Manager</span>, click <span class="guilabel">Run
      remote commands</span>, then in the <span class="guilabel">Script</span>
      text box, type the following line:
     </p><pre class="screen">#!/bin/sh
cat &lt;&lt;EOF &gt;&gt; ~nocpulse/.ssh/authorized_keys</pre><p>
      Then, press <span class="keycap"><strong>Enter</strong></span> and then paste the SSH Key. The
      result should look similar to the following:
     </p><pre class="screen">#!/bin/sh
cat &lt;&lt;EOF &gt;&gt; /opt/nocpulse/.ssh/authorized_keys
ssh-dss AABBAB3NzaC3kc3MABCCBAJ4cmyf5jt/ihdtFbNE1YHsT0np0SYJz7xk
hzoKUUWnZmOUqJ7eXoTbGEcZjZLppOZgzAepw1vUHXfa/L9XiXvsV8K5Qmcu70h0
1gohBIder/1I1QbHMCgfDVFPtfV5eedau4AAACAc99dHbWhk/dMPiWXgHxdI0vT2
SnuozIox2klmfbTeO4Ajn/Ecfxqgs5diat/NIaeoItuGUYepXFoVv8DVL3wpp45E
02hjmp4j2MYNpc6Pc3nPOVntu6YBv+whB0VrsVzeqX89u23FFjTLGbfYrmMQflNi
j8yynGRePIMFhI= root@example.com
EOF</pre></li><li class="listitem"><p>
      Set the date and time you want for the action to take place, then
      click <span class="guibutton">Schedule Remote Command</span>.
     </p></li></ol></div><p>
    Once the key is in place and accessible, all probes that require it
    should allow <span class="command"><strong>ssh</strong></span> connections between the Monitoring
    infrastructure and the monitored system. You may then schedule probes
    requiring the monitoring daemon to run against the newly configured
    systems.
   </p></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="ch-monitoring.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-monitoring.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-mon-mysql.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Chapter 4. Monitoring </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 4.3. mysql package</td></tr></table></div></body></html>
