<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>5.3. Creating an Organization</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-multiorg.jsp" title="Chapter 5. Multiple Organizations" /><link rel="prev" href="s1-sattools-org.jsp" title="5.2. Admin+Organizations" /><link rel="next" href="s1-admin-orgs-details-subs.jsp" title="5.4. Managing Entitlements" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">5.3. Creating an Organization</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-sattools-org.jsp">Prev</a> </td><th width="60%" align="center">Chapter 5. Multiple Organizations</th><td width="20%" align="right"> <a accesskey="n" href="s1-admin-orgs-details-subs.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="5.3. Creating an Organization"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-multiorg-creating"></a>5.3. Creating an Organization<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-multiorg-creating">¶</a></span></h2></div></div></div><p>
   The <span class="guilabel">Create New Organization</span> page in the SUSE Manager
   web interface can be accessed by proceeding to
   <span class="guilabel">Admin</span>+<span class="guilabel">Organizations</span>+<span class="guilabel">Create New Organization</span>.
  </p><p>
   Administrators can create new organizations and assign entitlements,
   groups, systems, and users to the group so that organizations can perform
   administrative tasks on their own without affecting other organizations.
  </p><div class="figure"><a id="id417487"></a><p class="title"><b>Figure 5.4. Create New Organization</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="444"><tr><td><img src="../../images/sattools-orgs-new.png" width="444" alt="Create New Organization" /></td></tr></table></div></div></div><br class="figure-break" /><div class="orderedlist"><ol class="orderedlist" type="1"><li class="listitem"><p>
     Input the <span class="guilabel">Organization Name</span> in the provided text
     box. The name should be between 3 and 128 characters.
    </p></li><li class="listitem"><p>
     Create an administrator for the organization:
    </p><div class="orderedlist"><ol class="orderedlist" type="a"><li class="listitem"><p>
       Enter a <span class="guilabel">Desired Login</span> for the organization
       administrator, which should be between 3 and 128 characters long.
      </p></li><li class="listitem"><p>
       Create a <span class="guilabel">Desired Password</span> and
       <span class="guilabel">Confirm</span> the password.
      </p></li><li class="listitem"><p>
       Type in the <span class="guilabel">Email</span> for the organization
       administrator.
      </p></li><li class="listitem"><p>
       Enter the <span class="guilabel">First Name</span> and <span class="guilabel">Last
       Name</span> of the organization administrator.
      </p></li></ol></div></li><li class="listitem"><p>
     Click the <span class="guibutton">Create Organization</span> button to complete
     the process.
    </p></li></ol></div><p>
   Once the new organization is created, the
   <span class="guilabel">Organizations</span> page will display with the new
   organization listed.
  </p><div class="tip" title="Tip" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Tip</h3><p>
    SUSE Manager administrators should consider reserving the administrative
    organization administrator account for themselves to have the option of
    logging into this organization for various reasons. If your SUSE Manager is
    configured for PAM authentication, avoid using PAM accounts for the
    administrative organization administrator account in new organizations.
    Instead, create a SUSE Manager-local account for organization
    administrators and reserve PAM-authenticated accounts for SUSE Manager
    logins with less elevated privileges in order to discourage users to
    frequently log into SUSE Manager with elevated privileges, as the potential
    for making mistakes is higher using these accounts.
   </p><p>
    Additionally, consider creating a login name for the administrative
    Organization Administrator account that describes (for example,
    <strong class="userinput"><code>orgadmin-mktg</code></strong> or
    <strong class="userinput"><code>eng-dept-admin</code></strong>), to match admin login names with
    the organization.
   </p></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-sattools-org.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-multiorg.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-admin-orgs-details-subs.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">5.2. <span class="guilabel">Admin</span>+<span class="guilabel">Organizations</span> </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 5.4. Managing Entitlements</td></tr></table></div></body></html>
