<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>C.7. MySQL 3.23 - 3.33</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ap-probes-monitoring.jsp" title="Appendix C. Probes" /><link rel="prev" href="s1-probes-logagent.jsp" title="C.6. LogAgent" /><link rel="next" href="s1-probes-network.jsp" title="C.8. Network Services" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">C.7. MySQL 3.23 - 3.33</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-probes-logagent.jsp">Prev</a> </td><th width="60%" align="center">Appendix C. Probes</th><td width="20%" align="right"> <a accesskey="n" href="s1-probes-network.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="C.7. MySQL 3.23 - 3.33"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-probes-mysql"></a>C.7. MySQL 3.23 - 3.33<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-probes-mysql">¶</a></span></h2></div></div></div><a id="id425725" class="indexterm"></a><a id="id425736" class="indexterm"></a><p>
   The probes in this section monitor aspects of the MySQL database using
   the <code class="filename">mysqladmin</code> binary. No specific user privileges
   are needed for these probes.
  </p><p>
   Note that the <code class="filename">mysql-server</code> package must be installed
   on the system conducting the monitoring for these probes to complete.
   Refer to the MySQL Installation section of the <em class="citetitle">SUSE Manager
   Installation Guide</em> for instructions.
  </p><div class="section" title="C.7.1. MySQL::Database Accessibility"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-mysql-access"></a>C.7.1. MySQL::Database Accessibility<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-mysql-access">¶</a></span></h3></div></div></div><a id="id425779" class="indexterm"></a><a id="id425790" class="indexterm"></a><p>
    The MySQL::Database Accessibility probe tests connectivity through a
    database account that has no database privileges. If no connection is
    made, a CRITICAL status results.
   </p><div class="table"><a id="id459042"></a><p class="title"><b>Table C.32. MySQL::Database Accessibility settings</b></p><div class="table-contents"><table summary="MySQL::Database Accessibility settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Username*</td><td> </td></tr><tr><td>Password</td><td> </td></tr><tr><td>MySQL Port</td><td>3306</td></tr><tr><td>Database*</td><td>mysql</td></tr><tr><td>Timeout</td><td>15</td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.7.2. MySQL::Opened Tables"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-mysql-opened"></a>C.7.2. MySQL::Opened Tables<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-mysql-opened">¶</a></span></h3></div></div></div><a id="id417592" class="indexterm"></a><a id="id417603" class="indexterm"></a><p>
    The MySQL::Opened Tables probe monitors the MySQL server and collects
    the following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Opened Tables — The tables that have been opened since the server
      was started.
     </p></li></ul></div><div class="table"><a id="id417632"></a><p class="title"><b>Table C.33. MySQL::Opened Tables settings</b></p><div class="table-contents"><table summary="MySQL::Opened Tables settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Username</td><td> </td></tr><tr><td>Password</td><td> </td></tr><tr><td>MySQL Port*</td><td>3306</td></tr><tr><td>Timeout</td><td>15</td></tr><tr><td>Critical Maximum Opened Objects</td><td> </td></tr><tr><td>Warning Maximum Opened Objects</td><td> </td></tr><tr><td>Warning Minimum Opened Objects</td><td> </td></tr><tr><td>Critical Minimum Opened Objects</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.7.3. MySQL::Open Tables"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-mysql-open"></a>C.7.3. MySQL::Open Tables<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-mysql-open">¶</a></span></h3></div></div></div><a id="id383134" class="indexterm"></a><a id="id383145" class="indexterm"></a><p>
    The MySQL::Open Tables probe monitors the MySQL server and collects the
    following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Open Tables — The number of tables open when the probe runs.
     </p></li></ul></div><div class="table"><a id="id383172"></a><p class="title"><b>Table C.34. MySQL::Open Tables settings</b></p><div class="table-contents"><table summary="MySQL::Open Tables settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Username</td><td> </td></tr><tr><td>Password</td><td> </td></tr><tr><td>MySQL Port*</td><td>3306</td></tr><tr><td>Timeout</td><td>15</td></tr><tr><td>Critical Maximum Open Objects</td><td> </td></tr><tr><td>Warning Maximum Open Objects</td><td> </td></tr><tr><td>Warning Minimum Open Objects</td><td> </td></tr><tr><td>Critical Minimum Open Objects</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.7.4. MySQL::Query Rate"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-mysql-query"></a>C.7.4. MySQL::Query Rate<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-mysql-query">¶</a></span></h3></div></div></div><a id="id466964" class="indexterm"></a><a id="id466975" class="indexterm"></a><p>
    The MySQL::Query Rate probe monitors the MySQL server and collects the
    following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Query Rate — The average number of queries per second per database
      server.
     </p></li></ul></div><div class="table"><a id="id480201"></a><p class="title"><b>Table C.35. MySQL::Query Rate settings</b></p><div class="table-contents"><table summary="MySQL::Query Rate settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Username</td><td> </td></tr><tr><td>Password</td><td> </td></tr><tr><td>MySQL Port*</td><td>3306</td></tr><tr><td>Timeout</td><td>15</td></tr><tr><td>Critical Maximum Query Rate</td><td> </td></tr><tr><td>Warning Maximum Query Rate</td><td> </td></tr><tr><td>Warning Minimum Query Rate</td><td> </td></tr><tr><td>Critical Minimum Query Rate</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.7.5. MySQL::Threads Running"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-mysql-threads"></a>C.7.5. MySQL::Threads Running<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-mysql-threads">¶</a></span></h3></div></div></div><a id="id426469" class="indexterm"></a><a id="id426480" class="indexterm"></a><p>
    The MySQL::Threads running probe monitors the MySQL server and collects
    the following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Threads Running — The total number of running threads within the
      database.
     </p></li></ul></div><div class="table"><a id="id355362"></a><p class="title"><b>Table C.36. MySQL::Threads Running settings</b></p><div class="table-contents"><table summary="MySQL::Threads Running settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Username</td><td> </td></tr><tr><td>Password</td><td> </td></tr><tr><td>MySQL Port*</td><td>3306</td></tr><tr><td>Timeout</td><td>15</td></tr><tr><td>Critical Maximum Threads Running</td><td> </td></tr><tr><td>Warning Maximum Threads Running</td><td> </td></tr><tr><td>Warning Minimum Threads Running</td><td> </td></tr><tr><td>Critical Minimum Threads Running</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-probes-logagent.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ap-probes-monitoring.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-probes-network.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">C.6. LogAgent </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> C.8. Network Services</td></tr></table></div></body></html>
