<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>3.8. Schedule</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-rhn-workgroup.jsp" title="Chapter 3. SUSE Manager Web Interface" /><link rel="prev" href="s1-sm-configuration.jsp" title="3.7. Configuration" /><link rel="next" href="s1-sm-users.jsp" title="3.9. Users — [Mgmt]" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">3.8. Schedule</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-sm-configuration.jsp">Prev</a> </td><th width="60%" align="center">Chapter 3. SUSE Manager Web Interface</th><td width="20%" align="right"> <a accesskey="n" href="s1-sm-users.jsp">Next</a></td></tr></table><hr /></div><div xml:lang="en-US" class="section" title="3.8. Schedule" lang="en-US"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-sm-actions"></a>3.8. Schedule<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-sm-actions">¶</a></span></h2></div></div></div><a id="id477756" class="indexterm"></a><a id="id477762" class="indexterm"></a><p>
  If you click the <span class="guilabel">Schedule</span> tab on the top navigation
  bar, the <span class="guilabel">Schedule</span> category and links appear. These
  pages enable you to track the actions taking place within your systems. An
  action is a scheduled

  task that is to be performed on one or more client systems. For example,
  an action can be scheduled to apply all patches to a system.
 </p><p>
  
  SUSE Manager keeps track of the following action types:
 </p><div class="orderedlist"><ol class="orderedlist" type="1"><li class="listitem"><p>
    Package alteration (installation, upgrade, and removal)
   </p></li><li class="listitem"><p>
    Rollback package actions
   </p></li><li class="listitem"><p>
    System reboots
   </p></li><li class="listitem"><p>
    Patches
   </p></li><li class="listitem"><p>
    Configuration file alteration (deploy, upload, and diff)
   </p></li><li class="listitem"><p>
    Hardware profile updates
   </p></li><li class="listitem"><p>
    Package list profile uipdates
   </p></li><li class="listitem"><p>
    Kickstart Initiation
   </p></li><li class="listitem"><p>
    Remote Commands
   </p></li></ol></div><p>
  Each page in the <span class="guilabel">Schedule</span> category represents an
  action status.
 </p><div class="section" title="3.8.1. Pending Actions"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sm-action-pend"></a>3.8.1. Pending Actions<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sm-action-pend">¶</a></span></h3></div></div></div><a id="id468651" class="indexterm"></a><p>
   As shown in <a class="xref" href="s1-sm-actions.jsp#fig-schedule-fig" title="Figure 3.18. Schedule - Pending Actions">Figure 3.18, “Schedule - Pending Actions”</a>, the <span class="guilabel">Pending
   Actions</span> page is shown by default when you click
   <span class="guilabel">Schedule</span> in the top navigation bar. It displays
   actions that have not started or are in progress.
  </p><div class="figure"><a id="fig-schedule-fig"></a><p class="title"><b>Figure 3.18. Schedule - Pending Actions</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="444"><tr><td><img src="../../images/schedule.png" width="444" alt="Schedule - Pending Actions" /></td></tr></table></div></div></div><br class="figure-break" /></div><div class="section" title="3.8.2. Failed Actions"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sm-action-fail"></a>3.8.2. Failed Actions<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sm-action-fail">¶</a></span></h3></div></div></div><a id="id403603" class="indexterm"></a><p>
   Actions that could not be completed. If the action returns an error, it
   is displayed here.
  </p></div><div class="section" title="3.8.3. Completed Actions"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sm-action-comp"></a>3.8.3. Completed Actions<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sm-action-comp">¶</a></span></h3></div></div></div><a id="id487664" class="indexterm"></a><p>
   Actions that have succeeded.
  </p></div><div class="section" title="3.8.4. Archived Actions"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sm-action-arch"></a>3.8.4. Archived Actions<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sm-action-arch">¶</a></span></h3></div></div></div><a id="id367872" class="indexterm"></a><p>
   Actions that you have selected to store for review.
  </p></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-sm-configuration.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-rhn-workgroup.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-sm-users.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">3.7. Configuration </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 3.9. Users — [Mgmt]</td></tr></table></div></body></html>
