<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>3.6. Channels</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-rhn-workgroup.jsp" title="Chapter 3. SUSE Manager Web Interface" /><link rel="prev" href="s1-sm-errata.jsp" title="3.5. Patches" /><link rel="next" href="s1-sm-configuration.jsp" title="3.7. Configuration" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">3.6. Channels</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-sm-errata.jsp">Prev</a> </td><th width="60%" align="center">Chapter 3. SUSE Manager Web Interface</th><td width="20%" align="right"> <a accesskey="n" href="s1-sm-configuration.jsp">Next</a></td></tr></table><hr /></div><div xml:lang="en-US" class="section" title="3.6. Channels" lang="en-US"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-sm-channels-packages"></a>3.6. Channels<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-sm-channels-packages">¶</a></span></h2></div></div></div><a id="id392900" class="indexterm"></a><a id="id384227" class="indexterm"></a><a id="id384234" class="indexterm"></a><p>
  If you click the <span class="guilabel">Channels</span> tab on the top navigation
  bar, the <span class="guilabel">Channels</span> category and links appear. The
  pages in the <span class="guilabel">Channels</span> category enable you to view and
  manage the channels and packages associated with your systems.

 </p><div class="section" title="3.6.1. Software Channels"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sm-channel-list"></a>3.6.1. Software Channels<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sm-channel-list">¶</a></span></h3></div></div></div><a id="id454974" class="indexterm"></a><a id="id459474" class="indexterm"></a><a id="id459481" class="indexterm"></a><a id="id365929" class="indexterm"></a><a id="id407612" class="indexterm"></a><a id="id407622" class="indexterm"></a><a id="id440759" class="indexterm"></a><a id="id440766" class="indexterm"></a><p>
   The <span class="guilabel">Software Channels</span> page is the first to appear in
   the <span class="guilabel">Channels</span> category. A software channel is a list
   of

   packages grouped by use. Channels are used to choose packages to be
   installed on a system.
  </p><p>
   There are two types of software channels: <em class="firstterm">base
   channels</em> and <em class="firstterm">child channels</em>.
  </p><div class="section" title="3.6.1.1. Base Channels"><div class="titlepage"><div><div><h4 class="title"><a id="s3-sm-channel-list-base"></a>3.6.1.1. Base Channels<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-sm-channel-list-base">¶</a></span></h4></div></div></div><p>
    A base channel consists of a list of packages based on a specific
    architecture and

    release. For example, all of the packages in SUSE Linux Enterprise Server 11 for the x86
    architecture make up a base channel. The list of packages in
    SUSE Linux Enterprise Server 11 for the i586 architecture make up a different base
    channel.
   </p><p>
    A system must be subscribed to one base channel only. This base channel
    is assigned automatically during registration based upon the SUSE Linux Enterprise
    release and system architecture selected. In the case of public free
    channels, the action always succeeds. In the case of paid base channels,
    this action fails if an associated entitlement does not exist.
   </p></div><div class="section" title="3.6.1.2. Child Channels"><div class="titlepage"><div><div><h4 class="title"><a id="s3-sm-channel-list-child"></a>3.6.1.2. Child Channels<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-sm-channel-list-child">¶</a></span></h4></div></div></div><p>
    A child channel is a channel associated with a base channel that
    contains extra packages. For instance, an organization can create a
    child channel associated with SUSE Linux Enterprise Server for the x86 architecture that
    contains extra packages needed only for the organization, such as a
    custom engineering application.
   </p><p>
    A system can be subscribed to multiple child channels of its base
    channel. Only packages included in a system's subscribed channels can be
    installed or updated on that system.

   </p><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
     Ensure that you do not create child channels available to client
     systems that contain packages that are not compatible with the system.
    </p></div><p>
    Channels can be further broken down by their relevance to your systems,
    including <span class="guimenu">All Channels</span>, <span class="guimenu">Novell
    Channels</span>, <span class="guimenu">Popular Channels</span>, <span class="guimenu">My
    Channels</span>, <span class="guimenu">Shared Channels</span>, and
    <span class="guimenu">Retired Channels</span>.
   </p></div><div class="section" title="3.6.1.3. All Channels"><div class="titlepage"><div><div><h4 class="title"><a id="s3-sm-channel-list-all"></a>3.6.1.3. All Channels<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-sm-channel-list-all">¶</a></span></h4></div></div></div><a id="id433609" class="indexterm"></a><p>
    As shown in <a class="xref" href="s1-sm-channels-packages.jsp#fig-software-fig" title="Figure 3.16. All Channels">Figure 3.16, “All Channels”</a>, the <span class="guilabel">All
    Channels</span> page is shown by default when you click
    <span class="guibutton">Software Channels</span> in the navigation bar. It
    displays a list of all channels available to your organization. Links
    within this list go to different tabs of the <span class="guilabel">Software Channel
    Details</span> page. Clicking on a channel name takes you to the
    <span class="guilabel">Details</span> tab. Clicking on the number of packages
    takes you to the <span class="guilabel">Packages</span> tab. Clicking on the
    number of systems takes you to the <span class="guilabel">Subscribed
    Systems</span> tab. Refer to <a class="xref" href="s1-sm-channels-packages.jsp#s3-sm-channel-details" title="3.6.1.9. Software Channel Details">Section 3.6.1.9, “Software Channel Details”</a>
    for details.
   </p><div class="figure"><a id="fig-software-fig"></a><p class="title"><b>Figure 3.16. All Channels</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="80%"><tr><td><img src="../../images/software.png" width="100%" alt="All Channels" /></td></tr></table></div></div></div><br class="figure-break" /></div><div class="section" title="3.6.1.4. Novell Channels"><div class="titlepage"><div><div><h4 class="title"><a id="s3-sm-channel-list-redhat"></a>3.6.1.4. Novell Channels<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-sm-channel-list-redhat">¶</a></span></h4></div></div></div><a id="id335637" class="indexterm"></a><p>
    The <span class="guilabel">Novell Channels</span> page displays the Novell
    channels and their available child channels.
   </p><div class="warning" title="Novell Channels Cannot Be Deleted" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Novell Channels Cannot Be Deleted</h3><p>
     Once imported, Novell channels cannot be deleted. Only custom
     software channels can be deleted.
    </p></div></div><div class="section" title="3.6.1.5. Popular Channels"><div class="titlepage"><div><div><h4 class="title"><a id="s3-sm-channel-list-popular"></a>3.6.1.5. Popular Channels<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-sm-channel-list-popular">¶</a></span></h4></div></div></div><a id="id340464" class="indexterm"></a><p>
    The <span class="guilabel">Popular Channels</span> page displays the software
    channels most subscribed by systems registered to your organization. You
    can refine the search further by using the drop-down menu to list only
    the channels with at least a certain number of systems subscribed.
   </p></div><div class="section" title="3.6.1.6. My Channels"><div class="titlepage"><div><div><h4 class="title"><a id="s3-sm-channel-list-my"></a>3.6.1.6. My Channels<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-sm-channel-list-my">¶</a></span></h4></div></div></div><a id="id347437" class="indexterm"></a><p>
    The <span class="guilabel">My Channels</span> page displays all of the software
    channels that belong to your organization, which includes both Novell
    channels and custom channels. You can refine the search further by using
    the text box to filter by channel name.
   </p></div><div class="section" title="3.6.1.7. Shared Channels"><div class="titlepage"><div><div><h4 class="title"><a id="s3-sm-channel-list-shared"></a>3.6.1.7. Shared Channels<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-sm-channel-list-shared">¶</a></span></h4></div></div></div><a id="id337912" class="indexterm"></a><p>
    The <span class="guilabel">Shared Channels</span> page displays the channels in
    your organization that you have shared with others in your
    organizational trust. For more information about organizational trust
    and channel sharing, refer to
    <a class="xref" href="s1-sattools-orgs-trust.jsp#s2-sattools-orgs-trusts-share" title="5.6.2. Sharing Content Channels between Organizations in a Trust">Section 5.6.2, “Sharing Content Channels between Organizations in a Trust”</a>.
   </p></div><div class="section" title="3.6.1.8. Retired Channels"><div class="titlepage"><div><div><h4 class="title"><a id="s3-sm-channel-list-retired"></a>3.6.1.8. Retired Channels<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-sm-channel-list-retired">¶</a></span></h4></div></div></div><p>
    The <span class="guilabel">Retired Channels</span> page displays channels
    available to your organization that have reached their end-of-life
    dates. These channels do not receive updates.
   </p></div><div class="section" title="3.6.1.9. Software Channel Details"><div class="titlepage"><div><div><h4 class="title"><a id="s3-sm-channel-details"></a>3.6.1.9. Software Channel Details<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-sm-channel-details">¶</a></span></h4></div></div></div><a id="id330875" class="indexterm"></a><a id="id330885" class="indexterm"></a><p>
    If you click on the name of a channel, the <span class="guilabel">Software Channel
    Details</span> page appears. This page is broken down into the
    following tabs:
   </p><div class="section" title="3.6.1.9.1. Software Channel Details+Details"><div class="titlepage"><div><div><h5 class="title"><a id="s4-sm-channel-details-details"></a>3.6.1.9.1. <span class="guimenu">Software Channel Details</span>+<span class="guimenu">Details</span><span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s4-sm-channel-details-details">¶</a></span></h5></div></div></div><a id="id460475" class="indexterm"></a><p>
     General information about the channel and the parent channel, if it is
     a child channel. This is the first tab displayed when you click on a
     channel. It displays essential information about the channel, such as
     summary, description, and architecture.
    </p><p>
     [Mgmt] — In addition, a globally subscribable checkbox can be seen by
     SUSE Manager administrators and channel administrators. This signifies the
     default behavior of every channel allowing any user to subscribe
     systems to it. Unchecking this box and clicking
     <span class="guibutton">Update</span> causes the appearance of a
     <span class="guilabel">Subscribers</span> tab, which may then be used to grant
     certain users subscription permissions to the channel. SUSE Manager
     administrators and channel administrators can always subscribe systems
     to any channel.
    </p><p>
     [Mgmt] — Only customers with custom base channels may change their
     systems' base channel assignment. They may do this through the website
     in two ways:
    </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
       Customers with a custom base channel may assign the system to that
       base channel.
      </p></li><li class="listitem"><p>
       Customers may revert system subscriptions from a custom base channel
       to the appropriate distribution-based base channel.
      </p></li></ul></div><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
      The system base channel's distribution variant must match the variant
      installed on the system. For example, a system that has SUSE Linux Enterprise 10
      for x86 cannot be registered to a SUSE Linux Enterprise 11 for x86 base channel.
      Use the file <code class="filename">/etc/SuSE-release</code> to check your
      product, architecture, version, and patchlevel.
     </p></div></div><div class="section" title="3.6.1.9.2. Software Channel Details+Patches"><div class="titlepage"><div><div><h5 class="title"><a id="s4-sm-channel-details-errata"></a>3.6.1.9.2. <span class="guimenu">Software Channel Details</span>+<span class="guimenu">Patches</span><span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s4-sm-channel-details-errata">¶</a></span></h5></div></div></div><a id="id329462" class="indexterm"></a><p>
     List of patches affecting the channel. The list displays advisory
     types, names, summaries, and the dates issued. Clicking on an advisory
     name takes you to its <span class="guilabel">Patch Details</span> page. Refer to
     <a class="xref" href="s1-sm-errata.jsp#s3-sm-errata-details" title="3.5.2.2. Patch Details">Section 3.5.2.2, “Patch Details”</a> for more information.
    </p></div><div class="section" title="3.6.1.9.3. Software Channel Details+Packages"><div class="titlepage"><div><div><h5 class="title"><a id="s4-sm-channel-details-packages"></a>3.6.1.9.3. <span class="guimenu">Software Channel Details</span>+<span class="guimenu">Packages</span><span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s4-sm-channel-details-packages">¶</a></span></h5></div></div></div><a id="id336844" class="indexterm"></a><a id="id336854" class="indexterm"></a><p>
     List of packages in the channel. To download packages as a
     <code class="filename">.tar</code> file, select them and click the
     <span class="guibutton">Download Packages</span> button at the bottom-left
     corner of the page. Clicking on a package name takes you to the
     <span class="guilabel">Package Details</span> page. This page displays a set of
     tabs with information about the package, including which architectures
     it runs on, the package size, build date, package dependencies, the
     change log, list of files in the package, newer versions, and which
     systems have the package installed. From here, you can download the
     packages as RPMs or SRPMs.
    </p><p>
     To search for a specific package or a subset of packages, use the
     package filter at the top of the list. Enter a substring to search all
     packages in the list for package names that contain the string. For
     example, typing <strong class="userinput"><code>ks</code></strong> in the filter might return:
     <code class="filename">ksconfig</code>, <code class="filename">krb5-workstation</code>,
     and <code class="filename">links</code>. The filter is case-insensitive.
    </p></div><div class="section" title="3.6.1.9.4. Software Channel Details+Subscribed Systems"><div class="titlepage"><div><div><h5 class="title"><a id="s4-sm-channel-details-subsys"></a>3.6.1.9.4. <span class="guimenu">Software Channel Details</span>+<span class="guimenu">Subscribed Systems</span><span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s4-sm-channel-details-subsys">¶</a></span></h5></div></div></div><p>
     List of entitled systems subscribed to the channel. The list displays
     system names, base channels, and their levels of entitlement. Clicking
     on a system name takes you to its <span class="guilabel">System Details</span>
     page. Refer to <a class="xref" href="s1-sm-systems.jsp#s3-sm-system-details" title="3.4.2.9. System Details">Section 3.4.2.9, “System Details”</a> for more
     information.
    </p><p>
     [Mgmt] — If it is a child channel, you also have the option of
     unsubscribing systems from the channel. Use the checkboxes to select
     the systems, then click the <span class="guibutton">Unsubscribe</span> button
     on the bottom right-hand corner.
    </p></div></div></div><div class="section" title="3.6.2. Package Search"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sm-software-search"></a>3.6.2. Package Search<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sm-software-search">¶</a></span></h3></div></div></div><a id="id373838" class="indexterm"></a><a id="id432107" class="indexterm"></a><a id="id432118" class="indexterm"></a><div class="figure"><a id="id343528"></a><p class="title"><b>Figure 3.17. Package Search</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="444"><tr><td><img src="../../images/search.png" width="444" alt="Package Search" /></td></tr></table></div></div></div><br class="figure-break" /><p>
   The <span class="guilabel">Package Search</span> page allows you to search through
   packages using various criteria (the <span class="guilabel">What to search
   for</span> label):
  </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
     <span class="guilabel">Free Form</span> — a general keyword search for users
     that are unsure of the details of particular package and its contents.
    </p></li><li class="listitem"><p>
     <span class="guilabel">Name Only</span> — Targeted search for users that need
     to find a specific packages and do not want to sift through more
     generalized search results.
    </p></li><li class="listitem"><p>
     <span class="guilabel">Name and Summary</span> — Specified searches for a
     certain package name or program that, while not in the name of the
     package, may be in the one-line summary of the package.
    </p></li><li class="listitem"><p>
     <span class="guilabel">Name and Description</span> — Similar to a
     <span class="guilabel">Name and Summary</span> search, this search criteria
     searches package names and the longer Description of the package. So, a
     search for <span class="quote">“<span class="quote">web browser</span>”</span> could result in several results
     that includes both graphical and text-based browsers.
    </p></li></ul></div><p>
   The <span class="guilabel">Free Form</span> field addtionally allows you to search
   using <em class="firstterm">field names</em> that you prepend to search
   queries and filter results by that field keyword.
  </p><p>
   For example, if you wanted to search all of the SUSE Linux Enterprise packages for the
   word <strong class="userinput"><code>java</code></strong> in the description and summary, type the
   follwing using the <span class="guilabel">Free Form</span> field:
  </p><pre class="screen">summary:java  and description:java</pre><p>
   Other supported field names for documentation search include:
  </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
     <strong class="userinput"><code>name</code></strong> — Search the package names for a
     particular keyword
    </p></li><li class="listitem"><p>
     <strong class="userinput"><code>version</code></strong> — Search for a particular package
     version
    </p></li><li class="listitem"><p>
     <strong class="userinput"><code>filename</code></strong> — Search the package filenames for a
     particular keyword
    </p></li><li class="listitem"><p>
     <strong class="userinput"><code>description</code></strong> — Search the packages' detailed
     description field for a particular keyword
    </p></li><li class="listitem"><p>
     <strong class="userinput"><code>summary</code></strong> — Search the packages' brief summary
     for a particular keyword
    </p></li><li class="listitem"><p>
     <strong class="userinput"><code>arch</code></strong> — Search the packages by their
     architecture (such as x86, x86_64, or s390)
    </p></li></ul></div><p>
   Along with search criteria, you can also limit searches to
   <span class="guilabel">Channels relevant to your systems</span> by clicking the
   checkbox. Additionally, you can restrict your search by platform or
   architecture.
  </p></div><div class="section" title="3.6.3. Manage Software Channels"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sm-channel-manage"></a>3.6.3. Manage Software Channels<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sm-channel-manage">¶</a></span></h3></div></div></div><p>
   This tab allows administrators to create, clone, and delete custom
   channels. These channels may contain altered versions of
   distribution-based channels or custom packages.
  </p><div class="section" title="3.6.3.1. Manage Software Channels+Channel Details"><div class="titlepage"><div><div><h4 class="title"><a id="s3-chnl-mgmt-channel-details"></a>3.6.3.1. <span class="guimenu">Manage Software Channels</span>+<span class="guimenu">Channel Details</span><span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-chnl-mgmt-channel-details">¶</a></span></h4></div></div></div><p>
    The default screen of the <span class="guimenu">Manage Software Channels</span>
    tab is a listing of all available channels. This includes custom,
    distribution-based, and child channels.
   </p><p>
    To clone an existing channel, click the <span class="guilabel">clone
    channels</span> link in the upper right of the screen, select the
    channel to be cloned from the dropdown menu, and click the
    <span class="guibutton">Create Channel</span> button. The next screen presents
    various options for the new channel, including base architecture and GPG
    options. Make your selections and click the <span class="guibutton">Create
    Channel</span> button to complete the process.
   </p><p>
    To create a new channel, click the <span class="guilabel">create new
    channel</span> link in the upper right of the screen. Select the
    various options for the new channel, including base architecture and GPG
    options. Make your selections and click the <span class="guibutton">Create
    Channel</span> button. Note that a channel created in this manner
    is blank, containing no packages. You must either upload software
    packages or add packages from other channels. You may also choose to
    include patches in your custom channel.
   </p><div class="section" title="3.6.3.1.1. Manage Software Channels +Channel Details+Details"><div class="titlepage"><div><div><h5 class="title"><a id="s4-chnlmgmt-cdetails-cdetails"></a>3.6.3.1.1. <span class="guimenu">Manage Software Channels </span>+<span class="guimenu">Channel Details</span>+<span class="guimenu">Details</span><span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s4-chnlmgmt-cdetails-cdetails">¶</a></span></h5></div></div></div><p>
     This screen lists the selections you made during the channel creation
     process. This page includes the <span class="guilabel">Globally
     Subscribable</span> checkbox that permits all users to subscribe to
     the channel.
    </p></div><div class="section" title="3.6.3.1.2. Manage Software Channels+Channel Details +Managers"><div class="titlepage"><div><div><h5 class="title"><a id="s4-chnlmgmt-cdetails-manage"></a>3.6.3.1.2. <span class="guimenu">Manage Software Channels</span>+<span class="guimenu">Channel Details </span>+<span class="guimenu">Managers</span><span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s4-chnlmgmt-cdetails-manage">¶</a></span></h5></div></div></div><p>
     This subtab allows you to select which users may alter or delete this
     channel. SUSE Manager administrators and channel administrators may alter
     or delete any channel.
    </p><p>
     To allow a user to alter the channel, select the checkbox next to the
     user's name and click the <span class="guibutton">Update</span> button. To
     allow all users to manage the channel, click the <span class="guibutton">Select
     All</span> button at the bottom of the list followed by the
     <span class="guibutton">Update</span> button. To remove a user's ability to
     manage the channel, uncheck the box next to their name and click the
     <span class="guibutton">Update</span> button.
    </p></div><div class="section" title="3.6.3.1.3. Manage Software Channels+Channel Details+Patches"><div class="titlepage"><div><div><h5 class="title"><a id="s4-chnlmgmt-cdetails-errata"></a>3.6.3.1.3. <span class="guimenu">Manage Software Channels</span>+<span class="guimenu">Channel Details</span>+<span class="guimenu">Patches</span><span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s4-chnlmgmt-cdetails-errata">¶</a></span></h5></div></div></div><p>
     This subtab allows channel managers to list, remove, clone, and add
     patches to their custom channel. Custom channels not cloned from a
     distribution may not add patches until there are packages in the
     channel. Only patches that match the base architecture of the channel
     and apply to a package in that channel may be added to the channel.
     Finally, only cloned or custom patches may be added to custom channels.
     Patches may be included in a cloned channel if they are selected during
     channel creation.
    </p></div><div class="section" title="3.6.3.1.4. Manage Software Channels+Channel Details+Packages"><div class="titlepage"><div><div><h5 class="title"><a id="s4-cnlmgmt-cdetails-pkgs"></a>3.6.3.1.4. <span class="guimenu">Manage Software Channels</span>+<span class="guimenu">Channel Details</span>+<span class="guimenu">Packages</span><span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s4-cnlmgmt-cdetails-pkgs">¶</a></span></h5></div></div></div><p>
     This subtab is similar to the <span class="guilabel">Patches</span> subtab. It
     allows channel and organization administrators to list, remove,
     compare, and add packages to the custom channel.
    </p><p>
     To list all packages in the channel, click the <span class="guilabel">List / Remove
     Packages</span> link. Check the box to the left of any package you
     wish to remove, then click the <span class="guibutton">Remove Packages</span>
     button in the lower right of the page.
    </p><p>
     To add packages, click the <span class="guilabel">Add Packages</span> link.
     Choose a channel from which to select packages from the drop-down menu
     and click the <span class="guibutton">View</span> button to continue. Check the
     box to the left of any package you wish to add to the channel, then
     click the <span class="guibutton">Add Packages</span> button in the bottom
     right of the screen.
    </p><p>
     To compare packages within the current channel with those of another
     channel, select the other channel from the drop-down menu and click the
     <span class="guibutton">Compare</span> button. All packages present in either
     channel are compared, and the results displayed on the next screen.
     This information includes the architecture and version of each package.
    </p><p>
     To make the two channels identical, click the <span class="guibutton">Merge
     Differences</span> button in the lower right. The following screen
     allows you to select how conflicts are resolved. Click the
     <span class="guibutton">Preview Merge</span> button to view the results of the
     merging without making any changes to the channels. Finally, select
     those packages that you wish to merge and click the <span class="guibutton">Merge
     Packages</span> button followed by the
     <span class="guibutton">Confirm</span> button to perform the merge.
    </p></div></div><div class="section" title="3.6.3.2. Manage Software Channels+Manage Software Packages"><div class="titlepage"><div><div><h4 class="title"><a id="s3-chnl-mgmt-mng-pkgs"></a>3.6.3.2. <span class="guimenu">Manage Software Channels</span>+<span class="guimenu">Manage Software Packages</span><span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-chnl-mgmt-mng-pkgs">¶</a></span></h4></div></div></div><p>
    This tab allows you to manage custom software packages owned by your
    organization. You may view a list of all custom software or view only
    those packages in a selected custom channel. To select the channel whose
    custom packages you wish to view, select the channel from the drop-down
    menu and click the <span class="guibutton">View Packages</span> button.
   </p></div><div class="section" title="3.6.3.3. Manage Software Channels+Manage Repositories"><div class="titlepage"><div><div><h4 class="title"><a id="s3-chnl-mgmt-mng-repos"></a>3.6.3.3. <span class="guimenu">Manage Software Channels</span>+<span class="guimenu">Manage Repositories</span><span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-chnl-mgmt-mng-repos">¶</a></span></h4></div></div></div><p>
    This tab allows you to add and manage existing custom or third-party
    package repositories as well as link the repositories to an existing
    channel. The repositories feature currently supports repomd
    repositories.
   </p><p>
    To create a new repository click the <span class="guilabel">create new
    repository</span> link at the top right of the <span class="guilabel">Manage
    Repositories</span> page. The <span class="guilabel">Create Repository</span>
    screen prompts you to enter a <span class="guilabel">Repository Label</span>
    (such as <strong class="userinput"><code>sles-11-x86_64</code></strong>) as well as a
    <span class="guilabel">Repository URL</span> (such as
    http://customrepo.example.com). You can also enter URLs pointing to
    mirror lists as well as direct download URLs. Upon completion, click the
    <span class="guibutton">Create Repository</span> button.
   </p><p>
    To link the newly created repository to an existing software channel,
    click the <span class="guilabel">Manage Software Channels</span> link in the left
    menu, then click the Channel you want to link. From the channel's Detail
    page, click the <span class="guilabel">Repositories</span> subtab, then check the
    box corresponding to the repository you want to link, and click
    <span class="guilabel">Update Repositories</span>.
   </p><p>
    To synchronize packages from a custom repository to your channel, click
    the <span class="guilabel">Sync</span> link from the channel's
    <span class="guilabel">Repositories</span> subtab, and confirm by clicking the
    <span class="guibutton">Sync</span> button.
   </p></div></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-sm-errata.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-rhn-workgroup.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-sm-configuration.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">3.5. Patches </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 3.7. Configuration</td></tr></table></div></body></html>
