<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>3.12. Help</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-rhn-workgroup.jsp" title="Chapter 3. SUSE Manager Web Interface" /><link rel="prev" href="s1-sm-sattools.jsp" title="3.11. Admin" /><link rel="next" href="ch-monitoring.jsp" title="Chapter 4. Monitoring" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">3.12. Help</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-sm-sattools.jsp">Prev</a> </td><th width="60%" align="center">Chapter 3. SUSE Manager Web Interface</th><td width="20%" align="right"> <a accesskey="n" href="ch-monitoring.jsp">Next</a></td></tr></table><hr /></div><div xml:lang="en-US" class="section" title="3.12. Help" lang="en-US"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-sm-help"></a>3.12. Help<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-sm-help">¶</a></span></h2></div></div></div><a id="id402977" class="indexterm"></a><a id="id402984" class="indexterm"></a><a id="id338904" class="indexterm"></a><p>
  The <span class="guilabel">Help</span> pages provide access to the full suite of
  documentation and support available to SUSE Manager users. Click
  <span class="guibutton">Help</span> in the <span class="guilabel">Overview</span> category
  to see a list of options available to you.
 </p><div class="section" title="3.12.1. Reference Guide"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sm-your-rhn-help-rg"></a>3.12.1. Reference Guide<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sm-your-rhn-help-rg">¶</a></span></h3></div></div></div><p>
   The <span class="guilabel">Reference Guide</span> page takes you to this same
   document, the most comprehensive set of instructions for using SUSE Manager.
   Note that links to other technical guides may also appear in the left
   navigation bar, depending on the entitlement level and product offering
   of the account with which you logged in.
  </p></div><div class="section" title="3.12.2. SUSE Manager Installation Guide"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sm-your-rhn-help-sat"></a>3.12.2. SUSE Manager Installation Guide<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sm-your-rhn-help-sat">¶</a></span></h3></div></div></div><p>
   Implementing a fully functional SUSE Manager requires more than installing
   software and a database. Client systems must be configured to use
   SUSE Manager. Custom packages and channels should be created for optimal
   use. Since these tasks extend beyond the basic installation, they are
   covered in detail in other guides, as well as this <em class="citetitle">SUSE Manager
   Installation Guide</em>.
  </p><p>
   Detailed information regarding SUSE Manager server and its installation and
   initial configuration.
  </p></div><div class="section" title="3.12.3. Client Configuration Guide"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sm-your-rhn-help-client"></a>3.12.3. Client Configuration Guide<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sm-your-rhn-help-client">¶</a></span></h3></div></div></div><p>
   By default, all SUSE client applications are configured to communicate
   with Novell Customer Center. When connecting clients to SUSE Manager, many of these settings
   must be altered. Altering client settings for a system or two may be
   relatively simple. A large enterprise environment, containing hundreds or
   thousands of systems, will likely benefit from the mass reconfiguration
   steps described here.
  </p><p>
   The <em class="citetitle">Client Configuration Guide</em> is a best practices
   manual intended to help customers of SUSE Manager configure their client
   systems effeciently.
  </p></div><div class="section" title="3.12.4. Release Notes"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sm-your-rhn-help-rn"></a>3.12.4. Release Notes<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sm-your-rhn-help-rn">¶</a></span></h3></div></div></div><p>
   The <span class="guilabel">Release Notes</span> page lists the notes accompanying
   every recent release of SUSE Manager. These notes describe all significant
   changes occurring in a given release cycle, from major enhancements to
   the user interface to minor changes to the related documentation.
  </p></div><div class="section" title="3.12.5. Search"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sm-your-rhn-help-docsearch"></a>3.12.5. Search<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sm-your-rhn-help-docsearch">¶</a></span></h3></div></div></div><p>
   The <span class="guilabel">Documentation Search</span> page features a robust
   search engine that indexes and searches SUSE Manager documentation.
  </p><div class="figure"><a id="id399986"></a><p class="title"><b>Figure 3.20. Documentation Search</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="444"><tr><td><img src="../../images/docsearch.png" width="444" alt="Documentation Search" /></td></tr></table></div></div></div><br class="figure-break" /><p>
   Users can search the available online documentation and filter them
   according to the following choices in the <span class="guilabel">What to
   Search</span> drop-down menu:
  </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
     <span class="guilabel">Content &amp; Title</span> — Search both the title
     heading or body content of all available documents
    </p></li><li class="listitem"><p>
     <span class="guilabel">Free Form</span> — Search documents and indices for any
     keyword matches, which broadens search results.
    </p></li><li class="listitem"><p>
     <span class="guilabel">Content</span> — Search only the body content of
     documentation for more specific matches
    </p></li><li class="listitem"><p>
     <span class="guilabel">Title</span> — Search only the titles heading of the
     documentation for targeted, specific search results.
    </p></li></ul></div><p>
   The <span class="guilabel">Free Form</span> field addtionally allows you to search
   using <em class="firstterm">field names</em> that you prepend to search
   queries and filter results in that field.
  </p><p>
   For example, if you wanted to search all of the SUSE Manager manuals for the
   word <strong class="userinput"><code>Virtualization</code></strong> in the title and
   <strong class="userinput"><code>install</code></strong> in the content, type the follwing in the
   <span class="guilabel">Free Form</span> field:
  </p><pre class="screen">title:Virtualization and content:install</pre><p>
   Other supported field names for documentation search include:
  </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
     <strong class="userinput"><code>url</code></strong> — Search the URL for a particular keyword
    </p></li><li class="listitem"><p>
     <strong class="userinput"><code>title</code></strong> — Search titles for a particular keyword
    </p></li><li class="listitem"><p>
     <strong class="userinput"><code>content</code></strong> — Search the body of the documentation
     for a particular keyword
    </p></li></ul></div><p>
   If there are several pages of search results, you can limit the amount of
   visible results shown on one page by clicking the <span class="guilabel">Display
   <em class="replaceable"><code>quantity</code></em> items per page</span> drop-down
   menu, which offers between 10 and 500 results per page.
  </p><p>
   To move between pages, click the right or left angle brackets
   (<span class="guilabel">&gt;</span> to go forward or <span class="guilabel">&lt;</span> to
   go backward)
  </p></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-sm-sattools.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-rhn-workgroup.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="ch-monitoring.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">3.11. Admin </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> Chapter 4. Monitoring</td></tr></table></div></body></html>
