<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>3.10. Monitoring — [Mon]</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-rhn-workgroup.jsp" title="Chapter 3. SUSE Manager Web Interface" /><link rel="prev" href="s1-sm-users.jsp" title="3.9. Users — [Mgmt]" /><link rel="next" href="s1-sm-sattools.jsp" title="3.11. Admin" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">3.10. Monitoring — [Mon]</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-sm-users.jsp">Prev</a> </td><th width="60%" align="center">Chapter 3. SUSE Manager Web Interface</th><td width="20%" align="right"> <a accesskey="n" href="s1-sm-sattools.jsp">Next</a></td></tr></table><hr /></div><div xml:lang="en-US" class="section" title="3.10. Monitoring — [Mon]" lang="en-US"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-sm-monitor"></a>3.10. Monitoring — [Mon]<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-sm-monitor">¶</a></span></h2></div></div></div><a id="id378332" class="indexterm"></a><a id="id378340" class="indexterm"></a><p>
  If you click the <span class="guilabel">Monitoring</span> tab on the top navigation
  bar, the <span class="guilabel">Monitoring</span> category and links appear. If you
  do not see the tab, activate monitoring in <span class="guilabel">Admin</span>+<span class="guilabel">SUSE Manager Configuration</span>+<span class="guilabel">General</span> and click the <span class="guilabel">Enable
  Monitoring</span> checkbox.
 </p><p>
  These monitoring pages enable you to view the results of probes you have
  set to run against monitoring-entitled systems and manage the
  configuration of your monitoring infrastructure.
 </p><p>
  Initiate monitoring of a system through the <span class="guilabel">Probes</span>
  tab of the <span class="guilabel">System Details</span> page. Refer to
  <a class="xref" href="s1-sm-systems.jsp#s3-sm-system-details" title="3.4.2.9. System Details">Section 3.4.2.9, “System Details”</a> for a description of the tab. See
  <a class="xref" href="ap-probes-monitoring.jsp" title="Appendix C. Probes">Appendix C, <i>Probes</i></a> for the complete list of available
  probes.
 </p><div class="section" title="3.10.1. Status — [Mon]"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sm-monitor-status"></a>3.10.1. <span class="guilabel">Status</span> — [Mon]<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sm-monitor-status">¶</a></span></h3></div></div></div><a id="id355145" class="indexterm"></a><p>
   The <span class="guilabel">Probe Status List</span> page is shown by default when
   you click <span class="guilabel">Monitoring</span> in the top navigation bar.
  </p><p>
   The <span class="guilabel">Probe Status List</span> page displays the summary
   count of probes in the various states and provides a simple interface to
   find problematic probes quickly. Please note that the probe totals in the
   tabs at the top of the page may not match the numbers of probes displayed
   in the tables below. The counts at the top include probes for all systems
   in your organization, while the tables display probes on only those
   systems to which you have access through the system group administrator
   role. Also, the probe counts displayed here may be out of sync by as much
   as one minute.
  </p><p>
   The following list describes each state and identifies the icons
   associated with them:
  </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
     <span class="inlinemediaobject"><img src="../../images/icon_crit_probe.png" /></span> — <em class="firstterm">Critical</em> - The probe
     has crossed a CRITICAL threshold.
    </p></li><li class="listitem"><p>
     <span class="inlinemediaobject"><img src="../../images/icon_warn_probe.png" /></span> — <em class="firstterm">Warning</em> - The probe has
     crossed a WARNING threshold.
    </p></li><li class="listitem"><p>
     <span class="inlinemediaobject"><img src="../../images/icon_unknown_probe.png" /></span> — <em class="firstterm">Unknown</em> - The probe is
     not able to accurately report metric or state data.
    </p></li><li class="listitem"><p>
     <span class="inlinemediaobject"><img src="../../images/icon_pending_probe.png" /></span> — <em class="firstterm">Pending</em> - The probe has
     been scheduled but has not yet run or is unable to run.
    </p></li><li class="listitem"><p>
     <span class="inlinemediaobject"><img src="../../images/icon_ok_probe.png" /></span> — <em class="firstterm">OK</em> - The probe is
     running successfully.
    </p></li></ul></div><p>
   The <span class="guilabel">Probe Status List</span> page contains tabs for each of
   the possible states, as well as one that lists all probes. Each table
   contains columns indicating probe state, the monitored system, the probes
   used, and the date and time the status was last updated.
  </p><p>
   In these tables, clicking the name of the system takes you to the
   <span class="guilabel">Probes</span> tab of the <span class="guilabel">System
   Details</span> page. Clicking the name of the probe takes you to its
   <span class="guilabel">Current State</span> page. From there, you may edit the
   probe, delete it, and generate reports based upon its results.
  </p><p>
   Monitoring data and probe status information that was previously availble
   only through the web interface of SUSE Manager can now be exported as a CSV
   file. Click on the <span class="guilabel">Download CSV</span> links throughout the
   Monitoring pages to download CSV files of relevent information. The
   exported data may include, but is not limited to:
  </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
     Probe status
    </p></li><li class="listitem"><p>
     All probes in a given state (OK, WARN, UNKNOWN, CRITICAL, PENDING)
    </p></li><li class="listitem"><p>
     A probe event history
    </p></li></ul></div><div class="section" title="3.10.1.1. Probe Status+Critical — [Mon]"><div class="titlepage"><div><div><h4 class="title"><a id="s3-sm-monitor-status-critical"></a>3.10.1.1. <span class="guilabel">Probe Status</span>+<span class="guilabel">Critical</span> — [Mon]<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-sm-monitor-status-critical">¶</a></span></h4></div></div></div><a id="id380015" class="indexterm"></a><p>
    The probes that have crossed their CRITICAL thresholds or reached a
    critical status by some other means. For instance, some probes become
    critical (rather than unknown) when exceeding their timeout period.
   </p></div><div class="section" title="3.10.1.2. Probe Status+Warning — [Mon]"><div class="titlepage"><div><div><h4 class="title"><a id="s3-sm-monitor-status-warning"></a>3.10.1.2. <span class="guilabel">Probe Status</span>+<span class="guilabel">Warning</span> — [Mon]<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-sm-monitor-status-warning">¶</a></span></h4></div></div></div><a id="id381676" class="indexterm"></a><p>
    The probes that have crossed their WARNING thresholds.
   </p></div><div class="section" title="3.10.1.3. Probe Status+Unknown — [Mon]"><div class="titlepage"><div><div><h4 class="title"><a id="s3-sm-monitor-status-unknown"></a>3.10.1.3. <span class="guilabel">Probe Status</span>+<span class="guilabel">Unknown</span> — [Mon]<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-sm-monitor-status-unknown">¶</a></span></h4></div></div></div><a id="id371332" class="indexterm"></a><p>
    The probes that cannot collect the metrics needed to determine probe
    state. Most but not all probes enter an unknown state when exceeding
    their timeout period. This may mean that the timeout period should be
    increased, or the connection cannot be established to the monitored
    system.
   </p><p>
    It is also possible the probes' configuration parameters are not correct
    and their data cannot be found. Finally, this state may indicate that a
    software error has occurred.
   </p></div><div class="section" title="3.10.1.4. Probe Status+Pending — [Mon]"><div class="titlepage"><div><div><h4 class="title"><a id="s3-sm-monitor-status-pending"></a>3.10.1.4. <span class="guilabel">Probe Status</span>+<span class="guilabel">Pending</span> — [Mon]<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-sm-monitor-status-pending">¶</a></span></h4></div></div></div><a id="id346946" class="indexterm"></a><p>
    The probes whose data have not been received by SUSE Manager. This state is
    expected for a probe that has just been scheduled but has not yet run.
    If all probes go into a pending state, your monitoring infrastructure
    may be failing.
   </p></div><div class="section" title="3.10.1.5. Probe Status+OK — [Mon]"><div class="titlepage"><div><div><h4 class="title"><a id="s3-sm-monitor-status-ok"></a>3.10.1.5. <span class="guilabel">Probe Status</span>+<span class="guilabel">OK</span> — [Mon]<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-sm-monitor-status-ok">¶</a></span></h4></div></div></div><a id="id426538" class="indexterm"></a><p>
    The probes that have run successfully without exception. This is the
    state desired for all probes.
   </p></div><div class="section" title="3.10.1.6. Probe Status+All — [Mon]"><div class="titlepage"><div><div><h4 class="title"><a id="s3-sm-monitor-status-all"></a>3.10.1.6. <span class="guilabel">Probe Status</span>+<span class="guilabel">All</span> — [Mon]<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-sm-monitor-status-all">¶</a></span></h4></div></div></div><a id="id449701" class="indexterm"></a><p>
    All probes scheduled on systems in your account, listed in alphabetical
    order by the name of system.
   </p></div><div class="section" title="3.10.1.7. Current State — [Mon]"><div class="titlepage"><div><div><h4 class="title"><a id="s3-sm-monitor-status-current"></a>3.10.1.7. <span class="guilabel">Current State</span> — [Mon]<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-sm-monitor-status-current">¶</a></span></h4></div></div></div><a id="id483884" class="indexterm"></a><p>
    Identifies the selected probe's status and when it last ran, while
    providing the ability to generate a report on the probe. Although this
    page is integral to monitoring, it is found under the
    <span class="guilabel">Probes</span> tab within the <span class="guilabel">System
    Details</span> page since its configuration is specific to the
    system being monitored.
   </p><p>
    To view a report of the probe's results, choose a relevant duration
    using the <span class="guilabel">date</span> fields and decide whether you would
    like to see metric data, the state change history or both. To obtain
    metric data, select the metric(s) on which you wish to see a report, and
    decide (using the checkboxes) whether the results should be shown in a
    graph, an event log, or both. Then click the <span class="guibutton">Generate
    report</span> button at the bottom of the page. If no data exist
    for the probe's metrics, you are presented with the following message:
   </p><pre class="screen">NO DATA SELECTED TIME PERIOD AND METRIC</pre></div></div><div class="section" title="3.10.2. Scout Config Push — [Mon]"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sm-monitor-scout"></a>3.10.2. Scout Config Push — [Mon]<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sm-monitor-scout">¶</a></span></h3></div></div></div><a id="id420928" class="indexterm"></a><p>
   Displays the status of your monitoring infrastructure. Anytime you make a
   change to your monitoring configuration, such as adding a probe to a
   system or editing a probe's thresholds, you must reconfigure your
   monitoring infrastructure. Do this by selecting the SUSE Manager Server's
   checkbox and clicking <span class="guibutton">Push Scout Configs</span>. The
   table on this page identifies the date and time of requested and
   completed pushes.
  </p><p>
   Clicking the name of the server opens its SUSE Manager monitoring daemon SSH
   public key. This allows you to copy and paste the SSH key to the systems
   that are monitored by the scout. This is required in order for the
   SUSE Manager network monitoring daemon to connect to SUSE Manager.
  </p></div><div class="section" title="3.10.3. Notification — [Mon]"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sm-monitor-notif"></a>3.10.3. <span class="guilabel">Notification</span> — [Mon]<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sm-monitor-notif">¶</a></span></h3></div></div></div><a id="id351284" class="indexterm"></a><p>
   Identifies the contact methods that have been established for your
   organization. These methods contain email or pager addresses designated
   to receive alerts from probes.
  </p><p>
   The various notification methods available to your organization are
   listed here on the default <span class="guilabel">Notification</span> screen. The
   methods are listed according to the user to which they apply.
  </p><p>
   To create a new notification method, click on the name of the user to
   whom the notification will apply. The user's <span class="guilabel">User
   Details</span>+<span class="guilabel">Notification Methods</span> page appears. Refer to
   <a class="xref" href="s1-sm-users.jsp#s4-sm-user-details-notifs" title="3.9.1.1.7. User List+Active+User Details+Notification Methods — [Mon]">Section 3.9.1.1.7, “<span class="guimenu">User List</span>+<span class="guimenu">Active</span>+<span class="guimenu">User Details</span>+<span class="guimenu">Notification Methods</span> — [Mon]”</a> for further information.
   Click on the title of the notification method to edit the properties of
   the method.
  </p><div class="section" title="3.10.3.1. Notification+Filters"><div class="titlepage"><div><div><h4 class="title"><a id="s3-monitor-notif-filter"></a>3.10.3.1. <span class="guilabel">Notification</span>+<span class="guilabel">Filters</span><span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-monitor-notif-filter">¶</a></span></h4></div></div></div><p>
    Notification filters allow you to create long-term rules that suspend,
    redirect, or automatically acknowledge standard notifications or send
    supplemental notifications. This can be helpful in managing verbose or
    frequent probe communication.
   </p><div class="section" title="3.10.3.1.1. Notification+Notification Filters+Active Filters"><div class="titlepage"><div><div><h5 class="title"><a id="s4-mon-notfilter-active"></a>3.10.3.1.1. <span class="guilabel">Notification</span>+<span class="guilabel">Notification Filters</span>+<span class="guilabel">Active Filters</span><span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s4-mon-notfilter-active">¶</a></span></h5></div></div></div><p>
     This is the default screen for the <span class="guilabel">Notification
     Filters</span> tab. It lists all active filters available for your
     organization. Click the name of the filter to edit the properties of
     the filter.
    </p><p>
     To create a notification filter, click the <span class="guilabel">create new
     notification filter</span> link in the upper right of the screen.
     Configure each option listed below and click the <span class="guibutton">Save
     Filter</span> button to create the filter.
    </p><div class="orderedlist"><ol class="orderedlist" type="1"><li class="listitem"><p>
       <span class="emphasis"><em>Description</em></span>: Enter a value that allows you to
       distinguish this filter from others.
      </p></li><li class="listitem"><p>
       <span class="emphasis"><em>Type</em></span>: Determine what action the filter should
       take: redirect, acknowledge, suspend, or supplement the incoming
       notification.
      </p></li><li class="listitem"><p>
       <span class="emphasis"><em>Send to</em></span>: The <span class="guilabel">Redirect
       Notification</span> and <span class="guilabel">Supplemental
       Notification</span> options in step two require an email address
       to which to send the notifications. The remaining options require no
       email address.
      </p></li><li class="listitem"><p>
       <span class="emphasis"><em>Scope</em></span>: Determine which monitoring components are
       subject to the filter.
      </p></li><li class="listitem"><p>
       <span class="emphasis"><em>Organization/Scout/Probe</em></span>: This option allows you
       to select the organization, scout(s), or probe(s) to which this
       filter applies. To select multiple items from the list, hold the
       <span class="keycap"><strong></strong></span> key while clicking the names of the
       items. To select a range of items, hold the
       <span class="keycap"><strong></strong></span> key while clicking on the first and last
       items in the range.
      </p></li><li class="listitem"><p>
       <span class="emphasis"><em>Probes in State</em></span>: Select which probe state(s)
       relate to the filter. For example, you may choose to create a
       supplemental notification for critical probes only. Un-check the box
       to the left of any state you want the filter to ignore.
      </p></li><li class="listitem"><p>
       <span class="emphasis"><em>Notifications sent to</em></span>: This is the method to
       which the notification would be sent if no filter were in place. You
       may, for example, redirect notifications that would normally go to a
       user should that individual go on vacation, leaving all other
       notifications from the probe unchanged.
      </p></li><li class="listitem"><p>
       <span class="emphasis"><em>Match Output</em></span>: Select precise notification
       results by entering a regular expression here. If the
       "Message:" portion of the notification does not match the
       regular expression, the filter is not applied.
      </p></li><li class="listitem"><p>
       <span class="emphasis"><em>Recurring</em></span>: Select whether a filter runs
       continuously or on a recurring basis. A recurring filter runs
       multiple times for a period of time smaller than the duration of the
       filter. For example, a recurring filter could run for 10 minutes of
       every hour between the start and end times of the filter. A
       non-recurring filter runs continuously between the start and end
       times of the filter.
      </p></li><li class="listitem"><p>
       <span class="emphasis"><em>Beginning</em></span>: Enter a date and time for the filter
       to begin operation.
      </p></li><li class="listitem"><p>
       <span class="emphasis"><em>Ending</em></span>: Enter an end date and time for the
       filter.
      </p></li><li class="listitem"><p>
       <span class="emphasis"><em>Recurring Duration</em></span>: How long a recurring filter
       instance is active. This field, applicable to recurring filters only,
       begins at the <span class="guilabel">Beginning</span> time specified above.
       Any notification generated outside of the specified duration is not
       filtered.
      </p></li><li class="listitem"><p>
       <span class="emphasis"><em>Recurring Frequency</em></span>: How often the filter
       activates.
      </p></li></ol></div><p>
     Notification filters cannot be deleted. However, a filter may be
     canceled by setting the end date to some time in the past. (Note that
     the end date must be equal to or later than the start date, or the
     change fails.) Another method is to select a set of filters from the
     <span class="guilabel">Active</span> page and click the <span class="guibutton">Expire
     Notification Filters</span> button in the lower right. These
     filters are then canceled and appears in the <span class="guilabel">Expired
     Filters</span> tab.
    </p></div><div class="section" title="3.10.3.1.2. Notification+Notification Filters+Expired Filters"><div class="titlepage"><div><div><h5 class="title"><a id="s4-mon-notfilter-expired"></a>3.10.3.1.2. <span class="guilabel">Notification</span>+<span class="guilabel">Notification Filters</span>+<span class="guilabel">Expired Filters</span><span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s4-mon-notfilter-expired">¶</a></span></h5></div></div></div><p>
     This tab lists all notification filters whose end date has passed.
     Expired filters are stored indefinitely; this allows an organization to
     recycle useful filters as needed and provides a historical record for
     troubleshooting.
    </p></div></div></div><div class="section" title="3.10.4. Probe Suites — [Mon]"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sm-monitor-psuites"></a>3.10.4. Probe Suites — [Mon]<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sm-monitor-psuites">¶</a></span></h3></div></div></div><p>
   Probe Suites allow you to configure and apply one or more probes to a
   system or systems. Probe Suites may be configured once and then applied
   to any number of systems in a batch. This results in time savings and
   consistency for Monitoring customers.
  </p><p>
   To create and apply a probe suite, first create an empty probe suite,
   then configure member probes, and finally apply the suite to selected
   systems. Proceed as follows:
  </p><div class="procedure"><ol class="procedure" type="1"><li class="step" title="Step 1"><p>
     From the <span class="guilabel">Monitoring</span>+<span class="guilabel">Probe
     Suites</span> page, select the <span class="guilabel">create probe
     suite</span> link. Enter an easily distinguishable name for the
     probe suite. You may also choose to add a brief description of the
     suite. Click the <span class="guibutton">Create Probe Suite</span> button to
     continue.
    </p></li><li class="step" title="Step 2"><p>
     Add and configure the probes that comprise the suite. Click the
     <span class="guilabel">create new probe</span> link in the upper right.
    </p></li><li class="step" title="Step 3"><p>
     As described in <a class="xref" href="s1-sm-systems.jsp#s4-sm-system-details-probes" title="3.4.2.9.5. System Details+Monitoring — [Mon]">Section 3.4.2.9.5, “<span class="guimenu">System Details</span>+<span class="guimenu">Monitoring</span> — [Mon]”</a>,
     configure the probe and click the <span class="guibutton">Create Probe</span>
     button in the lower right. Repeat this process until all desired probes
     have been added.
    </p><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
      Your mail transfer agent must be configured correctly on your
      SUSE Manager server and each client system to which the probe suite is
      applied must have the <span class="command"><strong>rhnmd</strong></span> daemon installed and
      running. Refer to the <a class="xref" href="../../install_guide/en-US/index.jsp" title="Installation Guide">Installation Guide</a>

      for additional information.
     </p></div></li><li class="step" title="Step 4"><p>
     Add the systems to which the probe suite applies. Click the
     <span class="guilabel">add systems to probe suite</span> link in the upper right
     of the screen to continue.
    </p></li><li class="step" title="Step 5"><p>
     The next page displays a list of all systems with monitoring
     entitlements. Check the box to the left of the system(s) to which you
     wish to apply the probe duite, select the monitoring scout you wish to
     use, and click the <span class="guibutton">Add systems to probe suite</span>
     button to complete the creation of the probe suite.
    </p></li></ol></div><p>
   You can either delete or detach probes from the suite. Detaching a probe
   disassociates the probes from the suite and converts them to
   system-specific probes for the specified system. This means that changes
   to the detached probes only effect that system. Deleting a probe removes
   it from the Suite for all systems.
  </p><p>
   To remove probes from the Probe Suite do the following:
  </p><div class="procedure"><ol class="procedure" type="1"><li class="step" title="Step 1"><p>
     From the <span class="guilabel">Monitoring</span>+<span class="guilabel">Probe
     Suites</span> page, click on the title of the probe
     suite you wish to alter.
    </p></li><li class="step" title="Step 2"><p>
     Select the <span class="guilabel">Probes</span> sub-tab.
    </p></li><li class="step" title="Step 3"><p>
     Check the box next to the probe you wish to remove.
    </p></li><li class="step" title="Step 4"><p>
     Click the <span class="guibutton">Delete probes from Probe Suites</span>
     button.
    </p></li></ol></div><p>
   You may also remove a system from the probe suite. There are two ways to
   accomplish this. The first method is to detach the system from the probe
   suite. When you do so, the system still has the same probes assigned to
   it. However, you now have the ability to configure these probes
   individually without affecting any other systems. For more information
   about removing probes from an individual system, refer to
   <a class="xref" href="s1-sm-systems.jsp#s4-sm-system-details-probes" title="3.4.2.9.5. System Details+Monitoring — [Mon]">Section 3.4.2.9.5, “<span class="guimenu">System Details</span>+<span class="guimenu">Monitoring</span> — [Mon]”</a>.
  </p><p>
   To detach a system from the suite:
  </p><div class="procedure"><ol class="procedure" type="1"><li class="step" title="Step 1"><p>
     From the <span class="guilabel">Monitoring</span>+<span class="guilabel">Probe
     Suites</span> page, click the title of the probe suite
     you wish to alter.
    </p></li><li class="step" title="Step 2"><p>
     Select the <span class="guilabel">Systems</span> sub-tab.
    </p></li><li class="step" title="Step 3"><p>
     Check the box next to the system(s) you wish to remove from the probe
     suite.
    </p></li><li class="step" title="Step 4"><p>
     Click the <span class="guibutton">Detach System(s) from Probe Suite</span>
     button
    </p></li></ol></div><p>
   The second method is to remove the system from the suite. This removes
   the system from the suite and deletes all running probes from the system.
  </p><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
    This action deletes all of the probe suites' probes from the system as
    well as all of the historical time series and event log data. This
    action is irreversible.
   </p></div><p>
   To remove a system from the probe suite and delete all associated probes
   from the system:
  </p><div class="procedure"><ol class="procedure" type="1"><li class="step" title="Step 1"><p>
     From the <span class="guilabel">Monitoring</span>+<span class="guilabel">Probe
     Suites</span> page, click on the title of the probe
     suite you wish to alter.
    </p></li><li class="step" title="Step 2"><p>
     Select the <span class="guilabel">Systems</span> sub-tab.
    </p></li><li class="step" title="Step 3"><p>
     Check the box next to the system(s) you wish to remove from the probe
     suite.
    </p></li><li class="step" title="Step 4"><p>
     Click the <span class="guibutton">Remove System(s) from Probe Suite</span>
     button.
    </p></li></ol></div><p>
   Finally, as with single probes, you may download a CSV file containing
   information about probe suites. Click the <span class="guilabel">Download
   CSV</span> link at the bottom of the <span class="guilabel">Monitoring</span>+<span class="guilabel">Probe Suites</span> page to download the file.
  </p></div><div class="section" title="3.10.5. General Config — [Mon]"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sm-monitor-global"></a>3.10.5. General Config — [Mon]<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sm-monitor-global">¶</a></span></h3></div></div></div><a id="id468063" class="indexterm"></a><a id="id468074" class="indexterm"></a><p>
   Collects information that is universally applicable to your monitoring
   infrastructure. Modifying anything on this page causes the monitoring
   services on the SUSE Manager to reset. It also schedules restart events for
   the monitoring services on all monitoring-enabled SUSE Manager servers that
   connect to SUSE Manager. This is done so that the monitoring services on
   these servers immediately reload their configuration.
  </p><p>
   Typically, the defaults provided in other fields are acceptable, since
   they are derived from your SUSE Manager installation. Nevertheless, you may
   use the fields on this page to alter your monitoring configuration. For
   instance, you may change your mail exchange server here. This page also
   allows you to alter the destination of all administrative emails from
   SUSE Manager. When finished, click <span class="guibutton">Update Config</span>.
  </p></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-sm-users.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-rhn-workgroup.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-sm-sattools.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">3.9. Users — [Mgmt] </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 3.11. Admin</td></tr></table></div></body></html>
