<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>3.11. Admin</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-rhn-workgroup.jsp" title="Chapter 3. SUSE Manager Web Interface" /><link rel="prev" href="s1-sm-monitor.jsp" title="3.10. Monitoring — [Mon]" /><link rel="next" href="s1-sm-help.jsp" title="3.12. Help" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">3.11. Admin</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-sm-monitor.jsp">Prev</a> </td><th width="60%" align="center">Chapter 3. SUSE Manager Web Interface</th><td width="20%" align="right"> <a accesskey="n" href="s1-sm-help.jsp">Next</a></td></tr></table><hr /></div><div xml:lang="en-US" class="section" title="3.11. Admin" lang="en-US"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-sm-sattools"></a>3.11. Admin<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-sm-sattools">¶</a></span></h2></div></div></div><p>
  The <span class="guilabel">Admin</span> page allows SUSE Manager customers to manage
  the basic configuration, including creating and managing the organizations
  feature. Only the SUSE Manager administrator can access the
  <span class="guilabel">Admin</span> page.
 </p><div class="section" title="3.11.1. Admin+Organizations"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sattools-org"></a>3.11.1. <span class="guilabel">Admin</span>+<span class="guilabel">Organizations</span><span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sattools-org">¶</a></span></h3></div></div></div><p>
   The <em class="firstterm">multiple organizations</em> feature allows
   administrators to create and manage multiple organizations across
   SUSE Manager. The organizations feature allows administrators to appropriate
   software and system entitlements across various organizations, as well as
   control an organization's access to systems management tasks. For more
   information about using the multiple organizations feature, refer to
   <a class="xref" href="ch-multiorg.jsp" title="Chapter 5. Multiple Organizations">Chapter 5, <i>Multiple Organizations</i></a>.
  </p></div><div class="section" title="3.11.2. Admin+SUSE Manager Configuration"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sattools-config"></a>3.11.2. <span class="guilabel">Admin</span>+<span class="guilabel">SUSE Manager Configuration</span><span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sattools-config">¶</a></span></h3></div></div></div><p>
   This tab is broken down into subtabs that allow you to configure most
   aspects of SUSE Manager. Once changes have been made, it is important to
   restart SUSE Manager, which may be accomplished on the final tab.
  </p><div class="section" title="3.11.2.1. Admin+SUSE Manager Configuration+General"><div class="titlepage"><div><div><h4 class="title"><a id="s3-sattools-config-gen"></a>3.11.2.1. <span class="guilabel">Admin</span>+<span class="guilabel">SUSE Manager Configuration</span>+<span class="guilabel">General</span><span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-sattools-config-gen">¶</a></span></h4></div></div></div><p>
    This page allows you to alter the most basic settings, such as the admin
    email address.
   </p></div><div class="section" title="3.11.2.2. Admin+SUSE Manager Configuration+Monitoring"><div class="titlepage"><div><div><h4 class="title"><a id="s3-sattools-config-mon"></a>3.11.2.2. <span class="guilabel">Admin</span>+<span class="guilabel">SUSE Manager Configuration</span>+<span class="guilabel">Monitoring</span><span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-sattools-config-mon">¶</a></span></h4></div></div></div><p>
    This page allows you to configure the monitoring aspects of this
    SUSE Manager. However, this page is only available on monitor-enabled
    systems. See <a class="xref" href="s1-sm-monitor.jsp" title="3.10. Monitoring — [Mon]">Section 3.10, “Monitoring — [Mon]”</a> for more details. The local
    mail exchanger and local main domain are used to mail monitoring
    notification messages to administration. This is required only if you
    intend to receive alert notifications from probes. If you do, provide
    the mail server (exchanger) and domain to be used. Note that
    <span class="application">sendmail</span> must be configured to handle email
    redirects of notifications. When finished, click <span class="guilabel">Update
    Config</span>.
   </p></div><div class="section" title="3.11.2.3. Admin+SUSE Manager Configuration+Certificate"><div class="titlepage"><div><div><h4 class="title"><a id="s3-sattools-config-cert"></a>3.11.2.3. <span class="guilabel">Admin</span>+<span class="guilabel">SUSE Manager Configuration</span>+<span class="guilabel">Certificate</span><span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-sattools-config-cert">¶</a></span></h4></div></div></div><p>
    The <span class="guilabel">SUSE Manager Configuration</span>+<span class="guilabel">Certificate</span> page allows you to either
    upload a new SUSE Manager certificate. To identify the certificate's path,
    click <span class="guibutton">Browse</span>, navigate to the file, and select
    it. To input its contents, open your certificate in a text editor, copy
    all lines, and paste them directly into the large text field at the
    bottom. SUSE recommends using the file browser as it is less error
    prone. Click <span class="guibutton">Update</span> to continue. If you receive
    errors related to DNS, ensure your SUSE Manager server is configured
    correctly.
   </p></div><div class="section" title="3.11.2.4. Admin+SUSE Manager Configuration+Bootstrap Script"><div class="titlepage"><div><div><h4 class="title"><a id="s3-sattools-config-bootstrap"></a>3.11.2.4. <span class="guilabel">Admin</span>+<span class="guilabel">SUSE Manager Configuration</span>+<span class="guilabel">Bootstrap Script</span><span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-sattools-config-bootstrap">¶</a></span></h4></div></div></div><p>
    The <span class="guilabel">SUSE Manager Configuration</span>+<span class="guilabel">Bootstrap Script</span> page allows you to
    generate a bootstrap script for redirecting client systems from the
    central Novell Customer Center to SUSE Manager. This script, to be placed in the
    <code class="filename">/srv/www/htdocs/pub/bootstrap/</code> directory of
    SUSE Manager, significantly reduces the effort involved in reconfiguring
    all systems, which by default obtain packages from the central Novell Customer Center.
    The required fields are pre-populated with values derived from previous
    installation steps. Ensure this information is accurate.
   </p><p>
    Checkboxes offer options for including built-in security SSL and GNU
    Privacy Guard (GPG) features, both of which are advised. In addition,
    you may enable remote command acceptance and remote configuration
    management of the systems to be bootstrapped here. Both features are
    useful for completing client configuration. Finally, if you are using an
    HTTP proxy server, complete the related fields. When finished, click
    <span class="guibutton">Generate Bootstrap Script</span>.
   </p></div><div class="section" title="3.11.2.5. Admin+SUSE Manager Configuration+Organizations"><div class="titlepage"><div><div><h4 class="title"><a id="s3-sattools-config-orgs"></a>3.11.2.5. <span class="guilabel">Admin</span>+<span class="guilabel">SUSE Manager Configuration</span>+<span class="guilabel">Organizations</span><span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-sattools-config-orgs">¶</a></span></h4></div></div></div><p>
    The <span class="guilabel">SUSE Manager Configuration</span>+<span class="guilabel">Organizations</span> page contains details
    about the organizations feature of SUSE Manager, as well as links to
    quickly get started creating and configuring organizations. For more
    information about configuring organizations, refer to
    <a class="xref" href="s1-sm-sattools.jsp#s2-sattools-org" title="3.11.1. Admin+Organizations">Section 3.11.1, “<span class="guilabel">Admin</span>+<span class="guilabel">Organizations</span>”</a>.
   </p></div><div class="section" title="3.11.2.6. Admin+SUSE Manager Configuration+Restart"><div class="titlepage"><div><div><h4 class="title"><a id="s3-sattools-config-restart"></a>3.11.2.6. <span class="guilabel">Admin</span>+<span class="guilabel">SUSE Manager Configuration</span>+<span class="guilabel">Restart</span><span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-sattools-config-restart">¶</a></span></h4></div></div></div><p>
    The <span class="guilabel">SUSE Manager Configuration</span>+<span class="guilabel">Restart</span> page contains the final step
    in configuring SUSE Manager. Click the <span class="guibutton">Restart</span>
    button to restart SUSE Manager in order to incorporate all of the
    configuration options added on the previous screens. Note that it will
    take between four and five minutes for the restart to finish.
   </p></div></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-sm-monitor.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-rhn-workgroup.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-sm-help.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">3.10. Monitoring — [Mon] </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 3.12. Help</td></tr></table></div></body></html>
