<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>3.9. Users — [Mgmt]</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-rhn-workgroup.jsp" title="Chapter 3. SUSE Manager Web Interface" /><link rel="prev" href="s1-sm-actions.jsp" title="3.8. Schedule" /><link rel="next" href="s1-sm-monitor.jsp" title="3.10. Monitoring — [Mon]" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">3.9. Users — [Mgmt]</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-sm-actions.jsp">Prev</a> </td><th width="60%" align="center">Chapter 3. SUSE Manager Web Interface</th><td width="20%" align="right"> <a accesskey="n" href="s1-sm-monitor.jsp">Next</a></td></tr></table><hr /></div><div xml:lang="en-US" class="section" title="3.9. Users — [Mgmt]" lang="en-US"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-sm-users"></a>3.9. Users — [Mgmt]<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-sm-users">¶</a></span></h2></div></div></div><a id="id348068" class="indexterm"></a><a id="id348075" class="indexterm"></a><p>
  Only SUSE Manager administrators can see the <span class="guilabel">Users</span> tab
  on the top navigation bar. If you click the <span class="guilabel">Users</span>
  tab, the <span class="guilabel">Users</span> category and links appear. These pages
  enable you to grant and edit permissions for those who administer your
  system groups. Click in the <span class="guilabel">User List</span> to modify users
  within your organization.
 </p><p>
  To add new users to your organization, click the <span class="guilabel">create new
  user</span> link on the to right corner of the page. The next page is
  the <span class="guilabel">Create User</span> page. Carefully fill in each of the
  required values for the new user.
 </p><p>
  Once all fields are complete, select the <span class="guibutton">Create
  Login</span> button. SUSE Manager now sends an email to the specified
  address and redirects you to the <span class="guilabel">Users</span>+<span class="guilabel">User List</span> page. If you wish to select
  permissions and options for the newly created user, select their name from
  the list. Doing so displays the <span class="guilabel">User Details</span> page for
  that user, which provides several subtabs of options from which to choose.
  Refer to <a class="xref" href="s1-sm-users.jsp#s3-sm-user-active-details" title="3.9.1.1. User List+Active+User Details — [Mgmt]">Section 3.9.1.1, “<span class="guimenu">User List</span>+<span class="guimenu">Active</span>+<span class="guimenu">User Details</span> — [Mgmt]”</a> for detailed
  descriptions of each subtab.
 </p><div class="section" title="3.9.1. User List+Active — [Mgmt]"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sm-user-active"></a>3.9.1. <span class="guilabel">User List</span>+<span class="guilabel">Active</span> — [Mgmt]<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sm-user-active">¶</a></span></h3></div></div></div><p>
   This tab lists all active users of your SUSE Manager account. It displays
   the following basic information about each user: their username, real
   name, roles, and the date of their last sign in.
  </p><p>
   As shown in <a class="xref" href="s1-sm-users.jsp#fig-users-fig" title="Figure 3.19. User List">Figure 3.19, “User List”</a>, each row in the
   <span class="guilabel">User List</span> represents a user within your
   organization. There are four columns of information for each user:
  </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
     <span class="guilabel">Username</span> — The login name of the user. If you
     click on a username, the <span class="guilabel">User Details</span> page for the
     user is displayed. Refer to <a class="xref" href="s1-sm-users.jsp#s3-sm-user-active-details" title="3.9.1.1. User List+Active+User Details — [Mgmt]">Section 3.9.1.1, “<span class="guimenu">User List</span>+<span class="guimenu">Active</span>+<span class="guimenu">User Details</span> — [Mgmt]”</a>
     for more information.
    </p></li><li class="listitem"><p>
     <span class="guilabel">Real Name</span> — The full name of the user (last name
     first).
    </p></li><li class="listitem"><p>
     <span class="guilabel">Roles</span> — List of the user's privileges, such as
     organization administrator, Channel administrator and normal user.
     Users can have multiple roles.
    </p></li><li class="listitem"><p>
     <span class="guilabel">Last Sign In</span> — Shows when the user last logged
     into SUSE Manager.
    </p></li></ul></div><div class="figure"><a id="fig-users-fig"></a><p class="title"><b>Figure 3.19. User List</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="444"><tr><td><img src="../../images/user_list.png" width="444" alt="User List" /></td></tr></table></div></div></div><br class="figure-break" /><div class="section" title="3.9.1.1. User List+Active+User Details — [Mgmt]"><div class="titlepage"><div><div><h4 class="title"><a id="s3-sm-user-active-details"></a>3.9.1.1. <span class="guimenu">User List</span>+<span class="guimenu">Active</span>+<span class="guimenu">User Details</span> — [Mgmt]<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-sm-user-active-details">¶</a></span></h4></div></div></div><a id="id450502" class="indexterm"></a><a id="id370681" class="indexterm"></a><a id="id370692" class="indexterm"></a><a id="id393928" class="indexterm"></a><p>
    The <span class="guilabel">User Details</span> page allows SUSE Manager
    administrators to manage the permissions and activity of all users.
    Included in the <span class="guilabel">User Details</span> page is the ability to
    delete or deactivate users.
   </p><p>
    Users may now be deactivated directly from the SUSE Manager Web interface.
    SUSE Manager customers may deactivate or delete users from their systems,
    although non-SUSE Manager customers must contact Customer Service to delete
    a user. Users may be deactivated or deleted by SUSE Manager administrators,
    or users may deactivate their own accounts.
   </p><p>
    Deactivated users cannot log in to the SUSE Manager web interface, nor may
    they schedule any actions. SUSE Manager administrators may not be
    deactivated until that role is removed from their account. Actions
    scheduled by a user prior to their deactivation remain in the action
    queue. For added flexibility, deactivated users may be reactivated by
    SUSE Manager administrators.
   </p><p>
    User deletion from the Web interface is available exclusively to
    SUSE Manager customers. The SUSE Manager administrator role must be removed
    from a user before that individual may be deleted.
   </p><div class="warning" title="Irreversible Deletion" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Irreversible Deletion</h3><p>
     User deletion is irreversible; exercise it with caution. Consider
     disabling the user first in order to assess the effect deletion will
     have on your infrastructure.
    </p></div><p>
    To deactivate a user:
   </p><div class="procedure"><ol class="procedure" type="1"><li class="step" title="Step 1"><p>
      Navigate to the user's <span class="guilabel">User Details</span> tab.
     </p></li><li class="step" title="Step 2"><p>
      Verify that the user is not an SUSE Manager administrator. If they are,
      uncheck the box to the left of that role and click the
      <span class="guibutton">Submit</span> button in the lower right of the screen.
     </p></li><li class="step" title="Step 3"><p>
      Click the <span class="guilabel">deactivate user</span> link in the upper right
      of the screen.
     </p></li><li class="step" title="Step 4"><p>
      Click the <span class="guibutton">Deactivate User</span> button in the lower
      right to confirm.
     </p></li></ol></div><p>
    To delete a user:
   </p><div class="procedure"><ol class="procedure" type="1"><li class="step" title="Step 1"><p>
      Navigate to the user's <span class="guilabel">User Details</span> tab.
     </p></li><li class="step" title="Step 2"><p>
      Verify that the user is not an SUSE Manager administrator and remove that
      role if necessary.
     </p></li><li class="step" title="Step 3"><p>
      Click the <span class="guilabel">delete user</span> link in the upper right.
     </p></li><li class="step" title="Step 4"><p>
      Click the <span class="guibutton">Delete User</span> button to permanently
      delete the user.
     </p></li></ol></div><p>
    For instructions regarding deactivating your own account, refer to
    <a class="xref" href="s1-sm-your-rhn.jsp#s3-sm-your-rhn-deactivate" title="3.3.1.3. Account Deactivation">Section 3.3.1.3, “Account Deactivation”</a>.
   </p><div class="section" title="3.9.1.1.1. User List+Active+User Details+Details — [Mgmt]"><div class="titlepage"><div><div><h5 class="title"><a id="s4-usr-active-details-details"></a>3.9.1.1.1. <span class="guimenu">User List</span>+<span class="guimenu">Active</span>+<span class="guimenu">User Details</span>+<span class="guimenu">Details</span> — [Mgmt]<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s4-usr-active-details-details">¶</a></span></h5></div></div></div><a id="id346976" class="indexterm"></a><a id="id346983" class="indexterm"></a><a id="id346990" class="indexterm"></a><a id="id341644" class="indexterm"></a><a id="id341651" class="indexterm"></a><a id="id341658" class="indexterm"></a><a id="id424069" class="indexterm"></a><a id="id424080" class="indexterm"></a><p>
     This is the default <span class="guilabel">User Details</span> tab, which
     displays the username, first name, last name, email address, and user
     roles for the user. All of this information is modifiable. To do so,
     make your changes and click the <span class="guibutton">Update</span> button.
     Remember, when changing a user's password, you will see only asterisks
     as you type the password.
    </p><p>
     To delegate responsibilities within your organization, SUSE Manager
     provides several roles with varying degrees of responsibility and
     access. This list describes the permissions of each and the differences
     between them:
    </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
       <span class="guilabel">User</span> — Also known as a <span class="emphasis"><em>System Group
       User</em></span>, this is the standard role associated with any newly
       created user. This person may be granted access to manage system
       groups and software channels. The systems must be in system groups to
       which the user has permissions for them to be manageable or even
       visible. Remember, however, all globally subscribable channels may be
       used by anyone.
      </p></li><li class="listitem"><p>
       <span class="guilabel">Activation Key Administrator</span> — This role is
       designed to manage your organization's collection of activation keys.
       This person can create, modify, and delete any key within your
       overarching account.
      </p></li><li class="listitem"><p>
       <span class="guilabel">Channel Administrator</span> — This role has complete
       access to the software channels and related associations within your
       organization. It requires SUSE Manager synchronization tool
       (<span class="command"><strong>mgr-ncc-sync</strong></span>). This person may change the base
       channels of systems, make channels globally subscribable, and create
       entirely new channels.
      </p></li><li class="listitem"><p>
       <span class="guilabel">Organization Administrator</span> — This role enables
       the user to get all the permissions of the activation key,
       configuration, monitoring, channel, and system group administrator.
      </p></li><li class="listitem"><p>
       <span class="guilabel">Configuration Administrator</span> — This role
       enables the user to manage the configuration of systems in the
       organization using either the SUSE Manager Web-based interface or the
       <span class="application">Red Hat Network Configuration Manager</span>.
      </p></li><li class="listitem"><p>
       <span class="guilabel">Monitoring Administrator</span> — This role allows
       for the scheduling of probes and oversight of other Monitoring
       infrastructure. This role is available only on Monitoring-enabled
       SUSE Manager. Activate Monitoring in <span class="guilabel">Admin</span>+<span class="guilabel">SUSE Manager
       Configuration</span>+<span class="guilabel">General</span>
       and click on <span class="guilabel">Enable Monitoring</span>.

      </p></li><li class="listitem"><p>
       <span class="guilabel">SUSE Manager Administrator</span> — This role can
       perform any function available within SUSE Manager. As the master
       account for your organization, the person holding this role can alter
       the privileges of all other accounts, as well as conduct any of the
       tasks available to the other roles. Like the other roles, multiple
       SUSE Manager administrators may exist. Go to <span class="guilabel">Admin</span>+<span class="guilabel">Users</span>
       and click the check box in the <span class="guilabel">SUSE Manager Admin?</span>
       row.
      </p></li><li class="listitem"><p>
       <span class="guilabel">System Group Administrator</span> — This role is one
       step below SUSE Manager administrator in that it has complete authority
       over the systems and system groups to which it is granted access.
       This person can create new system groups, delete any assigned systems
       groups, add systems to groups, and manage user access to groups.
      </p></li></ul></div><p>
     Being a SUSE Manager administrator enables you to remove administrator
     rights from other users. It is possible to remove your own privileges
     as long as you are not the last SUSE Manager administrator.

    </p><p>
     To assign a user a new role, select the appropriate checkbox. Remember
     that SUSE Manager administrators are automatically granted administration
     access to all other roles, signified by grayed-out checkboxes. To grant
     a user the ability to manage the configuration of systems, select the
     <span class="guilabel">Configuration Administrator</span> checkbox. When
     satisfied with the changes, click <span class="guibutton">Update</span>.
    </p></div><div class="section" title="3.9.1.1.2. User List+Active+User Details+System Groups — [Mgmt]"><div class="titlepage"><div><div><h5 class="title"><a id="s4-usr-active-details-sysg"></a>3.9.1.1.2. <span class="guimenu">User List</span>+<span class="guimenu">Active</span>+<span class="guimenu">User Details</span>+<span class="guimenu">System Groups</span> — [Mgmt]<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s4-usr-active-details-sysg">¶</a></span></h5></div></div></div><p>
     This tab displays a list of system groups that the user may administer.
     SUSE Manager administrators may use the check boxes to set this user's
     access permissions to each system group. Check or uncheck the box to
     the left of the system group and click the <span class="guibutton">Update
     Permissions</span> button to save the changes.
    </p><p>
     SUSE Manager administrators may select one or more default system groups
     for this user. When the user registers a system, that system is
     assigned to the selected group or groups. This allows the user to have
     access to the newly-registered system immediately, if he or she has
     permissions to one or more of the groups to which the system is
     assigned. System groups to which this user has access are preceded by
     an (*).
    </p></div><div class="section" title="3.9.1.1.3. User List+Active+User Details+Systems — [Mgmt]"><div class="titlepage"><div><div><h5 class="title"><a id="s4-usr-active-details-systems"></a>3.9.1.1.3. <span class="guimenu">User List</span>+<span class="guimenu">Active</span>+<span class="guimenu">User Details</span>+<span class="guimenu">Systems</span> — [Mgmt]<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s4-usr-active-details-systems">¶</a></span></h5></div></div></div><p>
     This tab lists all systems to which the user has access permission.
     These systems come from the system groups assigned to the user on the
     previous tab. You may choose a set of systems to work with by checking
     the boxes to the left of the systems and clicking the <span class="guibutton">Update
     List</span> button. Use the System Set Manager page to execute
     actions on those systems. Clicking the name of a system takes you to
     its <span class="guilabel">System Details</span> page. Refer to
     <a class="xref" href="s1-sm-systems.jsp#s3-sm-system-details" title="3.4.2.9. System Details">Section 3.4.2.9, “System Details”</a> for more information.
    </p></div><div class="section" title="3.9.1.1.4. User List+Active+User Details+Channel Permissions — [Mgmt]"><div class="titlepage"><div><div><h5 class="title"><a id="s4-usr-active-details-chans"></a>3.9.1.1.4. <span class="guimenu">User List</span>+<span class="guimenu">Active</span>+<span class="guimenu">User Details</span>+<span class="guimenu">Channel Permissions</span> — [Mgmt]<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s4-usr-active-details-chans">¶</a></span></h5></div></div></div><p>
     This tab lists all channels available to your organization. You may
     grant explicit channel subscription permission to this user for each of
     the channels listed by checking the box to the left of the channel and
     clicking the <span class="guibutton">Update Permissions</span> button.
     Permissions granted through SUSE Manager administrator status, channel
     administrator status, or because the channel is globally subscribable
     have no checkbox, but display a check icon instead.
    </p><div class="section" title="3.9.1.1.4.1. User List+Active+User Details+Channel Permissions+Subscription — [Mgmt]"><div class="titlepage"><div><div><h6 class="title"><a id="s5-sm-user-details-chanperms-subs"></a>3.9.1.1.4.1. <span class="guimenu">User List</span>+<span class="guimenu">Active</span>+<span class="guimenu">User Details</span>+<span class="guimenu">Channel Permissions</span>+<span class="guimenu">Subscription</span> — [Mgmt]<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s5-sm-user-details-chanperms-subs">¶</a></span></h6></div></div></div><p>
      Identifies channels to which the user may subscribe systems. To change
      these, select or unselect the appropriate checkboxes and click the
      <span class="guibutton">Update Permissions</span> button. Note that channels
      subscribable through the user's admin status or the channel's global
      setting cannot be altered. They are identified with a check icon.
     </p></div><div class="section" title="3.9.1.1.4.2. User List+Active+User Details+Channel Permissions+Management — [Mgmt]"><div class="titlepage"><div><div><h6 class="title"><a id="s5-sm-user-details-chanperms-mgmt"></a>3.9.1.1.4.2. <span class="guimenu">User List</span>+<span class="guimenu">Active</span>+<span class="guimenu">User Details</span>+<span class="guimenu">Channel Permissions</span>+<span class="guimenu">Management</span> — [Mgmt]<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s5-sm-user-details-chanperms-mgmt">¶</a></span></h6></div></div></div><p>
      Identifies channels the user may manage. To change these, select or
      unselect the appropriate checkboxes and click the <span class="guibutton">Update
      Permissions</span> button. This status does not enable the user
      to create new channels. Note that channels automatically manageable
      through the user's admin status cannot be altered. They are identified
      with a check icon. Remember, SUSE Manager administrators and channel
      administrators can subscribe to or manage any channel.
     </p></div></div><div class="section" title="3.9.1.1.5. User List+Active+User Details+Preferences — [Mgmt]"><div class="titlepage"><div><div><h5 class="title"><a id="s4-usr-active-details-prefs"></a>3.9.1.1.5. <span class="guimenu">User List</span>+<span class="guimenu">Active</span>+<span class="guimenu">User Details</span>+<span class="guimenu">Preferences</span> — [Mgmt]<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s4-usr-active-details-prefs">¶</a></span></h5></div></div></div><p>
     This page allows you to configure whether the user receives email
     notifications, the number of entries displayed per list page, and the
     timezone of the user. Make selections and click the <span class="guibutton">Save
     Preferences</span> button to update.
    </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
       Email Notification — Determine whether this user should receive
       email every time an patch alert is applicable to one or more systems
       in his or her SUSE Manager account, as well as daily summaries of system
       events.
      </p></li><li class="listitem"><p>
       SUSE Manager List Page Size — Maximum number of items that appear in a
       list on a single page. If more items are in the list, clicking the
       <span class="guilabel">Next</span> button displays the next group of items.
       This preference applies to the user's view of system lists, Errata
       lists, package lists, and so on.
      </p></li><li class="listitem"><p>
       <span class="quote">“<span class="quote">Overview</span>”</span> Start Page — Displays information regarding
       on the <span class="quote">“<span class="quote">Overview</span>”</span> page upon login.
      </p></li></ul></div><p>
     To modify any of these options, make your changes and click the
     <span class="guibutton">Save Preferences</span> button.
    </p></div><div class="section" title="3.9.1.1.6. User List+Active+User Details+Addresses — [Mgmt]"><div class="titlepage"><div><div><h5 class="title"><a id="s4-usr-active-details-addresses"></a>3.9.1.1.6. <span class="guimenu">User List</span>+<span class="guimenu">Active</span>+<span class="guimenu">User Details</span>+<span class="guimenu">Addresses</span> — [Mgmt]<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s4-usr-active-details-addresses">¶</a></span></h5></div></div></div><p>
     This tab lists the addresses associated with the user's account. To
     update this information, click the appropriate <span class="guilabel">Edit this
     address</span> link, enter the relevant information, and click the
     <span class="guibutton">Update</span> button.
    </p></div><div class="section" title="3.9.1.1.7. User List+Active+User Details+Notification Methods — [Mon]"><div class="titlepage"><div><div><h5 class="title"><a id="s4-sm-user-details-notifs"></a>3.9.1.1.7. <span class="guimenu">User List</span>+<span class="guimenu">Active</span>+<span class="guimenu">User Details</span>+<span class="guimenu">Notification Methods</span> — [Mon]<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s4-sm-user-details-notifs">¶</a></span></h5></div></div></div><p>
     This tab lists email and pager addresses designated to receive alerts
     from monitoring probes. To create a method, click <span class="guilabel">create new
     method</span> and complete the fields. If you will receive these
     alerts via pager, select the associated checkbox to have the messages
     sent in a shorter format. When finished, click <span class="guibutton">Create
     Method</span>. The method shows up in the methods list, from which
     it can be edited and deleted.
    </p><p>
     You may delete notification methods here, as well. If the notification
     method has probes attached to it, you are presented with a list of the
     probes. Note that if you are a monitoring administrator and cannot
     manage the system in question, the <span class="guilabel">System Details</span>
     and probe's <span class="guilabel">Current State</span> page are not accessible
     via links in their names. As always, SUSE Manager administrators have full
     access to all aspects of your SUSE Manager account.
    </p></div></div></div><div class="section" title="3.9.2. User List+Deactivated — [Mgmt]"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sm-users-deactivated"></a>3.9.2. <span class="guilabel">User List</span>+<span class="guilabel">Deactivated</span> — [Mgmt]<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sm-users-deactivated">¶</a></span></h3></div></div></div><p>
   This page lists all users who have been deactivated. To reactivate any of
   the users listed here, click the check box to the left of their name and
   click the <span class="guibutton">Reactivate</span> button followed by the
   <span class="guibutton">Confirm</span> button. Reactivated users retain the
   permissions and system group associations they had when they were
   deactivated. Clicking on the User Name of any individual takes you to
   their User Details page.
  </p></div><div class="section" title="3.9.3. User List+All — [Mgmt]"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sm-users-all"></a>3.9.3. <span class="guilabel">User List</span>+<span class="guilabel">All</span> — [Mgmt]<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sm-users-all">¶</a></span></h3></div></div></div><p>
   The <span class="guilabel">All</span> page lists all users that belong to your
   organization. In addition to the fields listed in the previous two
   screens, the table of users includes a <span class="guilabel">Status</span> field.
   This field indicates whether the user is <span class="guilabel">Active</span> or
   <span class="guilabel">Deactivated</span>. Deactivated users are also grayed out
   to indicate their status. Click on the username to move to the user's
   <span class="guilabel">User Details</span> page.
  </p></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-sm-actions.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-rhn-workgroup.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-sm-monitor.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">3.8. Schedule </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 3.10. Monitoring — [Mon]</td></tr></table></div></body></html>
