<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>3.3. Overview</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-rhn-workgroup.jsp" title="Chapter 3. SUSE Manager Web Interface" /><link rel="prev" href="s1-sm-logging-in.jsp" title="3.2. Getting your Novell Customer Center Mirror Credentials" /><link rel="next" href="s1-sm-systems.jsp" title="3.4. Systems" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">3.3. Overview</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-sm-logging-in.jsp">Prev</a> </td><th width="60%" align="center">Chapter 3. SUSE Manager Web Interface</th><td width="20%" align="right"> <a accesskey="n" href="s1-sm-systems.jsp">Next</a></td></tr></table><hr /></div><div xml:lang="en-US" class="section" title="3.3. Overview" lang="en-US"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-sm-your-rhn"></a>3.3. Overview<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-sm-your-rhn">¶</a></span></h2></div></div></div><a id="id490001" class="indexterm"></a><a id="id423337" class="indexterm"></a><p>
  After logging into the web interface of SUSE Manager, the first page to
  appear is <span class="guilabel">Overview</span>. This page contains important
  information about your systems, including summaries of system status,
  actions, and patch alerts.
 </p><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
   If you are new to the SUSE Manager Web interface, read
   <a class="xref" href="ch-rhn-workgroup.jsp#s1-sm-intro" title="3.1. Navigation">Section 3.1, “Navigation”</a> to become familiar with the layout and
   symbols used throughout the interface.
  </p></div><div class="figure"><a id="id342995"></a><p class="title"><b>Figure 3.4. Overview</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="444"><tr><td><img src="../../images/yourrhn.png" width="444" alt="Overview" /></td></tr></table></div></div></div><br class="figure-break" /><p>
  This page is broken into functional areas, with the most critical areas
  displayed first. Users can control which of the following areas are
  displayed by making selections on the <span class="guilabel">Overview</span>+<span class="guilabel">Your Preferences</span> page. Refer to <a class="xref" href="s1-sm-your-rhn.jsp#s2-sm-your-rhn-prefs" title="3.3.2. Your Preferences">Section 3.3.2, “Your Preferences”</a> for
  more information.
 </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
    The <span class="guilabel">Tasks</span> area lists the most common tasks that an
    administrator performs via the web. Click on any of the links to be
    taken to the page within SUSE Manager that allows you to accomplish that
    task.
   </p></li><li class="listitem"><p>
    To the right is the <span class="guilabel">Inactive System</span> listing. If any
    systems have not been checking in to SUSE Manager, they are listed here.
    Highlighting them in this way allows an administrator to quickly select
    those systems for troubleshooting.
   </p></li><li class="listitem"><p>
    [Mon] — Customers with monitoring enabled on their SUSE Manager can also
    choose to include a list of all probes in the Warning state.
   </p></li><li class="listitem"><p>
    [Mon] — Customers with monitoring enabled on their SUSE Manager can also
    choose to include a list of all probes in the Critical state.
   </p></li><li class="listitem"><p>
    The <span class="guilabel">Critical Systems</span> section lists the most
    critical systems within your organization. It provides a link to quickly
    view those systems, and displays a summary of the patch updates that
    have yet to be applied to those systems. Click on the name of the system
    to be taken to the <span class="guilabel">System Details</span> page of that
    system and apply the patch updates. Below the list is a link to the
    <span class="guilabel">Out of Date</span> systems page.
   </p></li><li class="listitem"><p>
    Next is the <span class="guilabel">Recently Scheduled Actions</span> section.
    Action that are less than thirty days old are considered recent. This
    section allows you to see all actions and their status: whether they
    have failed, completed, or are still pending. Click on the label of any
    given actions to view the details page for that action. Below the list
    is a link to the <span class="guilabel">Pending Actions</span> page, which lists
    all actions that have not yet been picked up by your client systems.
   </p></li><li class="listitem"><p>
    The <span class="guilabel">Relevant Security Patches</span> section lists the
    security patches that are available and have yet to be applied to some
    or all of your client systems. It is critical that you apply these
    security patches to keep your systems secure. Below this section are
    links to all patches and to those patches that apply to your systems.
   </p></li><li class="listitem"><p>
    The <span class="guilabel">System Groups</span> section lists the groups (if any)
    and indicates whether the systems in those groups are fully updated.
    Click on the link below this section to be taken to the <span class="guilabel">System
    Groups</span> page, from which you can chose <span class="guilabel">System
    Groups</span> to use with the System Set Manager.
   </p></li><li class="listitem"><p>
    The <span class="guilabel">Recently Registered Systems</span> lists the systems
    that have been added to the SUSE Manager in the past 30 days. Click the
    system's name to go the <span class="guilabel">System Details</span> page for
    that particular system.
   </p></li></ul></div><p>
  You can return to this page by clicking <span class="guilabel">Overview</span> on
  the left navigation bar.
 </p><div class="section" title="3.3.1. Your Account"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sm-your-rhn-account"></a>3.3.1. Your Account<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sm-your-rhn-account">¶</a></span></h3></div></div></div><a id="id450342" class="indexterm"></a><a id="id364180" class="indexterm"></a><a id="id445044" class="indexterm"></a><p>
   The <span class="guilabel">Your Account</span> page allows you to modify your
   personal information, such as name, password, and title. To modify any of
   this information, make the changes in the appropriate text fields and
   click the <span class="guibutton">Update</span> button in the bottom right-hand
   corner.
  </p><p>
   Remember, if you change your SUSE Manager password (the one used to log into
   SUSE Manager), you will not see your new one as you type it for security
   reasons.

   Replace the asterisks in the <span class="guilabel">Password</span> and
   <span class="guilabel">Confirm Password</span> text fields with your new password.
  </p><div class="section" title="3.3.1.1. Addresses"><div class="titlepage"><div><div><h4 class="title"><a id="s3-sm-your-rhn-address"></a>3.3.1.1. Addresses<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-sm-your-rhn-address">¶</a></span></h4></div></div></div><a id="id342941" class="indexterm"></a><a id="id347058" class="indexterm"></a><p>
    The <span class="guilabel">Addresses</span> page allows you to manage your
    mailing, billing and shipping addresses, as well as the associated phone
    numbers. Just click <span class="guilabel">Edit this address</span> below the
    address to be modified, make the changes, and click
    <span class="guibutton">Update</span>.
   </p></div><div class="section" title="3.3.1.2. Change Email"><div class="titlepage"><div><div><h4 class="title"><a id="s3-sm-your-rhn-email"></a>3.3.1.2. Change Email<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-sm-your-rhn-email">¶</a></span></h4></div></div></div><a id="id289963" class="indexterm"></a><a id="id334609" class="indexterm"></a><p>
    The email address listed in the <span class="guilabel">Your Account</span> page
    is the address to which SUSE Manager sends email notifications if you
    select to receive patch alerts or daily summaries for your systems on
    the <span class="guilabel">Your Preferences</span> page.
   </p><p>
    To change your preferred email address, click <span class="guibutton">Change
    Email</span> in the left navigation bar. You are then asked for the
    new email address. Enter it and click the <span class="guibutton">Update</span>
    button. A confirmation email is sent to the new email address;
    responding to the confirmation email validates the new email address.
    Note that false email addresses such as those ending in
    <code class="literal">@localhost</code> are filtered and rejected.
   </p></div><div class="section" title="3.3.1.3. Account Deactivation"><div class="titlepage"><div><div><h4 class="title"><a id="s3-sm-your-rhn-deactivate"></a>3.3.1.3. Account Deactivation<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-sm-your-rhn-deactivate">¶</a></span></h4></div></div></div><a id="id375508" class="indexterm"></a><a id="id421057" class="indexterm"></a><p>
    The <span class="guilabel">Account Deactivation</span> page provides a means to
    cancel your SUSE Manager service. Click the <span class="guibutton">Deactivate
    Account</span> button to deactivate your account. The Web interface
    returns you to the login screen. If you attempt to log back in, an error
    message advises you to contact the SUSE Manager administrator for your
    organization. Note that if you are the only SUSE Manager Administrator for
    your organization, you are unable to deactivate your account.
   </p></div></div><div class="section" title="3.3.2. Your Preferences"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sm-your-rhn-prefs"></a>3.3.2. Your Preferences<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sm-your-rhn-prefs">¶</a></span></h3></div></div></div><a id="id435418" class="indexterm"></a><a id="id362657" class="indexterm"></a><p>
   The <span class="guilabel">Your Preferences</span> page allows you to configure
   SUSE Manager options, including:
  </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
     <span class="guilabel">Email Notifications</span> — Determine whether you want
     to receive email every time an patch alert is applicable to one or more
     systems in your account.
    </p><div class="important" title="Important" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Important</h3><p>
      This setting also enables Management and Provisioning customers to
      receive a daily summary of system events. These include actions
      affecting packages, such as scheduled patches, system reboots, or
      failures to check in. In addition to selecting this checkbox, you must
      identify each system to be included in this summary email. (By
      default, all Management and Provisioning systems are included in the
      summary.) This can be done either individually through the
      <span class="guilabel">System Details</span> page or for multiple systems at
      once through the <span class="guilabel">System Set Manager</span> interface.
      Note that SUSE Manager sends these summaries only to verified email
      addresses. To disable all messages, simply deselect this checkbox.
     </p></div></li><li class="listitem"><p>
     <span class="guilabel">SUSE Manager List Page Size</span> — Maximum number of
     items that appear in a list on a single page. If more items are in the
     list, clicking the <span class="guilabel">Next</span> button displays the next
     group of items. This preference applies to system lists, patch lists,
     package lists, and so on.
    </p></li><li class="listitem"><p>
     <span class="guilabel">"Overview" Start Page</span> — Select the
     information areas that are displayed on the
     <span class="guilabel">Overview</span> Start Page. Check the box to the left of
     the information area you would like to include.
    </p></li></ul></div><p>
   After making changes to any of these options, click the <span class="guibutton">Save
   Preferences</span> button in the bottom right-hand corner.
  </p></div><div class="section" title="3.3.3. Locale Preferences"><div class="titlepage"><div><div><h3 class="title"><a id="s2-yourrhn-locale"></a>3.3.3. Locale Preferences<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-yourrhn-locale">¶</a></span></h3></div></div></div><a id="id450990" class="indexterm"></a><a id="id364083" class="indexterm"></a><a id="id447374" class="indexterm"></a><a id="id453352" class="indexterm"></a><p>
    The <span class="guilabel">Overview</span>+<span class="guilabel">Locale Preferences</span> page allows 
     each user to tailor their SUSE Manager
    interface to the local time and their preferred language. Select the
    appropriate timezone from the <span class="guilabel">Time Zone</span> dropdown
    box, then click the <span class="guibutton">Save Preferences</span> button to
    apply the selection.
   </p><p>
    When the language preference is set to <span class="guilabel">Use Browser
    Settings</span>, SUSE Manager uses the language preference from the user's
    browser (such as <span class="application">Firefox</span>) to determine which
    language to use for the web interface. When one of the listed languages
    is selected, the user sees the web interface in that language each time
    they log in, regardless of their browser's settings. Choosing a
    preferred language may be helpful for users traveling abroad. To select
    a default language, click the radio button to the left of the
    appropriate language and click the <span class="guibutton">Save
    Preferences</span> button to apply the change.
   </p></div><div class="section" title="3.3.4. Subscription Management"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sm-systems-entitlements"></a>3.3.4. Subscription Management<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sm-systems-entitlements">¶</a></span></h3></div></div></div><a id="id328665" class="indexterm"></a><a id="id485866" class="indexterm"></a><a id="id362662" class="indexterm"></a><p>
   To use all of the features of SUSE Manager, your systems must be
   <em class="firstterm">entitled</em> — subscribed to Novell Customer Center. Use the
   <span class="guilabel">System Entitlements</span> page to configure which systems
   are entitled to which service offerings.
  </p></div><div class="section" title="3.3.5. Organization Trusts"><div class="titlepage"><div><div><h3 class="title"><a id="yourrhn-orgtrusts"></a>3.3.5. Organization Trusts<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#yourrhn-orgtrusts">¶</a></span></h3></div></div></div><p>
   The <span class="guilabel">Organization Trusts</span> page displays the trusts
   established with your organization (that is, the organization with which
   you, the logged-in user, are associated). The page also lists
   <span class="guilabel">Channels Shared</span>: that is channels available to your
   organisation via others in the established trusts.
  </p><p>
   You can filter the list of trusts by keyword using the <span class="guilabel">Filter
   by Organization</span> text box and clicking
   <span class="guibutton">Go</span>.
  </p><p>
   For more information about organizational trusts, refer to
   <a class="xref" href="s1-sattools-orgs-trust.jsp" title="5.6. Organizational Trusts">Section 5.6, “Organizational Trusts”</a>.
  </p></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-sm-logging-in.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-rhn-workgroup.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-sm-systems.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">3.2. Getting your Novell Customer Center Mirror Credentials </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 3.4. Systems</td></tr></table></div></body></html>
