<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Chapter 1. Introduction</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="index.jsp" title="Client Configuration Guide" /><link rel="prev" href="bk04pr01s03.jsp" title="3. Documentation Conventions" /><link rel="next" href="ch-latest-clients.jsp" title="Chapter 2. Red Hat Linux Client Applications" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 1. Introduction</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="bk04pr01s03.jsp">Prev</a> </td><th width="60%" align="center">Client Configuration Guide</th><td width="20%" align="right"> <a accesskey="n" href="ch-latest-clients.jsp">Next</a></td></tr></table><hr /></div><div class="chapter" title="Chapter 1. Introduction"><div class="titlepage"><div><div><h2 class="title"><a id="ch-intro"></a>Chapter 1. Introduction</h2></div></div></div><p>
  This best practices guide is intended to help customers of SUSE Manager
  configure their client systems more easily.
 </p><p> By default, all SUSE Manager client applications are configured to
  communicate with central network services. When connecting clients to
  SUSE Manager Server or SUSE Manager Proxy Server instead, many of these
  settings must be altered. Altering client settings for a system or two may be
  relatively simple. A large enterprise environment, containing hundreds or
  thousands of systems, will likely benefit from the mass reconfiguration steps
  described here. </p><p>
  Due to the complexity of this undertaking, customers may utilize a
  pre-populated script that automates many of the tasks necessary to
  access their SUSE Manager Server or SUSE Manager Proxy server; refer to
  <a class="xref" href="ch-bootstrap.jsp" title="Chapter 5. Using Bootstrap">Chapter 5, <i>Using Bootstrap</i></a> for details. Understanding the implications
  of these changes is helpful and therefore describes the manual steps for
  reconfiguration in the opening chapters. Use your best judgment in
  determining the ideal solution for your organization.
 </p><p>
  Although many of the commands provided within this guide can be applied as
  they appear, it is impossible to predict all potential network
  configurations adopted by customers. Therefore, we encourage you to use
  these commands as references that must take into account your
  organization's individual settings.
 </p></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="bk04pr01s03.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="index.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="ch-latest-clients.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">3. Documentation Conventions </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> Chapter 2. Red Hat Linux Client Applications</td></tr></table></div></body></html>
