<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>5.3. Script Use</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-bootstrap.jsp" title="Chapter 5. Using Bootstrap" /><link rel="prev" href="s1-bootstrap-gen.jsp" title="5.2. Generation" /><link rel="next" href="s1-bootstrap-options.jsp" title="5.4. Bootstrap Options" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">5.3. Script Use</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-bootstrap-gen.jsp">Prev</a> </td><th width="60%" align="center">Chapter 5. Using Bootstrap</th><td width="20%" align="right"> <a accesskey="n" href="s1-bootstrap-options.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="5.3. Script Use"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-bootstrap-use"></a>5.3. Script Use<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-bootstrap-use">¶</a></span></h2></div></div></div><a id="id349539" class="indexterm"></a><p>
   Finally, when you're finished preparing the script for use, you are ready
   to run it. Log into the SUSE Manager Server or SUSE Manager Proxy Server,
   navigate to the <code class="filename">/srv/www/htdocs/pub/bootstrap/</code>
   directory and run the following command, altering the hostname and name
   of the script as needed to suit the system type:
  </p><pre class="screen">
<span class="command"><strong>cat bootstrap-EDITED-NAME.sh | ssh root@CLIENT_MACHINE1 /bin/bash</strong></span>
</pre><p>
   A less secure alternative is to use either <code class="filename">wget</code> or
   <code class="filename">curl</code> to retrieve and run the script from every
   client system. Log into each client machine and issue the following
   command, altering script and hostname accordingly:
  </p><pre class="screen">wget -qO - \
https://your-susemgr.example.com/pub/bootstrap/bootstrap-EDITED-NAME.sh \
| /bin/bash</pre><p>
   Or with, <code class="filename">curl</code>:
  </p><pre class="screen">curl -Sks \
https://your-susemgr.example.com/pub/bootstrap/bootstrap-EDITED-NAME.sh \
| /bin/bash</pre><p>
   When this script has been run on each client system, all should be
   configured to use the SUSE Manager Server.
  </p></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-bootstrap-gen.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-bootstrap.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-bootstrap-options.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">5.2. Generation </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 5.4. Bootstrap Options</td></tr></table></div></body></html>
