<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>3.4. Configuring Client Systems</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-certificates.jsp" title="Chapter 3. SSL Infrastructure" /><link rel="prev" href="s1-certificate-rpms.jsp" title="3.3. Deploying the CA SSL Public Certificate to Clients" /><link rel="next" href="ch-gpg-keys.jsp" title="Chapter 4. Importing Custom GPG Keys" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">3.4. Configuring Client Systems</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-certificate-rpms.jsp">Prev</a> </td><th width="60%" align="center">Chapter 3. SSL Infrastructure</th><td width="20%" align="right"> <a accesskey="n" href="ch-gpg-keys.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="3.4. Configuring Client Systems"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-certificate-configuration"></a>3.4. Configuring Client Systems<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-certificate-configuration">¶</a></span></h2></div></div></div><a id="id353057" class="indexterm"></a><p>
   Once the RPM or raw certificate has been deployed to a client system, the
   administrator of that system must then alter the configuration files of
   the <span class="application">Update Agent / Online Updater</span> to use the
   new CA SSL public certificate file and connect to the appropriate
   SUSE Manager Proxy Server or SUSE Manager Server. The generally accepted
   location for that CA SSL public certificate is in the
   <code class="filename">/usr/share/rhn</code> directory.
  </p><p>
   The SUSE Manager Proxy Server and SUSE Manager Server both have <span class="application">
   mgr_bootstrap</span> installed by default, which can greatly
   reduce these repetitive steps and simplify the process of registering and
   configuring client systems. Please refer <a class="xref" href="ch-bootstrap.jsp" title="Chapter 5. Using Bootstrap">Chapter 5, <i>Using Bootstrap</i></a>
   for details.
  </p></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-certificate-rpms.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-certificates.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="ch-gpg-keys.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">3.3. Deploying the CA SSL Public Certificate to Clients </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> Chapter 4. Importing Custom GPG Keys</td></tr></table></div></body></html>
