<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>3.3. Deploying the CA SSL Public Certificate to Clients</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-certificates.jsp" title="Chapter 3. SSL Infrastructure" /><link rel="prev" href="s1-certificate-rhnsmt.jsp" title="3.2. The SUSE Manager SSL Maintenance Tool" /><link rel="next" href="s1-certificate-configuration.jsp" title="3.4. Configuring Client Systems" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">3.3. Deploying the CA SSL Public Certificate to Clients</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-certificate-rhnsmt.jsp">Prev</a> </td><th width="60%" align="center">Chapter 3. SSL Infrastructure</th><td width="20%" align="right"> <a accesskey="n" href="s1-certificate-configuration.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="3.3. Deploying the CA SSL Public Certificate to Clients"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-certificate-rpms"></a>3.3. Deploying the CA SSL Public Certificate to Clients<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-certificate-rpms">¶</a></span></h2></div></div></div><a id="id442288" class="indexterm"></a><p>
   Both the SUSE Manager Proxy Server and SUSE Manager Server installation
   processes make client deployment relatively easy by generating a CA SSL
   public certificate and RPM. These installation processes make those
   publicly available by placing a copy of one or both into the
   <code class="filename">/srv/www/htdocs/pub/</code> directory of the SUSE Manager
   Server.
  </p><p>
   This public directory can be inspected easily by simply browsing to it
   via any web browser: http://proxy-or-susemgr.example.com/pub/.
  </p><p>
   The CA SSL public certificate in that directory can be downloaded to a
   client system using <span class="command"><strong>wget</strong></span> or <span class="command"><strong>curl</strong></span>.
   For example:
  </p><pre class="screen">
curl -O http://proxy-or-susemgr.example.com/pub/RHN-ORG-TRUSTED-SSL-CERT
wget http://proxy-or-susemgr.example.com/pub/RHN-ORG-TRUSTED-SSL-CERT</pre><p>
   Alternatively, if the CA SSL public certificate RPM resides in the
   <code class="filename">/pub</code> directory, it can be installed on a client
   system directly:
  </p><pre class="screen">
rpm -Uvh \
http://proxy-or-susemgr.example.com/pub/rhn-org-trusted-ssl-cert-<em class="replaceable"><code>VER-REL</code></em>.noarch.rpm
</pre><p>
   Confirm the actual name of the certificate or RPM before running these
   commands.
  </p></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-certificate-rhnsmt.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-certificates.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-certificate-configuration.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">3.2. The SUSE Manager SSL Maintenance Tool </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 3.4. Configuring Client Systems</td></tr></table></div></body></html>
