<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>2.4. Configuring the Network Alert Notification Tool with SUSE Manager</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-latest-clients.jsp" title="Chapter 2. Red Hat Linux Client Applications" /><link rel="prev" href="s1-latest-clients-puplet.jsp" title="2.3. The Package Updater Applet" /><link rel="next" href="ch-certificates.jsp" title="Chapter 3. SSL Infrastructure" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">2.4. Configuring the Network Alert Notification Tool with SUSE Manager</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-latest-clients-puplet.jsp">Prev</a> </td><th width="60%" align="center">Chapter 2. Red Hat Linux Client Applications</th><td width="20%" align="right"> <a accesskey="n" href="ch-certificates.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="2.4. Configuring the Network Alert Notification Tool with SUSE Manager"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-latest-clients-applet"></a>2.4. Configuring the Network Alert Notification Tool with SUSE Manager<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-latest-clients-applet">¶</a></span></h2></div></div></div><a id="id400722" class="indexterm"></a><p>
   The <span class="application">Network Alert Notification Tool</span>, the round
   icon in the panel of your Red Hat Enterprise Linux 3 or 4 desktop, can be
   configured on systems running Red Hat Enterprise Linux 3 or later to
   recognize updates available from custom channels on your SUSE Manager
   Server. You must ensure the SUSE Manager Server is configured to support
   this feature. (SUSE Manager Proxy Server supports the applet without
   modification of client or server.) The steps to configure the
   <span class="application">Network Alert Notification Tool</span> are as
   follows:
  </p><div class="orderedlist"><ol class="orderedlist" type="1"><li class="listitem"><p>
     Ensure that your SUSE Manager Server is version 1.2 or later and that you
     have the <code class="filename">

     rhns-applet</code> package installed on the SUSE Manager. The package
     can be found in the SUSE Manager software Channel for versions 1.2 and
     newer.
    </p></li><li class="listitem"><p>
     Retrieve the <code class="filename">mgr-applet-actions

     </code> package with <span class="command"><strong>up2date

     </strong></span> or through the Tools software channel. Install the package
     on all Red Hat Enterprise Linux 3 and newer client systems to be
     notified of custom updates with the <span class="application">Network Alert
     Notification Tool</span>. The client systems must be entitled to
     the Management or Provisioning service levels.
    </p></li><li class="listitem"><p>
     Within the SUSE Manager's version of the Novell Customer Center website, go to the
     <span class="guilabel">System Details</span> page for each system and click the
     link within the <span class="guilabel">RHN Applet</span> area to redirect the
     <span class="application">Network Alert Notification Tool</span> to the
     SUSE Manager.
    </p></li></ol></div><p>
   The next time the applet is started, it will apply its new configuration
   and connect to the SUSE Manager Server for updates.
  </p></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-latest-clients-puplet.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-latest-clients.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="ch-certificates.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">2.3. The Package Updater Applet </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> Chapter 3. SSL Infrastructure</td></tr></table></div></body></html>
