<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Chapter 6. Maintenance</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="index.jsp" title="Installation Guide" /><link rel="prev" href="s1-satellite-debug.jsp" title="5.5. SUSE Manager Debugging" /><link rel="next" href="s1-maintenance-update.jsp" title="6.2. Updating SUSE Manager" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 6. Maintenance</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-satellite-debug.jsp">Prev</a> </td><th width="60%" align="center">Installation Guide</th><td width="20%" align="right"> <a accesskey="n" href="s1-maintenance-update.jsp">Next</a></td></tr></table><hr /></div><div class="chapter" title="Chapter 6. Maintenance"><div class="titlepage"><div><div><h2 class="title"><a id="ch-maintenance"></a>Chapter 6. Maintenance</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch-maintenance.jsp#s1-maintenance-rhn-satellite">6.1. Managing SUSE Manager with spacewalk-service</a></span></dt><dt><span class="section"><a href="s1-maintenance-update.jsp">6.2. Updating SUSE Manager</a></span></dt><dt><span class="section"><a href="s1-maintenance-backup.jsp">6.3. Backing Up SUSE Manager</a></span></dt><dt><span class="section"><a href="s1-use-db-control.jsp">6.4. Using DB Control</a></span></dt><dd><dl><dt><span class="section"><a href="s1-use-db-control.jsp#s2-rhn-db-control-options">6.4.1. DB Control Options</a></span></dt><dt><span class="section"><a href="s1-use-db-control.jsp#s2-rhn-db-control-backup">6.4.2. Backing up the Database</a></span></dt><dt><span class="section"><a href="s1-use-db-control.jsp#s2-rhn-db-control-verify">6.4.3. Verifying the Backup</a></span></dt><dt><span class="section"><a href="s1-use-db-control.jsp#s2-rhn-db-control-restore">6.4.4. Restoring the Database</a></span></dt></dl></dd><dt><span class="section"><a href="s1-clone-satellite.jsp">6.5. Cloning SUSE Manager with the embedded database</a></span></dt><dt><span class="section"><a href="s1-redundant-satellite.jsp">6.6. Establishing Redundant SUSE Manager server with stand-alone database</a></span></dt><dt><span class="section"><a href="s1-satellite-hostname.jsp">6.7. Changing the SUSE Manager Hostname</a></span></dt><dt><span class="section"><a href="s1-conduct-sat-tasks.jsp">6.8. Conducting SUSE Manager-Specific Tasks</a></span></dt><dd><dl><dt><span class="section"><a href="s1-conduct-sat-tasks.jsp#s2-satellite-user-delete">6.8.1. Deleting Users</a></span></dt><dt><span class="section"><a href="s1-conduct-sat-tasks.jsp#s2-satellite-search-config">6.8.2. Configuring SUSE Manager Search</a></span></dt></dl></dd><dt><span class="section"><a href="s1-maintenance-auto-sync.jsp">6.9. Automating Synchronization</a></span></dt><dt><span class="section"><a href="s1-maintenance-pam-auth.jsp">6.10. Implementing PAM Authentication</a></span></dt><dt><span class="section"><a href="s1-maintenance-push-clients.jsp">6.11. Enabling Push to Clients</a></span></dt></dl></div><a id="id418257" class="indexterm"></a><p>
  Because of SUSE Manager's unique environment, its users are provided with
  abilities not available to any other Novell Customer Center customers. In addition,
  SUSE Manager itself also requires maintenance. This chapter discusses the
  procedures that should be followed to carry out administrative functions
  outside of standard use, as well as to apply patches to SUSE Manager.
 </p><div class="section" title="6.1. Managing SUSE Manager with spacewalk-service"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-maintenance-rhn-satellite"></a>6.1. Managing SUSE Manager with spacewalk-service<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-maintenance-rhn-satellite">¶</a></span></h2></div></div></div><a id="id335988" class="indexterm"></a><p>
   Since SUSE Manager consists of a multitude of individual components,
   Novell provides a command-line tool that allows you to stop, start, or
   retrieve status information from the various services in the appropriate
   order: <span class="command"><strong>spacewalk-service</strong></span>. This tool accepts all of the
   typical commands:
  </p><pre class="screen">/usr/sbin/spacewalk-service start
/usr/sbin/spacewalk-service stop
/usr/sbin/spacewalk-service restart
/usr/sbin/spacewalk-service reload                                                                                                                                     
/usr/sbin/spacewalk-service enable
/usr/sbin/spacewalk-service disable                                                                                                                                     
/usr/sbin/spacewalk-service status</pre><p>
   Use <span class="command"><strong>spacewalk-service</strong></span> to shut down and bring up the
   entire SUSE Manager and retrieve status messages from all of its services at
   once.
  </p></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-satellite-debug.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="index.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-maintenance-update.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">5.5. SUSE Manager Debugging </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 6.2. Updating SUSE Manager</td></tr></table></div></body></html>
