<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Installation Guide</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="prev" href="../../quickstart/en-US/bk01ar01s11.jsp" title="11. GNU Free Documentation License" /><link rel="next" href="preface.susemanager.install.jsp" title="About This Guide" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Installation Guide</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="../../quickstart/en-US/bk01ar01s11.jsp">Prev</a> </td><th width="60%" align="center"> </th><td width="20%" align="right"> <a accesskey="n" href="preface.susemanager.install.jsp">Next</a></td></tr></table><hr /></div><div xml:lang="en" class="book" title="Installation Guide" lang="en"><div class="titlepage"><div><div><h1 class="title"><a id="book.susemanager.install"></a>Installation Guide</h1></div><div><div class="legalnotice" title="Legal Notice"><a id="id387989"></a><p>
  Copyright ©
2011

  Novell, Inc.
 </p><p>
  Copyright ©
2011

  Red Hat, Inc.
 </p><p>
  The text of and illustrations in this document are licensed by Red Hat
  under a Creative Commons Attribution-Share Alike 3.0 Unported license
  ("CC-BY-SA"). An explanation of CC-BY-SA is available at
  <a class="ulink" href="http://creativecommons.org/licenses/by-sa/3.0/" target="_top">http://creativecommons.org/licenses/by-sa/3.0/</a>. In
  accordance with CC-BY-SA, if you distribute this document or an adaptation
  of it, you must provide the URL for the original version.
 </p><p>
  Red Hat, as the licensor of this document, waives the right to enforce,
  and agrees not to assert, Section 4d of CC-BY-SA to the fullest extent
  permitted by applicable law.
 </p><p>
  Red Hat, Red Hat Enterprise Linux, the Shadowman logo, JBoss, MetaMatrix,
  Fedora, the Infinity Logo, and RHCE are trademarks of Red Hat, Inc.,
  registered in the United States and other countries. Linux® is the
  registered trademark of Linus Torvalds in the United States and other
  countries. Java® is a registered trademark of Oracle and/or its
  affiliates. XFS® is a trademark of Silicon Graphics International
  Corp. or its subsidiaries in the United States and/or other countries.
  MySQL® is a registered trademark of MySQL AB in the United States, the
  European Union and other countries. All other trademarks are the property
  of their respective owners.
 </p><p>
  For Novell trademarks, see the Novell Trademark and Service Mark list
  <a class="ulink" href="http://www.novell.com/company/legal/trademarks/tmlist.html" target="_top">http://www.novell.com/company/legal/trademarks/tmlist.html</a>.
  Linux* is a registered trademark of Linus Torvalds. All other third party
  trademarks are the property of their respective owners. A trademark symbol
  (®, ™ etc.) denotes a Novell trademark; an asterisk (*) denotes
  a third party trademark.
 </p><p>
  All information found in this book has been compiled with utmost attention
  to detail. However, this does not guarantee complete accuracy. Neither
  Novell, Inc., SUSE LINUX Products GmbH, the authors, nor the translators
  shall be held liable for possible errors or the consequences thereof.
 </p></div></div></div><hr /></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="preface"><a href="preface.susemanager.install.jsp">About This Guide</a></span></dt><dd><dl><dt><span class="sect1"><a href="preface.susemanager.install.jsp#id387862">1. Available Documentation</a></span></dt><dt><span class="sect1"><a href="bk02pr01s02.jsp">2. Feedback</a></span></dt><dt><span class="sect1"><a href="bk02pr01s03.jsp">3. Documentation Conventions</a></span></dt></dl></dd><dt><span class="chapter"><a href="ch-intro-install.jsp">1. Conceptual Overview</a></span></dt><dt><span class="chapter"><a href="ch-example-topologies.jsp">2. Example Topologies</a></span></dt><dd><dl><dt><span class="section"><a href="ch-example-topologies.jsp#s1-example-topologies-simple">2.1. Single SUSE Manager Topology</a></span></dt><dt><span class="section"><a href="s1-example-topologies-twoserver.jsp">2.2. Multiple SUSE Manager Horizontally Tiered Topology</a></span></dt><dt><span class="section"><a href="s1-example-topologies-multiservers.jsp">2.3. SUSE Manager-Proxy Vertically Tiered Topology</a></span></dt></dl></dd><dt><span class="chapter"><a href="ch-requirements.jsp">3. Requirements</a></span></dt><dd><dl><dt><span class="section"><a href="ch-requirements.jsp#s1-requirements-database">3.1. External Database Requirements</a></span></dt><dt><span class="section"><a href="s1-requirements-additional.jsp">3.2. Additional Requirements</a></span></dt><dt><span class="section"><a href="bk02ch03s03.jsp">3.3. Additional Documentation</a></span></dt></dl></dd><dt><span class="chapter"><a href="ch-installation.jsp">4. Installation</a></span></dt><dd><dl><dt><span class="section"><a href="ch-installation.jsp#s1-summary-steps">4.1. Summary of Steps</a></span></dt><dd><dl><dt><span class="section"><a href="ch-installation.jsp#sec.stepsummary.install">4.1.1. Installation and Setup</a></span></dt><dt><span class="section"><a href="ch-installation.jsp#sec.stepsummary.config">4.1.2. Basic Configuration</a></span></dt></dl></dd></dl></dd><dt><span class="chapter"><a href="ch-troubleshooting.jsp">5. Troubleshooting</a></span></dt><dd><dl><dt><span class="section"><a href="ch-troubleshooting.jsp#s1-log-files">5.1. Log Files</a></span></dt><dt><span class="section"><a href="s1-general-problem.jsp">5.2. General Problems</a></span></dt><dt><span class="section"><a href="s1-host-not-found.jsp">5.3. Host Not Found/Could Not Determine FQDN</a></span></dt><dt><span class="section"><a href="s1-connection-errors.jsp">5.4. Connection Errors</a></span></dt><dt><span class="section"><a href="s1-satellite-debug.jsp">5.5. SUSE Manager Debugging</a></span></dt></dl></dd><dt><span class="chapter"><a href="ch-maintenance.jsp">6. Maintenance</a></span></dt><dd><dl><dt><span class="section"><a href="ch-maintenance.jsp#s1-maintenance-rhn-satellite">6.1. Managing SUSE Manager with spacewalk-service</a></span></dt><dt><span class="section"><a href="s1-maintenance-update.jsp">6.2. Updating SUSE Manager</a></span></dt><dt><span class="section"><a href="s1-maintenance-backup.jsp">6.3. Backing Up SUSE Manager</a></span></dt><dt><span class="section"><a href="s1-use-db-control.jsp">6.4. Using DB Control</a></span></dt><dd><dl><dt><span class="section"><a href="s1-use-db-control.jsp#s2-rhn-db-control-options">6.4.1. DB Control Options</a></span></dt><dt><span class="section"><a href="s1-use-db-control.jsp#s2-rhn-db-control-backup">6.4.2. Backing up the Database</a></span></dt><dt><span class="section"><a href="s1-use-db-control.jsp#s2-rhn-db-control-verify">6.4.3. Verifying the Backup</a></span></dt><dt><span class="section"><a href="s1-use-db-control.jsp#s2-rhn-db-control-restore">6.4.4. Restoring the Database</a></span></dt></dl></dd><dt><span class="section"><a href="s1-clone-satellite.jsp">6.5. Cloning SUSE Manager with the embedded database</a></span></dt><dt><span class="section"><a href="s1-redundant-satellite.jsp">6.6. Establishing Redundant SUSE Manager server with stand-alone database</a></span></dt><dt><span class="section"><a href="s1-satellite-hostname.jsp">6.7. Changing the SUSE Manager Hostname</a></span></dt><dt><span class="section"><a href="s1-conduct-sat-tasks.jsp">6.8. Conducting SUSE Manager-Specific Tasks</a></span></dt><dd><dl><dt><span class="section"><a href="s1-conduct-sat-tasks.jsp#s2-satellite-user-delete">6.8.1. Deleting Users</a></span></dt><dt><span class="section"><a href="s1-conduct-sat-tasks.jsp#s2-satellite-search-config">6.8.2. Configuring SUSE Manager Search</a></span></dt></dl></dd><dt><span class="section"><a href="s1-maintenance-auto-sync.jsp">6.9. Automating Synchronization</a></span></dt><dt><span class="section"><a href="s1-maintenance-pam-auth.jsp">6.10. Implementing PAM Authentication</a></span></dt><dt><span class="section"><a href="s1-maintenance-push-clients.jsp">6.11. Enabling Push to Clients</a></span></dt></dl></dd></dl></div><div class="list-of-figures"><p><b>List of Figures</b></p><dl><dt>1.1. <a href="ch-intro-install.jsp#id440082">Using SUSE Manager and SUSE Manager Proxy Server Together</a></dt><dt>2.1. <a href="ch-example-topologies.jsp#id439936">Single SUSE Manager Topology</a></dt><dt>2.2. <a href="s1-example-topologies-twoserver.jsp#id423049">Multiple SUSE Manager Horizontally Tiered Topology</a></dt><dt>2.3. <a href="s1-example-topologies-multiservers.jsp#id439720">SUSE Manager-Proxy Vertically Tiered Topology</a></dt><dt>6.1. <a href="s1-conduct-sat-tasks.jsp#id443790">User Deletion</a></dt><dt>6.2. <a href="s1-conduct-sat-tasks.jsp#id335521">User Delete Confirmation</a></dt></dl></div><div class="list-of-tables"><p><b>List of Tables</b></p><dl><dt>5.1. <a href="ch-troubleshooting.jsp#tb-log-files">Log Files</a></dt><dt>6.1. <a href="s1-use-db-control.jsp#id438356">DB Control Options</a></dt></dl></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="../../quickstart/en-US/bk01ar01s11.jsp">Prev</a> </td><td width="20%" align="center"> </td><td width="40%" align="right"> <a accesskey="n" href="preface.susemanager.install.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">11. GNU Free Documentation License </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> About This Guide</td></tr></table></div></body></html>
