<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>6.8. Conducting SUSE Manager-Specific Tasks</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-maintenance.jsp" title="Chapter 6. Maintenance" /><link rel="prev" href="s1-satellite-hostname.jsp" title="6.7. Changing the SUSE Manager Hostname" /><link rel="next" href="s1-maintenance-auto-sync.jsp" title="6.9. Automating Synchronization" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">6.8. Conducting SUSE Manager-Specific Tasks</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-satellite-hostname.jsp">Prev</a> </td><th width="60%" align="center">Chapter 6. Maintenance</th><td width="20%" align="right"> <a accesskey="n" href="s1-maintenance-auto-sync.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="6.8. Conducting SUSE Manager-Specific Tasks"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-conduct-sat-tasks"></a>6.8. Conducting SUSE Manager-Specific Tasks<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-conduct-sat-tasks">¶</a></span></h2></div></div></div><a id="id367122" class="indexterm"></a><p></p><div class="section" title="6.8.1. Deleting Users"><div class="titlepage"><div><div><h3 class="title"><a id="s2-satellite-user-delete"></a>6.8.1. Deleting Users<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-satellite-user-delete">¶</a></span></h3></div></div></div><p>
    Because of the isolated environment in which SUSE Manager operates,
    SUSE Manager customers have been granted the ability to delete users. To
    access this functionality, click <span class="guilabel">Users</span> in the top
    navigation bar of the SUSE Manager website. In the resulting User List,
    click the name of the user to be removed. This takes you to the
    <span class="guilabel">User Details</span> page. Click the <span class="guilabel">delete
    user</span> link at the top-right corner of the page.
   </p><div class="figure"><a id="id443790"></a><p class="title"><b>Figure 6.1. User Deletion</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="444"><tr><td><img src="../../images/user-delete.png" width="444" alt="User Deletion" /></td></tr></table></div></div></div><br class="figure-break" /><p>
    A confirmation page appears explaining that this removal is permanent.
    To continue, click <span class="guibutton">Delete User</span> at the
    bottom-right corner of the page.
   </p><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
     The Organization Administrator role must be removed from the user's
     profile before deleting the user from SUSE Manager. Failing to do so
     causes the delete operation to fail.
    </p><p>
     The Organization Administrator role may be removed by any Organization
     Administrator (provided they are not the sole Organization
     Administrator for the organization) by clicking on the
     <span class="guilabel">Users</span> tab and then visiting the
     <span class="guilabel">Details</span> sub-tab.
    </p></div><div class="figure"><a id="id335521"></a><p class="title"><b>Figure 6.2. User Delete Confirmation</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="444"><tr><td><img src="../../images/user-delete-confirm.png" width="444" alt="User Delete Confirmation" /></td></tr></table></div></div></div><br class="figure-break" /></div><div class="section" title="6.8.2. Configuring SUSE Manager Search"><div class="titlepage"><div><div><h3 class="title"><a id="s2-satellite-search-config"></a>6.8.2. Configuring SUSE Manager Search<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-satellite-search-config">¶</a></span></h3></div></div></div><a id="id407983" class="indexterm"></a><a id="id369131" class="indexterm"></a><p>
    SUSE Manager administrators may want to configure certain search options to
    customize search results for their own optimization requirements.
   </p><p>
    SUSE Manager search results can be customized via the
    <code class="filename">/etc/rhn/search.rhn-search.conf</code> file. The following
    list defines the search configuration and their default values in
    parentheses.
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      search.index_work_dir : Specifies where Lucene indexes are kept
      (<code class="filename">/usr/share/rhn/search/indexes</code>)
     </p></li><li class="listitem"><p>
      search.rpc_handlers : semi-colon separated list of classes to act as
      handlers for XMLRPC calls.
     </p><pre class="screen">(filename&gt;index:com.redhat.satellite.search.rpc.handlers.IndexHandler,
db:com.redhat.satellite.search.rpc.handlers.DatabaseHandler,
admin:com.redhat.satellite.search.rpc.handlers.AdminHandler)</pre></li><li class="listitem"><p>
      search.max_hits_returned : maximum number of results which will be
      returned for the query (<code class="literal">500</code>)
     </p></li><li class="listitem"><p>
      search.connection.driver_class : JDBC driver class to conduct database
      searches (<code class="literal">oracle.jdbc.driver.OracleDriver</code>)
     </p></li><li class="listitem"><p>
      search.score_threshold : minimum score a result needs to be returned
      back as query result (<code class="literal">.10</code>)
     </p></li><li class="listitem"><p>
      search.system_score_threshold : minimum score a system search result
      needs to be returned back as a query result (<code class="literal">.01</code>)
     </p></li><li class="listitem"><p>
      search.errata_score_threshold : minimum score a patch search result
      needs to be returned back as a query result
      (<code class="computeroutput">.20</code>)
     </p></li><li class="listitem"><p>
      search.errata.advisory_score_threshold : minimum score a patch
      advisory result needs to be returned back as a query result
      (<code class="computeroutput">.30</code>)
     </p></li><li class="listitem"><p>
      search.min_ngram : minimum length of n-gram characters. Note that any
      change to this value requires <span class="command"><strong>clean-index</strong></span> to be
      run, and doc-indexes need to be modified and rebuilt)
      (<code class="computeroutput">1</code>)
     </p></li><li class="listitem"><p>
      search.max_ngram : maximum length of n-gram characters. Note that any
      change to this value requires <span class="command"><strong>clean-index</strong></span> to be
      run, and doc-indexes need to be modified and rebuilt)
      (<code class="computeroutput">5</code>)
     </p></li><li class="listitem"><p>
      search.doc.limit_results : type <strong class="userinput"><code>true</code></strong> to limit
      the number of results both on search.score_threshold and restrict max
      hits to be below search.max_hits_returned; type
      <strong class="userinput"><code>false</code></strong> means to return all documentation search
      matches (<code class="computeroutput">false</code>)
     </p></li><li class="listitem"><p>
      search.schedule.interval : input the time in miliseconds to control
      the interval with which the SearchServer polls the database for
      changes; the default is 5 minutes
      (<code class="computeroutput">300000</code>).
     </p></li><li class="listitem"><p>
      search.log.explain.results : used during development and debugging. If
      set to true, this will log additional information showing what
      influences the score of each result.
      (<code class="computeroutput">false</code>)
     </p></li></ul></div></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-satellite-hostname.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-maintenance.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-maintenance-auto-sync.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">6.7. Changing the SUSE Manager Hostname </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 6.9. Automating Synchronization</td></tr></table></div></body></html>
