<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>2.3. SUSE Manager-Proxy Vertically Tiered Topology</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-example-topologies.jsp" title="Chapter 2. Example Topologies" /><link rel="prev" href="s1-example-topologies-twoserver.jsp" title="2.2. Multiple SUSE Manager Horizontally Tiered Topology" /><link rel="next" href="ch-requirements.jsp" title="Chapter 3. Requirements" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">2.3. SUSE Manager-Proxy Vertically Tiered Topology</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-example-topologies-twoserver.jsp">Prev</a> </td><th width="60%" align="center">Chapter 2. Example Topologies</th><td width="20%" align="right"> <a accesskey="n" href="ch-requirements.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="2.3. SUSE Manager-Proxy Vertically Tiered Topology"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-example-topologies-multiservers"></a>2.3. SUSE Manager-Proxy Vertically Tiered Topology<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-example-topologies-multiservers">¶</a></span></h2></div></div></div><a id="id422994" class="indexterm"></a><p>
   An alternative method to balance load is to install SUSE Manager Proxy
   Servers below a SUSE Manager. These Proxies connect to the SUSE Manager for
   RPMs from Novell Customer Center and custom packages created locally. In essence, the
   Proxies act as clients of the SUSE Manager.
  </p><p>
   This vertically tiered configuration requires that channels and RPMs be
   created only on the SUSE Manager. In this manner, the Proxies inherit and
   then serve packages from a central location.

  </p><p>
   Similarly, you should make the Proxies' SSL certificates clients of the
   SUSE Manager while also setting them to serve the client systems. This
   process is described in the Client Configuration Guide.
  </p><div class="figure"><a id="id439720"></a><p class="title"><b>Figure 2.3. SUSE Manager-Proxy Vertically Tiered Topology</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="600"><tr><td><img src="../../images/susemanager_topology_vertical.png" width="600" alt="SUSE Manager-Proxy Vertically Tiered Topology" /></td></tr></table></div></div></div><br class="figure-break" /></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-example-topologies-twoserver.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-example-topologies.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="ch-requirements.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">2.2. Multiple SUSE Manager Horizontally Tiered Topology </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> Chapter 3. Requirements</td></tr></table></div></body></html>
