<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>5.5. SUSE Manager Debugging</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-troubleshooting.jsp" title="Chapter 5. Troubleshooting" /><link rel="prev" href="s1-connection-errors.jsp" title="5.4. Connection Errors" /><link rel="next" href="ch-maintenance.jsp" title="Chapter 6. Maintenance" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">5.5. SUSE Manager Debugging</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-connection-errors.jsp">Prev</a> </td><th width="60%" align="center">Chapter 5. Troubleshooting</th><td width="20%" align="right"> <a accesskey="n" href="ch-maintenance.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="5.5. SUSE Manager Debugging"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-satellite-debug"></a>5.5. SUSE Manager Debugging<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-satellite-debug">¶</a></span></h2></div></div></div><a id="id407798" class="indexterm"></a><p>
   If you have exhausted the troubleshooting steps above and need more help,
   contact the Novell support with an aggregation of SUSE Manager's
   configuration parameters, log files, and database information.
   
  </p><p>
   SUSE Manager provides a command line tool explicitly for this purpose. Log
   in to your SUSE Manager server as <code class="systemitem">root</code> and execute the following
   command:
  </p><pre class="screen">spacewalk-debug</pre><p>
   It collects several pieces of information and stored them in a tarball:
  </p><pre class="screen">Collecting and packaging relevant diagnostic information.
   Warning: this may take some time...
   * copying configuration information
   * copying logs
   * copying cobbler files
   * copying monitoring moc logs
   * copying monitoring scout logs
   * copying ssl-build
   * copying /etc/sudoers
   * copying apache, oracle, tomcat, nocpulse entries from /etc/passwd
   * copying apache, oracle, tomcat, nocpulse entries from /etc/group
   * querying RPM database (versioning of Spacewalk, etc.)
   * querying schema version, database charactersets and database
   * get diskspace available
   * get database statistics
   * get schema statistics
   * copying audit.log
   * timestamping
   * creating tarball (may take some time): /tmp/spacewalk-debug.tar.bz2
   * removing temporary debug tree
   
   Debug dump created, stored in /tmp/spacewalk-debug.tar.bz2</pre></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-connection-errors.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-troubleshooting.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="ch-maintenance.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">5.4. Connection Errors </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> Chapter 6. Maintenance</td></tr></table></div></body></html>
