<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Quick Start</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="index.jsp" title="Quick Start" /><link rel="prev" href="index.jsp" title="Quick Start" /><link rel="next" href="sec.manager.requirements.jsp" title="2. System Requirements" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Quick Start</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="index.jsp">Prev</a> </td><th width="60%" align="center">Quick Start</th><td width="20%" align="right"> <a accesskey="n" href="sec.manager.requirements.jsp">Next</a></td></tr></table><hr /></div><div xml:lang="en" class="article" title="Quick Start" lang="en"><div class="titlepage"><div><div><h2 class="title"><a id="art.susemanager.quick"></a>Quick Start</h2></div><div><h3 class="subtitle"><i> <span class="productname">SUSE Manager </span>™</i></h3></div></div><hr /></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="sect1"><a href="art.susemanager.quick.jsp#sec.manager.concepts">1. Conceptual Overview</a></span></dt><dt><span class="sect1"><a href="sec.manager.requirements.jsp">2. System Requirements</a></span></dt><dd><dl><dt><span class="sect2"><a href="sec.manager.requirements.jsp#sec.manager.requirements.server">2.1. Server Requirements</a></span></dt><dt><span class="sect2"><a href="sec.manager.requirements.jsp#sec.manager.requirements.clients">2.2. Supported Client Systems</a></span></dt><dt><span class="sect2"><a href="sec.manager.requirements.jsp#sec.manager.requirements.db">2.3. Supported Databases</a></span></dt><dt><span class="sect2"><a href="sec.manager.requirements.jsp#sec.manager.requirements.other">2.4. Other Requirements</a></span></dt></dl></dd><dt><span class="sect1"><a href="sec.manager.prerequisites.jsp">3. Prerequisites</a></span></dt><dt><span class="sect1"><a href="sec.manager.inst.jsp">4. Installation and Setup</a></span></dt><dd><dl><dt><span class="sect2"><a href="sec.manager.inst.jsp#sec.manager.inst.overview">4.1. Overview and Summary of Steps</a></span></dt><dt><span class="sect2"><a href="sec.manager.inst.jsp#sec.manager.inst.installation">4.2. Installation</a></span></dt><dt><span class="sect2"><a href="sec.manager.inst.jsp#sec.manager.inst.setup">4.3. Setup</a></span></dt></dl></dd><dt><span class="sect1"><a href="sec.manager.config.jsp">5. Basic Configuration</a></span></dt><dd><dl><dt><span class="sect2"><a href="sec.manager.config.jsp#sec.manager.config.login">5.1. Login to the Web Interface</a></span></dt><dt><span class="sect2"><a href="sec.manager.config.jsp#sec.manager.config.basechannels">5.2. Setup of Novell Channels</a></span></dt><dt><span class="sect2"><a href="sec.manager.config.jsp#sec.manager.config.setup.client">5.3. Client Setup</a></span></dt><dt><span class="sect2"><a href="sec.manager.config.jsp#sec.manager.config.organizations">5.4. Organization Management</a></span></dt><dt><span class="sect2"><a href="sec.manager.config.jsp#sec.manager.config.entitlements">5.5. Management of System and Software Entitlements</a></span></dt><dt><span class="sect2"><a href="sec.manager.config.jsp#sec.manager.config.users">5.6. User Management</a></span></dt></dl></dd><dt><span class="sect1"><a href="sec.manager.server.migration.jsp">6. Server Migration</a></span></dt><dt><span class="sect1"><a href="sec.manager.trouble.jsp">7. Troubleshooting</a></span></dt><dd><dl><dt><span class="sect2"><a href="sec.manager.trouble.jsp#sec.manager.trouble.install">7.1. Installation and Basic Setup</a></span></dt><dt><span class="sect2"><a href="sec.manager.trouble.jsp#sec.manager.trouble.config">7.2. Basic Configuration</a></span></dt></dl></dd><dt><span class="sect1"><a href="bk01ar01s08.jsp">8. Glossary</a></span></dt><dt><span class="sect1"><a href="sec.manager.more.jsp">9. For More Information</a></span></dt><dt><span class="sect1"><a href="bk01ar01s10.jsp">10. Legal Notice</a></span></dt><dt><span class="sect1"><a href="bk01ar01s11.jsp">11. GNU Free Documentation License</a></span></dt><dd><dl><dt><span class="sect2"><a href="bk01ar01s11.jsp#id387279">11.1. PREAMBLE</a></span></dt><dt><span class="sect2"><a href="bk01ar01s11.jsp#id400473">11.2. APPLICABILITY AND DEFINITIONS</a></span></dt><dt><span class="sect2"><a href="bk01ar01s11.jsp#id449048">11.3. VERBATIM COPYING</a></span></dt><dt><span class="sect2"><a href="bk01ar01s11.jsp#id393731">11.4. COPYING IN QUANTITY</a></span></dt><dt><span class="sect2"><a href="bk01ar01s11.jsp#id424681">11.5. MODIFICATIONS</a></span></dt><dt><span class="sect2"><a href="bk01ar01s11.jsp#id393815">11.6. COMBINING DOCUMENTS</a></span></dt><dt><span class="sect2"><a href="bk01ar01s11.jsp#id438915">11.7. COLLECTIONS OF DOCUMENTS</a></span></dt><dt><span class="sect2"><a href="bk01ar01s11.jsp#id443441">11.8. AGGREGATION WITH INDEPENDENT WORKS</a></span></dt><dt><span class="sect2"><a href="bk01ar01s11.jsp#id443464">11.9. TRANSLATION</a></span></dt><dt><span class="sect2"><a href="bk01ar01s11.jsp#id378821">11.10. TERMINATION</a></span></dt><dt><span class="sect2"><a href="bk01ar01s11.jsp#id443474">11.11. FUTURE REVISIONS OF THIS LICENSE</a></span></dt><dt><span class="sect2"><a href="bk01ar01s11.jsp#id460134">11.12. ADDENDUM: How to use this License for your documents</a></span></dt></dl></dd></dl></div><div class="abstract" title="Abstract"><p class="title"><b>Abstract</b></p><p>
   SUSE® Manager is a server solution for providing updates, patches, and
   security fixes for single SUSE® Linux Enterprise or Red Hat Enterprise Linux clients. It comes with a set
   of tools and a Web-based user interface for management tasks. This Quick
   Start explains how to install and set up SUSE Manager and how to get started
   with the most important tasks.
  </p></div><div class="sect1" title="1. Conceptual Overview"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="sec.manager.concepts"></a>1. Conceptual Overview<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.manager.concepts">¶</a></span></h2></div></div></div><p>
  SUSE Manager is an open source (GPLv2) Linux system management solution that
  allows you to execute the following tasks:
 </p><div class="itemizedlist"><ul class="itemizedlist" type="bullet"><li class="listitem" style="list-style-type: disc"><p>
    Inventorying your systems (hardware and software information)
   </p></li><li class="listitem" style="list-style-type: disc"><p>
    Installing and updating software on your systems
   </p></li><li class="listitem" style="list-style-type: disc"><p>
    Building groups to apply (custom) software packages to individual
    systems
   </p></li><li class="listitem" style="list-style-type: disc"><p>
    Provisioning your systems (AutoYaST/Kickstart)
   </p></li><li class="listitem" style="list-style-type: disc"><p>
    Managing and deploying configuration files to your systems
   </p></li><li class="listitem" style="list-style-type: disc"><p>
    Monitoring your systems
   </p></li><li class="listitem" style="list-style-type: disc"><p>
    Provisioning and starting/stopping/configuring virtual guests
   </p></li><li class="listitem" style="list-style-type: disc"><p>
    Distributing content across multiple geographical sites in an efficient
    manner
   </p></li></ul></div><p>
  SUSE Manager's main purpose is to efficiently manage a set of Linux systems
  and keep them up-to-date. This is done by connecting SUSE Manager to package
  and update sources, organized as repositories.
 </p><p>
  Repositories are grouped into channels which are assigned to client
  systems. SUSE Manager then compares packages installed on the clients with
  packages available in assigned channels and reports any uninstalled
  updates.
 </p></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="index.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="index.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="sec.manager.requirements.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Quick Start </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 2. System Requirements</td></tr></table></div></body></html>
