<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>2. System Requirements</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="art.susemanager.quick.jsp" title="Quick Start" /><link rel="prev" href="art.susemanager.quick.jsp" title="Quick Start" /><link rel="next" href="sec.manager.prerequisites.jsp" title="3. Prerequisites" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">2. System Requirements</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="art.susemanager.quick.jsp">Prev</a> </td><th width="60%" align="center">Quick Start</th><td width="20%" align="right"> <a accesskey="n" href="sec.manager.prerequisites.jsp">Next</a></td></tr></table><hr /></div><div class="sect1" title="2. System Requirements"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="sec.manager.requirements"></a>2. System Requirements<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.manager.requirements">¶</a></span></h2></div></div></div><p>
  The following section informs you about the system requirements and some
  prerequisites for SUSE Manager, including hardware, database, supported
  clients, and other requirements.
 </p><div class="sect2" title="2.1. Server Requirements"><div class="titlepage"><div><div><h3 class="title"><a id="sec.manager.requirements.server"></a>2.1. Server Requirements<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.manager.requirements.server">¶</a></span></h3></div></div></div><div class="informaltable"><table border="1"><colgroup><col /><col /></colgroup><thead><tr><th>
       <p>
        Hardware
       </p>
      </th><th>
       <p>
        Required/Recommended
       </p>
      </th></tr></thead><tbody><tr><td>
       <p>
        CPU
       </p>
      </td><td>
       <p>
        Required: <span class="trademark">Intel</span>™ Pentium 4 or later AMD
        Opteron or later, 2 GHz or more, 512 K cache or
        equivalent.
       </p>
       <p>
        Recommended: Intel or AMD multi-core processor, 2.4 GHz dual
        processor, 512 K cache+ or equivalent.
       </p>
      </td></tr><tr><td>
       <p>
        RAM
       </p>
      </td><td>
       <p>
        Required: 2 GB (minimum for base installation), for a few
        client systems: 4 GB
       </p>
       <p>
        Recommended (for production operation): 8 GB
       </p>
      </td></tr><tr><td>
       <p>
        Free Disk Space
       </p>
      </td><td>
       <p>
        Required: 20 GB for base installation
       </p>
       <p>
        
        Additionally: At least 50 GB for repository data
       </p>
      </td></tr></tbody></table></div></div><div class="sect2" title="2.2. Supported Client Systems"><div class="titlepage"><div><div><h3 class="title"><a id="sec.manager.requirements.clients"></a>2.2. Supported Client Systems<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.manager.requirements.clients">¶</a></span></h3></div></div></div><p>
   Clients with the following operating systems and architectures are
   supported for registration at SUSE Manager:
  </p><div class="informaltable"><table border="1"><colgroup><col /><col /></colgroup><thead><tr><th>
       <p>
        System
       </p>
      </th><th>
       <p>
        Supported Architectures
       </p>
      </th></tr></thead><tbody><tr><td>
       <p>
        SUSE Linux Enterprise 10
       </p>
      </td><td>
       <p>
        None
       </p>
      </td></tr><tr><td>
       <p>
        SUSE Linux Enterprise 11 SP1
       </p>
      </td><td>
       <p>
        x86, x86_64, Itanium, IBM POWER, IBM System z
       </p>
      </td></tr><tr><td>
       <p>
        Red Hat Enterprise Linux 2.1
       </p>
      </td><td>
       <p>
        None
       </p>
      </td></tr><tr><td>
       <p>
        Red Hat Enterprise Linux 3
       </p>
      </td><td>
       <p>
        None
       </p>
      </td></tr><tr><td>
       <p>
        Red Hat Enterprise Linux 4
       </p>
      </td><td>
       <p>
        x86, x86_64
       </p>
      </td></tr><tr><td>
       <p>
        Red Hat Enterprise Linux 5
       </p>
      </td><td>
       <p>
        x86, x86_64
       </p>
      </td></tr></tbody></table></div></div><div class="sect2" title="2.3. Supported Databases"><div class="titlepage"><div><div><h3 class="title"><a id="sec.manager.requirements.db"></a>2.3. Supported Databases<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.manager.requirements.db">¶</a></span></h3></div></div></div><div class="variablelist"><dl><dt><span class="term">Embedded Database</span></dt><dd><p>
      <code class="literal">Oracle 10g Express Edition</code> is shipped with SUSE Manager.
      It can store up to 4 GB of data and is thus limited to small
      deployments up to 20 clients. Using an external
      database is recommended.
     </p></dd><dt><span class="term">External Database</span></dt><dd><p>
      In conjunction with SUSE Manager, the following external databases are
      supported:
     </p><div class="itemizedlist"><ul class="itemizedlist" type="bullet"><li class="listitem" style="list-style-type: disc"><p>
        Oracle Database 10g Release 2 (Standard and Enterprise Edition)
       </p></li><li class="listitem" style="list-style-type: disc"><p>
        Oracle 11g
       </p></li></ul></div></dd></dl></div></div><div class="sect2" title="2.4. Other Requirements"><div class="titlepage"><div><div><h3 class="title"><a id="sec.manager.requirements.other"></a>2.4. Other Requirements<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#sec.manager.requirements.other">¶</a></span></h3></div></div></div><div class="important" title="Network Setup" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Network Setup</h3><p>
    For correct installation and setup of SUSE Manager, make sure the following
    requirements are fulfilled:
   </p><div class="variablelist"><dl><dt><span class="term">Fully Qualified Domain Name (FQDN)</span></dt><dd><p>
       The system on which to install SUSE Manager must resolve its own FQDN
       properly. If this is not the case, cookies will not work properly on
       the Web interface.
      </p></dd><dt><span class="term">Hostname and IP Address</span></dt><dd><p>
       To guarantee that SUSE Manager's domain name can be resolved by its
       clients, the server and the client machines must be linked to a
       working Domain Name Server (DNS) server in the customer environment.
      </p><p>
       The hostname of the SUSE Manager server must not contain uppercase
       letters as this might cause
       <code class="systemitem">jabberd</code> to fail.
      </p></dd></dl></div></div><div class="variablelist"><dl><dt><span class="term">Novell Customer Center</span></dt><dd><p>
      For using SUSE Manager, you need an account at the Novell Customer Center (NCC) where your
      purchased products and product subscriptions are defined. Make sure to
      have the following subscriptions:
     </p><div class="itemizedlist"><ul class="itemizedlist" type="bullet"><li class="listitem" style="list-style-type: disc"><p>
        One or more subscriptions for SUSE Manager
       </p></li><li class="listitem" style="list-style-type: disc"><p>
        Subscriptions for the products on the client systems you want to
        register with SUSE Manager
       </p></li><li class="listitem" style="list-style-type: disc"><p>
        Subscriptions to client entitlements for the client system you want
        to register with SUSE Manager
       </p></li></ul></div></dd><dt><span class="term">Network Time Protocol (NTP)</span></dt><dd><p>
      The connection to the Web server via Secure Sockets Layer (SSL)
      requires correct timing of both server and clients. For this reason,
      SUSE Manager server and all client systems must use NTP. If SUSE Manager is
      used in conjunction with a stand-alone database, the machine of the
      separate database must be set to the same time zone as SUSE Manager.
     </p></dd><dt><span class="term">Supported Browsers</span></dt><dd><p>
      SUSE Manager can be used with Mozilla Firefox and Microsoft Internet
      Explorer 6 or greater. Other browsers might work, but are not tested.
     </p></dd><dt><a id="vle.manager.req.virt"></a><span class="term">Virtual Environments</span></dt><dd><p>
      For running SUSE Manager server in virtual environments, use the
      following settings for the virtual machine (VM):
     </p><div class="itemizedlist"><ul class="itemizedlist" type="bullet"><li class="listitem" style="list-style-type: disc"><p>
        At least 2 GB of RAM
       </p></li><li class="listitem" style="list-style-type: disc"><p>
        Bridged network
       </p></li></ul></div><p>
      The following virtual environments are supported:
      
     </p><div class="itemizedlist"><ul class="itemizedlist" type="bullet"><li class="listitem" style="list-style-type: disc"><p>
        KVM
       </p></li><li class="listitem" style="list-style-type: disc"><p>
        VMware
       </p></li><li class="listitem" style="list-style-type: disc"><p>
        Xen
       </p></li><li class="listitem" style="list-style-type: disc"><p>
        Hyper-V
       </p></li></ul></div><p>
      For running SUSE Manager in KVM, VMware, or Hyper-V, use the
      SUSE Manager ISO image. For Xen, use the Xen VM image.
     </p></dd></dl></div></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="art.susemanager.quick.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="art.susemanager.quick.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="sec.manager.prerequisites.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Quick Start </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 3. Prerequisites</td></tr></table></div></body></html>
