<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Appendix A. Command Line Config Management Tools</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="index.jsp" title="Reference Guide" /><link rel="prev" href="s1-cobbler-koan.jsp" title="6.6. Using Koan" /><link rel="next" href="s1-cli-config-client.jsp" title="A.2. Configuration Client" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Appendix A. Command Line Config Management Tools</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-cobbler-koan.jsp">Prev</a> </td><th width="60%" align="center">Reference Guide</th><td width="20%" align="right"> <a accesskey="n" href="s1-cli-config-client.jsp">Next</a></td></tr></table><hr /></div><div class="appendix" title="Appendix A. Command Line Config Management Tools"><div class="titlepage"><div><div><h2 class="title"><a id="ap-cli-config-tools"></a>Appendix A. Command Line Config Management Tools</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ap-cli-config-tools.jsp#s1-cli-actions-control">A.1. Actions Control</a></span></dt><dd><dl><dt><span class="section"><a href="ap-cli-config-tools.jsp#s2-cli-actions-control">A.1.1. General command line options</a></span></dt></dl></dd><dt><span class="section"><a href="s1-cli-config-client.jsp">A.2. Configuration Client</a></span></dt><dd><dl><dt><span class="section"><a href="s1-cli-config-client.jsp#s2-cli-config-client-list">A.2.1. Listing Config Files</a></span></dt><dt><span class="section"><a href="s1-cli-config-client.jsp#s2-cli-config-client-get">A.2.2. Getting a Config File</a></span></dt><dt><span class="section"><a href="s1-cli-config-client.jsp#s2-cli-config-client-channels">A.2.3. Viewing Config Channels</a></span></dt><dt><span class="section"><a href="s1-cli-config-client.jsp#s2-cli-config-client-diff">A.2.4. Differentiating between Config Files</a></span></dt><dt><span class="section"><a href="s1-cli-config-client.jsp#s2-cli-config-client-verify">A.2.5. Verifying Config Files</a></span></dt></dl></dd><dt><span class="section"><a href="s1-cli-config-mgr.jsp">A.3. Configuration Manager</a></span></dt><dd><dl><dt><span class="section"><a href="s1-cli-config-mgr.jsp#s2-cli-config-mgr-create">A.3.1. Creating a Config Channel</a></span></dt><dt><span class="section"><a href="s1-cli-config-mgr.jsp#s2-cli-config-mgr-add">A.3.2. Adding Files to a Config Channel</a></span></dt><dt><span class="section"><a href="s1-cli-config-mgr.jsp#s2-cli-config-mgr-diff">A.3.3. Differentiating between Latest Config Files</a></span></dt><dt><span class="section"><a href="s1-cli-config-mgr.jsp#s2-cli-config-mgr-diff-ver">A.3.4. Differentiating between Various Versions</a></span></dt><dt><span class="section"><a href="s1-cli-config-mgr.jsp#s2-cli-config-mgr-download">A.3.5. Downloading All Files in a Channel</a></span></dt><dt><span class="section"><a href="s1-cli-config-mgr.jsp#s2-cli-config-mgr-get">A.3.6. Getting the Contents of a File</a></span></dt><dt><span class="section"><a href="s1-cli-config-mgr.jsp#s2-cli-config-mgr-list">A.3.7. Listing All Files in a Channel</a></span></dt><dt><span class="section"><a href="s1-cli-config-mgr.jsp#s2-cli-config-mgr-list-chan">A.3.8. Listing All Config Channels</a></span></dt><dt><span class="section"><a href="s1-cli-config-mgr.jsp#s2-cli-config-mgr-remove-file">A.3.9. Removing a File from a Channel</a></span></dt><dt><span class="section"><a href="s1-cli-config-mgr.jsp#s2-cli-config-mgr-remove-chan">A.3.10. Deleting a Config Channel</a></span></dt><dt><span class="section"><a href="s1-cli-config-mgr.jsp#s2-cli-config-mgr-rev">A.3.11. Determining the Number of File Revisions</a></span></dt><dt><span class="section"><a href="s1-cli-config-mgr.jsp#s2-cli-config-mgr-update">A.3.12. Updating a File in a Channel</a></span></dt><dt><span class="section"><a href="s1-cli-config-mgr.jsp#s2-cli-config-mgr-upload">A.3.13. Uploading Multiple Files at Once</a></span></dt></dl></dd></dl></div><a id="id509533" class="indexterm"></a><p>
  In addition to the options provided in the SUSE Manager website, SUSE Manager
  offers two command line tools for managing a system's configuration files:
  the <span class="application">Configuration Client</span> and the
  <span class="application">Configuration Manager</span>. There is a complementary
  <span class="application">Actions Control</span> tool that is used to enable and
  disable configuration management on client systems. If you do not yet have
  these these tools installed, they can be found within the
  <span class="guilabel">SUSE Manager Tools</span> child channel for your operating
  system (package names are: <code class="systemitem">rhncfg-client</code>,
  <code class="systemitem">rhncfg-management</code>, and
  <code class="systemitem">rhncfg-actions</code>).
 </p><div class="note" title="Tip" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Tip</h3><p>
   Keep in mind, whenever a configuration file is deployed via SUSE Manager, a
   backup of the previous file including its full path is made in the
   <code class="filename">/var/lib/rhncfg/backups/</code> directory on the affected
   system. The backup retains its filename but has a
   <code class="filename">.rhn-cfg-backup</code> extension appended.
  </p></div><div class="section" title="A.1. Actions Control"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-cli-actions-control"></a>A.1. Actions Control<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-cli-actions-control">¶</a></span></h2></div></div></div><a id="id406660" class="indexterm"></a><p>
   The <span class="application">Actions Control</span>
   (<span class="command"><strong>mgr-actions-control</strong></span>) application is used to enable
   and disable configuration management of a system. Client systems cannot
   be managed in this fashion by default. This tool allows SUSE Manager
   Administrators to enable or disable specific modes of allowable actions
   such as: <span class="emphasis"><em>deploying</em></span> a configuration file onto the
   system, <span class="emphasis"><em>uploading</em></span> a file from the system,
   <span class="emphasis"><em>diffing</em></span> what is currently managed on a system and
   what is available, or allowing running arbitrary <span class="emphasis"><em>remote
   commands</em></span>. These various modes are enabled/disabled by
   placing/removing files and directories in the
   <code class="filename">/etc/sysconfig/rhn/allowed-actions/</code> directory. Due
   to the default permissions on the
   <code class="filename">/etc/sysconfig/rhn/</code> directory, Actions Control will
   most likely have to be run by someone with root access.
  </p><div class="section" title="A.1.1. General command line options"><div class="titlepage"><div><div><h3 class="title"><a id="s2-cli-actions-control"></a>A.1.1. General command line options<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-cli-actions-control">¶</a></span></h3></div></div></div><p>
    There is a <span class="command"><strong>man</strong></span> page available, as there are for most
    command line tools, though the use of this tool is simple enough to
    describe here briefly. Simply decide what scheduled actions should be
    enabled for use by system administrators. The following options enable
    the various scheduled action modes:
   </p><div class="table"><a id="id385000"></a><p class="title"><b>Table A.1. <span class="command">mgr-actions-control</span> options</b></p><div class="table-contents"><table summary="mgr-actions-control options" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Option</th><th>Description</th></tr></thead><tbody><tr><td>--enable-deploy</td><td>Allow mgrcfg-client to deploy files.</td></tr><tr><td>--enable-diff</td><td>Allow mgrcfg-client to diff files.</td></tr><tr><td>--enable-upload</td><td>Allow mgrcfg-client to upload files.</td></tr><tr><td>--enable-mtime-upload</td><td>Allow mgrcfg-client to upload mtime.</td></tr><tr><td>--enable-all</td><td>Allow mgrcfg-client to do everything.</td></tr><tr><td>--enable-run</td><td>Enable script run.</td></tr><tr><td>--disable-deploy</td><td>Disable deployment.</td></tr><tr><td>--disable-diff</td><td>Disable diff</td></tr><tr><td>--disable-upload</td><td>Disable upload</td></tr><tr><td>--disable-mtime-upload</td><td>Disable mtime upload</td></tr><tr><td>--disable-all</td><td>Disable all options</td></tr><tr><td>--disable-run</td><td>Disable script run.</td></tr><tr><td>--report</td><td>Report whether the modes are enabled or
                    disabled.</td></tr><tr><td>-f, --force</td><td>Force the operation without asking
                    first.</td></tr><tr><td>-h, --help</td><td>Show help message and exit.</td></tr></tbody></table></div></div><br class="table-break" /><p>
    Once a mode is set—and for many, <span class="command"><strong>mgr-actions-control
    --enable-all</strong></span> is common—your system is now ready for config
    management through SUSE Manager.
   </p></div></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-cobbler-koan.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="index.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-cli-config-client.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">6.6. Using Koan </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> A.2. Configuration Client</td></tr></table></div></body></html>
