<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Appendix B. SUSE Manager API Access</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="index.jsp" title="Reference Guide" /><link rel="prev" href="s1-cli-config-mgr.jsp" title="A.3. Configuration Manager" /><link rel="next" href="s1-rhn-api-systemid.jsp" title="B.2. Obtaining the system_id" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Appendix B. SUSE Manager API Access</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-cli-config-mgr.jsp">Prev</a> </td><th width="60%" align="center">Reference Guide</th><td width="20%" align="right"> <a accesskey="n" href="s1-rhn-api-systemid.jsp">Next</a></td></tr></table><hr /></div><div class="appendix" title="Appendix B. SUSE Manager API Access"><div class="titlepage"><div><div><h2 class="title"><a id="ap-rhn-api-access"></a>Appendix B. SUSE Manager API Access</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ap-rhn-api-access.jsp#s1-rhn-api-auth">B.1. Using the auth Class and Getting the Session</a></span></dt><dt><span class="section"><a href="s1-rhn-api-systemid.jsp">B.2. Obtaining the system_id</a></span></dt><dt><span class="section"><a href="s1-rhn-api-sid.jsp">B.3. Determining the sid</a></span></dt><dt><span class="section"><a href="s1-rhn-api-cid.jsp">B.4. Viewing the cid</a></span></dt><dt><span class="section"><a href="s1-rhn-api-sgid.jsp">B.5. Getting the sgid</a></span></dt><dt><span class="section"><a href="s1-rhn-api-channel-labels.jsp">B.6. Channel Labels</a></span></dt><dt><span class="section"><a href="s1-rhn-api-script.jsp">B.7. Sample API Script</a></span></dt></dl></div><a id="id454905" class="indexterm"></a><p>
  In an effort to provide customers with added flexibility, SUSE Manager makes
  an application programming interface (API) available. This interface can
  be found by clicking <span class="guilabel">Help</span> at the top-right corner of
  the SUSE Manager website, then clicking <span class="guilabel">API</span> in the left
  navigation bar.
  

 </p><p>
  The SUSE Manager API is based upon XML-RPC, which allows distinct pieces of
  software on disparate systems to make remote procedure calls using XML
  over HTTP. For this reason, any calls you make are expected to meet the
  constraints of XML-RPC. You can find out more at
  <a class="ulink" href="http://www.xmlrpc.com/" target="_top">http://www.xmlrpc.com/</a>.
 </p><p>
  This section bypasses a list of available methods and classes in favor of
  tips for using the API efficiently. These include steps for determining
  required values and a sample script that makes some of the calls.
 </p><div class="section" title="B.1. Using the auth Class and Getting the Session"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-rhn-api-auth"></a>B.1. Using the auth Class and Getting the Session<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-rhn-api-auth">¶</a></span></h2></div></div></div><p>
   It is worth noting that you will almost invariably use the auth class
   first. This class offers a single method, login. Use this to establish an
   SUSE Manager session. It requires values for three parameters: username,
   password, and duration. The first two come directly from your SUSE Manager
   account, while the third is the length of time the session should last in
   seconds, typically 1200. It returns a session string than can be used in
   all other methods.
  </p></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-cli-config-mgr.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="index.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-rhn-api-systemid.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">A.3. Configuration Manager </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> B.2. Obtaining the system_id</td></tr></table></div></body></html>
