<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Chapter 4. Monitoring</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="index.jsp" title="Reference Guide" /><link rel="prev" href="s1-sm-help.jsp" title="3.12. Help" /><link rel="next" href="s1-mon-rhnmd.jsp" title="4.2. SUSE Manager Monitoring Daemon (rhnmd)" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 4. Monitoring</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-sm-help.jsp">Prev</a> </td><th width="60%" align="center">Reference Guide</th><td width="20%" align="right"> <a accesskey="n" href="s1-mon-rhnmd.jsp">Next</a></td></tr></table><hr /></div><div class="chapter" title="Chapter 4. Monitoring"><div class="titlepage"><div><div><h2 class="title"><a id="ch-monitoring"></a>Chapter 4. Monitoring</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch-monitoring.jsp#s1-mon-prereqs">4.1. Prerequisites</a></span></dt><dt><span class="section"><a href="s1-mon-rhnmd.jsp">4.2. SUSE Manager Monitoring Daemon (rhnmd)</a></span></dt><dd><dl><dt><span class="section"><a href="s1-mon-rhnmd.jsp#s2-mon-rhnmd-probes">4.2.1. Probes requiring the daemon</a></span></dt><dt><span class="section"><a href="s1-mon-rhnmd.jsp#s2-mon-rhnmd-install">4.2.2. Installing the SUSE Manager Monitoring Daemon</a></span></dt><dt><span class="section"><a href="s1-mon-rhnmd.jsp#s2-mon-rhnmd-sshd">4.2.3. Configuring SSH</a></span></dt><dt><span class="section"><a href="s1-mon-rhnmd.jsp#s2-mon-rhnmd-ssh">4.2.4. Installing the SSH key</a></span></dt></dl></dd><dt><span class="section"><a href="s1-mon-mysql.jsp">4.3. mysql package</a></span></dt><dt><span class="section"><a href="s1-mon-notifs.jsp">4.4. Notifications</a></span></dt><dd><dl><dt><span class="section"><a href="s1-mon-notifs.jsp#s2-mon-notifs-methods">4.4.1. Creating Notification Methods</a></span></dt><dt><span class="section"><a href="s1-mon-notifs.jsp#s2-mon-notifs-acks">4.4.2. Receiving Notifications</a></span></dt><dt><span class="section"><a href="s1-mon-notifs.jsp#s2-mon-notifs-redirs">4.4.3. Redirecting Notifications</a></span></dt><dt><span class="section"><a href="s1-mon-notifs.jsp#s2-mon-notifs-filters">4.4.4. Filtering Notifications</a></span></dt><dt><span class="section"><a href="s1-mon-notifs.jsp#s2-mon-notifs-delete">4.4.5. Deleting Notification Methods</a></span></dt></dl></dd><dt><span class="section"><a href="s1-mon-probes.jsp">4.5. Probes</a></span></dt><dd><dl><dt><span class="section"><a href="s1-mon-probes.jsp#s2-mon-probes-manage">4.5.1. Managing Probes</a></span></dt><dt><span class="section"><a href="s1-mon-probes.jsp#s2-mon-probes-thresholds">4.5.2. Establishing Thresholds</a></span></dt><dt><span class="section"><a href="s1-mon-probes.jsp#s2-mon-probes-rhnserver">4.5.3. Monitoring the SUSE Manager Server</a></span></dt></dl></dd><dt><span class="section"><a href="s1-mon-trouble.jsp">4.6. Troubleshooting</a></span></dt><dd><dl><dt><span class="section"><a href="s1-mon-trouble.jsp#s2-mon-trouble-catalog">4.6.1. Examining Probes with rhn-catalog</a></span></dt><dt><span class="section"><a href="s1-mon-trouble.jsp#s2-mon-trouble-runprobe">4.6.2. Viewing the output of rhn-runprobe</a></span></dt></dl></dd></dl></div><a id="id431403" class="indexterm"></a><a id="id431414" class="indexterm"></a><p>
  The entitlement allows you to perform a whole host of actions designed to
  keep your systems running properly and efficiently. With it, you can keep
  close watch on system resources, network services, databases, and both
  standard and custom applications.
 </p><p>
  Monitoring provides both real-time and historical state-change
  information, as well as specific metric data. You are not only notified of
  failures immediately and warned of performance degradation before it
  becomes critical, but you are also given the information necessary to
  conduct capacity planning and event correlation. For instance, the results
  of a probe recording CPU usage across systems would prove invaluable in
  balancing loads on those systems.
 </p><p>
  Monitoring entails establishing notification methods, installing probes on
  systems, regularly reviewing the status of all probes, and generating
  reports displaying historical data for a system or service. This chapter
  seeks to identify common tasks associated with the Monitoring entitlement.
  Remember, virtually all changes affecting your Monitoring infrastructure
  must be finalized by updating your configuration, through the
  <span class="guilabel">Scout Config Push</span> page.
 </p><div class="section" title="4.1. Prerequisites"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-mon-prereqs"></a>4.1. Prerequisites<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-mon-prereqs">¶</a></span></h2></div></div></div><a id="id401458" class="indexterm"></a><p>
   Before attempting to implement monitoring within your infrastructure,
   ensure you have all of the necessary tools in place. At a minimum, you
   need:
  </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
     Monitoring entitlements — These entitlements are required for all
     systems that are to be monitored. Monitoring is supported only on SUSE Linux Enterprise
     systems.
    </p></li><li class="listitem"><p>
     SUSE Manager with monitoring — Monitoring systems must be connected to
     SUSE Manager with a base operating system of SUSE Linux Enterprise 11 Refer to the
     SUSE Manager Installation Guide within <span class="guilabel">Help</span> for
     installation instructions.
    </p></li><li class="listitem"><p>
     Monitoring administrator — This role must be granted to users
     installing probes, creating notification methods, or altering the
     monitoring infrastructure in any way. (Remember, the SUSE Manager
     administrator automatically inherits the abilities of all other roles
     within an organization and can therefore conduct these tasks.). Assign
     this role through the <span class="guilabel">User Details</span> page for the
     user.
    </p></li><li class="listitem"><p>
     SUSE Manager monitoring daemon — This daemon, along with the SSH key for
     the scout, is required on systems that are monitored in order for the
     internal process monitors to be executed. You may, however, be able to
     run these probes using the systems' existing SSH daemon
     (<code class="filename">sshd</code>). Refer to <a class="xref" href="s1-mon-rhnmd.jsp" title="4.2. SUSE Manager Monitoring Daemon (rhnmd)">Section 4.2, “SUSE Manager Monitoring Daemon (rhnmd)”</a>
     for installation instructions and a quick list of probes requiring this
     secure connection. Refer to <a class="xref" href="ap-probes-monitoring.jsp" title="Appendix C. Probes">Appendix C, <i>Probes</i></a> for
     the complete list of available probes.
    </p></li></ul></div></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-sm-help.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="index.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-mon-rhnmd.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">3.12. Help </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 4.2. SUSE Manager Monitoring Daemon (rhnmd)</td></tr></table></div></body></html>
