<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>Chapter 2. SUSE Manager Daemon</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="index.jsp" title="Reference Guide" /><link rel="prev" href="ch-up2date.jsp" title="1.3. Red Hat Update Agent (RHEL 4)" /><link rel="next" href="s1-rhnsd-status.jsp" title="2.2. Viewing Status" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">Chapter 2. SUSE Manager Daemon</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch-up2date.jsp">Prev</a> </td><th width="60%" align="center">Reference Guide</th><td width="20%" align="right"> <a accesskey="n" href="s1-rhnsd-status.jsp">Next</a></td></tr></table><hr /></div><div class="chapter" title="Chapter 2. SUSE Manager Daemon"><div class="titlepage"><div><div><h2 class="title"><a id="ch-rhnsd"></a>Chapter 2. SUSE Manager Daemon</h2></div></div></div><div class="toc"><p><b>Table of Contents</b></p><dl><dt><span class="section"><a href="ch-rhnsd.jsp#s1-rhnsd-config">2.1. Configuring</a></span></dt><dt><span class="section"><a href="s1-rhnsd-status.jsp">2.2. Viewing Status</a></span></dt><dt><span class="section"><a href="s1-rhnsd-disable.jsp">2.3. Disabling Service</a></span></dt><dt><span class="section"><a href="s1-rhnsd-trouble.jsp">2.4. Troubleshooting</a></span></dt></dl></div><a id="id390644" class="indexterm"></a><a id="id445798" class="indexterm"></a><a id="id343468" class="indexterm"></a><p>
  The SUSE Manager daemon (<span class="command"><strong>rhnsd</strong></span>) runs on the client
  systems and periodically connects to SUSE Manager to check for updates
  and notifications. The daemon, which runs in the background, is
  typically started from the <span class="command"><strong>rcrhnsd</strong></span> initialization
  script.
 </p><p>
  To check for updates, <span class="command"><strong>rhnsd</strong></span> runs the external
  <span class="command"><strong>mgr_check</strong></span> program located in
  <code class="filename">/usr/sbin/</code>. This is a small application that
  makes the network connection to SUSE Manager. The SUSE Manager daemon does
  not listen on any network ports or talk to the network directly. All
  network activity is done via the <span class="command"><strong>mgr_check</strong></span> utility.
 </p><div class="section" title="2.1. Configuring"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-rhnsd-config"></a>2.1. Configuring<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-rhnsd-config">¶</a></span></h2></div></div></div><a id="id420563" class="indexterm"></a><p>
   The SUSE Manager daemon can be configured by editing the
   <code class="filename">/etc/sysconfig/rhn/rhnsd</code> configuration file. This is
   actually the configuration file the <span class="command"><strong>rhnsd</strong></span>
   initialization script uses. The most important setting offered by the
   daemon is its check-in frequency. The default interval time is four hours
   (240 minutes). If you modify the configuration file, you must (as
   <code class="systemitem">root</code>)
   restart the daemon with the command <span class="command"><strong>rcrhnsd</strong></span>
   <code class="option">restart</code>.
  </p><div class="important" title="Important" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Important</h3><p>
    The minimum time interval allowed is one hour (60 minutes). If you set
    the interval below one hour, it will default to four hours (240
    minutes).
   </p></div></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="ch-up2date.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="index.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-rhnsd-status.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">1.3. Red Hat Update Agent (RHEL 4) </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 2.2. Viewing Status</td></tr></table></div></body></html>
