<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>6.3. Adding a Profile to Cobbler</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-cobbler.jsp" title="Chapter 6. Cobbler" /><link rel="prev" href="s1-cobbler-adddistro.jsp" title="6.2. Adding a Distribution to Cobbler" /><link rel="next" href="s1-cobbler-addsystem.jsp" title="6.4. Adding a System to Cobbler" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">6.3. Adding a Profile to Cobbler</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-cobbler-adddistro.jsp">Prev</a> </td><th width="60%" align="center">Chapter 6. Cobbler</th><td width="20%" align="right"> <a accesskey="n" href="s1-cobbler-addsystem.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="6.3. Adding a Profile to Cobbler"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-cobbler-addprofile"></a>6.3. Adding a Profile to Cobbler<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-cobbler-addprofile">¶</a></span></h2></div></div></div><p>
   Once you have configured a distribution to Cobbler, you can then add
   profiles to Cobbler.
  </p><p>
   Cobbler profiles associate a distribution to additional options, like
   AutoYaST/Kickstart files. Profiles are the core unit of provisioning and
   there must be at least one Cobbler profile for every distribution added.
   For example, two profiles might be created for a web server and a desktop
   configuration. While both profiles use the same distro, the profiles are
   for different installation types.
  </p><p>
   For information about creating and configuring Kickstart and AutoYaST
   profiles from the SUSE Manager interface, refer to
   <a class="xref" href="s1-sm-systems.jsp#s3-system-ks-list-profiles" title="3.4.9.3. Autoinstallation Profiles (Kickstart and AutoYaST)">Section 3.4.9.3, “Autoinstallation Profiles (Kickstart and AutoYaST)”</a>.
  </p><p>
   The usage of <span class="command"><strong>cobbler</strong></span> to create profiles from the
   command line is as follows:
  </p><pre class="screen">cobbler profile add --name=string --distro=string [--kickstart=url] [--virt-file-size=gigabytes] [--virt-ram=megabytes]</pre><p>
   The <code class="option">--name=<em class="replaceable"><code>string</code></em></code> is the
   unique label for the profile, such as <code class="literal">sles11webserver</code>
   or <code class="literal">sles11workstation</code>.
  </p><p>
   The <code class="option">--distro=<em class="replaceable"><code>string</code></em></code> option
   specifes the distribution that will be used for this particular profile.
   Distributions were added in <a class="xref" href="s1-cobbler-adddistro.jsp" title="6.2. Adding a Distribution to Cobbler">Section 6.2, “Adding a Distribution to Cobbler”</a>.
  </p><p>
   The <code class="option">--kickstart=<em class="replaceable"><code>url</code></em></code> option
   specifies the location of the Kickstart file (if available).
  </p><p>
   The
   <code class="option">--virt-file-size=<em class="replaceable"><code>gigabytes</code></em></code>
   option allows you to set the size of the virtual guest file image. The
   default is 5 gigabytes if left unspecified.
  </p><p>
   The <code class="option">--virt-ram=<em class="replaceable"><code>megabytes</code></em></code>
   option specifies how many megabytes of physical RAM that a virtual guest
   system can consume. The default is 512 megabytes if left unspecified.
  </p></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-cobbler-adddistro.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-cobbler.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-cobbler-addsystem.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">6.2. Adding a Distribution to Cobbler </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 6.4. Adding a System to Cobbler</td></tr></table></div></body></html>
