<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>6.4. Adding a System to Cobbler</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-cobbler.jsp" title="Chapter 6. Cobbler" /><link rel="prev" href="s1-cobbler-addprofile.jsp" title="6.3. Adding a Profile to Cobbler" /><link rel="next" href="s1-cobbler-templates.jsp" title="6.5. Cobbler Templates" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">6.4. Adding a System to Cobbler</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-cobbler-addprofile.jsp">Prev</a> </td><th width="60%" align="center">Chapter 6. Cobbler</th><td width="20%" align="right"> <a accesskey="n" href="s1-cobbler-templates.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="6.4. Adding a System to Cobbler"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-cobbler-addsystem"></a>6.4. Adding a System to Cobbler<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-cobbler-addsystem">¶</a></span></h2></div></div></div><p>
   Once the distributions and profiles for Cobbler have been created, you
   can next add systems to Cobbler. System records map a piece of hardware
   on a client with the cobbler profile assigned to run on it.
  </p><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
    If you are provisioning via <span class="command"><strong>koan</strong></span> and PXE menus alone,
    it is not required to create system records, though they are useful when
    system-specific Kickstart templating is required or to establish that a
    specific system should always recieve a specific content installed. If
    there is a specific role inteded for a specified client, system records
    should be created for it.
   </p></div><p>
   For information about creating and configuring automated installation
   from the SUSE Manager interface, refer to
   <a class="xref" href="s1-sm-systems.jsp#s4-sm-system-details-kick" title="3.4.2.9.4. System Details+Provisioning — [Prov]">Section 3.4.2.9.4, “<span class="guimenu">System Details</span>+<span class="guimenu">Provisioning</span> — [Prov]”</a>.
  </p><p>
   The following command adds a system to the Cobbler configuration:
  </p><pre class="screen">cobbler system add --name=string --profile=string --mac=AA:BB:CC:DD:EE:FF</pre><p>
   The <code class="option">--name=<em class="replaceable"><code>string</code></em></code> is the
   unique label for the system, such as
   <strong class="userinput"><code>engineeringserver</code></strong> or
   <strong class="userinput"><code>frontofficeworkstation</code></strong>.
  </p><p>
   The <code class="option">--profile=<em class="replaceable"><code>string</code></em></code>
   specifies one of the profile names added in
   <a class="xref" href="s1-cobbler-addprofile.jsp" title="6.3. Adding a Profile to Cobbler">Section 6.3, “Adding a Profile to Cobbler”</a>.
  </p><p>
   The <code class="option">--mac=<em class="replaceable"><code>AA:BB:CC:DD:EE:FF</code></em></code>
   option allows systems with the specified MAC address to automatically be
   provisioned to the profile associated with the system record if they are
   being installed.
  </p><p>
   For more options, such as setting hostname or IP addresses, refer to the
   Cobbler manpage by typing <span class="command"><strong>man cobbler</strong></span> at a shell
   prompt.
  </p></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-cobbler-addprofile.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-cobbler.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-cobbler-templates.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">6.3. Adding a Profile to Cobbler </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 6.5. Cobbler Templates</td></tr></table></div></body></html>
