<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>5.5. Configuring Systems in an Organization</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-multiorg.jsp" title="Chapter 5. Multiple Organizations" /><link rel="prev" href="s1-admin-orgs-details-subs.jsp" title="5.4. Managing Entitlements" /><link rel="next" href="s1-sattools-orgs-trust.jsp" title="5.6. Organizational Trusts" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">5.5. Configuring Systems in an Organization</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-admin-orgs-details-subs.jsp">Prev</a> </td><th width="60%" align="center">Chapter 5. Multiple Organizations</th><td width="20%" align="right"> <a accesskey="n" href="s1-sattools-orgs-trust.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="5.5. Configuring Systems in an Organization"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-multiorg-systems"></a>5.5. Configuring Systems in an Organization<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-multiorg-systems">¶</a></span></h2></div></div></div><p>
   Now that an organization has been created and requisite entitlements
   assigned to it, you can then assign systems to each organization.
  </p><p>
   There are two basic ways to register a system with a particular
   organization:
  </p><div class="orderedlist"><ol class="orderedlist" type="1"><li class="listitem"><p>
     Registering Using Login and Password — If you provide a login and
     password created for a specified organization, the system will be
     registered with that organization. For example, if
     <strong class="userinput"><code>user-123</code></strong> is a member of the <span class="guilabel">Central
     IT</span> organization on SUSE Manager, the following command on any
     system would register that system with the <span class="guilabel">Central
     IT</span> organization on your SUSE Manager:
    </p><pre class="screen">mgrreg_ks --username=user-123 --password=foobaz</pre><div class="note" title="Note" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Note</h3><p>
      The <em class="parameter"><code>--orgid</code></em>

      and <em class="parameter"><code>--orgpassword</code></em>

      parameters in <span class="command"><strong>mgrreg_ks</strong></span> are <span class="emphasis"><em>not
      related</em></span> to SUSE Manager registration or SUSE Manager's multiple
      organizations support.
     </p></div></li><li class="listitem"><p>
     Registering Using An Activation Key — You can also register a system
     with an organization using an activation key from the organization.
     Activation keys will register systems with the organization in which the
     activation key was created. Activation keys are a good registration
     method to use if you want to allow users to register systems with an
     organization without providing them login access to that organization.
     If you want to move systems between organizations, you may also
     automate the move with scripts using the activation keys.
    </p></li></ol></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-admin-orgs-details-subs.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-multiorg.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-sattools-orgs-trust.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">5.4. Managing Entitlements </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 5.6. Organizational Trusts</td></tr></table></div></body></html>
