<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>C.10. SUSE Manager</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ap-probes-monitoring.jsp" title="Appendix C. Probes" /><link rel="prev" href="s1-probes-oracle.jsp" title="C.9. Oracle 8i, 9i, 10g, and 11g" /><link rel="next" href="app.manager.ref.about.jsp" title="Appendix D. About SUSE Manager and Spacewalk" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">C.10. SUSE Manager</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-probes-oracle.jsp">Prev</a> </td><th width="60%" align="center">Appendix C. Probes</th><td width="20%" align="right"> <a accesskey="n" href="app.manager.ref.about.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="C.10. SUSE Manager"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-probes-sat"></a>C.10. SUSE Manager<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-probes-sat">¶</a></span></h2></div></div></div><a id="id330055" class="indexterm"></a><a id="id330066" class="indexterm"></a><p>
   The probes in this section may be applied to the SUSE Manager itself to
   monitor its health and performance. Since these probes run locally, no
   specific application or transport protocols are required.
  </p><div class="section" title="C.10.1. SUSE Manager::Disk Space"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-sat-disk-space"></a>C.10.1. SUSE Manager::Disk Space<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-sat-disk-space">¶</a></span></h3></div></div></div><a id="id330091" class="indexterm"></a><a id="id480447" class="indexterm"></a><p>
    The SUSE Manager::Disk Space probe monitors the free disk space on a
    SUSE Manager and collects the following metrics:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      File System Used — The percent of the current file system now in
      use.
     </p></li><li class="listitem"><p>
      Space Used — The file size used by the current file system.
     </p></li><li class="listitem"><p>
      Space Available — The file size available to the current file
      system.
     </p></li></ul></div><div class="table"><a id="id480491"></a><p class="title"><b>Table C.63. SUSE Manager::Disk Space settings</b></p><div class="table-contents"><table summary="SUSE Manager::Disk Space settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Device Pathname*</td><td>/dev/hda1</td></tr><tr><td>Critical Maximum File System Used</td><td> </td></tr><tr><td>Warning Maximum File System Used</td><td> </td></tr><tr><td>Critical Maximum Space Used</td><td> </td></tr><tr><td>Warning Maximum Space Used</td><td> </td></tr><tr><td>Critical Maximum Space Available</td><td> </td></tr><tr><td>Warning Maximum Space Available</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.10.2. SUSE Manager::Execution Time"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-sat-exec-time"></a>C.10.2. SUSE Manager::Execution Time<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-sat-exec-time">¶</a></span></h3></div></div></div><a id="id480603" class="indexterm"></a><a id="id480614" class="indexterm"></a><p>
    The SUSE Manager::Execution Time probe monitors the execution time for
    probes run from a SUSE Manager and collects the following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Probe Execution Time Average — The seconds required to fully execute
      a probe.
     </p></li></ul></div><div class="table"><a id="id480643"></a><p class="title"><b>Table C.64. SUSE Manager::Execution Time settings</b></p><div class="table-contents"><table summary="SUSE Manager::Execution Time settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Critical Maximum Probe Execution Time
                    Average</td><td> </td></tr><tr><td>Warning Maximum Probe Execution Time
                    Average</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.10.3. SUSE Manager::Interface Traffic"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-sat-interface"></a>C.10.3. SUSE Manager::Interface Traffic<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-sat-interface">¶</a></span></h3></div></div></div><a id="id480703" class="indexterm"></a><a id="id480714" class="indexterm"></a><p>
    The SUSE Manager::Interface Traffic probe monitors the interface traffic on
    a SUSE Manager and collects the following metrics:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Input Rate — The amount of traffic in bytes per second the device
      receives.
     </p></li><li class="listitem"><p>
      Output Rate — The amount of traffic in bytes per second the device
      sends.
     </p></li></ul></div><div class="table"><a id="id480751"></a><p class="title"><b>Table C.65. SUSE Manager::Interface Traffic settings</b></p><div class="table-contents"><table summary="SUSE Manager::Interface Traffic settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Interface*</td><td>eth0</td></tr><tr><td>Timeout (seconds)*</td><td>30</td></tr><tr><td>Critical Maximum Input Rate</td><td> </td></tr><tr><td>Critical Maximum Output Rate</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.10.4. SUSE Manager::Latency"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-sat-latency"></a>C.10.4. SUSE Manager::Latency<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-sat-latency">¶</a></span></h3></div></div></div><a id="id480834" class="indexterm"></a><a id="id480845" class="indexterm"></a><p>
    The SUSE Manager::Latency probe monitors the latency of probes on SUSE Manager
    and collects the following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Probe Latency Average — The lag in seconds between the time a probe
      becomes ready to run and the time it is actually run. Under normal
      conditions, this is generally less than a second. When SUSE Manager is
      overloaded (because it has too many probes with respect to their
      average execution time), the number goes up.
     </p></li></ul></div><div class="table"><a id="id480875"></a><p class="title"><b>Table C.66. SUSE Manager::Latency settings</b></p><div class="table-contents"><table summary="SUSE Manager::Latency settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Critical Maximum Probe Latency Average</td><td> </td></tr><tr><td>Warning Maximum Probe Latency Average</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.10.5. SUSE Manager::Load"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-sat-load"></a>C.10.5. SUSE Manager::Load<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-sat-load">¶</a></span></h3></div></div></div><a id="id480936" class="indexterm"></a><a id="id480947" class="indexterm"></a><p>
    The SUSE Manager::Load probe monitors the CPU load on a SUSE Manager and
    collects the following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Load — The load average on the CPU for a 1-, 5-, and 15-minute
      period.
     </p></li></ul></div><div class="table"><a id="id480976"></a><p class="title"><b>Table C.67. SUSE Manager::Load settings</b></p><div class="table-contents"><table summary="SUSE Manager::Load settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Critical Maximum 1-minute Average</td><td> </td></tr><tr><td>Warning Maximum 1-minute Average</td><td> </td></tr><tr><td>Critical Maximum 5-minute Average</td><td> </td></tr><tr><td>Warning Maximum 5-minute Average</td><td> </td></tr><tr><td>Critical Maximum 15-minute Average</td><td> </td></tr><tr><td>Warning Maximum 15-minute Average</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.10.6. SUSE Manager::Probe Count"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-sat-probe-count"></a>C.10.6. SUSE Manager::Probe Count<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-sat-probe-count">¶</a></span></h3></div></div></div><a id="id481077" class="indexterm"></a><a id="id481088" class="indexterm"></a><p>
    The SUSE Manager::Probe Count probe monitors the number of probes on
    SUSE Manager and collects the following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Probes — The number of individual probes running on SUSE Manager.
     </p></li></ul></div><div class="table"><a id="id481116"></a><p class="title"><b>Table C.68. SUSE Manager::Probe Count settings</b></p><div class="table-contents"><table summary="SUSE Manager::Probe Count settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Critical Maximum Probe Count</td><td> </td></tr><tr><td>Warning Maximum Probe Count</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.10.7. SUSE Manager::Process Counts"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-sat-process-counts"></a>C.10.7. SUSE Manager::Process Counts<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-sat-process-counts">¶</a></span></h3></div></div></div><a id="id481177" class="indexterm"></a><a id="id481188" class="indexterm"></a><p>
    The SUSE Manager::Process Counts probe monitors the number of processes on
    SUSE Manager and collects the following metrics:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Blocked — The number of processes that have been switched to the
      waiting queue and waiting state.
     </p></li><li class="listitem"><p>
      Child — The number of processes spawned by another process already
      running on the machine.
     </p></li><li class="listitem"><p>
      Defunct — The number of processes that have terminated (either
      because they have been killed by a signal or have called
      <span class="command"><strong>exit()</strong></span>) and whose parent processes have not yet
      received notification of their termination by executing some form of
      the <span class="command"><strong>wait()</strong></span> system call.
     </p></li><li class="listitem"><p>
      Stopped — The number of processes that have stopped before their
      executions could be completed.
     </p></li><li class="listitem"><p>
      Sleeping — A process that is in the <code class="option">Interruptible</code>
      sleep state and that can later be reintroduced into memory, resuming
      execution where it left off.
     </p></li></ul></div><div class="table"><a id="id481266"></a><p class="title"><b>Table C.69. SUSE Manager::Process Counts settings</b></p><div class="table-contents"><table summary="SUSE Manager::Process Counts settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Critical Maximum Blocked Processes</td><td> </td></tr><tr><td>Warning Maximum Blocked Processes</td><td> </td></tr><tr><td>Critical Maximum Child Processes</td><td> </td></tr><tr><td>Warning Maximum Child Processes</td><td> </td></tr><tr><td>Critical Maximum Defunct Processes</td><td> </td></tr><tr><td>Warning Maximum Defunct Processes</td><td> </td></tr><tr><td>Critical Maximum Stopped Processes</td><td> </td></tr><tr><td>Warning Maximum Stopped Processes</td><td> </td></tr><tr><td>Critical Maximum Sleeping Processes</td><td> </td></tr><tr><td>Warning Maximum Sleeping Processes</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.10.8. SUSE Manager::Processes"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-sat-processes"></a>C.10.8. SUSE Manager::Processes<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-sat-processes">¶</a></span></h3></div></div></div><a id="id499454" class="indexterm"></a><a id="id499465" class="indexterm"></a><p>
    The SUSE Manager::Processes probe monitors the number of processes on
    SUSE Manager and collects the following metric:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Processes — The number of processes running simultaneously on the
      machine.
     </p></li></ul></div><div class="table"><a id="id499494"></a><p class="title"><b>Table C.70. SUSE Manager::Processes settings</b></p><div class="table-contents"><table summary="SUSE Manager::Processes settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Critical Maximum Processes</td><td> </td></tr><tr><td>Warning Maximum Processes</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.10.9. SUSE Manager::Process Health"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-sat-process-health"></a>C.10.9. SUSE Manager::Process Health<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-sat-process-health">¶</a></span></h3></div></div></div><a id="id499555" class="indexterm"></a><a id="id499566" class="indexterm"></a><p>
    The SUSE Manager::Process Health probe monitors customer-specified
    processes and collects the following metrics:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      CPU Usage — The CPU usage percent for a given process.
     </p></li><li class="listitem"><p>
      Child Process Groups — The number of child processes spawned from
      the specified parent process. A child process inherits most of its
      attributes, such as open files, from its parent.
     </p></li><li class="listitem"><p>
      Threads — The number of running threads for a given process. A
      thread is the basic unit of CPU utilization, and consists of a program
      counter, a register set, and a stack space. A thread is also called a
      lightweight process.
     </p></li><li class="listitem"><p>
      Physical Memory Used — The amount of physical memory in kilobytes
      being used by the specified process.
     </p></li><li class="listitem"><p>
      Virtual Memory Used — The amount of virtual memory in kilobytes
      being used by the specified process, or the size of the process in
      real memory plus swap.
     </p></li></ul></div><p>
    Specify the process by its command name or process ID. (PID). Entering a
    PID overrides the entry of a command name. If no command name or PID is
    entered, the error <code class="computeroutput">Command not found</code> is
    displayed and the probe is set to a CRITICAL state.
   </p><div class="table"><a id="id499640"></a><p class="title"><b>Table C.71. SUSE Manager::Process Health settings</b></p><div class="table-contents"><table summary="SUSE Manager::Process Health settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Command Name</td><td> </td></tr><tr><td>Process ID (PID) file</td><td> </td></tr><tr><td>Timeout*</td><td>15</td></tr><tr><td>Critical Maximum CPU Usage</td><td> </td></tr><tr><td>Warning Maximum CPU Usage</td><td> </td></tr><tr><td>Critical Maximum Child Process Groups</td><td> </td></tr><tr><td>Warning Maximum Child Process Groups</td><td> </td></tr><tr><td>Critical Maximum Threads</td><td> </td></tr><tr><td>Warning Maximum Threads</td><td> </td></tr><tr><td>Critical Maximum Physical Memory Used</td><td> </td></tr><tr><td>Warning Maximum Physical Memory Used</td><td> </td></tr><tr><td>Critical Maximum Virtual Memory Used</td><td> </td></tr><tr><td>Warning Maximum Virtual Memory Used</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.10.10. SUSE Manager::Process Running"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-sat-process-running"></a>C.10.10. SUSE Manager::Process Running<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-sat-process-running">¶</a></span></h3></div></div></div><a id="id499812" class="indexterm"></a><a id="id499823" class="indexterm"></a><p>
    The SUSE Manager::Process Running probe verifies that the specified process
    is running. Specify the process by its command name or process ID.
    (PID). Entering a PID overrides the entry of a command name. A Critical
    status results if the probe cannot verify the command or PID.
   </p><div class="table"><a id="id499842"></a><p class="title"><b>Table C.72. SUSE Manager::Process Running settings</b></p><div class="table-contents"><table summary="SUSE Manager::Process Running settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Command Name</td><td> </td></tr><tr><td>Process ID (PID) file</td><td> </td></tr><tr><td>Critical Number Running Maximum</td><td> </td></tr><tr><td>Critical Number Running Minimum</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.10.11. SUSE Manager::Swap"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-sat-swap"></a>C.10.11. SUSE Manager::Swap<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-sat-swap">¶</a></span></h3></div></div></div><a id="id499922" class="indexterm"></a><a id="id499933" class="indexterm"></a><p>
    The SUSE Manager::Swap probe monitors the percent of free swap space
    available on SUSE Manager. A CRITICAL status results if the value falls
    below the Critical threshold. A WARNING status results if the value
    falls below the Warning threshold.
   </p><div class="table"><a id="id499951"></a><p class="title"><b>Table C.73. SUSE Manager::Swap settings</b></p><div class="table-contents"><table summary="SUSE Manager::Swap settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Critical Minimum Swap Percent Free</td><td> </td></tr><tr><td>Warning Minimum Swap Percent Free</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div><div class="section" title="C.10.12. SUSE Manager::Users"><div class="titlepage"><div><div><h3 class="title"><a id="s2-probes-sat-users"></a>C.10.12. SUSE Manager::Users<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-probes-sat-users">¶</a></span></h3></div></div></div><a id="id500012" class="indexterm"></a><a id="id500023" class="indexterm"></a><p>
    The SUSE Manager::Users probe monitors the number of users currently logged
    into SUSE Manager. A CRITICAL status results if the value exceeds the
    Critical threshold. A WARNING status results if the value exceeds the
    Warning threshold.
   </p><div class="table"><a id="id500041"></a><p class="title"><b>Table C.74. SUSE Manager::Users settings</b></p><div class="table-contents"><table summary="SUSE Manager::Users settings" border="1"><colgroup><col /><col /></colgroup><thead><tr><th>Field</th><th>Value</th></tr></thead><tbody><tr><td>Critical Maximum Users</td><td> </td></tr><tr><td>Warning Maximum Users</td><td> </td></tr></tbody></table></div></div><br class="table-break" /></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-probes-oracle.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ap-probes-monitoring.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="app.manager.ref.about.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">C.9. Oracle 8i, 9i, 10g, and 11g </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> Appendix D. About SUSE Manager and Spacewalk</td></tr></table></div></body></html>
