<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>5.2. Admin+Organizations</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-multiorg.jsp" title="Chapter 5. Multiple Organizations" /><link rel="prev" href="ch-multiorg.jsp" title="Chapter 5. Multiple Organizations" /><link rel="next" href="s1-multiorg-creating.jsp" title="5.3. Creating an Organization" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">5.2. <span class="guilabel">Admin</span>+<span class="guilabel">Organizations</span></th></tr><tr><td width="20%" align="left"><a accesskey="p" href="ch-multiorg.jsp">Prev</a> </td><th width="60%" align="center">Chapter 5. Multiple Organizations</th><td width="20%" align="right"> <a accesskey="n" href="s1-multiorg-creating.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="5.2. Admin+Organizations"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-sattools-org"></a>5.2. <span class="guilabel">Admin</span>+<span class="guilabel">Organizations</span><span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-sattools-org">¶</a></span></h2></div></div></div><p>
   The <span class="guilabel">Organizations</span> Web interface allows
   administrators to view, create, and manage multiple organizations across
   SUSE Manager. Administrators can allocate software and system entitlements
   across various organizations, as well as control an organization's access
   to systems management tasks.
  </p><div class="figure"><a id="id393374"></a><p class="title"><b>Figure 5.3. Admin</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="444"><tr><td><img src="../../images/sattools-orgs.png" width="444" alt="Admin" /></td></tr></table></div></div></div><br class="figure-break" /><p>
   The <span class="guilabel">Organizations</span> page contains a listing of
   organizations across the SUSE Manager, with both user and system counts
   assigned to each organization. The <span class="guilabel">Organizations</span>
   page also features a <span class="guilabel">Trusts</span> page for any
   organizational trusts established. Refer to
   <a class="xref" href="s1-sattools-orgs-trust.jsp" title="5.6. Organizational Trusts">Section 5.6, “Organizational Trusts”</a> for more information about
   establishing organizational trusts.
  </p><div class="section" title="5.2.1. Admin+Organizations+Details"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sattools-org-details"></a>5.2.1. <span class="guilabel">Admin</span>+<span class="guilabel">Organizations</span>+<span class="guilabel">Details</span><span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sattools-org-details">¶</a></span></h3></div></div></div><p>
    Clicking on an organization displays the <span class="guilabel">Details</span>
    page, where administrators are provided a summary of various aspects of
    the organization.
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      <span class="guilabel">Active Users</span> — The number of users in the
      organization
     </p></li><li class="listitem"><p>
      <span class="guilabel">Systems</span> — The number of systems subscribed to
      the organization.
     </p></li><li class="listitem"><p>
      <span class="guilabel">System Groups</span> — The number of groups subscribed
      to the organization.
     </p></li><li class="listitem"><p>
      <span class="guilabel">Activation Keys</span> — The number of activation keys
      available to the organization.
     </p></li><li class="listitem"><p>
      <span class="guilabel">Autoinstallation Profiles</span> — The number of
       autoinstallation profiles available to the organization.
     </p></li><li class="listitem"><p>
      <span class="guilabel">Configuration Channels</span> — The number of
      Configuration Channels available to the organization.
     </p></li></ul></div><p>
    From this page, you can delete the organization by clicking the
    <span class="guilabel">Delete Organization</span> link.
   </p><p>
    The <span class="guilabel">Details</span> page also contains three subtabs:
    <span class="guilabel">Users</span>, <span class="guilabel">Subscriptions</span>, and
    <span class="guilabel">Trusts</span>.
   </p></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="ch-multiorg.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-multiorg.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-multiorg-creating.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">Chapter 5. Multiple Organizations </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 5.3. Creating an Organization</td></tr></table></div></body></html>
