<%@ page contentType="text/html; charset=UTF-8"%>
<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"><head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8" /><title>3.5. Patches</title><link rel="stylesheet" href="susebooks.css" type="text/css" /><meta name="generator" content="DocBook XSL Stylesheets V1.75.2" /><link rel="home" href="../../index.jsp" title="SUSE Manager Documentation" /><link rel="up" href="ch-rhn-workgroup.jsp" title="Chapter 3. SUSE Manager Web Interface" /><link rel="prev" href="s1-sm-systems.jsp" title="3.4. Systems" /><link rel="next" href="s1-sm-channels-packages.jsp" title="3.6. Channels" /></head><body><div class="navheader"><table width="100%" summary="Navigation header"><tr><th colspan="3" align="center">3.5. Patches</th></tr><tr><td width="20%" align="left"><a accesskey="p" href="s1-sm-systems.jsp">Prev</a> </td><th width="60%" align="center">Chapter 3. SUSE Manager Web Interface</th><td width="20%" align="right"> <a accesskey="n" href="s1-sm-channels-packages.jsp">Next</a></td></tr></table><hr /></div><div class="section" title="3.5. Patches"><div class="titlepage"><div><div><h2 class="title" style="clear: both"><a id="s1-sm-errata"></a>3.5. Patches<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s1-sm-errata">¶</a></span></h2></div></div></div><a id="id418388" class="indexterm"></a><a id="id418395" class="indexterm"></a><p>
  Select the <span class="guilabel">Patches</span> tab from the top navigation bar to
  track the availability and application of patches to your managed systems.
 </p><p>
  The first page to appear is the <span class="guilabel">Patches Overview</span>
  page. This page displays relevant patches, which apply to at least one
  system to which you have administrative access and that have not yet been
  applied.
 </p><div class="note" title="Receiving Patches for Your System" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Receiving Patches for Your System</h3><p>
   To receive an email when patches are issued for your system, go to
   <span class="guilabel">Overview</span>+<span class="guilabel">Your
   Preferences</span> and select <span class="guilabel">Receive email
   notifications</span>.
  </p></div><p>
  SUSE distinguishes three types of patches: security updates, bug fix
  updates, and enhancement updates. Each patch is comprised of a summary of
  the problem and a solution, including the RPM packages required to fix the
  problem.
 </p><p>
  Icons are used to identify the three types:
 </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
    <span class="inlinemediaobject"><img src="../../images/icon_security.png" /></span> — Security Updates available,
    <span class="emphasis"><em>strongly</em></span> recommended
   </p></li><li class="listitem"><p>
    <span class="inlinemediaobject"><img src="../../images/icon_bug.png" /></span> — Bug Fix Updates available, recommended
   </p></li><li class="listitem"><p>
    <span class="inlinemediaobject"><img src="../../images/icon_enhance.png" /></span> — Enhancement Updates available, optional
   </p></li></ul></div><p>
  A summary of each patch is provided in list form. This view instantly
  informs you of the type, severity (for security updates), and subject of
  the patch, as well as the number of affected systems.
 </p><p>
  In addition to the pages described within this chapter, you may view
  patches by product line at the following location:
  <a class="ulink" href="http://download.novell.com/patch/psdb/" target="_top">http://download.novell.com/patch/psdb/</a>.
  
  An RSS feed with security updates is available at
  <a class="ulink" href="http://www.novell.com/linux/security/suse_security.xml" target="_top">http://www.novell.com/linux/security/suse_security.xml</a>.
 </p><div class="section" title="3.5.1. Relevant Patches"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sm-applicable-errata"></a>3.5.1. Relevant Patches<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sm-applicable-errata">¶</a></span></h3></div></div></div><a id="id455266" class="indexterm"></a><a id="id381108" class="indexterm"></a><a id="id381118" class="indexterm"></a><p>
   The <span class="guilabel">Relevant Patches</span> page displays a customized list
   of patches that applies to your registered systems. The list provides a
   summary of each patch, including its type, severity (for security
   updates), advisory number, synopsis, systems affected, and date updated.
  </p><p>
   Clicking on <span class="guilabel">Advisory</span> takes you to the
   <span class="guilabel">Details</span> tab of the <span class="guilabel">Patch
   Details</span> page. Clicking on the number of associated systems
   takes you to the <span class="guilabel">Affected Systems</span> tab of the
   <span class="guilabel">Patch Details</span> page. Refer to
   <a class="xref" href="s1-sm-errata.jsp#s3-sm-errata-details" title="3.5.2.2. Patch Details">Section 3.5.2.2, “Patch Details”</a> for more information.
  </p></div><div class="section" title="3.5.2. All Patches"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sm-all-errata"></a>3.5.2. All Patches<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sm-all-errata">¶</a></span></h3></div></div></div><a id="id467779" class="indexterm"></a><a id="id467790" class="indexterm"></a><a id="id371927" class="indexterm"></a><p>
   The <span class="guilabel">All Patches</span> page displays a list of all patches
   released by SUSE. It works much the same as the <span class="guilabel">Relevant
   Patches</span> page in that clicking either
   <span class="guilabel">Advisory</span> or the number of systems affected takes you
   to related tabs of the <span class="guilabel">Patch Details</span> page. Refer to
   <a class="xref" href="s1-sm-errata.jsp#s3-sm-errata-details" title="3.5.2.2. Patch Details">Section 3.5.2.2, “Patch Details”</a> for more information.
  </p><div class="section" title="3.5.2.1. Apply Patches"><div class="titlepage"><div><div><h4 class="title"><a id="s3-sm-apply-errata"></a>3.5.2.1. Apply Patches<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-sm-apply-errata">¶</a></span></h4></div></div></div><a id="id384403" class="indexterm"></a><a id="id361056" class="indexterm"></a><p>
    Patches include a list of updated packages.

    To apply patches to a system, the system must be entitled.
    
   </p><p>
    Apply all applicable patches to a system by clicking on
    <span class="guilabel">Systems</span>+<span class="guilabel">Systems</span> in the top and left navigation
    bars. Click on the name of an entitled system, and click the
    <span class="guilabel">Patches</span> tab of the resulting <span class="guilabel">System
    Details</span> page. When the relevant patch list appears, click
    <span class="guibutton">Select All</span> and then <span class="guibutton">Apply
    Patches</span> on the bottom right-hand corner of the page. Only
    those patches that have not been scheduled, were scheduled and failed,
    or were canceled are listed. Updates already pending are excluded from
    the list.
   </p><p>
    In addition, management users can apply patches using two other methods:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      To apply a specific patch to one or more systems, find the update
      within the patch lists. In the table, click on the number of systems
      affected, which takes you to the <span class="guilabel">Affected Systems</span>
      tab of the <span class="guilabel">Patch Details</span> page. Select the
      individual systems to be updated and click the <span class="guibutton">Apply
      Patches</span> button. Double-check the systems to be updated on
      the confirmation page, then click the <span class="guibutton">Confirm</span>
      button.
     </p></li><li class="listitem"><p>
      To apply more than one patch to one or more systems, select the
      systems from a <span class="guilabel">Systems</span> list and click the
      <span class="guibutton">Update List</span> button. Click the <span class="guilabel">System
      Set Manager</span> link in the left navigation bar, then click the
      <span class="guilabel">Systems</span> tab. After ensuring the appropriate
      systems are selected, click the <span class="guilabel">Patch</span> tab, select
      the patches to apply, and click the <span class="guibutton">Apply Patch</span>
      button. You can select to apply the patch as soon as possible

      or schedule a date and time for the patch to occur. Then click the
      <span class="guibutton">Schedule Updates</span> button. You can follow the
      progress of the patch through the <span class="guilabel">Pending Actions</span>
      list. Refer to <a class="xref" href="s1-sm-actions.jsp" title="3.8. Schedule">Section 3.8, “Schedule”</a> for more details.
     </p></li></ul></div><div class="important" title="Important" style="margin-left: 0.5in; margin-right: 0.5in;"><h3 class="title">Important</h3><p>
     If you use scheduled package installation, the packages are installed
     via the SUSE Manager daemon. You must enable the SUSE Manager daemon on your
     systems. Refer to <a class="xref" href="ch-rhnsd.jsp" title="Chapter 2. SUSE Manager Daemon">Chapter 2, <i>SUSE Manager Daemon</i></a> for more details.
    </p></div><p>
    The following rules apply to patches:
   </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
      Each package is a member of one or more channels. If a selected system
      is not subscribed to a channel containing the package, the package
      will not be installed on that system.
     </p></li><li class="listitem"><p>
      If a newer version of the package is already on the system, the
      package will not be installed on that system.
     </p></li><li class="listitem"><p>
      If an older version of the package is installed, the package will be
      upgraded.
     </p></li></ul></div></div><div class="section" title="3.5.2.2. Patch Details"><div class="titlepage"><div><div><h4 class="title"><a id="s3-sm-errata-details"></a>3.5.2.2. Patch Details<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s3-sm-errata-details">¶</a></span></h4></div></div></div><a id="id450948" class="indexterm"></a><p>
    If you click on the advisory of a patch in the
    <span class="guilabel">Relevant</span> or <span class="guilabel">All</span> pages, its
    <span class="guilabel">Patch Details</span> page appears. This page is further
    divided into the following tabs:
   </p><div class="section" title="3.5.2.2.1. Patch Details+Details"><div class="titlepage"><div><div><h5 class="title"><a id="s4-sm-errata-details-details"></a>3.5.2.2.1. <span class="guimenu">Patch Details</span>+<span class="guimenu">Details</span><span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s4-sm-errata-details-details">¶</a></span></h5></div></div></div><p>
     
     This subtab displays the patch report issued by SUSE. It provides a
     synopsis of the patch first, including the severity (for security
     updates), issue date, and any update dates. This is followed by brief
     and detailed descriptions of the patch and the steps required to
     resolve the issue.
    </p><p>
     Below the <span class="guilabel">Affected Channels</span> label, all channels
     that contain the affected package are listed. Clicking on a channel
     name displays the <span class="guilabel">Packages</span> subtab of the
     <span class="guilabel">Channel Details</span> page for that channel. Refer to
     <a class="xref" href="s1-sm-channels-packages.jsp#s3-sm-channel-details" title="3.6.1.9. Software Channel Details">Section 3.6.1.9, “Software Channel Details”</a> for more information.
    </p><p>
     Security updates list the specific vulnerability as tracked by
     <a class="ulink" href="http://cve.mitre.org" target="_top">http://cve.mitre.org</a>. This information is listed below
     the <span class="guilabel">CVEs</span> label.
    </p><p>

     OVAL is an open vulnerability and assessment language promoted by
     Mitre, <a class="ulink" href="http://oval.mitre.org" target="_top">http://oval.mitre.org</a>. Clicking on the link below
     the <span class="guilabel">Oval</span> label downloads this information to your
     system. More useful is the collected Novell/SUSE Linux security
     updates on <a class="ulink" href="http://support.novell.com/security/cve/" target="_top">http://support.novell.com/security/cve/</a>.
    </p></div><div class="section" title="3.5.2.2.2. Patch Details+Packages"><div class="titlepage"><div><div><h5 class="title"><a id="s4-sm-errata-details-packages"></a>3.5.2.2.2. <span class="guimenu">Patch Details</span>+<span class="guimenu">Packages</span><span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s4-sm-errata-details-packages">¶</a></span></h5></div></div></div><p>
     This subtab provides links to each of the updated RPMs broken down by
     channel. Clicking on the name of a package displays its
     <span class="guilabel">Package Details</span> page.
    </p></div><div class="section" title="3.5.2.2.3. Patch Details+Affected Systems"><div class="titlepage"><div><div><h5 class="title"><a id="s4-sm-errata-details-systems"></a>3.5.2.2.3. <span class="guimenu">Patch Details</span>+<span class="guimenu">Affected Systems</span><span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s4-sm-errata-details-systems">¶</a></span></h5></div></div></div><p>
     This subtab lists systems affected by the patches. You can apply
     updates here. (See <a class="xref" href="s1-sm-errata.jsp#s3-sm-apply-errata" title="3.5.2.1. Apply Patches">Section 3.5.2.1, “Apply Patches”</a>.) Clicking on
     the name of a system takes you to its <span class="guilabel">System
     Details</span> page. Refer to
     <a class="xref" href="s1-sm-systems.jsp#s3-sm-system-details" title="3.4.2.9. System Details">Section 3.4.2.9, “System Details”</a> for more information.
    </p><p>
     To help users determine whether an update has been scheduled, a Status
     column exists within the affected systems table. Possible values are:
     None, Pending, Picked Up, Completed, and Failed. This column identifies
     only the latest action related to a patch. For instance, if an action
     fails and you reschedule it, this column shows the status of the patch
     as pending (with no mention of the previous failure). Clicking a status
     other than None takes you to the <span class="guilabel">Action Details</span>
     page. This column corresponds to one on the <span class="guilabel">Patch</span>
     tab of the <span class="guilabel">System Details</span> page.
    </p></div></div></div><div class="section" title="3.5.3. Advanced Search"><div class="titlepage"><div><div><h3 class="title"><a id="s2-sm-errata-search"></a>3.5.3. Advanced Search<span class="permalink"><a alt="Permalink" title="Copy Permalink" href="#s2-sm-errata-search">¶</a></span></h3></div></div></div><a id="id340441" class="indexterm"></a><a id="id418699" class="indexterm"></a><a id="id343045" class="indexterm"></a><p>
   The <span class="guilabel">Patch Search</span> page allows you to search through
   patches according to specific criteria.
  </p><div class="figure"><a id="id399447"></a><p class="title"><b>Figure 3.15. Patch Search</b></p><div class="figure-contents"><div class="mediaobject"><table border="0" summary="manufactured viewport for HTML img" cellspacing="0" cellpadding="0" width="444"><tr><td><img src="../../images/erratum_search.png" width="444" alt="Patch Search" /></td></tr></table></div></div></div><br class="figure-break" /><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
     <span class="guilabel">All Fields</span> — Search patches by synopsis,
     description, topic, or solution.
    </p></li><li class="listitem"><p>
     <span class="guilabel">Patch Advisory</span> — The way SUSE's security team
     codifies advisories, such as:
    </p><pre class="screen">SUSE-RU-2011:0030</pre><p>
     Searches can be done by year (such as 2011), by type of advisory, or
     full advisory name, such as the example above.
    </p></li><li class="listitem"><p>
     <span class="guilabel">Package Name</span> — Users concerned with particular
     packages can search by package name, such as:
    </p><pre class="screen">kernel</pre><p>
     Package search can be beneficial because search results will be grouped
     by advisory. For example, searching for kernel-related bugs return
     results where all packages with the term
     <code class="computeroutput">kernel</code> appear grouped by the advisory
     for which the bug is related.
     
    </p></li><li class="listitem"><p>
     <span class="guilabel">CVE Name</span> — The name assigned to the security
     advisory (RHSA) by the common vulnerabilities and exposures project at
     <a class="ulink" href="http://cve.mitre.org" target="_top">http://cve.mitre.org</a>. For example:
    </p><pre class="screen">CVE-2006-4535</pre></li></ul></div><p>
   You may also filter patch search results by the type of patch issued.
   Check or uncheck the boxes next to the type of advisory to search.
  </p><div class="itemizedlist"><ul class="itemizedlist" type="disc"><li class="listitem"><p>
     Bug Fix Advisory — Patches that contain fixes to issues that were
     reported by users or discovered during development or testing.
    </p></li><li class="listitem"><p>
     Security Advisory — Patches that fix a security issue found during
     development, testing, or reported by users or a software security
     clearing house. A security advisory usually has one or more CVE names
     associated with each vulnerability found in each patch.
    </p></li><li class="listitem"><p>
     Product Enhancement Advisory — Patches that contain new features,
     improved functionality, or enhanced performance in the packaged
     software.
    </p></li></ul></div></div></div><div class="navfooter"><hr /><table width="100%" summary="Navigation footer"><tr><td width="40%" align="left"><a accesskey="p" href="s1-sm-systems.jsp">Prev</a> </td><td width="20%" align="center"><a accesskey="u" href="ch-rhn-workgroup.jsp">Up</a></td><td width="40%" align="right"> <a accesskey="n" href="s1-sm-channels-packages.jsp">Next</a></td></tr><tr><td width="40%" align="left" valign="top">3.4. Systems </td><td width="20%" align="center"><a accesskey="h" href="../../index.jsp">Home</a></td><td width="40%" align="right" valign="top"> 3.6. Channels</td></tr></table></div></body></html>
